Ext.data.JsonP.carousel({"guide":"<h1 id='carousel-section-using-carousels-in-sencha-touch'>Using Carousels in Sencha Touch</h1>\n\n<p><a href=\"#!/api/Ext.carousel.Carousel\" rel=\"Ext.carousel.Carousel\" class=\"docClass\">Carousels</a>, like <a href=\"#!/guide/tabs\">tabs</a>, are a great way to allow users to swipe through multiple full screen pages.\nA Carousel shows only one of its pages at a time, but allows you to browse through other pages using a swipe gesture. You can think of a Carousel as a single active item, with the rest of the items stretching away left and right. Indicator dots indicate how many available screens are available to swipe through, as shown in the following image:</p>\n\n<p><p class='screenshot'><img src='guides/carousel/carousel.jpg' alt=''><span></span></p></p>\n\n<p>Carousels can be oriented either horizontally or vertically and are easy to configure - they just work like any other Container component. The following code sample shows how to set up a simple horizontal Carousel:</p>\n\n<pre class='inline-example preview'><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.carousel.Carousel\" rel=\"Ext.carousel.Carousel\" class=\"docClass\">Ext.Carousel</a>', {\n    fullscreen: true,\n\n    defaults: {\n        styleHtmlContent: true\n    },\n\n    items: [\n        {\n            html : 'Item 1',\n            style: 'background-color: #5E99CC'\n        },\n        {\n            html : 'Item 2',\n            style: 'background-color: #759E60'\n        },\n        {\n            html : 'Item 3'\n        }\n    ]\n});\n</code></pre>\n\n<p>Swiping your finger left and right over the carousel swaps between the two items defined above. It also updates the indicator icon to let you know which page you are currently on. We can also make Carousels orient themselves vertically, as shown in the following code sample:</p>\n\n<pre class='inline-example preview'><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.carousel.Carousel\" rel=\"Ext.carousel.Carousel\" class=\"docClass\">Ext.Carousel</a>', {\n    fullscreen: true,\n    direction: 'vertical',\n\n    defaults: {\n        styleHtmlContent: true\n    },\n\n    items: [\n        {\n            html : 'Item 1',\n            style: 'background-color: #759E60'\n        },\n        {\n            html : 'Item 2',\n            style: 'background-color: #5E99CC'\n        }\n    ]\n});\n</code></pre>\n\n<p>You can place any component into a Carousel, for example the following code places a list and a form into a horizontal carousel:</p>\n\n<pre class='inline-example portrait preview'><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.carousel.Carousel\" rel=\"Ext.carousel.Carousel\" class=\"docClass\">Ext.Carousel</a>', {\n    fullscreen: true,\n\n    items: [\n        {\n            xtype: 'list',\n\n            items: {\n                xtype: 'toolbar',\n                docked: 'top',\n                title: 'Sencha Touch Team'\n            },\n\n            store: {\n                fields: ['name'],\n                data: [\n                    {name: 'Rob'},\n                    {name: 'Ed'},\n                    {name: 'Jacky'},\n                    {name: 'Jamie'},\n                    {name: 'Tommy'},\n                    {name: 'Abe'}\n                ]\n            },\n\n            itemTpl: '{name}'\n        },\n        {\n            xtype: 'fieldset',\n            items: [\n                {\n                    xtype: 'toolbar',\n                    docked: 'top',\n                    title: 'Login'\n                },\n                {\n                    xtype: 'textfield',\n                    label: 'Name'\n                },\n                {\n                    xtype: 'passwordfield',\n                    label: 'Password'\n                }\n            ]\n        }\n    ]\n});\n</code></pre>\n","title":"Using Carousel"});