Ext.data.JsonP.data({"guide":"<h1 id='data-section-using-the-data-package-in-sencha-touch'>Using the Data Package in Sencha Touch</h1>\n\n<p>The data package is responsible for loading and saving all data in a Sencha Touch app. Most of the actions involving the data package are related to models, stores, and proxies:</p>\n\n<ul>\n<li><strong>Model:</strong> A model represents an entity your app cares about. User, Contact, Address, and Product could all be models. At its simplest, a model is just a collection of fields and their data, but they can do a lot more.</li>\n<li><strong>Store:</strong> A store is a collection of model instances. Mostly it is just a glorified array, but it also provides capabilities like sorting, filtering, and grouping, and it is capable of firing useful events.</li>\n<li><strong>Proxy:</strong> A proxy is responsible for the actual loading and saving of data into a store. Usually you will create an <a href=\"#!/api/Ext.data.proxy.Ajax\" rel=\"Ext.data.proxy.Ajax\" class=\"docClass\">AJAX proxy</a> which fetches data from your server and uses it to populate a store.</li>\n</ul>\n\n\n<p>Find out more about <a href=\"#!/guide/models\">Models</a>, <a href=\"#!/guide/stores\">Stores</a> and <a href=\"#!/guide/proxies\">Proxies</a> in their individual guides.</p>\n\n<h2 id='data-section-further-reading'>Further Reading</h2>\n\n<p>Data is only a part of the Sencha Touch ecosystem. To understand more about the framework and how it works, we recommend reading the following guides:</p>\n\n<ul>\n<li><a href=\"#!/guide/components\">Components and Containers</a></li>\n<li><a href=\"#!/guide/class_system\">The Class System</a></li>\n<li><a href=\"#!/guide/layouts\">The Layout System</a></li>\n<li><a href=\"#!/guide/getting_started\">Getting Started</a></li>\n</ul>\n\n","title":"Data Package Overview"});