Ext.data.JsonP.getting_started({"guide":"<h1 id='getting_started-section-getting-started-with-sencha-touch'>Getting Started with Sencha Touch</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ol>\n<li><a href='#!/guide/getting_started-section-what-is-sencha-touch%3F'>What is Sencha Touch?</a></li>\n<li><a href='#!/guide/getting_started-section-required-software'>Required Software</a></li>\n<li><a href='#!/guide/getting_started-section-installing-sencha-touch'>Installing Sencha Touch</a></li>\n<li><a href='#!/guide/getting_started-section-generating-your-first-app'>Generating Your First App</a></li>\n<li><a href='#!/guide/getting_started-section-explore-the-code'>Explore the Code</a></li>\n<li><a href='#!/guide/getting_started-section-next-steps'>Next Steps</a></li>\n</ol>\n</div>\n\n<h2 id='getting_started-section-what-is-sencha-touch%3F'>What is Sencha Touch?</h2>\n\n<p>Sencha Touch is a high-performance HTML5 mobile application framework. You can use\nSencha Touch to produce a native-app-like experience inside a browser or in a hybrid shell.\nSencha Touch supports Android, iOS, Windows Phone, Microsoft Surface Pro and RT, and BlackBerry devices.</p>\n\n<h2 id='getting_started-section-required-software'>Required Software</h2>\n\n<ol>\n <li><a href=\"http://www.sencha.com/products/sencha-cmd/download\">Sencha Cmd</a>.</li>\n <li><a href=\"http://www.oracle.com/technetwork/java/javase/downloads/jre7-downloads-1880261.html\">Java Runtime Environment</a> \n  version 1.7 (1.6 also works, but 1.7 is best). Sencha Cmd is written in Java and needs the JRE to run.</li>\n <li><a href=\"http://www.ruby-lang.org/en/downloads/\">Ruby version 1.9.3</a> to create the \n compiled CSS used by Touch.\n        (Ruby version 2.0 doesn't work correctly with Sencha Cmd.)\n        <ul>\n        <li>Windows: Download Ruby 1.9.3.n from <a href=\"http://rubyinstaller.org/downloads/\">rubyinstaller.org</a>. \n        Download the RubyInstaller .exe file and run it.</li>\n        <li>Mac: Ruby is pre-installed. You can test which version \n        you have with the <b>ruby -v</b> command. If you have version 2.0, \n        download the <a href=\"https://rvm.io/\">Ruby version manager</a> (rvm) and use this command to\n        download and install Ruby:&nbsp;<b>rvm install 1.9.3 --with-gcc=clang</b><br>\n        Set your PATH variable to point to the Ruby 1.9.3 install directory.</li>\n        <li>Ubuntu: Use <b>sudo apt-get install ruby1.9.3</b> to download and install Ruby 1.9.3.</li>\n        </ul>\n    </li>\n    <li>For optimal debugging, use a modern web browser such as \n        <a href=\"https://www.google.com/intl/en/chrome/browser\">Chrome</a> \n        or <a href=\"http://www.apple.com/safari/\">Safari</a>.</li>\n    <li>To view Sencha Cmd options after installing Sencha Cmd, type <b>sencha</b> from the command line:<br>\n        Windows: Press the Windows&nbsp;key&nbsp;+&nbsp;<b>r</b> and type <b>cmd</b> to get a Command Prompt.<br>\n        Mac: Open a Terminal from Finder, Go, Utilities, Terminal.<br>\n        Ubuntu: Click the Ubuntu Dashboard and type <b>terminal</b> in the search box.<br></li> \n    <li>Create a project directory where you want to serve applications and ensure the directory is \n  writable:<br>\n        Windows: Right-click the directory name, click <b>Properties</b>, and uncheck <b>Read-only</b> \n        on the General tab.<br>\n        Mac or Ubuntu: Use <b>chmod o+w</b> <i>&lt;dir_name&gt;</i></li>    \n    <li>Start the Sencha Cmd web server to serve the project directory: \n        <br><b>sencha fs web -port 8000 start -map</b> <i>&lt;dir_name&gt;</i><br> \n        (You can use any port number.) You can access the Sencha Cmd web server using: \n        <i>http://localhost:8000/&lt;dir_name&gt;/&lt;app_name&gt;</i></li>\n</ol>\n\n\n<p>If you are running the IIS web server on Windows, manually add <code>application/x-json</code>\nas a MIME Type for Sencha Touch to work properly. For information on adding this MIME type\nsee the following link: <a href=\"http://stackoverflow.com/a/1121114/273985\">http://stackoverflow.com/a/1121114/273985</a>.</p>\n\n<h2 id='getting_started-section-installing-sencha-touch'>Installing Sencha Touch</h2>\n\n<p>Extract the SDK zip file to your projects directory. Ideally, this folder is accessible\nto your HTTP server. For example, you should be able to navigate to the installed\nhttp://localhost/sencha-touch-2.n directory from your browser and see the Sencha Touch documentation.</p>\n\n<h2 id='getting_started-section-generating-your-first-app'>Generating Your First App</h2>\n\n<p>Now that you have Sencha Touch and Sencha Cmd installed, you can generate an application.\nWhile still in the Sencha Touch SDK folder, type the following:</p>\n\n<pre><code>$ sencha generate app MyApp ../MyApp\n[INFO] Created file ...\n...\n</code></pre>\n\n<p>This generates a skeleton Sencha Touch application namespaced to the <code>MyApp</code> variable\nand located in the <code>../MyApp</code> directory (one level up from the Sencha Touch SDK directory).\nThe skeleton app contains all the files you need to create a Sencha Touch application,\nincluding the default index.html file, a copy of the Touch SDK, the CSS file, images\nand configuration files for creating native packages for your app.</p>\n\n<p>You can verify if your application has generated successfully by opening it in a\nweb browser. Assuming that you extracted the SDK to your webroot folder, you should\nbe able to navigate to <code>http://localhost/MyApp</code>.</p>\n\n<h2 id='getting_started-section-explore-the-code'>Explore the Code</h2>\n\n<p>The following listing provides a short description of each file and directory,\nthe complete list of the generated files can be found in the\n<a href=\"http://docs.sencha.com/cmd/3.1.2/#!/guide/command\">Sencha Cmd</a> documentation:</p>\n\n<ul>\n<li><strong><code>app</code></strong> - The directory containing the Models, Views, Controllers, and Stores for your app.</li>\n<li><strong><code>app.js</code></strong> - The main JavaScript entry point for your app.</li>\n<li><strong><code>app.json</code></strong> - The configuration file for your app.</li>\n<li><strong><code>index.html</code></strong> - The HTML file for your app.</li>\n<li><strong><code>packager.json</code></strong> - The configuration file used by Sencha Cmd for\ncreating native packages for your application.</li>\n<li><strong><code>resources</code></strong> - The directory containing the CSS and the images for your app</li>\n</ul>\n\n\n<p>Open <code>app.js</code>, the main entry point for your app, in your editor.</p>\n\n<p>The <code>launch</code> function is the entry point to your application.\nIn the default application, hide the application loading indicator,\nand create an instance of our Main view and add it to the Viewport.</p>\n\n<p>The Viewport is a <a href=\"#!/api/Ext.layout.Card\" rel=\"Ext.layout.Card\" class=\"docClass\">Card layout</a> to which\nyou can add application components. The default app adds the\n<code>Main</code> view to the viewport so it becomes visible on the screen.</p>\n\n<p>Look at the code inside the Main view.</p>\n\n<p>Open <code>app/view/Main.js</code> in your code editor and change a title line to:</p>\n\n<pre><code>title: 'Home Tab'\n</code></pre>\n\n<p>Then change another line as follows:</p>\n\n<pre><code>title: 'Woohoo!'\n</code></pre>\n\n<p>Also, change lines as follows:</p>\n\n<pre><code>html: [\n    \"I changed the default &lt;b&gt;HTML Contents&lt;/b&gt; to something different!\"\n].join(\"\")\n</code></pre>\n\n<p>Refresh the app in your browser to see the effects of your changes.</p>\n\n<h2 id='getting_started-section-next-steps'>Next Steps</h2>\n\n<p>The next step is to follow the <a href=\"#!/guide/first_app\">First Application guide</a>,\nwhich builds on this guide, and which guides you through\ncreating a simple but powerful app in around 15 minutes.</p>\n\n<p>If you would like to skip ahead or find out more detailed information about\nother aspects of the framework, view the following guides and resources:</p>\n\n<h3 id='getting_started-section-guides'>Guides</h3>\n\n<ul>\n<li><a href=\"#!/guide/whats_new\">What's New in Sencha Touch</a></li>\n<li><a href=\"#!/guide/components\">Components and Containers</a></li>\n<li><a href=\"#!/guide/apps_intro\">Intro to Applications</a></li>\n<li><a href=\"#!/guide/layouts\">The Layout System</a></li>\n<li><a href=\"#!/guide/data\">The Data Package</a></li>\n</ul>\n\n\n<h3 id='getting_started-section-application-examples'>Application Examples</h3>\n\n<ul>\n<li><a href=\"#!/example/kitchen-sink\">Kitchen Sink</a></li>\n<li><a href=\"#!/example/twitter\">Twitter</a></li>\n<li><a href=\"#!/example/kiva\">Kiva</a></li>\n</ul>\n\n\n<h3 id='getting_started-section-component-examples'>Component Examples</h3>\n\n<ul>\n<li><a href=\"#!/example/carousel\">Carousel</a></li>\n<li><a href=\"#!/example/forms\">Forms</a></li>\n<li><a href=\"#!/example/pickers\">Date Picker</a></li>\n</ul>\n\n","title":"Getting Started with Sencha Touch"});