Ext.data.JsonP.Ext_DateExtras({"parentMixins":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Mixed into</h4><div class='dependency'><a href='#!/api/Ext.Date' rel='Ext.Date' class='docClass'>Ext.Date</a></div><h4>Files</h4><div class='dependency'><a href='source/DateExtras.html#Ext-DateExtras' target='_blank'>DateExtras.js</a></div></pre><div class='doc-contents'><p>Extra methods to be mixed into <a href=\"#!/api/Ext.Date\" rel=\"Ext.Date\" class=\"docClass\">Ext.Date</a>.</p>\n\n<p>Require this class to get <a href=\"#!/api/Ext.Date\" rel=\"Ext.Date\" class=\"docClass\">Ext.Date</a> with all the methods listed below.</p>\n\n<p>Using <a href=\"#!/api/Ext-method-setup\" rel=\"Ext-method-setup\" class=\"docClass\">Ext.setup</a>:</p>\n\n<pre class='inline-example '><code><a href=\"#!/api/Ext-method-setup\" rel=\"Ext-method-setup\" class=\"docClass\">Ext.setup</a>({\n    requires: '<a href=\"#!/api/Ext.DateExtras\" rel=\"Ext.DateExtras\" class=\"docClass\">Ext.DateExtras</a>',\n    onReady: function() {\n        var date = new Date();\n        alert(<a href=\"#!/api/Ext.Date-method-format\" rel=\"Ext.Date-method-format\" class=\"docClass\">Ext.Date.format</a>(date, 'n/j/Y'));\n    }\n});\n</code></pre>\n\n<p>Using <a href=\"#!/api/Ext-method-application\" rel=\"Ext-method-application\" class=\"docClass\">Ext.application</a>:</p>\n\n<pre class='inline-example '><code><a href=\"#!/api/Ext-method-application\" rel=\"Ext-method-application\" class=\"docClass\">Ext.application</a>({\n    requires: '<a href=\"#!/api/Ext.DateExtras\" rel=\"Ext.DateExtras\" class=\"docClass\">Ext.DateExtras</a>',\n    launch: function() {\n        var date = new Date();\n        alert(<a href=\"#!/api/Ext.Date-method-format\" rel=\"Ext.Date-method-format\" class=\"docClass\">Ext.Date.format</a>(date, 'n/j/Y'));\n    }\n});\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-DAY' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-DAY' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-DAY' class='name expandable'>DAY</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Date interval constant. ...</div><div class='long'><p>Date interval constant.</p>\n<p>Defaults to: <code>&quot;d&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-HOUR' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-HOUR' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-HOUR' class='name expandable'>HOUR</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Date interval constant. ...</div><div class='long'><p>Date interval constant.</p>\n<p>Defaults to: <code>&quot;h&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-MILLI' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-MILLI' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-MILLI' class='name expandable'>MILLI</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Date interval constant. ...</div><div class='long'><p>Date interval constant.</p>\n<p>Defaults to: <code>&quot;ms&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-MINUTE' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-MINUTE' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-MINUTE' class='name expandable'>MINUTE</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Date interval constant. ...</div><div class='long'><p>Date interval constant.</p>\n<p>Defaults to: <code>&quot;mi&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-MONTH' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-MONTH' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-MONTH' class='name expandable'>MONTH</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Date interval constant. ...</div><div class='long'><p>Date interval constant.</p>\n<p>Defaults to: <code>&quot;mo&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-SECOND' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-SECOND' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-SECOND' class='name expandable'>SECOND</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Date interval constant. ...</div><div class='long'><p>Date interval constant.</p>\n<p>Defaults to: <code>&quot;s&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-YEAR' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-YEAR' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-YEAR' class='name expandable'>YEAR</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Date interval constant. ...</div><div class='long'><p>Date interval constant.</p>\n<p>Defaults to: <code>&quot;y&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-createParser' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-createParser' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-createParser' class='name expandable'>createParser</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-dayNames' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-dayNames' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-dayNames' class='name expandable'>dayNames</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An array of textual day names. ...</div><div class='long'><p>An array of textual day names.\nOverride these values for international dates.\nExample:</p>\n\n<pre><code><a href=\"#!/api/Ext.Date-property-dayNames\" rel=\"Ext.Date-property-dayNames\" class=\"docClass\">Ext.Date.dayNames</a> = [\n    'SundayInYourLang',\n    'MondayInYourLang'\n    // ...\n];\n</code></pre>\n<p>Defaults to: <code>[&quot;Sunday&quot;, &quot;Monday&quot;, &quot;Tuesday&quot;, &quot;Wednesday&quot;, &quot;Thursday&quot;, &quot;Friday&quot;, &quot;Saturday&quot;]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-defaultFormat' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-defaultFormat' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-defaultFormat' class='name expandable'>defaultFormat</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The date format string that the Ext.util.Format.date function uses. ...</div><div class='long'><p>The date format string that the <a href=\"#!/api/Ext.util.Format-method-date\" rel=\"Ext.util.Format-method-date\" class=\"docClass\">Ext.util.Format.date</a> function uses.\nSee <a href=\"#!/api/Ext.Date\" rel=\"Ext.Date\" class=\"docClass\">Ext.Date</a> for details.</p>\n\n<p>This defaults to <code>m/d/Y</code>, but may be overridden in a locale file.</p>\n<p>Defaults to: <code>&quot;m/d/Y&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-defaults' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-defaults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-defaults' class='name expandable'>defaults</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object hash containing default date values used during date parsing. ...</div><div class='long'><p>An object hash containing default date values used during date parsing.</p>\n\n<p>The following properties are available:</p>\n\n<ul>\n<li><code>y</code>: <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> - The default year value. Defaults to <code>undefined</code>.</li>\n<li><code>m</code>: <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> - The default 1-based month value. Defaults to <code>undefined</code>.</li>\n<li><code>d</code>: <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> - The default day value. Defaults to <code>undefined</code>.</li>\n<li><code>h</code>: <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> - The default hour value. Defaults to <code>undefined</code>.</li>\n<li><code>i</code>: <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> - The default minute value. Defaults to <code>undefined</code>.</li>\n<li><code>s</code>: <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> - The default second value. Defaults to <code>undefined</code>.</li>\n<li><code>ms</code>: <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> - The default millisecond value. Defaults to <code>undefined</code>.</li>\n</ul>\n\n\n<p>Override these properties to customize the default date values used by the <a href=\"#!/api/Ext.DateExtras-method-parse\" rel=\"Ext.DateExtras-method-parse\" class=\"docClass\">parse</a> method.</p>\n\n<p><strong>Note:</strong> In countries which experience Daylight Saving Time (i.e. DST), the <code>h</code>, <code>i</code>, <code>s</code>\nand <code>ms</code> properties may coincide with the exact time in which DST takes effect.\nIt is the responsibility of the developer to account for this.</p>\n\n<p>Example Usage:</p>\n\n<pre class='inline-example '><code>// set default day value to the first day of the month\nExt.Date.defaults.d = 1;\n\n// parse a February date string containing only year and month values.\n// setting the default day value to 1 prevents weird date rollover issues.\n// when attempting to parse the following date string on, for example, March 31st 2009.\nalert(<a href=\"#!/api/Ext.Date-method-parse\" rel=\"Ext.Date-method-parse\" class=\"docClass\">Ext.Date.parse</a>('2009-02', 'Y-m')); // returns a Date object representing February 1st 2009.\n</code></pre>\n<p>Defaults to: <code>{}</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-formatCodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-formatCodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-formatCodes' class='name expandable'>formatCodes</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The base format-code to formatting-function hashmap used by the format method. ...</div><div class='long'><p>The base format-code to formatting-function hashmap used by the <a href=\"#!/api/Ext.DateExtras-method-format\" rel=\"Ext.DateExtras-method-format\" class=\"docClass\">format</a> method.\nFormatting functions are strings (or functions which return strings) which\nwill return the appropriate value when evaluated in the context of the Date object\nfrom which the <a href=\"#!/api/Ext.DateExtras-method-format\" rel=\"Ext.DateExtras-method-format\" class=\"docClass\">format</a> method is called.\nAdd to / override these mappings for custom date formatting.</p>\n\n<p><strong>Note:</strong> <code><a href=\"#!/api/Ext.Date-method-format\" rel=\"Ext.Date-method-format\" class=\"docClass\">Ext.Date.format</a>()</code> treats characters as literals if an appropriate mapping cannot be found.</p>\n\n<p>Example:</p>\n\n<pre class='inline-example '><code>Ext.Date.formatCodes.x = \"<a href=\"#!/api/Ext.util.Format-method-leftPad\" rel=\"Ext.util.Format-method-leftPad\" class=\"docClass\">Ext.util.Format.leftPad</a>(this.getDate(), 2, '0')\";\nalert(<a href=\"#!/api/Ext.Date-method-format\" rel=\"Ext.Date-method-format\" class=\"docClass\">Ext.Date.format</a>(new Date(), 'x')); // returns the current day of the month\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-formatFunctions' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-formatFunctions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-formatFunctions' class='name expandable'>formatFunctions</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object hash in which each property is a date formatting function. ...</div><div class='long'><p>An object hash in which each property is a date formatting function. The property name is the\nformat string which corresponds to the produced formatted date string.</p>\n\n<p>This object is automatically populated with date formatting functions as\ndate formats are requested for Ext standard formatting strings.</p>\n\n<p>Custom formatting functions may be inserted into this object, keyed by a name which from then on\nmay be used as a format string to <a href=\"#!/api/Ext.DateExtras-method-format\" rel=\"Ext.DateExtras-method-format\" class=\"docClass\">format</a>.</p>\n\n<p>Example:</p>\n\n<pre><code><a href=\"#!/api/Ext.Date-property-formatFunctions\" rel=\"Ext.Date-property-formatFunctions\" class=\"docClass\">Ext.Date.formatFunctions</a>['x-date-format'] = myDateFormatter;\n</code></pre>\n\n<p>A formatting function should return a string representation of the Date object which is the scope (this) of the function.</p>\n\n<p>To enable date strings to also be <em>parsed</em> according to that format, a corresponding\nparsing function must be placed into the <a href=\"#!/api/Ext.DateExtras-property-parseFunctions\" rel=\"Ext.DateExtras-property-parseFunctions\" class=\"docClass\">parseFunctions</a> property.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-monthNames' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-monthNames' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-monthNames' class='name expandable'>monthNames</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An array of textual month names. ...</div><div class='long'><p>An array of textual month names.\nOverride these values for international dates.\nExample:</p>\n\n<pre><code><a href=\"#!/api/Ext.Date-property-monthNames\" rel=\"Ext.Date-property-monthNames\" class=\"docClass\">Ext.Date.monthNames</a> = [\n    'JanInYourLang',\n    'FebInYourLang'\n    // ...\n];\n</code></pre>\n<p>Defaults to: <code>[&quot;January&quot;, &quot;February&quot;, &quot;March&quot;, &quot;April&quot;, &quot;May&quot;, &quot;June&quot;, &quot;July&quot;, &quot;August&quot;, &quot;September&quot;, &quot;October&quot;, &quot;November&quot;, &quot;December&quot;]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-monthNumbers' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-monthNumbers' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-monthNumbers' class='name expandable'>monthNumbers</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object hash of zero-based JavaScript month numbers (with short month names as keys). ...</div><div class='long'><p>An object hash of zero-based JavaScript month numbers (with short month names as keys).</p>\n\n<p><strong>Note:</strong> keys are case-sensitive.</p>\n\n<p>Override these values for international dates.\nExample:</p>\n\n<pre><code><a href=\"#!/api/Ext.Date-property-monthNumbers\" rel=\"Ext.Date-property-monthNumbers\" class=\"docClass\">Ext.Date.monthNumbers</a> = {\n    'ShortJanNameInYourLang': 0,\n    'ShortFebNameInYourLang': 1\n    // ...\n};\n</code></pre>\n<p>Defaults to: <code>{Jan: 0, Feb: 1, Mar: 2, Apr: 3, May: 4, Jun: 5, Jul: 6, Aug: 7, Sep: 8, Oct: 9, Nov: 10, Dec: 11}</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-parseCodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-parseCodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-parseCodes' class='name expandable'>parseCodes</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-parseFunctions' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-parseFunctions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-parseFunctions' class='name expandable'>parseFunctions</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object hash in which each property is a date parsing function. ...</div><div class='long'><p>An object hash in which each property is a date parsing function. The property name is the\nformat string which that function parses.</p>\n\n<p>This object is automatically populated with date parsing functions as\ndate formats are requested for Ext standard formatting strings.</p>\n\n<p>Custom parsing functions may be inserted into this object, keyed by a name which from then on\nmay be used as a format string to <a href=\"#!/api/Ext.DateExtras-method-parse\" rel=\"Ext.DateExtras-method-parse\" class=\"docClass\">parse</a>.</p>\n\n<p>Example:</p>\n\n<pre><code><a href=\"#!/api/Ext.Date-property-parseFunctions\" rel=\"Ext.Date-property-parseFunctions\" class=\"docClass\">Ext.Date.parseFunctions</a>['x-date-format'] = myDateParser;\n</code></pre>\n\n<p>A parsing function should return a Date object, and is passed the following parameters:</p>\n\n<ul>\n<li><code>date</code>: <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> - The date string to parse.</li>\n<li><code>strict</code>: <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> - <code>true</code> to validate date strings while parsing\n(i.e. prevent JavaScript Date \"rollover\"). <strong>The default must be <code>false</code>.</strong>\nInvalid date strings should return <code>null</code> when parsed.</li>\n</ul>\n\n\n<p>To enable Dates to also be <em>formatted</em> according to that format, a corresponding\nformatting function must be placed into the <a href=\"#!/api/Ext.DateExtras-property-formatFunctions\" rel=\"Ext.DateExtras-property-formatFunctions\" class=\"docClass\">formatFunctions</a> property.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-parseRegexes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-parseRegexes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-parseRegexes' class='name expandable'>parseRegexes</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-useStrict' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-useStrict' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-useStrict' class='name expandable'>useStrict</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Global flag which determines if strict date parsing should be used. ...</div><div class='long'><p>Global flag which determines if strict date parsing should be used.\nStrict date parsing will not roll-over invalid dates, which is the\ndefault behavior of JavaScript Date objects.\n(see <a href=\"#!/api/Ext.DateExtras-method-parse\" rel=\"Ext.DateExtras-method-parse\" class=\"docClass\">parse</a> for more information)</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-y2kYear' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-property-y2kYear' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-property-y2kYear' class='name expandable'>y2kYear</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>50</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-add' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-add' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-add' class='name expandable'>add</a>( <span class='pre'>date, interval, value</span> ) : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Provides a convenient method for performing basic date arithmetic. ...</div><div class='long'><p>Provides a convenient method for performing basic date arithmetic. This method\ndoes not modify the Date instance being called - it creates and returns\na new Date instance containing the resulting date value.</p>\n\n<pre class='inline-example '><code>// Basic usage:\nvar dt = <a href=\"#!/api/Ext.Date-method-add\" rel=\"Ext.Date-method-add\" class=\"docClass\">Ext.Date.add</a>(new Date('10/29/2006'), <a href=\"#!/api/Ext.Date-property-DAY\" rel=\"Ext.Date-property-DAY\" class=\"docClass\">Ext.Date.DAY</a>, 5);\nalert(dt); // 'Fri Nov 03 2006 00:00:00'\n</code></pre>\n\n<p>You can also subtract date values by passing a negative value:</p>\n\n<pre class='inline-example '><code>// Negative values will be subtracted:\nvar dt2 = <a href=\"#!/api/Ext.Date-method-add\" rel=\"Ext.Date-method-add\" class=\"docClass\">Ext.Date.add</a>(new Date('10/1/2006'), <a href=\"#!/api/Ext.Date-property-DAY\" rel=\"Ext.Date-property-DAY\" class=\"docClass\">Ext.Date.DAY</a>, -5);\nalert(dt2); // 'Tue Sep 26 2006 00:00:00'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date to modify.</p>\n</div></li><li><span class='pre'>interval</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>A valid date interval enum value.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The amount to add to the current date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a></span><div class='sub-desc'><p>The new Date instance.</p>\n</div></li></ul></div></div></div><div id='method-align' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-align' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-align' class='name expandable'>align</a>( <span class='pre'>date, unit</span> ) : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Align the date to unit. ...</div><div class='long'><p>Align the date to <code>unit</code>.</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date to be aligned.</p>\n</div></li><li><span class='pre'>unit</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The unit. This unit is compatible with the date interval constants.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a></span><div class='sub-desc'><p>The aligned date.</p>\n</div></li></ul></div></div></div><div id='method-between' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-between' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-between' class='name expandable'>between</a>( <span class='pre'>date, start, end</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if a date falls on or between the given start and end dates. ...</div><div class='long'><p>Checks if a date falls on or between the given start and end dates.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date to check.</p>\n</div></li><li><span class='pre'>start</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>Start date.</p>\n</div></li><li><span class='pre'>end</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>End date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if this date falls on or between the given start and end dates.</p>\n</div></li></ul></div></div></div><div id='method-clearTime' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-clearTime' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-clearTime' class='name expandable'>clearTime</a>( <span class='pre'>date, [clone]</span> ) : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Attempts to clear all time information from this Date by setting the time to midnight of the same day,\nautomatically ...</div><div class='long'><p>Attempts to clear all time information from this Date by setting the time to midnight of the same day,\nautomatically adjusting for Daylight Saving Time (DST) where applicable.</p>\n\n<p><strong>Note:</strong> DST timezone information for the browser's host operating system is assumed to be up-to-date.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li><li><span class='pre'>clone</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>true</code> to create a clone of this date, clear the time and return it.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a></span><div class='sub-desc'><p>this or the clone.</p>\n</div></li></ul></div></div></div><div id='method-clone' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-clone' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-clone' class='name expandable'>clone</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Creates and returns a new Date instance with the exact same date value as the called instance. ...</div><div class='long'><p>Creates and returns a new Date instance with the exact same date value as the called instance.\nDates are copied and passed by reference, so if a copied date variable is modified later, the original\nvariable will also be changed.  When the intention is to create a new variable that will not\nmodify the original instance, you should create a clone.</p>\n\n<p>Example of correctly cloning a date:</p>\n\n<pre><code>// wrong way:\nvar orig = new Date('10/1/2006');\nvar copy = orig;\ncopy.setDate(5);\nconsole.log(orig);  // returns 'Thu Oct 05 2006'!\n\n// correct way:\nvar orig = new Date('10/1/2006'),\n    copy = <a href=\"#!/api/Ext.Date-method-clone\" rel=\"Ext.Date-method-clone\" class=\"docClass\">Ext.Date.clone</a>(orig);\ncopy.setDate(5);\nconsole.log(orig);  // returns 'Thu Oct 01 2006'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a></span><div class='sub-desc'><p>The new Date instance.</p>\n</div></li></ul></div></div></div><div id='method-createFormat' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-createFormat' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-createFormat' class='name expandable'>createFormat</a>( <span class='pre'>format</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>format</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-dateFormat' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-dateFormat' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-dateFormat' class='name expandable'>dateFormat</a>( <span class='pre'>date, format</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Old Ext.Date prototype methods. ...</div><div class='long'><p>Old <a href=\"#!/api/Ext.Date\" rel=\"Ext.Date\" class=\"docClass\">Ext.Date</a> prototype methods.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>format</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-diff' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-diff' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-diff' class='name expandable'>diff</a>( <span class='pre'>min, max, unit</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Calculate how many units are there between two time. ...</div><div class='long'><p>Calculate how many units are there between two time.</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>min</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The first time.</p>\n</div></li><li><span class='pre'>max</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The second time.</p>\n</div></li><li><span class='pre'>unit</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The unit. This unit is compatible with the date interval constants.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The maximum number n of units that min + n * unit &lt;= max.</p>\n</div></li></ul></div></div></div><div id='method-format' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-format' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-format' class='name expandable'>format</a>( <span class='pre'>date, format</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Formats a date given the supplied format string. ...</div><div class='long'><p>Formats a date given the supplied format string.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date to format.</p>\n</div></li><li><span class='pre'>format</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The format string.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The formatted date.</p>\n</div></li></ul></div></div></div><div id='method-formatCodeToRegex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-formatCodeToRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-formatCodeToRegex' class='name expandable'>formatCodeToRegex</a>( <span class='pre'>character, currentGroup</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>character</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>currentGroup</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getDayOfYear' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getDayOfYear' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getDayOfYear' class='name expandable'>getDayOfYear</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the numeric day number of the year, adjusted for leap year. ...</div><div class='long'><p>Get the numeric day number of the year, adjusted for leap year.</p>\n\n<pre class='inline-example '><code>var dt = new Date('9/17/2011');\nalert(<a href=\"#!/api/Ext.Date-method-getDayOfYear\" rel=\"Ext.Date-method-getDayOfYear\" class=\"docClass\">Ext.Date.getDayOfYear</a>(dt)); // 259\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>0 to 364 (365 in leap years).</p>\n</div></li></ul></div></div></div><div id='method-getDaysInMonth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getDaysInMonth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getDaysInMonth' class='name expandable'>getDaysInMonth</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the number of days in the current month, adjusted for leap year. ...</div><div class='long'><p>Get the number of days in the current month, adjusted for leap year.</p>\n\n<pre class='inline-example '><code>var dt = new Date('1/10/2007');\nalert(<a href=\"#!/api/Ext.Date-method-getDaysInMonth\" rel=\"Ext.Date-method-getDaysInMonth\" class=\"docClass\">Ext.Date.getDaysInMonth</a>(dt)); // 31\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The number of days in the month.</p>\n</div></li></ul></div></div></div><div id='method-getElapsed' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getElapsed' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getElapsed' class='name expandable'>getElapsed</a>( <span class='pre'>dateA, [dateB]</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the number of milliseconds between two dates. ...</div><div class='long'><p>Returns the number of milliseconds between two dates.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>dateA</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The first date.</p>\n</div></li><li><span class='pre'>dateB</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a> (optional)<div class='sub-desc'><p>The second date, defaults to now.</p>\n<p>Defaults to: <code>new Date()</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The difference in milliseconds.</p>\n</div></li></ul></div></div></div><div id='method-getFirstDateOfMonth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getFirstDateOfMonth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getFirstDateOfMonth' class='name expandable'>getFirstDateOfMonth</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the date of the first day of the month in which this date resides. ...</div><div class='long'><p>Get the date of the first day of the month in which this date resides.</p>\n\n<pre class='inline-example '><code>var dt = new Date('1/10/2007'),\n    lastDate = <a href=\"#!/api/Ext.Date-method-getFirstDateOfMonth\" rel=\"Ext.Date-method-getFirstDateOfMonth\" class=\"docClass\">Ext.Date.getFirstDateOfMonth</a>(dt);\nalert(lastDate); // Mon Jan 01 2007 00:00:00 GMT-0800 (PST)\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getFirstDayOfMonth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getFirstDayOfMonth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getFirstDayOfMonth' class='name expandable'>getFirstDayOfMonth</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the first day of the current month, adjusted for leap year. ...</div><div class='long'><p>Get the first day of the current month, adjusted for leap year.  The returned value\nis the numeric day index within the week (0-6) which can be used in conjunction with\nthe <a href=\"#!/api/Ext.DateExtras-property-monthNames\" rel=\"Ext.DateExtras-property-monthNames\" class=\"docClass\">monthNames</a> array to retrieve the textual day name.</p>\n\n<pre class='inline-example '><code>var dt = new Date('1/10/2007'),\n    firstDay = <a href=\"#!/api/Ext.Date-method-getFirstDayOfMonth\" rel=\"Ext.Date-method-getFirstDayOfMonth\" class=\"docClass\">Ext.Date.getFirstDayOfMonth</a>(dt);\nalert(<a href=\"#!/api/Ext.Date-property-dayNames\" rel=\"Ext.Date-property-dayNames\" class=\"docClass\">Ext.Date.dayNames</a>[firstDay]); // 'Monday'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The day number (0-6).</p>\n</div></li></ul></div></div></div><div id='method-getFormatCode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getFormatCode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getFormatCode' class='name expandable'>getFormatCode</a>( <span class='pre'>character</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>character</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getGMTOffset' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getGMTOffset' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getGMTOffset' class='name expandable'>getGMTOffset</a>( <span class='pre'>date, [colon]</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the offset from GMT of the current date (equivalent to the format specifier 'O'). ...</div><div class='long'><p>Get the offset from GMT of the current date (equivalent to the format specifier 'O').</p>\n\n<pre class='inline-example '><code>var dt = new Date('9/17/2011');\nalert(<a href=\"#!/api/Ext.Date-method-getGMTOffset\" rel=\"Ext.Date-method-getGMTOffset\" class=\"docClass\">Ext.Date.getGMTOffset</a>(dt));\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li><li><span class='pre'>colon</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>true</code> to separate the hours and minutes with a colon.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The 4-character offset string prefixed with + or - (e.g. '-0600').</p>\n</div></li></ul></div></div></div><div id='method-getLastDateOfMonth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getLastDateOfMonth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getLastDateOfMonth' class='name expandable'>getLastDateOfMonth</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the date of the last day of the month in which this date resides. ...</div><div class='long'><p>Get the date of the last day of the month in which this date resides.</p>\n\n<pre class='inline-example '><code>var dt = new Date('1/10/2007'),\n    lastDate = <a href=\"#!/api/Ext.Date-method-getLastDateOfMonth\" rel=\"Ext.Date-method-getLastDateOfMonth\" class=\"docClass\">Ext.Date.getLastDateOfMonth</a>(dt);\nalert(lastDate); // Wed Jan 31 2007 00:00:00 GMT-0800 (PST)\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLastDayOfMonth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getLastDayOfMonth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getLastDayOfMonth' class='name expandable'>getLastDayOfMonth</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the last day of the current month, adjusted for leap year. ...</div><div class='long'><p>Get the last day of the current month, adjusted for leap year.  The returned value\nis the numeric day index within the week (0-6) which can be used in conjunction with\nthe <a href=\"#!/api/Ext.DateExtras-property-monthNames\" rel=\"Ext.DateExtras-property-monthNames\" class=\"docClass\">monthNames</a> array to retrieve the textual day name.</p>\n\n<pre class='inline-example '><code>var dt = new Date('1/10/2007'),\n    lastDay = <a href=\"#!/api/Ext.Date-method-getLastDayOfMonth\" rel=\"Ext.Date-method-getLastDayOfMonth\" class=\"docClass\">Ext.Date.getLastDayOfMonth</a>(dt);\nalert(<a href=\"#!/api/Ext.Date-property-dayNames\" rel=\"Ext.Date-property-dayNames\" class=\"docClass\">Ext.Date.dayNames</a>[lastDay]); // 'Wednesday'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The day number (0-6).</p>\n</div></li></ul></div></div></div><div id='method-getMonthNumber' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getMonthNumber' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getMonthNumber' class='name expandable'>getMonthNumber</a>( <span class='pre'>name</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the zero-based JavaScript month number for the given short/full month name. ...</div><div class='long'><p>Get the zero-based JavaScript month number for the given short/full month name.\nOverride this function for international dates.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The short/full month name.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The zero-based JavaScript month number.</p>\n</div></li></ul></div></div></div><div id='method-getShortDayName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getShortDayName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getShortDayName' class='name expandable'>getShortDayName</a>( <span class='pre'>day</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the short day name for the given day number. ...</div><div class='long'><p>Get the short day name for the given day number.\nOverride this function for international dates.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>day</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>A zero-based JavaScript day number.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The short day name.</p>\n</div></li></ul></div></div></div><div id='method-getShortMonthName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getShortMonthName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getShortMonthName' class='name expandable'>getShortMonthName</a>( <span class='pre'>month</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the short month name for the given month number. ...</div><div class='long'><p>Get the short month name for the given month number.\nOverride this function for international dates.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>month</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>A zero-based JavaScript month number.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The short month name.</p>\n</div></li></ul></div></div></div><div id='method-getSuffix' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getSuffix' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getSuffix' class='name expandable'>getSuffix</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the English ordinal suffix of the current day (equivalent to the format specifier 'S'). ...</div><div class='long'><p>Get the English ordinal suffix of the current day (equivalent to the format specifier 'S').</p>\n\n<pre class='inline-example '><code>var dt = new Date('9/17/2011');\nalert(<a href=\"#!/api/Ext.Date-method-getSuffix\" rel=\"Ext.Date-method-getSuffix\" class=\"docClass\">Ext.Date.getSuffix</a>(dt)); // 'th'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>'st', 'nd', 'rd' or 'th'.</p>\n</div></li></ul></div></div></div><div id='method-getTimezone' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getTimezone' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getTimezone' class='name expandable'>getTimezone</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the timezone abbreviation of the current date (equivalent to the format specifier 'T'). ...</div><div class='long'><p>Get the timezone abbreviation of the current date (equivalent to the format specifier 'T').</p>\n\n<p><strong>Note:</strong> The date string returned by the JavaScript Date object's <code>toString()</code> method varies\nbetween browsers (e.g. FF vs IE) and system region settings (e.g. IE in Asia vs IE in America).\nFor a given date string e.g. \"Thu Oct 25 2007 22:55:35 GMT+0800 (Malay Peninsula Standard Time)\",\n<code>getTimezone()</code> first tries to get the timezone abbreviation from between a pair of parentheses\n(which may or may not be present), failing which it proceeds to get the timezone abbreviation\nfrom the GMT offset portion of the date string.</p>\n\n<pre class='inline-example '><code>var dt = new Date('9/17/2011');\nalert(<a href=\"#!/api/Ext.Date-method-getTimezone\" rel=\"Ext.Date-method-getTimezone\" class=\"docClass\">Ext.Date.getTimezone</a>(dt));\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The abbreviated timezone name (e.g. 'CST', 'PDT', 'EDT', 'MPST' ...).</p>\n</div></li></ul></div></div></div><div id='method-getWeekOfYear' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-getWeekOfYear' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-getWeekOfYear' class='name expandable'>getWeekOfYear</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Get the numeric ISO-8601 week number of the year\n(equivalent to the format specifier 'W', but without a leading zero). ...</div><div class='long'><p>Get the numeric ISO-8601 week number of the year\n(equivalent to the format specifier 'W', but without a leading zero).</p>\n\n<pre class='inline-example '><code>var dt = new Date('9/17/2011');\nalert(<a href=\"#!/api/Ext.Date-method-getWeekOfYear\" rel=\"Ext.Date-method-getWeekOfYear\" class=\"docClass\">Ext.Date.getWeekOfYear</a>(dt)); // 37\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>1 to 53.</p>\n</div></li></ul></div></div></div><div id='method-isDST' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-isDST' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-isDST' class='name expandable'>isDST</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the current date is affected by Daylight Saving Time (DST). ...</div><div class='long'><p>Checks if the current date is affected by Daylight Saving Time (DST).</p>\n\n<pre class='inline-example '><code>var dt = new Date('9/17/2011');\nalert(<a href=\"#!/api/Ext.Date-method-isDST\" rel=\"Ext.Date-method-isDST\" class=\"docClass\">Ext.Date.isDST</a>(dt));\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the current date is affected by DST.</p>\n</div></li></ul></div></div></div><div id='method-isLeapYear' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-isLeapYear' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-isLeapYear' class='name expandable'>isLeapYear</a>( <span class='pre'>date</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the current date falls within a leap year. ...</div><div class='long'><p>Checks if the current date falls within a leap year.</p>\n\n<pre class='inline-example '><code>var dt = new Date('1/10/2011');\nalert(<a href=\"#!/api/Ext.Date-method-isLeapYear\" rel=\"Ext.Date-method-isLeapYear\" class=\"docClass\">Ext.Date.isLeapYear</a>(dt)); // false\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>date</span> : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a><div class='sub-desc'><p>The date.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the current date falls within a leap year, <code>false</code> otherwise.</p>\n</div></li></ul></div></div></div><div id='method-isValid' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-isValid' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-isValid' class='name expandable'>isValid</a>( <span class='pre'>year, month, day, [hour], [minute], [second], [millisecond]</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Checks if the passed Date parameters will cause a JavaScript Date \"rollover\". ...</div><div class='long'><p>Checks if the passed Date parameters will cause a JavaScript Date \"rollover\".</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>year</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>4-digit year.</p>\n</div></li><li><span class='pre'>month</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>1-based month-of-year.</p>\n</div></li><li><span class='pre'>day</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>Day of month.</p>\n</div></li><li><span class='pre'>hour</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Hour.</p>\n</div></li><li><span class='pre'>minute</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Minute.</p>\n</div></li><li><span class='pre'>second</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Second.</p>\n</div></li><li><span class='pre'>millisecond</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Millisecond.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the passed parameters do not cause a Date \"rollover\", <code>false</code> otherwise.</p>\n</div></li></ul></div></div></div><div id='method-now' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-now' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-now' class='name expandable'>now</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the current timestamp. ...</div><div class='long'><p>Returns the current timestamp.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The current timestamp.</p>\n</div></li></ul></div></div></div><div id='method-parse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-parse' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-parse' class='name expandable'>parse</a>( <span class='pre'>input, format, [strict]</span> ) : <a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a>/null<span class=\"signature\"></span></div><div class='description'><div class='short'>Parses the passed string using the specified date format. ...</div><div class='long'><p>Parses the passed string using the specified date format.\nNote that this function expects normal calendar dates, meaning that months are 1-based (i.e. 1 = January).\nThe <a href=\"#!/api/Ext.DateExtras-property-defaults\" rel=\"Ext.DateExtras-property-defaults\" class=\"docClass\">defaults</a> hash will be used for any date value (i.e. year, month, day, hour, minute, second or millisecond)\nwhich cannot be found in the passed string. If a corresponding default date value has not been specified in the <a href=\"#!/api/Ext.DateExtras-property-defaults\" rel=\"Ext.DateExtras-property-defaults\" class=\"docClass\">defaults</a> hash,\nthe current date's year, month, day or DST-adjusted zero-hour time value will be used instead.\nKeep in mind that the input date string must precisely match the specified format string\nin order for the parse operation to be successful (failed parse operations return a <code>null</code> value).</p>\n\n<p>Example:</p>\n\n<pre><code>// dt = Fri May 25 2007 (current date)\nvar dt = new Date();\n\n// dt = Thu May 25 2006 (today's month/day in 2006)\ndt = <a href=\"#!/api/Ext.Date-method-parse\" rel=\"Ext.Date-method-parse\" class=\"docClass\">Ext.Date.parse</a>(\"2006\", \"Y\");\n\n// dt = Sun Jan 15 2006 (all date parts specified)\ndt = <a href=\"#!/api/Ext.Date-method-parse\" rel=\"Ext.Date-method-parse\" class=\"docClass\">Ext.Date.parse</a>(\"2006-01-15\", \"Y-m-d\");\n\n// dt = Sun Jan 15 2006 15:20:01\ndt = <a href=\"#!/api/Ext.Date-method-parse\" rel=\"Ext.Date-method-parse\" class=\"docClass\">Ext.Date.parse</a>(\"2006-01-15 3:20:01 PM\", \"Y-m-d g:i:s A\");\n\n// attempt to parse Sun Feb 29 2006 03:20:01 in strict mode\ndt = <a href=\"#!/api/Ext.Date-method-parse\" rel=\"Ext.Date-method-parse\" class=\"docClass\">Ext.Date.parse</a>(\"2006-02-29 03:20:01\", \"Y-m-d H:i:s\", true); // null\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>input</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The raw date string.</p>\n</div></li><li><span class='pre'>format</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The expected date string format.</p>\n</div></li><li><span class='pre'>strict</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>true</code> to validate date strings while parsing (i.e. prevents JavaScript Date \"rollover\").\nInvalid date strings will return <code>null</code> when parsed.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Date\" rel=\"Date\" class=\"docClass\">Date</a>/null</span><div class='sub-desc'><p>The parsed Date, or <code>null</code> if an invalid date string.</p>\n</div></li></ul></div></div></div><div id='method-parseDate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.DateExtras'>Ext.DateExtras</span><br/><a href='source/DateExtras.html#Ext-DateExtras-method-parseDate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.DateExtras-method-parseDate' class='name expandable'>parseDate</a>( <span class='pre'>input, format, strict</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Backwards compat ...</div><div class='long'><p>Backwards compat</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>input</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>format</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>strict</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div></div></div></div></div>","alternateClassNames":[],"autodetected":{"members":true},"aliases":{},"members":[{"meta":{"readonly":true},"owner":"Ext.DateExtras","name":"DAY","id":"property-DAY","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.DateExtras","name":"HOUR","id":"property-HOUR","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.DateExtras","name":"MILLI","id":"property-MILLI","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.DateExtras","name":"MINUTE","id":"property-MINUTE","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.DateExtras","name":"MONTH","id":"property-MONTH","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.DateExtras","name":"SECOND","id":"property-SECOND","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.DateExtras","name":"YEAR","id":"property-YEAR","tagname":"property"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"createParser","id":"property-createParser","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"dayNames","id":"property-dayNames","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"defaultFormat","id":"property-defaultFormat","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"defaults","id":"property-defaults","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"formatCodes","id":"property-formatCodes","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"formatFunctions","id":"property-formatFunctions","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"monthNames","id":"property-monthNames","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"monthNumbers","id":"property-monthNumbers","tagname":"property"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"parseCodes","id":"property-parseCodes","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"parseFunctions","id":"property-parseFunctions","tagname":"property"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"parseRegexes","id":"property-parseRegexes","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"useStrict","id":"property-useStrict","tagname":"property"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"y2kYear","id":"property-y2kYear","tagname":"property"},{"meta":{},"owner":"Ext.DateExtras","name":"add","id":"method-add","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"align","id":"method-align","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"between","id":"method-between","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"clearTime","id":"method-clearTime","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"clone","id":"method-clone","tagname":"method"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"createFormat","id":"method-createFormat","tagname":"method"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"dateFormat","id":"method-dateFormat","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"diff","id":"method-diff","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"format","id":"method-format","tagname":"method"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"formatCodeToRegex","id":"method-formatCodeToRegex","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getDayOfYear","id":"method-getDayOfYear","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getDaysInMonth","id":"method-getDaysInMonth","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getElapsed","id":"method-getElapsed","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getFirstDateOfMonth","id":"method-getFirstDateOfMonth","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getFirstDayOfMonth","id":"method-getFirstDayOfMonth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"getFormatCode","id":"method-getFormatCode","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getGMTOffset","id":"method-getGMTOffset","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getLastDateOfMonth","id":"method-getLastDateOfMonth","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getLastDayOfMonth","id":"method-getLastDayOfMonth","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getMonthNumber","id":"method-getMonthNumber","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getShortDayName","id":"method-getShortDayName","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getShortMonthName","id":"method-getShortMonthName","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getSuffix","id":"method-getSuffix","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getTimezone","id":"method-getTimezone","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"getWeekOfYear","id":"method-getWeekOfYear","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"isDST","id":"method-isDST","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"isLeapYear","id":"method-isLeapYear","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"isValid","id":"method-isValid","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"now","id":"method-now","tagname":"method"},{"meta":{},"owner":"Ext.DateExtras","name":"parse","id":"method-parse","tagname":"method"},{"meta":{"private":true},"owner":"Ext.DateExtras","name":"parseDate","id":"method-parseDate","tagname":"method"}],"short_doc":"Extra methods to be mixed into Ext.Date. ...","meta":{},"superclasses":[],"component":false,"mixins":[],"singleton":true,"name":"Ext.DateExtras","mixedInto":["Ext.Date"],"subclasses":[],"id":"class-Ext.DateExtras","since":"2.0.0","requires":[],"files":[{"filename":"DateExtras.js","href":"DateExtras.html#Ext-DateExtras"}],"tagname":"class"});