Ext.data.JsonP.Ext_data_Operation({"parentMixins":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/Ext.Base' rel='Ext.Base' class='docClass'>Ext.Base</a><div class='subclass '><strong>Ext.data.Operation</strong></div></div><h4>Files</h4><div class='dependency'><a href='source/Operation.html#Ext-data-Operation' target='_blank'>Operation.js</a></div></pre><div class='doc-contents'><p>Represents a single read or write operation performed by a <a href=\"#!/api/Ext.data.proxy.Proxy\" rel=\"Ext.data.proxy.Proxy\" class=\"docClass\">Proxy</a>. Operation objects are\nused to enable communication between Stores and Proxies. Application developers should rarely need to interact with\nOperation objects directly.</p>\n\n<p>Note that when you define an Operation directly, you need to specify at least the <a href=\"#!/api/Ext.data.Operation-cfg-model\" rel=\"Ext.data.Operation-cfg-model\" class=\"docClass\">model</a> configuration.</p>\n\n<p>Several Operations can be batched together in a <a href=\"#!/api/Ext.data.Batch\" rel=\"Ext.data.Batch\" class=\"docClass\">batch</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-action' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-action' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-action' class='name expandable'>action</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The action being performed by this Operation. ...</div><div class='long'><p>The action being performed by this Operation. Should be one of 'create', 'read', 'update' or 'destroy'.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-addRecords' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-addRecords' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-addRecords' class='name expandable'>addRecords</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-batch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-batch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-batch' class='name expandable'>batch</a> : <a href=\"#!/api/Ext.data.Batch\" rel=\"Ext.data.Batch\" class=\"docClass\">Ext.data.Batch</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The batch that this Operation is a part of.</p>\n</div><div class='long'><p>The batch that this Operation is a part of.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-callback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-callback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-callback' class='name expandable'>callback</a> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Function to execute when operation completed. ...</div><div class='long'><p>Function to execute when operation completed.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>records</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a>[]<div class='sub-desc'><p>Array of records.</p>\n\n\n\n</div></li><li><span class='pre'>operation</span> : <a href=\"#!/api/Ext.data.Operation\" rel=\"Ext.data.Operation\" class=\"docClass\">Ext.data.Operation</a><div class='sub-desc'><p>The Operation itself.</p>\n\n\n\n</div></li></ul></div></div></div><div id='cfg-filters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-filters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-filters' class='name expandable'>filters</a> : <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Optional array of filter objects. ...</div><div class='long'><p>Optional array of filter objects. Only applies to 'read' actions.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-group' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-group' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-group' class='name expandable'>group</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Optional grouping configuration. ...</div><div class='long'><p>Optional grouping configuration. Only applies to 'read' actions where grouping is desired.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.data.Operation-cfg-grouper\" rel=\"Ext.data.Operation-cfg-grouper\" class=\"docClass\">grouper</a> instead.</p>\n\n        </div>\n</div></div></div><div id='cfg-grouper' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-grouper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-grouper' class='name expandable'>grouper</a> : <a href=\"#!/api/Ext.util.Grouper\" rel=\"Ext.util.Grouper\" class=\"docClass\">Ext.util.Grouper</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Optional grouping configuration. ...</div><div class='long'><p>Optional grouping configuration. Only applies to 'read' actions where grouping is desired.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-limit' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-limit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-limit' class='name expandable'>limit</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The number of records to load. ...</div><div class='long'><p>The number of records to load. Used on 'read' actions when paging is being used.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-model' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-model' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-model' class='name expandable'>model</a> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The Model that this Operation will be dealing with. ...</div><div class='long'><p>The Model that this Operation will be dealing with. This configuration is required when defining any Operation.\nSince Operations take care of creating, updating, destroying and reading records, it needs access to the Model.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-node' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-node' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-node' class='name expandable'>node</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-page' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-page' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-page' class='name expandable'>page</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-params' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-params' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-params' class='name expandable'>params</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The params send along with this operation. ...</div><div class='long'><p>The params send along with this operation. These usually apply to a Server proxy if you are\ncreating your own custom proxy,</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-records' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-records' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-records' class='name expandable'>records</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The records associated to this operation. ...</div><div class='long'><p>The records associated to this operation. Before an operation starts, these\nare the records you are updating, creating, or destroying. After an operation\nis completed, a Proxy usually sets these records on the Operation to become\nthe processed records. If you don't set these records on your operation in\nyour proxy, then the getter will return the ones defined on the <a href=\"#!/api/Ext.data.Operation-cfg-resultSet\" rel=\"Ext.data.Operation-cfg-resultSet\" class=\"docClass\">resultSet</a></p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-request' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-request' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-request' class='name expandable'>request</a> : <a href=\"#!/api/Ext.data.Request\" rel=\"Ext.data.Request\" class=\"docClass\">Ext.data.Request</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The request used for this Operation. ...</div><div class='long'><p>The request used for this Operation. Operations don't usually care about Request and Response data, but in the\nServerProxy and any of its subclasses they may be useful for further processing.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-response' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-response' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-response' class='name expandable'>response</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The response that was gotten from the server if there was one.</p>\n</div><div class='long'><p>The response that was gotten from the server if there was one.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-resultSet' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-resultSet' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-resultSet' class='name expandable'>resultSet</a> : <a href=\"#!/api/Ext.data.ResultSet\" rel=\"Ext.data.ResultSet\" class=\"docClass\">Ext.data.ResultSet</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The ResultSet for this operation.</p>\n</div><div class='long'><p>The ResultSet for this operation.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-scope' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-scope' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-scope' class='name expandable'>scope</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Scope for the <a href=\"#!/api/Ext.data.Operation-cfg-callback\" rel=\"Ext.data.Operation-cfg-callback\" class=\"docClass\">callback</a> function.</p>\n</div><div class='long'><p>Scope for the <a href=\"#!/api/Ext.data.Operation-cfg-callback\" rel=\"Ext.data.Operation-cfg-callback\" class=\"docClass\">callback</a> function.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-sorters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-sorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-sorters' class='name expandable'>sorters</a> : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Optional array of sorter objects. ...</div><div class='long'><p>Optional array of sorter objects. Only applies to 'read' actions.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-start' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-start' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-start' class='name expandable'>start</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The start index (offset), used in paging when running a 'read' action.</p>\n</div><div class='long'><p>The start index (offset), used in paging when running a 'read' action.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-synchronous' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-synchronous' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-synchronous' class='name expandable'>synchronous</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>True if this Operation is to be executed synchronously. ...</div><div class='long'><p>True if this Operation is to be executed synchronously. This property is inspected by a\n<a href=\"#!/api/Ext.data.Batch\" rel=\"Ext.data.Batch\" class=\"docClass\">Batch</a> to see if a series of Operations can be executed in parallel or not.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-url' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-url' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-url' class='name expandable'>url</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-withCredentials' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-withCredentials' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-cfg-withCredentials' class='name expandable'>withCredentials</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>This field is necessary when using cross-origin resource sharing.</p>\n</div><div class='long'><p>This field is necessary when using cross-origin resource sharing.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance properties</h3><div id='property-complete' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-property-complete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-property-complete' class='name expandable'>complete</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Property tracking the completion status of this Operation. ...</div><div class='long'><p>Property tracking the completion status of this Operation. Use <a href=\"#!/api/Ext.data.Operation-method-isComplete\" rel=\"Ext.data.Operation-method-isComplete\" class=\"docClass\">isComplete</a>.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-error' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-property-error' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-property-error' class='name expandable'>error</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The error object passed when setException was called. ...</div><div class='long'><p>The error object passed when <a href=\"#!/api/Ext.data.Operation-method-setException\" rel=\"Ext.data.Operation-method-setException\" class=\"docClass\">setException</a> was called. This could be any object or primitive.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-exception' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-property-exception' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-property-exception' class='name expandable'>exception</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Property tracking the exception status of this Operation. ...</div><div class='long'><p>Property tracking the exception status of this Operation. Use <a href=\"#!/api/Ext.data.Operation-method-hasException\" rel=\"Ext.data.Operation-method-hasException\" class=\"docClass\">hasException</a> and see <a href=\"#!/api/Ext.data.Operation-method-getError\" rel=\"Ext.data.Operation-method-getError\" class=\"docClass\">getError</a>.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-running' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-property-running' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-property-running' class='name expandable'>running</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Property tracking the run status of this Operation. ...</div><div class='long'><p>Property tracking the run status of this Operation. Use <a href=\"#!/api/Ext.data.Operation-method-isRunning\" rel=\"Ext.data.Operation-method-isRunning\" class=\"docClass\">isRunning</a>.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-self' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-property-self' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-property-self' class='name expandable'>self</a> : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the current class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the current class from which this object was instantiated. Unlike <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>,\n<code>this.self</code> is scope-dependent and it's meant to be used for dynamic inheritance. See <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>\nfor a detailed comparison</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        alert(this.self.speciesName); // dependent on 'this'\n    },\n\n    clone: function() {\n        return new this.self();\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n    statics: {\n        speciesName: 'Snow Leopard'         // My.SnowLeopard.speciesName = 'Snow Leopard'\n    }\n});\n\nvar cat = new My.Cat();                     // alerts 'Cat'\nvar snowLeopard = new My.SnowLeopard();     // alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));             // alerts 'My.SnowLeopard'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-started' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-property-started' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-property-started' class='name expandable'>started</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Property tracking the start status of this Operation. ...</div><div class='long'><p>Property tracking the start status of this Operation. Use <a href=\"#!/api/Ext.data.Operation-method-isStarted\" rel=\"Ext.data.Operation-method-isStarted\" class=\"docClass\">isStarted</a>.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-success' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-property-success' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-property-success' class='name expandable'>success</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>Property tracking whether the Operation was successful or not. ...</div><div class='long'><p>Property tracking whether the Operation was successful or not. This starts as undefined and is set to <code>true</code>\nor <code>false</code> by the Proxy that is executing the Operation. It is also set to false by <a href=\"#!/api/Ext.data.Operation-method-setException\" rel=\"Ext.data.Operation-method-setException\" class=\"docClass\">setException</a>. Use\n<a href=\"#!/api/Ext.data.Operation-method-wasSuccessful\" rel=\"Ext.data.Operation-method-wasSuccessful\" class=\"docClass\">wasSuccessful</a> to query success status.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static properties</h3><div id='static-property-S-onExtended' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-property-S-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-property-S-onExtended' class='name expandable'>$onExtended</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance methods</h3><div id='method-constructor' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/Ext.data.Operation-method-constructor' class='name expandable'>Ext.data.Operation</a>( <span class='pre'>[config]</span> ) : <a href=\"#!/api/Ext.data.Operation\" rel=\"Ext.data.Operation\" class=\"docClass\">Ext.data.Operation</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Creates new Operation object. ...</div><div class='long'><p>Creates new Operation object.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Config object.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Operation\" rel=\"Ext.data.Operation\" class=\"docClass\">Ext.data.Operation</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-allowWrite' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-allowWrite' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-allowWrite' class='name expandable'>allowWrite</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Checks whether this operation should cause writing to occur. ...</div><div class='long'><p>Checks whether this operation should cause writing to occur.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p>Whether the operation should cause a write to occur.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyModel' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-applyModel' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-applyModel' class='name expandable'>applyModel</a>( <span class='pre'>model</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>model</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-callOverridden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callOverridden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callOverridden' class='name expandable'>callOverridden</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the original method that was previously overridden with override,\n\nThis method is deprecated as callParent does ...</div><div class='long'><p>Call the original method that was previously overridden with <a href=\"#!/api/Ext.Base-static-method-override\" rel=\"Ext.Base-static-method-override\" class=\"docClass\">override</a>,</p>\n\n<p>This method is deprecated as <a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a> does the same thing.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callOverridden();\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callOverridden(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the overridden method</p>\n</div></li></ul></div></div></div><div id='method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the \"parent\" method of the current method. ...</div><div class='long'><p>Call the \"parent\" method of the current method. That is the method previously\noverridden by derivation or by an override (see <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>).</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Base', {\n     constructor: function (x) {\n         this.x = x;\n     },\n\n     statics: {\n         method: function (x) {\n             return x;\n         }\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived', {\n     extend: 'My.Base',\n\n     constructor: function () {\n         this.callParent([21]);\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // alerts 21\n</code></pre>\n\n<p>This can be used with an override as follows:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.DerivedOverride', {\n     override: 'My.Derived',\n\n     constructor: function (x) {\n         this.callParent([x*2]); // calls original My.Derived constructor\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // now alerts 42\n</code></pre>\n\n<p>This also works with static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2', {\n     extend: 'My.Base',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Base.method\n         }\n     }\n });\n\n alert(My.Base.method(10));     // alerts 10\n alert(My.Derived2.method(10)); // alerts 20\n</code></pre>\n\n<p>Lastly, it also works with overridden static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2Override', {\n     override: 'My.Derived2',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Derived2.method\n         }\n     }\n });\n\n alert(My.Derived2.method(10)); // now alerts 40\n</code></pre>\n\n<p>To override a method and replace it and also call the superclass method, use\n<a href=\"#!/api/Ext.Base-method-callSuper\" rel=\"Ext.Base-method-callSuper\" class=\"docClass\">callSuper</a>. This is often done to patch a method to fix a bug.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callParent(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the parent method</p>\n</div></li></ul></div></div></div><div id='method-callSuper' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callSuper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callSuper' class='name expandable'>callSuper</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>This method is used by an override to call the superclass method but bypass any\noverridden method. ...</div><div class='long'><p>This method is used by an override to call the superclass method but bypass any\noverridden method. This is often done to \"patch\" a method that contains a bug\nbut for whatever reason cannot be fixed directly.</p>\n\n<p>Consider:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.Class', {\n     method: function () {\n         console.log('Good');\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.DerivedClass', {\n     method: function () {\n         console.log('Bad');\n\n         // ... logic but with a bug ...\n\n         this.callParent();\n     }\n });\n</code></pre>\n\n<p>To patch the bug in <code>DerivedClass.method</code>, the typical solution is to create an\noverride:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('App.paches.DerivedClass', {\n     override: 'Ext.some.DerivedClass',\n\n     method: function () {\n         console.log('Fixed');\n\n         // ... logic but with bug fixed ...\n\n         this.callSuper();\n     }\n });\n</code></pre>\n\n<p>The patch method cannot use <code>callParent</code> to call the superclass <code>method</code> since\nthat would call the overridden method containing the bug. In other words, the\nabove patch would only produce \"Fixed\" then \"Good\" in the console log, whereas,\nusing <code>callParent</code> would produce \"Fixed\" then \"Bad\" then \"Good\".</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callSuper(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the superclass method</p>\n</div></li></ul></div></div></div><div id='method-destroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-method-destroy\" rel=\"Ext.mixin.Observable-method-destroy\" class=\"docClass\">Ext.mixin.Observable.destroy</a>, <a href=\"#!/api/Ext.draw.sprite.Sprite-method-destroy\" rel=\"Ext.draw.sprite.Sprite-method-destroy\" class=\"docClass\">Ext.draw.sprite.Sprite.destroy</a>, <a href=\"#!/api/Ext.Base-method-destroy\" rel=\"Ext.Base-method-destroy\" class=\"docClass\">Ext.Base.destroy</a>, <a href=\"#!/api/Ext.Container-method-destroy\" rel=\"Ext.Container-method-destroy\" class=\"docClass\">Ext.Container.destroy</a>, <a href=\"#!/api/Ext.dataview.DataView-method-destroy\" rel=\"Ext.dataview.DataView-method-destroy\" class=\"docClass\">Ext.dataview.DataView.destroy</a></p></div></div></div><div id='method-findCurrentRecord' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-findCurrentRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-findCurrentRecord' class='name expandable'>findCurrentRecord</a>( <span class='pre'>clientId</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>clientId</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getAction' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-action' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getAction' class='name expandable'>getAction</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of action. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-action\" rel=\"Ext.data.Operation-cfg-action\" class=\"docClass\">action</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getAddRecords' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-addRecords' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getAddRecords' class='name expandable'>getAddRecords</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of addRecords. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-addRecords\" rel=\"Ext.data.Operation-cfg-addRecords\" class=\"docClass\">addRecords</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBatch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-batch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getBatch' class='name expandable'>getBatch</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.data.Batch\" rel=\"Ext.data.Batch\" class=\"docClass\">Ext.data.Batch</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of batch. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-batch\" rel=\"Ext.data.Operation-cfg-batch\" class=\"docClass\">batch</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Batch\" rel=\"Ext.data.Batch\" class=\"docClass\">Ext.data.Batch</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-callback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getCallback' class='name expandable'>getCallback</a>( <span class='pre'></span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of callback. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-callback\" rel=\"Ext.data.Operation-cfg-callback\" class=\"docClass\">callback</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<ul><li><span class='pre'>records</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a>[]<div class='sub-desc'><p>Array of records.</p>\n\n\n\n</div></li><li><span class='pre'>operation</span> : <a href=\"#!/api/Ext.data.Operation\" rel=\"Ext.data.Operation\" class=\"docClass\">Ext.data.Operation</a><div class='sub-desc'><p>The Operation itself.</p>\n\n\n\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getConfig' class='name expandable'>getConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getCurrentConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getCurrentConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getCurrentConfig' class='name expandable'>getCurrentConfig</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getError' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-getError' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getError' class='name expandable'>getError</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the error string or object that was set using setException. ...</div><div class='long'><p>Returns the error string or object that was set using <a href=\"#!/api/Ext.data.Operation-method-setException\" rel=\"Ext.data.Operation-method-setException\" class=\"docClass\">setException</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The error object.</p>\n</div></li></ul></div></div></div><div id='method-getFilters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-filters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getFilters' class='name expandable'>getFilters</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of filters. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-filters\" rel=\"Ext.data.Operation-cfg-filters\" class=\"docClass\">filters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getGrouper' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-grouper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getGrouper' class='name expandable'>getGrouper</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.util.Grouper\" rel=\"Ext.util.Grouper\" class=\"docClass\">Ext.util.Grouper</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of grouper. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-grouper\" rel=\"Ext.data.Operation-cfg-grouper\" class=\"docClass\">grouper</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.Grouper\" rel=\"Ext.util.Grouper\" class=\"docClass\">Ext.util.Grouper</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getInitialConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getInitialConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getInitialConfig' class='name expandable'>getInitialConfig</a>( <span class='pre'>[name]</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the initial configuration passed to constructor. ...</div><div class='long'><p>Returns the initial configuration passed to constructor.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>When supplied, value for particular configuration\noption is returned, otherwise the full config object is returned.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLimit' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-limit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getLimit' class='name expandable'>getLimit</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of limit. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-limit\" rel=\"Ext.data.Operation-cfg-limit\" class=\"docClass\">limit</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getModel' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-model' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getModel' class='name expandable'>getModel</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of model. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-model\" rel=\"Ext.data.Operation-cfg-model\" class=\"docClass\">model</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-node' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getNode' class='name expandable'>getNode</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of node. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-node\" rel=\"Ext.data.Operation-cfg-node\" class=\"docClass\">node</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getPage' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-page' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getPage' class='name expandable'>getPage</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of page. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-page\" rel=\"Ext.data.Operation-cfg-page\" class=\"docClass\">page</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-params' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getParams' class='name expandable'>getParams</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of params. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-params\" rel=\"Ext.data.Operation-cfg-params\" class=\"docClass\">params</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRecords' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-getRecords' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getRecords' class='name expandable'>getRecords</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getRequest' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-request' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getRequest' class='name expandable'>getRequest</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.data.Request\" rel=\"Ext.data.Request\" class=\"docClass\">Ext.data.Request</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of request. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-request\" rel=\"Ext.data.Operation-cfg-request\" class=\"docClass\">request</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Request\" rel=\"Ext.data.Request\" class=\"docClass\">Ext.data.Request</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getResponse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-response' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getResponse' class='name expandable'>getResponse</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of response. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-response\" rel=\"Ext.data.Operation-cfg-response\" class=\"docClass\">response</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getResultSet' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-resultSet' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getResultSet' class='name expandable'>getResultSet</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.data.ResultSet\" rel=\"Ext.data.ResultSet\" class=\"docClass\">Ext.data.ResultSet</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of resultSet. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-resultSet\" rel=\"Ext.data.Operation-cfg-resultSet\" class=\"docClass\">resultSet</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.ResultSet\" rel=\"Ext.data.ResultSet\" class=\"docClass\">Ext.data.ResultSet</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getScope' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-scope' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getScope' class='name expandable'>getScope</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of scope. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-scope\" rel=\"Ext.data.Operation-cfg-scope\" class=\"docClass\">scope</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSorters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-sorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getSorters' class='name expandable'>getSorters</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of sorters. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-sorters\" rel=\"Ext.data.Operation-cfg-sorters\" class=\"docClass\">sorters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getStart' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-start' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getStart' class='name expandable'>getStart</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of start. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-start\" rel=\"Ext.data.Operation-cfg-start\" class=\"docClass\">start</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSynchronous' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-synchronous' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getSynchronous' class='name expandable'>getSynchronous</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of synchronous. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-synchronous\" rel=\"Ext.data.Operation-cfg-synchronous\" class=\"docClass\">synchronous</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getUrl' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-url' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getUrl' class='name expandable'>getUrl</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of url. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-url\" rel=\"Ext.data.Operation-cfg-url\" class=\"docClass\">url</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getWithCredentials' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-withCredentials' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-getWithCredentials' class='name expandable'>getWithCredentials</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of withCredentials. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.data.Operation-cfg-withCredentials\" rel=\"Ext.data.Operation-cfg-withCredentials\" class=\"docClass\">withCredentials</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-hasConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-hasConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-hasConfig' class='name expandable'>hasConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-hasException' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-hasException' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-hasException' class='name expandable'>hasException</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if this Operation encountered an exception (see also getError). ...</div><div class='long'><p>Returns <code>true</code> if this Operation encountered an exception (see also <a href=\"#!/api/Ext.data.Operation-method-getError\" rel=\"Ext.data.Operation-method-getError\" class=\"docClass\">getError</a>).</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if there was an exception.</p>\n</div></li></ul></div></div></div><div id='method-initConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-initConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-initConfig' class='name expandable'>initConfig</a>( <span class='pre'>instanceConfig</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Initialize configuration for this class. ...</div><div class='long'><p>Initialize configuration for this class. a typical example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Class', {\n    // The default config\n    config: {\n        name: 'Awesome',\n        isAwesome: true\n    },\n\n    constructor: function(config) {\n        this.initConfig(config);\n    }\n});\n\nvar awesome = new My.awesome.Class({\n    name: 'Super Awesome'\n});\n\nalert(awesome.getName()); // 'Super Awesome'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>instanceConfig</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>mixins The mixin prototypes as key - value pairs</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isComplete' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-isComplete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-isComplete' class='name expandable'>isComplete</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if the Operation has been completed ...</div><div class='long'><p>Returns <code>true</code> if the Operation has been completed</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the Operation is complete</p>\n</div></li></ul></div></div></div><div id='method-isRunning' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-isRunning' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-isRunning' class='name expandable'>isRunning</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if the Operation has been started but has not yet completed. ...</div><div class='long'><p>Returns <code>true</code> if the Operation has been started but has not yet completed.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the Operation is currently running</p>\n</div></li></ul></div></div></div><div id='method-isStarted' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-isStarted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-isStarted' class='name expandable'>isStarted</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if the Operation has been started. ...</div><div class='long'><p>Returns <code>true</code> if the Operation has been started. Note that the Operation may have started AND completed, see\n<a href=\"#!/api/Ext.data.Operation-method-isRunning\" rel=\"Ext.data.Operation-method-isRunning\" class=\"docClass\">isRunning</a> to test if the Operation is currently running.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the Operation has started</p>\n</div></li></ul></div></div></div><div id='method-link' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-link' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-link' class='name expandable'>link</a>( <span class='pre'>name, value</span> ) : Mixed<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-onConfigUpdate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-onConfigUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-onConfigUpdate' class='name expandable'>onConfigUpdate</a>( <span class='pre'>names, callback, scope</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>names</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-process' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-process' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-process' class='name expandable'>process</a>( <span class='pre'>action, resultSet, request, response</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>action</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>resultSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>request</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>response</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-processCreate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-processCreate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-processCreate' class='name expandable'>processCreate</a>( <span class='pre'>resultSet</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>resultSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-processDestroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-processDestroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-processDestroy' class='name expandable'>processDestroy</a>( <span class='pre'>resultSet</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>resultSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-processRead' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-processRead' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-processRead' class='name expandable'>processRead</a>( <span class='pre'>resultSet</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>resultSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-processUpdate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-processUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-processUpdate' class='name expandable'>processUpdate</a>( <span class='pre'>resultSet</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>resultSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setAction' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-action' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setAction' class='name expandable'>setAction</a>( <span class='pre'>action</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of action. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-action\" rel=\"Ext.data.Operation-cfg-action\" class=\"docClass\">action</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>action</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setAddRecords' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-addRecords' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setAddRecords' class='name expandable'>setAddRecords</a>( <span class='pre'>addRecords</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of addRecords. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-addRecords\" rel=\"Ext.data.Operation-cfg-addRecords\" class=\"docClass\">addRecords</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>addRecords</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setBatch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-batch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setBatch' class='name expandable'>setBatch</a>( <span class='pre'>batch</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of batch. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-batch\" rel=\"Ext.data.Operation-cfg-batch\" class=\"docClass\">batch</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>batch</span> : <a href=\"#!/api/Ext.data.Batch\" rel=\"Ext.data.Batch\" class=\"docClass\">Ext.data.Batch</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-callback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setCallback' class='name expandable'>setCallback</a>( <span class='pre'>callback</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of callback. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-callback\" rel=\"Ext.data.Operation-cfg-callback\" class=\"docClass\">callback</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>callback</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'>\n</div></li></ul><ul><li><span class='pre'>records</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a>[]<div class='sub-desc'><p>Array of records.</p>\n\n\n\n</div></li><li><span class='pre'>operation</span> : <a href=\"#!/api/Ext.data.Operation\" rel=\"Ext.data.Operation\" class=\"docClass\">Ext.data.Operation</a><div class='sub-desc'><p>The Operation itself.</p>\n\n\n\n</div></li></ul></div></div></div><div id='method-setCompleted' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-setCompleted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setCompleted' class='name expandable'>setCompleted</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Marks the Operation as completed. ...</div><div class='long'><p>Marks the Operation as completed.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='method-setConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-setConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-setConfig' class='name expandable'>setConfig</a>( <span class='pre'>config, applyIfNotSet</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>applyIfNotSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setException' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-setException' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setException' class='name expandable'>setException</a>( <span class='pre'>[error]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Marks the Operation as having experienced an exception. ...</div><div class='long'><p>Marks the Operation as having experienced an exception. Can be supplied with an option error message/object.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>error</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>error string/object</p>\n</div></li></ul></div></div></div><div id='method-setFilters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-filters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setFilters' class='name expandable'>setFilters</a>( <span class='pre'>filters</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of filters. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-filters\" rel=\"Ext.data.Operation-cfg-filters\" class=\"docClass\">filters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>filters</span> : <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setGrouper' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-grouper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setGrouper' class='name expandable'>setGrouper</a>( <span class='pre'>grouper</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of grouper. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-grouper\" rel=\"Ext.data.Operation-cfg-grouper\" class=\"docClass\">grouper</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>grouper</span> : <a href=\"#!/api/Ext.util.Grouper\" rel=\"Ext.util.Grouper\" class=\"docClass\">Ext.util.Grouper</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLimit' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-limit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setLimit' class='name expandable'>setLimit</a>( <span class='pre'>limit</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of limit. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-limit\" rel=\"Ext.data.Operation-cfg-limit\" class=\"docClass\">limit</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>limit</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setModel' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-model' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setModel' class='name expandable'>setModel</a>( <span class='pre'>model</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of model. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-model\" rel=\"Ext.data.Operation-cfg-model\" class=\"docClass\">model</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>model</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-node' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setNode' class='name expandable'>setNode</a>( <span class='pre'>node</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of node. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-node\" rel=\"Ext.data.Operation-cfg-node\" class=\"docClass\">node</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>node</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setPage' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-page' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setPage' class='name expandable'>setPage</a>( <span class='pre'>page</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of page. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-page\" rel=\"Ext.data.Operation-cfg-page\" class=\"docClass\">page</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>page</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-params' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setParams' class='name expandable'>setParams</a>( <span class='pre'>params</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of params. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-params\" rel=\"Ext.data.Operation-cfg-params\" class=\"docClass\">params</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>params</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRecords' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-records' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setRecords' class='name expandable'>setRecords</a>( <span class='pre'>records</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of records. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-records\" rel=\"Ext.data.Operation-cfg-records\" class=\"docClass\">records</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>records</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRequest' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-request' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setRequest' class='name expandable'>setRequest</a>( <span class='pre'>request</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of request. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-request\" rel=\"Ext.data.Operation-cfg-request\" class=\"docClass\">request</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>request</span> : <a href=\"#!/api/Ext.data.Request\" rel=\"Ext.data.Request\" class=\"docClass\">Ext.data.Request</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setResponse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-response' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setResponse' class='name expandable'>setResponse</a>( <span class='pre'>response</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of response. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-response\" rel=\"Ext.data.Operation-cfg-response\" class=\"docClass\">response</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>response</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setResultSet' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-resultSet' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setResultSet' class='name expandable'>setResultSet</a>( <span class='pre'>resultSet</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of resultSet. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-resultSet\" rel=\"Ext.data.Operation-cfg-resultSet\" class=\"docClass\">resultSet</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>resultSet</span> : <a href=\"#!/api/Ext.data.ResultSet\" rel=\"Ext.data.ResultSet\" class=\"docClass\">Ext.data.ResultSet</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setScope' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-scope' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setScope' class='name expandable'>setScope</a>( <span class='pre'>scope</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of scope. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-scope\" rel=\"Ext.data.Operation-cfg-scope\" class=\"docClass\">scope</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setSorters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-sorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setSorters' class='name expandable'>setSorters</a>( <span class='pre'>sorters</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of sorters. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-sorters\" rel=\"Ext.data.Operation-cfg-sorters\" class=\"docClass\">sorters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorters</span> : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setStart' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-start' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setStart' class='name expandable'>setStart</a>( <span class='pre'>start</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of start. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-start\" rel=\"Ext.data.Operation-cfg-start\" class=\"docClass\">start</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>start</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setStarted' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-setStarted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setStarted' class='name expandable'>setStarted</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Marks the Operation as started. ...</div><div class='long'><p>Marks the Operation as started.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='method-setSuccessful' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-setSuccessful' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setSuccessful' class='name expandable'>setSuccessful</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Marks the Operation as successful. ...</div><div class='long'><p>Marks the Operation as successful.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='method-setSynchronous' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-synchronous' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setSynchronous' class='name expandable'>setSynchronous</a>( <span class='pre'>synchronous</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of synchronous. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-synchronous\" rel=\"Ext.data.Operation-cfg-synchronous\" class=\"docClass\">synchronous</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>synchronous</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setUrl' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-url' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setUrl' class='name expandable'>setUrl</a>( <span class='pre'>url</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of url. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-url\" rel=\"Ext.data.Operation-cfg-url\" class=\"docClass\">url</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>url</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setWithCredentials' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-cfg-withCredentials' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-setWithCredentials' class='name expandable'>setWithCredentials</a>( <span class='pre'>withCredentials</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of withCredentials. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.data.Operation-cfg-withCredentials\" rel=\"Ext.data.Operation-cfg-withCredentials\" class=\"docClass\">withCredentials</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>withCredentials</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-statics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-statics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-statics' class='name expandable'>statics</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the class from which this object was instantiated. Note that unlike <a href=\"#!/api/Ext.Base-property-self\" rel=\"Ext.Base-property-self\" class=\"docClass\">self</a>,\n<code>this.statics()</code> is scope-independent and it always returns the class from which it was called, regardless of what\n<code>this</code> points to during run-time</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        totalCreated: 0,\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        var statics = this.statics();\n\n        alert(statics.speciesName);     // always equals to 'Cat' no matter what 'this' refers to\n                                        // equivalent to: My.Cat.speciesName\n\n        alert(this.self.speciesName);   // dependent on 'this'\n\n        statics.totalCreated++;\n    },\n\n    clone: function() {\n        var cloned = new this.self();                    // dependent on 'this'\n\n        cloned.groupName = this.statics().speciesName;   // equivalent to: My.Cat.speciesName\n\n        return cloned;\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n\n    statics: {\n        speciesName: 'Snow Leopard'     // My.SnowLeopard.speciesName = 'Snow Leopard'\n    },\n\n    constructor: function() {\n        this.callParent();\n    }\n});\n\nvar cat = new My.Cat();                 // alerts 'Cat', then alerts 'Cat'\n\nvar snowLeopard = new My.SnowLeopard(); // alerts 'Cat', then alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));         // alerts 'My.SnowLeopard'\nalert(clone.groupName);                 // alerts 'Cat'\n\nalert(My.Cat.totalCreated);             // alerts 3\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-unlink' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-unlink' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-unlink' class='name expandable'>unlink</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateRecord' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-updateRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-updateRecord' class='name expandable'>updateRecord</a>( <span class='pre'>currentRecord, updatedRecord</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>currentRecord</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>updatedRecord</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-wasSuccessful' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.Operation'>Ext.data.Operation</span><br/><a href='source/Operation.html#Ext-data-Operation-method-wasSuccessful' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.Operation-method-wasSuccessful' class='name expandable'>wasSuccessful</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if the Operation has completed and was successful ...</div><div class='long'><p>Returns <code>true</code> if the Operation has completed and was successful</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if successful</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-addConfig' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addConfig' class='name expandable'>addConfig</a>( <span class='pre'>config, fullMerge</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fullMerge</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addInheritableStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addInheritableStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addInheritableStatics' class='name expandable'>addInheritableStatics</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMember' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMember' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMember' class='name expandable'>addMember</a>( <span class='pre'>name, member</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>member</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMembers' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMembers' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMembers' class='name expandable'>addMembers</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add methods / properties to the prototype of this class. ...</div><div class='long'><p>Add methods / properties to the prototype of this class.</p>\n\n<pre class='inline-example '><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Cat', {\n    constructor: function() {\n        // ...\n    }\n});\n\n My.awesome.Cat.addMembers({\n     meow: function() {\n        alert('Meowww...');\n     }\n });\n\n var kitty = new My.awesome.Cat();\n kitty.meow();\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-addStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addStatics' class='name expandable'>addStatics</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add / override static properties of this class. ...</div><div class='long'><p>Add / override static properties of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // this.se\n});\n\nMy.cool.Class.addStatics({\n    someProperty: 'someValue',      // My.cool.Class.someProperty = 'someValue'\n    method1: function() {  },    // My.cool.Class.method1 = function() { ... };\n    method2: function() {  }     // My.cool.Class.method2 = function() { ... };\n});\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-addXtype' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addXtype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addXtype' class='name expandable'>addXtype</a>( <span class='pre'>xtype</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>xtype</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-borrow' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-borrow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-borrow' class='name expandable'>borrow</a>( <span class='pre'>fromClass, members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Borrow another class' members to the prototype of this class. ...</div><div class='long'><p>Borrow another class' members to the prototype of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Bank', {\n    money: '$$$',\n    printMoney: function() {\n        alert('$$$$$$$');\n    }\n});\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Thief', {\n    // ...\n});\n\nThief.borrow(Bank, ['money', 'printMoney']);\n\nvar steve = new Thief();\n\nalert(steve.money); // alerts '$$$'\nsteve.printMoney(); // alerts '$$$$$$$'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fromClass</span> : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><div class='sub-desc'><p>The class to borrow members from</p>\n</div></li><li><span class='pre'>members</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The names of the members to borrow</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> )<span class=\"signature\"><span class='protected' >protected</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-create' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-create' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-create' class='name expandable'>create</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create a new instance of this Class. ...</div><div class='long'><p>Create a new instance of this Class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // ...\n});\n\nMy.cool.Class.create({\n    someConfig: true\n});\n</code></pre>\n\n<p>All parameters are passed to the constructor of the class.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>the created instance.</p>\n</div></li></ul></div></div></div><div id='static-method-createAlias' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-createAlias' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-createAlias' class='name expandable'>createAlias</a>( <span class='pre'>alias, origin</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create aliases for existing prototype methods. ...</div><div class='long'><p>Create aliases for existing prototype methods. Example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    method1: function() {  },\n    method2: function() {  }\n});\n\nvar test = new My.cool.Class();\n\nMy.cool.Class.createAlias({\n    method3: 'method1',\n    method4: 'method2'\n});\n\ntest.method3(); // test.method1()\n\nMy.cool.Class.createAlias('method5', 'method3');\n\ntest.method5(); // test.method3() -&gt; test.method1()\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>alias</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new method name, or an object to set multiple aliases. See\n<a href=\"#!/api/Ext.Function-method-flexSetter\" rel=\"Ext.Function-method-flexSetter\" class=\"docClass\">flexSetter</a></p>\n</div></li><li><span class='pre'>origin</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The original method name</p>\n</div></li></ul></div></div></div><div id='static-method-extend' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-extend' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-extend' class='name expandable'>extend</a>( <span class='pre'>parent</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>parent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-getName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-getName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-getName' class='name expandable'>getName</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Get the current class' name in string format. ...</div><div class='long'><p>Get the current class' name in string format.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    constructor: function() {\n        alert(this.self.getName()); // alerts 'My.cool.Class'\n    }\n});\n\nMy.cool.Class.getName(); // 'My.cool.Class'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>className</p>\n</div></li></ul></div></div></div><div id='static-method-implement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-implement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-implement' class='name expandable'>implement</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='static-method-mixin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-mixin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-mixin' class='name expandable'>mixin</a>( <span class='pre'>name, mixinClass</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Used internally by the mixins pre-processor ...</div><div class='long'><p>Used internally by the mixins pre-processor</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>mixinClass</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-onExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-onExtended' class='name expandable'>onExtended</a>( <span class='pre'>fn, scope</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-override' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-override' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-override' class='name expandable'>override</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='deprecated' >deprecated</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Override members of this class. ...</div><div class='long'><p>Override members of this class. Overridden methods can be invoked via\n<a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a>.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n\n<p>As of 2.1, direct use of this method is deprecated. Use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>\ninstead:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.CatOverride', {\n    override: 'My.Cat',\n\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n</code></pre>\n\n<p>The above accomplishes the same result but can be managed by the <a href=\"#!/api/Ext.Loader\" rel=\"Ext.Loader\" class=\"docClass\">Ext.Loader</a>\nwhich can properly order the override and its target class and the build process\ncan determine whether the override is needed based on the required state of the\ntarget class (My.Cat).</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.1.0</p>\n        <p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The properties to add to this class. This should be\nspecified as an object literal containing one or more properties.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this class</p>\n</div></li></ul></div></div></div><div id='static-method-triggerExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-triggerExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-triggerExtended' class='name expandable'>triggerExtended</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div></div></div>","alternateClassNames":[],"autodetected":{"uses":true,"alternateClassNames":true,"aliases":true,"members":true,"mixins":true,"extends":true,"code_type":true,"requires":true},"aliases":{},"members":[{"meta":{},"owner":"Ext.data.Operation","name":"action","id":"cfg-action","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"addRecords","id":"cfg-addRecords","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"batch","id":"cfg-batch","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"callback","id":"cfg-callback","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"filters","id":"cfg-filters","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.data.Operation-cfg-grouper\" rel=\"Ext.data.Operation-cfg-grouper\" class=\"docClass\">grouper</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.data.Operation","name":"group","id":"cfg-group","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"grouper","id":"cfg-grouper","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"limit","id":"cfg-limit","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"model","id":"cfg-model","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"node","id":"cfg-node","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"page","id":"cfg-page","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"params","id":"cfg-params","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"records","id":"cfg-records","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"request","id":"cfg-request","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"response","id":"cfg-response","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"resultSet","id":"cfg-resultSet","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"scope","id":"cfg-scope","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"sorters","id":"cfg-sorters","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"start","id":"cfg-start","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"synchronous","id":"cfg-synchronous","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"url","id":"cfg-url","tagname":"cfg"},{"meta":{},"owner":"Ext.data.Operation","name":"withCredentials","id":"cfg-withCredentials","tagname":"cfg"},{"meta":{"readonly":true,"private":true},"owner":"Ext.data.Operation","name":"complete","id":"property-complete","tagname":"property"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"error","id":"property-error","tagname":"property"},{"meta":{"readonly":true,"private":true},"owner":"Ext.data.Operation","name":"exception","id":"property-exception","tagname":"property"},{"meta":{"readonly":true,"private":true},"owner":"Ext.data.Operation","name":"running","id":"property-running","tagname":"property"},{"meta":{"protected":true},"owner":"Ext.Base","name":"self","id":"property-self","tagname":"property"},{"meta":{"readonly":true,"private":true},"owner":"Ext.data.Operation","name":"started","id":"property-started","tagname":"property"},{"meta":{"readonly":true,"private":true},"owner":"Ext.data.Operation","name":"success","id":"property-success","tagname":"property"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"$onExtended","id":"static-property-S-onExtended","tagname":"property"},{"meta":{},"owner":"Ext.data.Operation","name":"constructor","id":"method-constructor","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"allowWrite","id":"method-allowWrite","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"applyModel","id":"method-applyModel","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callOverridden","id":"method-callOverridden","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callParent","id":"method-callParent","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callSuper","id":"method-callSuper","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"destroy","id":"method-destroy","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"findCurrentRecord","id":"method-findCurrentRecord","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getAction","id":"method-getAction","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getAddRecords","id":"method-getAddRecords","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getBatch","id":"method-getBatch","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getCallback","id":"method-getCallback","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getConfig","id":"method-getConfig","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getCurrentConfig","id":"method-getCurrentConfig","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getError","id":"method-getError","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getFilters","id":"method-getFilters","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getGrouper","id":"method-getGrouper","tagname":"method"},{"meta":{},"owner":"Ext.Base","name":"getInitialConfig","id":"method-getInitialConfig","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getLimit","id":"method-getLimit","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getModel","id":"method-getModel","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getNode","id":"method-getNode","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getPage","id":"method-getPage","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getParams","id":"method-getParams","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"getRecords","id":"method-getRecords","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getRequest","id":"method-getRequest","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getResponse","id":"method-getResponse","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getResultSet","id":"method-getResultSet","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getScope","id":"method-getScope","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getSorters","id":"method-getSorters","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getStart","id":"method-getStart","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getSynchronous","id":"method-getSynchronous","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getUrl","id":"method-getUrl","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"getWithCredentials","id":"method-getWithCredentials","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"hasConfig","id":"method-hasConfig","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"hasException","id":"method-hasException","tagname":"method"},{"meta":{"protected":true,"chainable":true},"owner":"Ext.Base","name":"initConfig","id":"method-initConfig","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"isComplete","id":"method-isComplete","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"isRunning","id":"method-isRunning","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"isStarted","id":"method-isStarted","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"link","id":"method-link","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"onConfigUpdate","id":"method-onConfigUpdate","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"process","id":"method-process","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"processCreate","id":"method-processCreate","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"processDestroy","id":"method-processDestroy","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"processRead","id":"method-processRead","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"processUpdate","id":"method-processUpdate","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setAction","id":"method-setAction","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setAddRecords","id":"method-setAddRecords","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setBatch","id":"method-setBatch","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setCallback","id":"method-setCallback","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setCompleted","id":"method-setCompleted","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"setConfig","id":"method-setConfig","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setException","id":"method-setException","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setFilters","id":"method-setFilters","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setGrouper","id":"method-setGrouper","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setLimit","id":"method-setLimit","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setModel","id":"method-setModel","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setNode","id":"method-setNode","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setPage","id":"method-setPage","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setParams","id":"method-setParams","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setRecords","id":"method-setRecords","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setRequest","id":"method-setRequest","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setResponse","id":"method-setResponse","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setResultSet","id":"method-setResultSet","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setScope","id":"method-setScope","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setSorters","id":"method-setSorters","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setStart","id":"method-setStart","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setStarted","id":"method-setStarted","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setSuccessful","id":"method-setSuccessful","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setSynchronous","id":"method-setSynchronous","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setUrl","id":"method-setUrl","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"setWithCredentials","id":"method-setWithCredentials","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"statics","id":"method-statics","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"unlink","id":"method-unlink","tagname":"method"},{"meta":{"private":true},"owner":"Ext.data.Operation","name":"updateRecord","id":"method-updateRecord","tagname":"method"},{"meta":{},"owner":"Ext.data.Operation","name":"wasSuccessful","id":"method-wasSuccessful","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"addConfig","id":"static-method-addConfig","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addInheritableStatics","id":"static-method-addInheritableStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addMember","id":"static-method-addMember","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addMembers","id":"static-method-addMembers","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addStatics","id":"static-method-addStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addXtype","id":"static-method-addXtype","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"borrow","id":"static-method-borrow","tagname":"method"},{"meta":{"protected":true,"static":true},"owner":"Ext.Base","name":"callParent","id":"static-method-callParent","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"create","id":"static-method-create","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"createAlias","id":"static-method-createAlias","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"extend","id":"static-method-extend","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"getName","id":"static-method-getName","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"implement","id":"static-method-implement","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"mixin","id":"static-method-mixin","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"onExtended","id":"static-method-onExtended","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n","version":"2.1.0"},"static":true,"chainable":true},"owner":"Ext.Base","name":"override","id":"static-method-override","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"triggerExtended","id":"static-method-triggerExtended","tagname":"method"}],"author":[{"name":"Ed Spencer","email":null,"tagname":"author"}],"short_doc":"Represents a single read or write operation performed by a Proxy. ...","meta":{},"superclasses":["Ext.Base"],"component":false,"mixins":[],"extends":"Ext.Base","name":"Ext.data.Operation","mixedInto":[],"subclasses":[],"id":"class-Ext.data.Operation","code_type":"ext_define","since":"1.1.0","requires":[],"files":[{"filename":"Operation.js","href":"Operation.html#Ext-data-Operation"}],"tagname":"class"});