Ext.data.JsonP.Ext_data_StoreManager({"parentMixins":["Ext.mixin.Filterable","Ext.mixin.Sortable"],"aside":[{"type":"guide","name":"stores","tagname":"aside"}],"uses":["Ext.data.ArrayStore","Ext.data.Store"],"html":"<div><pre class=\"hierarchy\"><h4>Alternate names</h4><div class='alternate-class-name'>Ext.StoreManager</div><div class='alternate-class-name'>Ext.StoreMgr</div><div class='alternate-class-name'>Ext.data.StoreMgr</div><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/Ext.Base' rel='Ext.Base' class='docClass'>Ext.Base</a><div class='subclass '><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='docClass'>Ext.util.Collection</a><div class='subclass '><strong>Ext.data.StoreManager</strong></div></div></div><h4>Inherited mixins</h4><div class='dependency'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='docClass'>Ext.mixin.Filterable</a></div><div class='dependency'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='docClass'>Ext.mixin.Sortable</a></div><h4>Uses</h4><div class='dependency'><a href='#!/api/Ext.data.ArrayStore' rel='Ext.data.ArrayStore' class='docClass'>Ext.data.ArrayStore</a></div><div class='dependency'><a href='#!/api/Ext.data.Store' rel='Ext.data.Store' class='docClass'>Ext.data.Store</a></div><h4>Files</h4><div class='dependency'><a href='source/StoreManager.html#Ext-data-StoreManager' target='_blank'>StoreManager.js</a></div></pre><div class='doc-contents'>            <div class='aside guide'>\n              <h4>Guide</h4>\n              <p><a href='#!/guide/stores'><img src='guides/stores/icon.png' alt=''> Using Stores</a></p>\n            </div>\n<p>Contains a collection of all stores that are created that have an identifier. An identifier can be assigned by\nsetting the <a href=\"#!/api/Ext.data.Store-cfg-storeId\" rel=\"Ext.data.Store-cfg-storeId\" class=\"docClass\">storeId</a> property. When a store is in the StoreManager, it can be\nreferred to via it's identifier:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Ext.data.Store</a>', {\n    model: 'SomeModel',\n    storeId: 'myStore'\n});\n\nvar store = <a href=\"#!/api/Ext.data.StoreManager-method-lookup\" rel=\"Ext.data.StoreManager-method-lookup\" class=\"docClass\">Ext.data.StoreManager.lookup</a>('myStore');\n</code></pre>\n\n<p>Also note that the <a href=\"#!/api/Ext.data.StoreManager-method-lookup\" rel=\"Ext.data.StoreManager-method-lookup\" class=\"docClass\">lookup</a> method is aliased to <a href=\"#!/api/Ext-method-getStore\" rel=\"Ext-method-getStore\" class=\"docClass\">Ext.getStore</a> for convenience.</p>\n\n<p>If a store is registered with the StoreManager, you can also refer to the store by it's identifier when registering\nit with any Component that consumes data from a store:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Ext.data.Store</a>', {\n    model: 'SomeModel',\n    storeId: 'myStore'\n});\n\n<a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('Ext.view.View', {\n    store: 'myStore'\n    // other configuration here\n});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-autoFilter' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-autoFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-cfg-autoFilter' class='name expandable'>autoFilter</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-autoSort' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-autoSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-cfg-autoSort' class='name expandable'>autoSort</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-defaultSortDirection' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-defaultSortDirection' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-cfg-defaultSortDirection' class='name expandable'>defaultSortDirection</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The default sort direction to use if one is not specified. ...</div><div class='long'><p>The default sort direction to use if one is not specified.</p>\n<p>Defaults to: <code>&quot;ASC&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-filterRoot' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-cfg-filterRoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-cfg-filterRoot' class='name expandable'>filterRoot</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The root inside each item in which the properties exist that we want to filter on. ...</div><div class='long'><p>The root inside each item in which the properties exist that we want to filter on.\nThis is useful for filtering records in which the data exists inside a 'data' property.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-filters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-filters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-cfg-filters' class='name expandable'>filters</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Array of <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Filters</a> for this collection.</p>\n</div><div class='long'><p>Array of <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Filters</a> for this collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Filterable-cfg-filters\" rel=\"Ext.mixin.Filterable-cfg-filters\" class=\"docClass\">Ext.mixin.Filterable.filters</a></p></div></div></div><div id='cfg-sortRoot' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-sortRoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-cfg-sortRoot' class='name expandable'>sortRoot</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The root inside each item in which the properties exist that we want to sort on. ...</div><div class='long'><p>The root inside each item in which the properties exist that we want to sort on.\nThis is useful for sorting records in which the data exists inside a <code>data</code> property.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-sorters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-sorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-cfg-sorters' class='name expandable'>sorters</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Array of <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Sorters</a> for this collection.</p>\n</div><div class='long'><p>Array of <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Sorters</a> for this collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Sortable-cfg-sorters\" rel=\"Ext.mixin.Sortable-cfg-sorters\" class=\"docClass\">Ext.mixin.Sortable.sorters</a></p></div></div></div></div></div><div class='members-section'><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance properties</h3><div id='property-all' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-property-all' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-property-all' class='name expandable'>all</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An array containing all the items (unsorted, unfiltered) ...</div><div class='long'><p>An array containing all the items (unsorted, unfiltered)</p>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-currentSortFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-property-currentSortFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-property-currentSortFn' class='name expandable'>currentSortFn</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>This is the cached sorting function which is a generated function that calls all the\nconfigured sorters in the correc...</div><div class='long'><p>This is the cached sorting function which is a generated function that calls all the\nconfigured sorters in the correct order.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Sortable-property-currentSortFn\" rel=\"Ext.mixin.Sortable-property-currentSortFn\" class=\"docClass\">Ext.mixin.Sortable.currentSortFn</a></p></div></div></div><div id='property-dirtyFilterFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-property-dirtyFilterFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-property-dirtyFilterFn' class='name expandable'>dirtyFilterFn</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>A flag indicating whether the currently cashed filter function is still valid. ...</div><div class='long'><p>A flag indicating whether the currently cashed filter function is still valid.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-dirtySortFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-property-dirtySortFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-property-dirtySortFn' class='name expandable'>dirtySortFn</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>A flag indicating whether the currently cashed sort function is still valid. ...</div><div class='long'><p>A flag indicating whether the currently cashed sort function is still valid.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-filtered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-property-filtered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-property-filtered' class='name expandable'>filtered</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>A read-only flag indicating if this object is filtered. ...</div><div class='long'><p>A read-only flag indicating if this object is filtered.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-indices' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-property-indices' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-property-indices' class='name expandable'>indices</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object used as map to get a sorted and filtered index of an item ...</div><div class='long'><p>An object used as map to get a sorted and filtered index of an item</p>\n<p>Defaults to: <code>{}</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-items' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-property-items' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-property-items' class='name expandable'>items</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An array containing the filtered items (sorted) ...</div><div class='long'><p>An array containing the filtered items (sorted)</p>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-keys' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-property-keys' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-property-keys' class='name expandable'>keys</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An array containing all the filtered keys (sorted) ...</div><div class='long'><p>An array containing all the filtered keys (sorted)</p>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-length' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-property-length' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-property-length' class='name expandable'>length</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The count of items in the collection filtered and sorted ...</div><div class='long'><p>The count of items in the collection filtered and sorted</p>\n<p>Defaults to: <code>0</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-map' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-property-map' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-property-map' class='name expandable'>map</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object used as map to get an object based on its key ...</div><div class='long'><p>An object used as map to get an object based on its key</p>\n<p>Defaults to: <code>{}</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-mixinConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-property-mixinConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-property-mixinConfig' class='name expandable'>mixinConfig</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>{id: 'filterable'}</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Sortable-property-mixinConfig\" rel=\"Ext.mixin.Sortable-property-mixinConfig\" class=\"docClass\">Ext.mixin.Sortable.mixinConfig</a></p></div></div></div><div id='property-self' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-property-self' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-property-self' class='name expandable'>self</a> : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the current class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the current class from which this object was instantiated. Unlike <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>,\n<code>this.self</code> is scope-dependent and it's meant to be used for dynamic inheritance. See <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>\nfor a detailed comparison</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        alert(this.self.speciesName); // dependent on 'this'\n    },\n\n    clone: function() {\n        return new this.self();\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n    statics: {\n        speciesName: 'Snow Leopard'         // My.SnowLeopard.speciesName = 'Snow Leopard'\n    }\n});\n\nvar cat = new My.Cat();                     // alerts 'Cat'\nvar snowLeopard = new My.SnowLeopard();     // alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));             // alerts 'My.SnowLeopard'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-sorted' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-property-sorted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-property-sorted' class='name expandable'>sorted</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'>A read-only flag indicating if this object is sorted. ...</div><div class='long'><p>A read-only flag indicating if this object is sorted.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static properties</h3><div id='static-property-S-onExtended' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-property-S-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-property-S-onExtended' class='name expandable'>$onExtended</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance methods</h3><div id='method-constructor' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/Ext.util.Collection-method-constructor' class='name expandable'>Ext.data.StoreManager</a>( <span class='pre'>keyFn, config</span> ) : <a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a><span class=\"signature\"></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>keyFn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-add' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-add' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-add' class='name expandable'>add</a>( <span class='pre'>key, item</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Adds an item to the collection. ...</div><div class='long'><p>Adds an item to the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The key to associate with the item, or the new item.</p>\n\n<p>If a <a href=\"#!/api/Ext.util.Collection-method-getKey\" rel=\"Ext.util.Collection-method-getKey\" class=\"docClass\">getKey</a> implementation was specified for this MixedCollection, or if the key of the stored items is\nin a property called <strong>id</strong>, the MixedCollection will be able to <em>derive</em> the key for the new item. In this case\njust pass the new item in this parameter.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item to add.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The item added.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addAll' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-addAll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-addAll' class='name expandable'>addAll</a>( <span class='pre'>addItems</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds all elements of an Array or an Object to the collection. ...</div><div class='long'><p>Adds all elements of an Array or an Object to the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>addItems</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>An Object containing properties which will be added to the collection, or an Array of\nvalues, each of which are added to the collection. Functions references will be added to the collection if {@link}\n<a href=\"#!/api/Ext.util.MixedCollection-cfg-allowFunctions\" rel=\"Ext.util.MixedCollection-cfg-allowFunctions\" class=\"docClass\">Ext.util.MixedCollection.allowFunctions</a> allowFunctions} has been set to <code>true</code>.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addFilter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-method-addFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-addFilter' class='name expandable'>addFilter</a>( <span class='pre'>filter</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method adds a filter. ...</div><div class='long'><p>This method adds a filter.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>filter</span> : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>/<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Can be an instance of <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a>,\nan object representing an <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a> configuration, or a filter function.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addFilters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-addFilters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-addFilters' class='name expandable'>addFilters</a>( <span class='pre'>filters</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>This method adds all the filters in a passed array. ...</div><div class='long'><p>This method adds all the filters in a passed array.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>filters</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Filterable-method-addFilters\" rel=\"Ext.mixin.Filterable-method-addFilters\" class=\"docClass\">Ext.mixin.Filterable.addFilters</a></p></div></div></div><div id='method-addSorter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-addSorter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-addSorter' class='name expandable'>addSorter</a>( <span class='pre'>sorter, defaultDirection</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method adds a sorter. ...</div><div class='long'><p>This method adds a sorter.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorter</span> : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Can be an instance of\n<a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>, a string indicating a property name, an object representing an <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>\nconfiguration, or a sort function.</p>\n</div></li><li><span class='pre'>defaultDirection</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The default direction for each sorter in the array. Defaults\nto the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-defaultSortDirection\" rel=\"Ext.mixin.Sortable-cfg-defaultSortDirection\" class=\"docClass\">defaultSortDirection</a>. Can be either 'ASC' or 'DESC'.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addSorters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-addSorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-addSorters' class='name expandable'>addSorters</a>( <span class='pre'>sorters, defaultDirection</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method adds all the sorters in a passed array. ...</div><div class='long'><p>This method adds all the sorters in a passed array.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorters</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>An array with sorters. A sorter can be an instance of <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>, a string\nindicating a property name, an object representing an <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a> configuration,\nor a sort function.</p>\n</div></li><li><span class='pre'>defaultDirection</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The default direction for each sorter in the array. Defaults\nto the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-defaultSortDirection\" rel=\"Ext.mixin.Sortable-cfg-defaultSortDirection\" class=\"docClass\">defaultSortDirection</a>. Can be either 'ASC' or 'DESC'.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyFilters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-applyFilters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-applyFilters' class='name expandable'>applyFilters</a>( <span class='pre'>filters</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>filters</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Filterable-method-applyFilters\" rel=\"Ext.mixin.Filterable-method-applyFilters\" class=\"docClass\">Ext.mixin.Filterable.applyFilters</a></p></div></div></div><div id='method-applySorters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-applySorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-applySorters' class='name expandable'>applySorters</a>( <span class='pre'>sorters, collection</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorters</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>collection</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-callOverridden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callOverridden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callOverridden' class='name expandable'>callOverridden</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the original method that was previously overridden with override,\n\nThis method is deprecated as callParent does ...</div><div class='long'><p>Call the original method that was previously overridden with <a href=\"#!/api/Ext.Base-static-method-override\" rel=\"Ext.Base-static-method-override\" class=\"docClass\">override</a>,</p>\n\n<p>This method is deprecated as <a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a> does the same thing.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callOverridden();\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callOverridden(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the overridden method</p>\n</div></li></ul></div></div></div><div id='method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the \"parent\" method of the current method. ...</div><div class='long'><p>Call the \"parent\" method of the current method. That is the method previously\noverridden by derivation or by an override (see <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>).</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Base', {\n     constructor: function (x) {\n         this.x = x;\n     },\n\n     statics: {\n         method: function (x) {\n             return x;\n         }\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived', {\n     extend: 'My.Base',\n\n     constructor: function () {\n         this.callParent([21]);\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // alerts 21\n</code></pre>\n\n<p>This can be used with an override as follows:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.DerivedOverride', {\n     override: 'My.Derived',\n\n     constructor: function (x) {\n         this.callParent([x*2]); // calls original My.Derived constructor\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // now alerts 42\n</code></pre>\n\n<p>This also works with static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2', {\n     extend: 'My.Base',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Base.method\n         }\n     }\n });\n\n alert(My.Base.method(10));     // alerts 10\n alert(My.Derived2.method(10)); // alerts 20\n</code></pre>\n\n<p>Lastly, it also works with overridden static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2Override', {\n     override: 'My.Derived2',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Derived2.method\n         }\n     }\n });\n\n alert(My.Derived2.method(10)); // now alerts 40\n</code></pre>\n\n<p>To override a method and replace it and also call the superclass method, use\n<a href=\"#!/api/Ext.Base-method-callSuper\" rel=\"Ext.Base-method-callSuper\" class=\"docClass\">callSuper</a>. This is often done to patch a method to fix a bug.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callParent(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the parent method</p>\n</div></li></ul></div></div></div><div id='method-callSuper' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callSuper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callSuper' class='name expandable'>callSuper</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>This method is used by an override to call the superclass method but bypass any\noverridden method. ...</div><div class='long'><p>This method is used by an override to call the superclass method but bypass any\noverridden method. This is often done to \"patch\" a method that contains a bug\nbut for whatever reason cannot be fixed directly.</p>\n\n<p>Consider:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.Class', {\n     method: function () {\n         console.log('Good');\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.DerivedClass', {\n     method: function () {\n         console.log('Bad');\n\n         // ... logic but with a bug ...\n\n         this.callParent();\n     }\n });\n</code></pre>\n\n<p>To patch the bug in <code>DerivedClass.method</code>, the typical solution is to create an\noverride:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('App.paches.DerivedClass', {\n     override: 'Ext.some.DerivedClass',\n\n     method: function () {\n         console.log('Fixed');\n\n         // ... logic but with bug fixed ...\n\n         this.callSuper();\n     }\n });\n</code></pre>\n\n<p>The patch method cannot use <code>callParent</code> to call the superclass <code>method</code> since\nthat would call the overridden method containing the bug. In other words, the\nabove patch would only produce \"Fixed\" then \"Good\" in the console log, whereas,\nusing <code>callParent</code> would produce \"Fixed\" then \"Bad\" then \"Good\".</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callSuper(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the superclass method</p>\n</div></li></ul></div></div></div><div id='method-clear' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-clear' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-clear' class='name expandable'>clear</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes all items from the collection. ...</div><div class='long'><p>Removes all items from the collection. Fires the <a href=\"#!/api/Ext.util.Collection-method-clear\" rel=\"Ext.util.Collection-method-clear\" class=\"docClass\">clear</a> event when complete.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-clone' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-clone' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-clone' class='name expandable'>clone</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.util.MixedCollection\" rel=\"Ext.util.MixedCollection\" class=\"docClass\">Ext.util.MixedCollection</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a shallow copy of this collection ...</div><div class='long'><p>Creates a shallow copy of this collection</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.MixedCollection\" rel=\"Ext.util.MixedCollection\" class=\"docClass\">Ext.util.MixedCollection</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-contains' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-contains' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-contains' class='name expandable'>contains</a>( <span class='pre'>item</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if the collection contains the passed Object as an item. ...</div><div class='long'><p>Returns <code>true</code> if the collection contains the passed Object as an item.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The Object to look for in the collection.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the collection contains the Object as an item.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-containsKey' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-containsKey' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-containsKey' class='name expandable'>containsKey</a>( <span class='pre'>key</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if the collection contains the passed Object as a key. ...</div><div class='long'><p>Returns <code>true</code> if the collection contains the passed Object as a key.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The key to look for in the collection.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if the collection contains the Object as a key.</p>\n</div></li></ul></div></div></div><div id='method-createFiltersCollection' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-method-createFiltersCollection' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-createFiltersCollection' class='name expandable'>createFiltersCollection</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-createSortersCollection' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-createSortersCollection' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-createSortersCollection' class='name expandable'>createSortersCollection</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-destroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Base-method-destroy\" rel=\"Ext.Base-method-destroy\" class=\"docClass\">Ext.Base.destroy</a></p></div></div></div><div id='method-each' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-each' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-each' class='name expandable'>each</a>( <span class='pre'>fn, scope</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Executes the specified function once for every item in the collection. ...</div><div class='long'><p>Executes the specified function once for every item in the collection.\nThe function should return a Boolean value. Returning <code>false</code> from the function will stop the iteration.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to execute for each item.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : Mixed<div class='sub-desc'><p>The collection item.</p>\n</div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The item's index.</p>\n</div></li><li><span class='pre'>length</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The total number of items in the collection.</p>\n</div></li></ul></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The scope (<code>this</code> reference) in which the function is executed. Defaults to the current\nitem in the iteration.</p>\n</div></li></ul></div></div></div><div id='method-eachKey' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-eachKey' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-eachKey' class='name expandable'>eachKey</a>( <span class='pre'>fn, scope</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Executes the specified function once for every key in the collection, passing each key, and its associated item\nas th...</div><div class='long'><p>Executes the specified function once for every key in the collection, passing each key, and its associated item\nas the first two parameters.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to execute for each item.</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The scope (<code>this</code> reference) in which the function is executed. Defaults to the browser\nwindow.</p>\n</div></li></ul></div></div></div><div id='method-filter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-filter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-filter' class='name expandable'>filter</a>( <span class='pre'>property, value, anyMatch, caseSensitive</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>This method will sort a collection based on the currently configured sorters. ...</div><div class='long'><p>This method will sort a collection based on the currently configured sorters.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>property</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>anyMatch</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>caseSensitive</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Filterable-method-filter\" rel=\"Ext.mixin.Filterable-method-filter\" class=\"docClass\">Ext.mixin.Filterable.filter</a></p></div></div></div><div id='method-filterBy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-filterBy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-filterBy' class='name expandable'>filterBy</a>( <span class='pre'>fn, scope</span> ) : <a href=\"#!/api/Ext.util.MixedCollection\" rel=\"Ext.util.MixedCollection\" class=\"docClass\">Ext.util.MixedCollection</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Filter by a function. ...</div><div class='long'><p>Filter by a function. Returns a <em>new</em> collection that has been filtered. The passed function will be called with\neach object in the collection. If the function returns <code>true</code>, the value is included otherwise it is filtered.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to be called.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : <div class='sub-desc'><p>The object.</p>\n</div></li><li><span class='pre'>k</span> : <div class='sub-desc'><p>The key.</p>\n</div></li></ul></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The scope (<code>this</code> reference) in which the function is executed. Defaults to this\nMixedCollection.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.MixedCollection\" rel=\"Ext.util.MixedCollection\" class=\"docClass\">Ext.util.MixedCollection</a></span><div class='sub-desc'><p>The new filtered collection</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-findBy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-findBy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-findBy' class='name expandable'>findBy</a>( <span class='pre'>fn, scope</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the first item in the collection which elicits a true return value from the passed selection function. ...</div><div class='long'><p>Returns the first item in the collection which elicits a <code>true</code> return value from the passed selection function.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The selection function to execute for each item.</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The scope (<code>this</code> reference) in which the function is executed. Defaults to the browser\nwindow.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The first item in the collection which returned <code>true</code> from the selection function.</p>\n</div></li></ul></div></div></div><div id='method-findIndexBy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-findIndexBy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-findIndexBy' class='name expandable'>findIndexBy</a>( <span class='pre'>fn, scope, [start]</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Find the index of the first matching object in this collection by a function. ...</div><div class='long'><p>Find the index of the first matching object in this collection by a function. If the function returns <code>true</code> it\nis considered a match.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>The function to be called.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : <div class='sub-desc'><p>The object.</p>\n</div></li><li><span class='pre'>k</span> : <div class='sub-desc'><p>The key.</p>\n</div></li></ul></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The scope (<code>this</code> reference) in which the function is executed. Defaults to this\nMixedCollection.</p>\n</div></li><li><span class='pre'>start</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The index to start searching at.</p>\n<p>Defaults to: <code>0</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The matched index, or -1 if the item was not found.</p>\n</div></li></ul></div></div></div><div id='method-findInsertionIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-findInsertionIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-findInsertionIndex' class='name expandable'>findInsertionIndex</a>( <span class='pre'>items, item</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>This method returns the index that a given item would be inserted into a\ngiven array based on the current sorters. ...</div><div class='long'><p>This method returns the index that a given item would be inserted into a\ngiven array based on the current sorters.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>items</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>The array that you want to insert the item into.</p>\n</div></li><li><span class='pre'>item</span> : Mixed<div class='sub-desc'><p>The item that you want to insert into the items array.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>The index for the given item in the given array based on\nthe current sorters.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-first' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-first' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-first' class='name expandable'>first</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the first item in the collection. ...</div><div class='long'><p>Returns the first item in the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>the first item in the collection.</p>\n</div></li></ul></div></div></div><div id='method-get' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-get' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-get' class='name expandable'>get</a>( <span class='pre'>key</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the item associated with the passed key OR index. ...</div><div class='long'><p>Returns the item associated with the passed key OR index. Key has priority over index. This is the equivalent of\ncalling <a href=\"#!/api/Ext.util.Collection-method-getByKey\" rel=\"Ext.util.Collection-method-getByKey\" class=\"docClass\">getByKey</a> first, then if nothing matched calling <a href=\"#!/api/Ext.util.Collection-method-getAt\" rel=\"Ext.util.Collection-method-getAt\" class=\"docClass\">getAt</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The key or index of the item.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>If the item is found, returns the item. If the item was not found, returns <code>undefined</code>. If an item\nwas found, but is a Class, returns <code>null</code>.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getAt' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-getAt' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-getAt' class='name expandable'>getAt</a>( <span class='pre'>index</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the item at the specified index. ...</div><div class='long'><p>Returns the item at the specified index.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index of the item.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The item at the specified index.</p>\n</div></li></ul></div></div></div><div id='method-getAutoFilter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-autoFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-getAutoFilter' class='name expandable'>getAutoFilter</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of autoFilter. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.util.Collection-cfg-autoFilter\" rel=\"Ext.util.Collection-cfg-autoFilter\" class=\"docClass\">autoFilter</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getAutoSort' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-autoSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-getAutoSort' class='name expandable'>getAutoSort</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of autoSort. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.util.Collection-cfg-autoSort\" rel=\"Ext.util.Collection-cfg-autoSort\" class=\"docClass\">autoSort</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getByKey' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-getByKey' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-getByKey' class='name expandable'>getByKey</a>( <span class='pre'>key</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the item associated with the passed key. ...</div><div class='long'><p>Returns the item associated with the passed key.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The key of the item.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The item associated with the passed key.</p>\n</div></li></ul></div></div></div><div id='method-getConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getConfig' class='name expandable'>getConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getCount' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-getCount' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-getCount' class='name expandable'>getCount</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the number of items in the collection. ...</div><div class='long'><p>Returns the number of items in the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>the number of items in the collection.</p>\n</div></li></ul></div></div></div><div id='method-getCurrentConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getCurrentConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getCurrentConfig' class='name expandable'>getCurrentConfig</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getDefaultSortDirection' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-defaultSortDirection' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-getDefaultSortDirection' class='name expandable'>getDefaultSortDirection</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of defaultSortDirection. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-defaultSortDirection\" rel=\"Ext.mixin.Sortable-cfg-defaultSortDirection\" class=\"docClass\">defaultSortDirection</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getFilterFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-method-getFilterFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-getFilterFn' class='name expandable'>getFilterFn</a>( <span class='pre'></span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns an up to date sort function. ...</div><div class='long'><p>Returns an up to date sort function.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'><p>sortFn The sort function.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getFilterRoot' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-cfg-filterRoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-getFilterRoot' class='name expandable'>getFilterRoot</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of filterRoot. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Filterable-cfg-filterRoot\" rel=\"Ext.mixin.Filterable-cfg-filterRoot\" class=\"docClass\">filterRoot</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getFilters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-cfg-filters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-getFilters' class='name expandable'>getFilters</a>( <span class='pre'></span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of filters. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Filterable-cfg-filters\" rel=\"Ext.mixin.Filterable-cfg-filters\" class=\"docClass\">filters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getInitialConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getInitialConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getInitialConfig' class='name expandable'>getInitialConfig</a>( <span class='pre'>[name]</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the initial configuration passed to constructor. ...</div><div class='long'><p>Returns the initial configuration passed to constructor.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>When supplied, value for particular configuration\noption is returned, otherwise the full config object is returned.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getKey' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.StoreManager'>Ext.data.StoreManager</span><br/><a href='source/StoreManager.html#Ext-data-StoreManager-method-getKey' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.StoreManager-method-getKey' class='name expandable'>getKey</a>( <span class='pre'>o</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>getKey implementation for MixedCollection ...</div><div class='long'><p>getKey implementation for MixedCollection</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The key for the passed item.</p>\n\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.util.Collection-method-getKey\" rel=\"Ext.util.Collection-method-getKey\" class=\"docClass\">Ext.util.Collection.getKey</a></p></div></div></div><div id='method-getRange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-getRange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-getRange' class='name expandable'>getRange</a>( <span class='pre'>[start], [end]</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns a range of items in this collection ...</div><div class='long'><p>Returns a range of items in this collection</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>start</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The starting index.</p>\n<p>Defaults to: <code>0</code></p></div></li><li><span class='pre'>end</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The ending index. Defaults to the last item.</p>\n<p>Defaults to: <code>-1</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'><p>An array of items.</p>\n</div></li></ul></div></div></div><div id='method-getSortFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-getSortFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-getSortFn' class='name expandable'>getSortFn</a>( <span class='pre'></span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns an up to date sort function. ...</div><div class='long'><p>Returns an up to date sort function.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'><p>The sort function.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getSortRoot' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-sortRoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-getSortRoot' class='name expandable'>getSortRoot</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of sortRoot. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-sortRoot\" rel=\"Ext.mixin.Sortable-cfg-sortRoot\" class=\"docClass\">sortRoot</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSorters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-sorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-getSorters' class='name expandable'>getSorters</a>( <span class='pre'></span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of sorters. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-sorters\" rel=\"Ext.mixin.Sortable-cfg-sorters\" class=\"docClass\">sorters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-handleSort' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-handleSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-handleSort' class='name expandable'>handleSort</a>( <span class='pre'>items</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>items</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-hasConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-hasConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-hasConfig' class='name expandable'>hasConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-indexOf' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-indexOf' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-indexOf' class='name expandable'>indexOf</a>( <span class='pre'>item</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns index within the collection of the passed Object. ...</div><div class='long'><p>Returns index within the collection of the passed Object.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item to find the index of.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>Index of the item. Returns -1 if not found.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-indexOfKey' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-indexOfKey' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-indexOfKey' class='name expandable'>indexOfKey</a>( <span class='pre'>key</span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns index within the collection of the passed key. ...</div><div class='long'><p>Returns index within the collection of the passed key.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The key to find the index of.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'><p>Index of the key.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-initConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-initConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-initConfig' class='name expandable'>initConfig</a>( <span class='pre'>instanceConfig</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Initialize configuration for this class. ...</div><div class='long'><p>Initialize configuration for this class. a typical example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Class', {\n    // The default config\n    config: {\n        name: 'Awesome',\n        isAwesome: true\n    },\n\n    constructor: function(config) {\n        this.initConfig(config);\n    }\n});\n\nvar awesome = new My.awesome.Class({\n    name: 'Super Awesome'\n});\n\nalert(awesome.getName()); // 'Super Awesome'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>instanceConfig</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>mixins The mixin prototypes as key - value pairs</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-insert' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-insert' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-insert' class='name expandable'>insert</a>( <span class='pre'>index, key, item</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Inserts an item at the specified index in the collection. ...</div><div class='long'><p>Inserts an item at the specified index in the collection. Fires the <a href=\"#!/api/Ext.util.Collection-method-add\" rel=\"Ext.util.Collection-method-add\" class=\"docClass\">add</a> event when complete.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index to insert the item at.</p>\n</div></li><li><span class='pre'>key</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The key to associate with the new item, or the item itself.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>If the second parameter was a key, the new item.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The item inserted.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-insertAll' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-insertAll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-insertAll' class='name expandable'>insertAll</a>( <span class='pre'>index, insertItems</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>insertItems</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-insertFilter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-method-insertFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-insertFilter' class='name expandable'>insertFilter</a>( <span class='pre'>index, filter</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>This method adds a filter at a given index. ...</div><div class='long'><p>This method adds a filter at a given index.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index at which to insert the filter.</p>\n</div></li><li><span class='pre'>filter</span> : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>/<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Can be an instance of <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a>,\nan object representing an <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a> configuration, or a filter function.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-insertFilters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-method-insertFilters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-insertFilters' class='name expandable'>insertFilters</a>( <span class='pre'>index, filters</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>This method inserts all the filters in the passed array at the given index. ...</div><div class='long'><p>This method inserts all the filters in the passed array at the given index.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index at which to insert the filters.</p>\n</div></li><li><span class='pre'>filters</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>Each filter can be an instance of <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a>,\nan object representing an <a href=\"#!/api/Ext.util.Filter\" rel=\"Ext.util.Filter\" class=\"docClass\">Ext.util.Filter</a> configuration, or a filter function.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-insertSorter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-insertSorter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-insertSorter' class='name expandable'>insertSorter</a>( <span class='pre'>index, sorter, defaultDirection</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method adds a sorter at a given index. ...</div><div class='long'><p>This method adds a sorter at a given index.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index at which to insert the sorter.</p>\n</div></li><li><span class='pre'>sorter</span> : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Can be an instance of <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>,\na string indicating a property name, an object representing an <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a> configuration,\nor a sort function.</p>\n</div></li><li><span class='pre'>defaultDirection</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The default direction for each sorter in the array. Defaults\nto the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-defaultSortDirection\" rel=\"Ext.mixin.Sortable-cfg-defaultSortDirection\" class=\"docClass\">defaultSortDirection</a>. Can be either 'ASC' or 'DESC'.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-insertSorters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-insertSorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-insertSorters' class='name expandable'>insertSorters</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>This method inserts all the sorters in the passed array at the given index. ...</div><div class='long'><p>This method inserts all the sorters in the passed array at the given index.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Sortable-method-insertSorters\" rel=\"Ext.mixin.Sortable-method-insertSorters\" class=\"docClass\">Ext.mixin.Sortable.insertSorters</a></p></div></div></div><div id='method-isFiltered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-method-isFiltered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-isFiltered' class='name expandable'>isFiltered</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-last' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-last' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-last' class='name expandable'>last</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the last item in the collection. ...</div><div class='long'><p>Returns the last item in the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>the last item in the collection.</p>\n</div></li></ul></div></div></div><div id='method-link' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-link' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-link' class='name expandable'>link</a>( <span class='pre'>name, value</span> ) : Mixed<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-lookup' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.StoreManager'>Ext.data.StoreManager</span><br/><a href='source/StoreManager.html#Ext-data-StoreManager-method-lookup' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.StoreManager-method-lookup' class='name expandable'>lookup</a>( <span class='pre'>store</span> ) : <a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Ext.data.Store</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Gets a registered Store by id. ...</div><div class='long'><p>Gets a registered Store by id.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>store</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The <code>id</code> of the Store, or a Store instance, or a store configuration.</p>\n\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Ext.data.Store</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-onClassExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Mixin' rel='Ext.mixin.Mixin' class='defined-in docClass'>Ext.mixin.Mixin</a><br/><a href='source/Mixin.html#Ext-mixin-Mixin-method-onClassExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Mixin-method-onClassExtended' class='name expandable'>onClassExtended</a>( <span class='pre'>cls, data</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>data</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.AbstractComponent-method-onClassExtended\" rel=\"Ext.AbstractComponent-method-onClassExtended\" class=\"docClass\">Ext.AbstractComponent.onClassExtended</a>, <a href=\"#!/api/Ext.draw.sprite.Sprite-method-onClassExtended\" rel=\"Ext.draw.sprite.Sprite-method-onClassExtended\" class=\"docClass\">Ext.draw.sprite.Sprite.onClassExtended</a>, <a href=\"#!/api/Ext.Container-method-onClassExtended\" rel=\"Ext.Container-method-onClassExtended\" class=\"docClass\">Ext.Container.onClassExtended</a></p></div></div></div><div id='method-onConfigUpdate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-onConfigUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-onConfigUpdate' class='name expandable'>onConfigUpdate</a>( <span class='pre'>names, callback, scope</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>names</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-register' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.StoreManager'>Ext.data.StoreManager</span><br/><a href='source/StoreManager.html#Ext-data-StoreManager-method-register' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.StoreManager-method-register' class='name expandable'>register</a>( <span class='pre'>stores</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Registers one or more Stores with the StoreManager. ...</div><div class='long'><p>Registers one or more Stores with the StoreManager. You do not normally need to register stores manually. Any\nstore initialized with a <a href=\"#!/api/Ext.data.Store-cfg-storeId\" rel=\"Ext.data.Store-cfg-storeId\" class=\"docClass\">Ext.data.Store.storeId</a> will be auto-registered.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>stores</span> : <a href=\"#!/api/Ext.data.Store\" rel=\"Ext.data.Store\" class=\"docClass\">Ext.data.Store</a>...<div class='sub-desc'><p>Any number of Store instances.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-remove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-remove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-remove' class='name expandable'>remove</a>( <span class='pre'>item</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Remove an item from the collection. ...</div><div class='long'><p>Remove an item from the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item to remove.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The item removed or <code>false</code> if no item was removed.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeAll' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-removeAll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-removeAll' class='name expandable'>removeAll</a>( <span class='pre'>items</span> ) : <a href=\"#!/api/Ext.util.MixedCollection\" rel=\"Ext.util.MixedCollection\" class=\"docClass\">Ext.util.MixedCollection</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Remove all items in the passed array from the collection. ...</div><div class='long'><p>Remove all items in the passed array from the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>items</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>An array of items to be removed.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.MixedCollection\" rel=\"Ext.util.MixedCollection\" class=\"docClass\">Ext.util.MixedCollection</a></span><div class='sub-desc'><p>this object</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeAt' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-removeAt' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-removeAt' class='name expandable'>removeAt</a>( <span class='pre'>index</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Remove an item from a specified index in the collection. ...</div><div class='long'><p>Remove an item from a specified index in the collection. Fires the <a href=\"#!/api/Ext.util.Collection-method-remove\" rel=\"Ext.util.Collection-method-remove\" class=\"docClass\">remove</a> event when complete.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index within the collection of the item to remove.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The item removed or <code>false</code> if no item was removed.</p>\n</div></li></ul></div></div></div><div id='method-removeAtKey' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-removeAtKey' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-removeAtKey' class='name expandable'>removeAtKey</a>( <span class='pre'>key</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Removed an item associated with the passed key from the collection. ...</div><div class='long'><p>Removed an item associated with the passed key from the collection.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>key</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The key of the item to remove.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p>The item removed or <code>false</code> if no item was removed.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeFilters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-removeFilters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-removeFilters' class='name expandable'>removeFilters</a>( <span class='pre'>filters</span> ) : <a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>This method removes all the filters in a passed array. ...</div><div class='long'><p>This method removes all the filters in a passed array.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>filters</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Filterable-method-removeFilters\" rel=\"Ext.mixin.Filterable-method-removeFilters\" class=\"docClass\">Ext.mixin.Filterable.removeFilters</a></p></div></div></div><div id='method-removeSorter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-removeSorter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-removeSorter' class='name expandable'>removeSorter</a>( <span class='pre'>sorter</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method removes a sorter. ...</div><div class='long'><p>This method removes a sorter.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorter</span> : <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Can be an instance of <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a>,\na string indicating a property name, an object representing an <a href=\"#!/api/Ext.util.Sorter\" rel=\"Ext.util.Sorter\" class=\"docClass\">Ext.util.Sorter</a> configuration,\nor a sort function.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeSorters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-removeSorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-removeSorters' class='name expandable'>removeSorters</a>( <span class='pre'>sorters</span> ) : <a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>This method removes all the sorters in a passed array. ...</div><div class='long'><p>This method removes all the sorters in a passed array.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorters</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.util.Collection\" rel=\"Ext.util.Collection\" class=\"docClass\">Ext.util.Collection</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Sortable-method-removeSorters\" rel=\"Ext.mixin.Sortable-method-removeSorters\" class=\"docClass\">Ext.mixin.Sortable.removeSorters</a></p></div></div></div><div id='method-replace' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-replace' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-replace' class='name expandable'>replace</a>( <span class='pre'>oldKey, item</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Replaces an item in the collection. ...</div><div class='long'><p>Replaces an item in the collection. Fires the <a href=\"#!/api/Ext.util.Collection-method-replace\" rel=\"Ext.util.Collection-method-replace\" class=\"docClass\">replace</a> event when complete.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oldKey</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The key associated with the item to replace, or the replacement item.</p>\n\n<p>If you supplied a <a href=\"#!/api/Ext.util.Collection-method-getKey\" rel=\"Ext.util.Collection-method-getKey\" class=\"docClass\">getKey</a> implementation for this MixedCollection, or if the key of your stored items is\nin a property called <strong>id</strong>, then the MixedCollection will be able to <em>derive</em> the key of the replacement item.\nIf you want to replace an item with one having the same key value, then just pass the replacement item in this\nparameter.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>{Object} item (optional) If the first parameter passed was a key, the item to associate with\nthat key.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The new item.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setAutoFilter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-autoFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-setAutoFilter' class='name expandable'>setAutoFilter</a>( <span class='pre'>autoFilter</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of autoFilter. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.util.Collection-cfg-autoFilter\" rel=\"Ext.util.Collection-cfg-autoFilter\" class=\"docClass\">autoFilter</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>autoFilter</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setAutoSort' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-cfg-autoSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-setAutoSort' class='name expandable'>setAutoSort</a>( <span class='pre'>autoSort</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of autoSort. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.util.Collection-cfg-autoSort\" rel=\"Ext.util.Collection-cfg-autoSort\" class=\"docClass\">autoSort</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>autoSort</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-setConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-setConfig' class='name expandable'>setConfig</a>( <span class='pre'>config, applyIfNotSet</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>applyIfNotSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setDefaultSortDirection' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-defaultSortDirection' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-setDefaultSortDirection' class='name expandable'>setDefaultSortDirection</a>( <span class='pre'>defaultSortDirection</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of defaultSortDirection. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-defaultSortDirection\" rel=\"Ext.mixin.Sortable-cfg-defaultSortDirection\" class=\"docClass\">defaultSortDirection</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>defaultSortDirection</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setFilterRoot' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-cfg-filterRoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-setFilterRoot' class='name expandable'>setFilterRoot</a>( <span class='pre'>filterRoot</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of filterRoot. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Filterable-cfg-filterRoot\" rel=\"Ext.mixin.Filterable-cfg-filterRoot\" class=\"docClass\">filterRoot</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>filterRoot</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setFilters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-cfg-filters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-setFilters' class='name expandable'>setFilters</a>( <span class='pre'>filters</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of filters. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Filterable-cfg-filters\" rel=\"Ext.mixin.Filterable-cfg-filters\" class=\"docClass\">filters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>filters</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setSortRoot' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-sortRoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-setSortRoot' class='name expandable'>setSortRoot</a>( <span class='pre'>sortRoot</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of sortRoot. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-sortRoot\" rel=\"Ext.mixin.Sortable-cfg-sortRoot\" class=\"docClass\">sortRoot</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sortRoot</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setSorters' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-cfg-sorters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-setSorters' class='name expandable'>setSorters</a>( <span class='pre'>sorters</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of sorters. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Sortable-cfg-sorters\" rel=\"Ext.mixin.Sortable-cfg-sorters\" class=\"docClass\">sorters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorters</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-sort' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-sort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-sort' class='name expandable'>sort</a>( <span class='pre'>sorters, defaultDirection</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>This method will sort an array based on the currently configured sorters. ...</div><div class='long'><p>This method will sort an array based on the currently configured <a href=\"#!/api/Ext.util.Collection-cfg-sorters\" rel=\"Ext.util.Collection-cfg-sorters\" class=\"docClass\">sorters</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sorters</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>defaultDirection</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'><p>The array you passed after it is sorted.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Sortable-method-sort\" rel=\"Ext.mixin.Sortable-method-sort\" class=\"docClass\">Ext.mixin.Sortable.sort</a></p></div></div></div><div id='method-statics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-statics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-statics' class='name expandable'>statics</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the class from which this object was instantiated. Note that unlike <a href=\"#!/api/Ext.Base-property-self\" rel=\"Ext.Base-property-self\" class=\"docClass\">self</a>,\n<code>this.statics()</code> is scope-independent and it always returns the class from which it was called, regardless of what\n<code>this</code> points to during run-time</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        totalCreated: 0,\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        var statics = this.statics();\n\n        alert(statics.speciesName);     // always equals to 'Cat' no matter what 'this' refers to\n                                        // equivalent to: My.Cat.speciesName\n\n        alert(this.self.speciesName);   // dependent on 'this'\n\n        statics.totalCreated++;\n    },\n\n    clone: function() {\n        var cloned = new this.self();                    // dependent on 'this'\n\n        cloned.groupName = this.statics().speciesName;   // equivalent to: My.Cat.speciesName\n\n        return cloned;\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n\n    statics: {\n        speciesName: 'Snow Leopard'     // My.SnowLeopard.speciesName = 'Snow Leopard'\n    },\n\n    constructor: function() {\n        this.callParent();\n    }\n});\n\nvar cat = new My.Cat();                 // alerts 'Cat', then alerts 'Cat'\n\nvar snowLeopard = new My.SnowLeopard(); // alerts 'Cat', then alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));         // alerts 'My.SnowLeopard'\nalert(clone.groupName);                 // alerts 'Cat'\n\nalert(My.Cat.totalCreated);             // alerts 3\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-unlink' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-unlink' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-unlink' class='name expandable'>unlink</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-unregister' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.data.StoreManager'>Ext.data.StoreManager</span><br/><a href='source/StoreManager.html#Ext-data-StoreManager-method-unregister' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.data.StoreManager-method-unregister' class='name expandable'>unregister</a>( <span class='pre'>stores</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Unregisters one or more Stores with the StoreManager. ...</div><div class='long'><p>Unregisters one or more Stores with the StoreManager.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>stores</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>...<div class='sub-desc'><p>Any number of Store instances or ID-s.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateAfterFilter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-updateAfterFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-updateAfterFilter' class='name expandable'>updateAfterFilter</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateAutoFilter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-updateAutoFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-updateAutoFilter' class='name expandable'>updateAutoFilter</a>( <span class='pre'>autoFilter, oldAutoFilter</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>autoFilter</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldAutoFilter</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateAutoSort' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-updateAutoSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-updateAutoSort' class='name expandable'>updateAutoSort</a>( <span class='pre'>autoSort, oldAutoSort</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>autoSort</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldAutoSort</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateFilterFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Filterable' rel='Ext.mixin.Filterable' class='defined-in docClass'>Ext.mixin.Filterable</a><br/><a href='source/Filterable.html#Ext-mixin-Filterable-method-updateFilterFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Filterable-method-updateFilterFn' class='name expandable'>updateFilterFn</a>( <span class='pre'></span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>This updates the cached sortFn based on the current sorters. ...</div><div class='long'><p>This updates the cached sortFn based on the current sorters.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'><p>sortFn The generated sort function.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateIndices' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.util.Collection' rel='Ext.util.Collection' class='defined-in docClass'>Ext.util.Collection</a><br/><a href='source/Collection.html#Ext-util-Collection-method-updateIndices' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.util.Collection-method-updateIndices' class='name expandable'>updateIndices</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateSortFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Sortable' rel='Ext.mixin.Sortable' class='defined-in docClass'>Ext.mixin.Sortable</a><br/><a href='source/Sortable3.html#Ext-mixin-Sortable-method-updateSortFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Sortable-method-updateSortFn' class='name expandable'>updateSortFn</a>( <span class='pre'></span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>This updates the cached sortFn based on the current sorters. ...</div><div class='long'><p>This updates the cached sortFn based on the current sorters.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'><p>The generated sort function.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-addConfig' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addConfig' class='name expandable'>addConfig</a>( <span class='pre'>config, fullMerge</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fullMerge</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addInheritableStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addInheritableStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addInheritableStatics' class='name expandable'>addInheritableStatics</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMember' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMember' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMember' class='name expandable'>addMember</a>( <span class='pre'>name, member</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>member</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMembers' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMembers' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMembers' class='name expandable'>addMembers</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add methods / properties to the prototype of this class. ...</div><div class='long'><p>Add methods / properties to the prototype of this class.</p>\n\n<pre class='inline-example '><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Cat', {\n    constructor: function() {\n        // ...\n    }\n});\n\n My.awesome.Cat.addMembers({\n     meow: function() {\n        alert('Meowww...');\n     }\n });\n\n var kitty = new My.awesome.Cat();\n kitty.meow();\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-addStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addStatics' class='name expandable'>addStatics</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add / override static properties of this class. ...</div><div class='long'><p>Add / override static properties of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // this.se\n});\n\nMy.cool.Class.addStatics({\n    someProperty: 'someValue',      // My.cool.Class.someProperty = 'someValue'\n    method1: function() {  },    // My.cool.Class.method1 = function() { ... };\n    method2: function() {  }     // My.cool.Class.method2 = function() { ... };\n});\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-addXtype' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addXtype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addXtype' class='name expandable'>addXtype</a>( <span class='pre'>xtype</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>xtype</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-borrow' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-borrow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-borrow' class='name expandable'>borrow</a>( <span class='pre'>fromClass, members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Borrow another class' members to the prototype of this class. ...</div><div class='long'><p>Borrow another class' members to the prototype of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Bank', {\n    money: '$$$',\n    printMoney: function() {\n        alert('$$$$$$$');\n    }\n});\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Thief', {\n    // ...\n});\n\nThief.borrow(Bank, ['money', 'printMoney']);\n\nvar steve = new Thief();\n\nalert(steve.money); // alerts '$$$'\nsteve.printMoney(); // alerts '$$$$$$$'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fromClass</span> : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><div class='sub-desc'><p>The class to borrow members from</p>\n</div></li><li><span class='pre'>members</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The names of the members to borrow</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> )<span class=\"signature\"><span class='protected' >protected</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-create' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-create' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-create' class='name expandable'>create</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create a new instance of this Class. ...</div><div class='long'><p>Create a new instance of this Class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // ...\n});\n\nMy.cool.Class.create({\n    someConfig: true\n});\n</code></pre>\n\n<p>All parameters are passed to the constructor of the class.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>the created instance.</p>\n</div></li></ul></div></div></div><div id='static-method-createAlias' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-createAlias' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-createAlias' class='name expandable'>createAlias</a>( <span class='pre'>alias, origin</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create aliases for existing prototype methods. ...</div><div class='long'><p>Create aliases for existing prototype methods. Example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    method1: function() {  },\n    method2: function() {  }\n});\n\nvar test = new My.cool.Class();\n\nMy.cool.Class.createAlias({\n    method3: 'method1',\n    method4: 'method2'\n});\n\ntest.method3(); // test.method1()\n\nMy.cool.Class.createAlias('method5', 'method3');\n\ntest.method5(); // test.method3() -&gt; test.method1()\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>alias</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new method name, or an object to set multiple aliases. See\n<a href=\"#!/api/Ext.Function-method-flexSetter\" rel=\"Ext.Function-method-flexSetter\" class=\"docClass\">flexSetter</a></p>\n</div></li><li><span class='pre'>origin</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The original method name</p>\n</div></li></ul></div></div></div><div id='static-method-extend' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-extend' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-extend' class='name expandable'>extend</a>( <span class='pre'>parent</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>parent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-getName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-getName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-getName' class='name expandable'>getName</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Get the current class' name in string format. ...</div><div class='long'><p>Get the current class' name in string format.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    constructor: function() {\n        alert(this.self.getName()); // alerts 'My.cool.Class'\n    }\n});\n\nMy.cool.Class.getName(); // 'My.cool.Class'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>className</p>\n</div></li></ul></div></div></div><div id='static-method-implement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-implement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-implement' class='name expandable'>implement</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='static-method-mixin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-mixin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-mixin' class='name expandable'>mixin</a>( <span class='pre'>name, mixinClass</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Used internally by the mixins pre-processor ...</div><div class='long'><p>Used internally by the mixins pre-processor</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>mixinClass</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-onExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-onExtended' class='name expandable'>onExtended</a>( <span class='pre'>fn, scope</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-override' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-override' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-override' class='name expandable'>override</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='deprecated' >deprecated</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Override members of this class. ...</div><div class='long'><p>Override members of this class. Overridden methods can be invoked via\n<a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a>.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n\n<p>As of 2.1, direct use of this method is deprecated. Use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>\ninstead:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.CatOverride', {\n    override: 'My.Cat',\n\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n</code></pre>\n\n<p>The above accomplishes the same result but can be managed by the <a href=\"#!/api/Ext.Loader\" rel=\"Ext.Loader\" class=\"docClass\">Ext.Loader</a>\nwhich can properly order the override and its target class and the build process\ncan determine whether the override is needed based on the required state of the\ntarget class (My.Cat).</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.1.0</p>\n        <p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The properties to add to this class. This should be\nspecified as an object literal containing one or more properties.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this class</p>\n</div></li></ul></div></div></div><div id='static-method-triggerExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-triggerExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-triggerExtended' class='name expandable'>triggerExtended</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div></div></div>","alternateClassNames":["Ext.StoreManager","Ext.StoreMgr","Ext.data.StoreMgr"],"autodetected":{"uses":true,"alternateClassNames":true,"aliases":true,"members":true,"mixins":true,"extends":true,"singleton":true,"code_type":true,"requires":true},"aliases":{},"members":[{"meta":{"private":true},"owner":"Ext.util.Collection","name":"autoFilter","id":"cfg-autoFilter","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"autoSort","id":"cfg-autoSort","tagname":"cfg"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"defaultSortDirection","id":"cfg-defaultSortDirection","tagname":"cfg"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"filterRoot","id":"cfg-filterRoot","tagname":"cfg"},{"meta":{},"owner":"Ext.util.Collection","name":"filters","id":"cfg-filters","tagname":"cfg"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"sortRoot","id":"cfg-sortRoot","tagname":"cfg"},{"meta":{},"owner":"Ext.util.Collection","name":"sorters","id":"cfg-sorters","tagname":"cfg"},{"meta":{},"owner":"Ext.util.Collection","name":"all","id":"property-all","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.mixin.Filterable","name":"currentSortFn","id":"property-currentSortFn","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.mixin.Filterable","name":"dirtyFilterFn","id":"property-dirtyFilterFn","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.mixin.Sortable","name":"dirtySortFn","id":"property-dirtySortFn","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.mixin.Filterable","name":"filtered","id":"property-filtered","tagname":"property"},{"meta":{},"owner":"Ext.util.Collection","name":"indices","id":"property-indices","tagname":"property"},{"meta":{},"owner":"Ext.util.Collection","name":"items","id":"property-items","tagname":"property"},{"meta":{},"owner":"Ext.util.Collection","name":"keys","id":"property-keys","tagname":"property"},{"meta":{},"owner":"Ext.util.Collection","name":"length","id":"property-length","tagname":"property"},{"meta":{},"owner":"Ext.util.Collection","name":"map","id":"property-map","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Filterable","name":"mixinConfig","id":"property-mixinConfig","tagname":"property"},{"meta":{"protected":true},"owner":"Ext.Base","name":"self","id":"property-self","tagname":"property"},{"meta":{"readonly":true},"owner":"Ext.mixin.Sortable","name":"sorted","id":"property-sorted","tagname":"property"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"$onExtended","id":"static-property-S-onExtended","tagname":"property"},{"meta":{},"owner":"Ext.util.Collection","name":"constructor","id":"method-constructor","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"add","id":"method-add","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"addAll","id":"method-addAll","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"addFilter","id":"method-addFilter","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.util.Collection","name":"addFilters","id":"method-addFilters","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"addSorter","id":"method-addSorter","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"addSorters","id":"method-addSorters","tagname":"method"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"applyFilters","id":"method-applyFilters","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Sortable","name":"applySorters","id":"method-applySorters","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callOverridden","id":"method-callOverridden","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callParent","id":"method-callParent","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callSuper","id":"method-callSuper","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"clear","id":"method-clear","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"clone","id":"method-clone","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"contains","id":"method-contains","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"containsKey","id":"method-containsKey","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Filterable","name":"createFiltersCollection","id":"method-createFiltersCollection","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Sortable","name":"createSortersCollection","id":"method-createSortersCollection","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.util.Collection","name":"destroy","id":"method-destroy","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"each","id":"method-each","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"eachKey","id":"method-eachKey","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"filter","id":"method-filter","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"filterBy","id":"method-filterBy","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"findBy","id":"method-findBy","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"findIndexBy","id":"method-findIndexBy","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"findInsertionIndex","id":"method-findInsertionIndex","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"first","id":"method-first","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"get","id":"method-get","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"getAt","id":"method-getAt","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"getAutoFilter","id":"method-getAutoFilter","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"getAutoSort","id":"method-getAutoSort","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"getByKey","id":"method-getByKey","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getConfig","id":"method-getConfig","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"getCount","id":"method-getCount","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getCurrentConfig","id":"method-getCurrentConfig","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"getDefaultSortDirection","id":"method-getDefaultSortDirection","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"getFilterFn","id":"method-getFilterFn","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"getFilterRoot","id":"method-getFilterRoot","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"getFilters","id":"method-getFilters","tagname":"method"},{"meta":{},"owner":"Ext.Base","name":"getInitialConfig","id":"method-getInitialConfig","tagname":"method"},{"meta":{},"owner":"Ext.data.StoreManager","name":"getKey","id":"method-getKey","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"getRange","id":"method-getRange","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"getSortFn","id":"method-getSortFn","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"getSortRoot","id":"method-getSortRoot","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"getSorters","id":"method-getSorters","tagname":"method"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"handleSort","id":"method-handleSort","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"hasConfig","id":"method-hasConfig","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"indexOf","id":"method-indexOf","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"indexOfKey","id":"method-indexOfKey","tagname":"method"},{"meta":{"protected":true,"chainable":true},"owner":"Ext.Base","name":"initConfig","id":"method-initConfig","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"insert","id":"method-insert","tagname":"method"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"insertAll","id":"method-insertAll","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"insertFilter","id":"method-insertFilter","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"insertFilters","id":"method-insertFilters","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"insertSorter","id":"method-insertSorter","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.util.Collection","name":"insertSorters","id":"method-insertSorters","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Filterable","name":"isFiltered","id":"method-isFiltered","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"last","id":"method-last","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"link","id":"method-link","tagname":"method"},{"meta":{},"owner":"Ext.data.StoreManager","name":"lookup","id":"method-lookup","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Mixin","name":"onClassExtended","id":"method-onClassExtended","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"onConfigUpdate","id":"method-onConfigUpdate","tagname":"method"},{"meta":{},"owner":"Ext.data.StoreManager","name":"register","id":"method-register","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"remove","id":"method-remove","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.util.Collection","name":"removeAll","id":"method-removeAll","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"removeAt","id":"method-removeAt","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"removeAtKey","id":"method-removeAtKey","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.util.Collection","name":"removeFilters","id":"method-removeFilters","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"removeSorter","id":"method-removeSorter","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.util.Collection","name":"removeSorters","id":"method-removeSorters","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"replace","id":"method-replace","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"setAutoFilter","id":"method-setAutoFilter","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"setAutoSort","id":"method-setAutoSort","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"setConfig","id":"method-setConfig","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"setDefaultSortDirection","id":"method-setDefaultSortDirection","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"setFilterRoot","id":"method-setFilterRoot","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Filterable","name":"setFilters","id":"method-setFilters","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"setSortRoot","id":"method-setSortRoot","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Sortable","name":"setSorters","id":"method-setSorters","tagname":"method"},{"meta":{},"owner":"Ext.util.Collection","name":"sort","id":"method-sort","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"statics","id":"method-statics","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"unlink","id":"method-unlink","tagname":"method"},{"meta":{},"owner":"Ext.data.StoreManager","name":"unregister","id":"method-unregister","tagname":"method"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"updateAfterFilter","id":"method-updateAfterFilter","tagname":"method"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"updateAutoFilter","id":"method-updateAutoFilter","tagname":"method"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"updateAutoSort","id":"method-updateAutoSort","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Filterable","name":"updateFilterFn","id":"method-updateFilterFn","tagname":"method"},{"meta":{"private":true},"owner":"Ext.util.Collection","name":"updateIndices","id":"method-updateIndices","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Sortable","name":"updateSortFn","id":"method-updateSortFn","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"addConfig","id":"static-method-addConfig","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addInheritableStatics","id":"static-method-addInheritableStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addMember","id":"static-method-addMember","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addMembers","id":"static-method-addMembers","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addStatics","id":"static-method-addStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addXtype","id":"static-method-addXtype","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"borrow","id":"static-method-borrow","tagname":"method"},{"meta":{"protected":true,"static":true},"owner":"Ext.Base","name":"callParent","id":"static-method-callParent","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"create","id":"static-method-create","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"createAlias","id":"static-method-createAlias","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"extend","id":"static-method-extend","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"getName","id":"static-method-getName","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"implement","id":"static-method-implement","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"mixin","id":"static-method-mixin","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"onExtended","id":"static-method-onExtended","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n","version":"2.1.0"},"static":true,"chainable":true},"owner":"Ext.Base","name":"override","id":"static-method-override","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"triggerExtended","id":"static-method-triggerExtended","tagname":"method"}],"short_doc":"Contains a collection of all stores that are created that have an identifier. ...","meta":{},"superclasses":["Ext.Base","Ext.util.Collection"],"component":false,"docauthor":[{"name":"Evan Trimboli","email":"evan@sencha.com","tagname":"docauthor"}],"mixins":[],"extends":"Ext.util.Collection","singleton":true,"name":"Ext.data.StoreManager","mixedInto":[],"subclasses":[],"id":"class-Ext.data.StoreManager","code_type":"ext_define","since":"1.1.0","requires":[],"files":[{"filename":"StoreManager.js","href":"StoreManager.html#Ext-data-StoreManager"}],"tagname":"class"});