Ext.data.JsonP.Ext_field_Checkbox({"parentMixins":["Ext.mixin.Observable","Ext.mixin.Traversable"],"aside":[{"type":"guide","name":"forms","tagname":"aside"}],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Alternate names</h4><div class='alternate-class-name'>Ext.form.Checkbox</div><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/Ext.Base' rel='Ext.Base' class='docClass'>Ext.Base</a><div class='subclass '><a href='#!/api/Ext.Evented' rel='Ext.Evented' class='docClass'>Ext.Evented</a><div class='subclass '><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='docClass'>Ext.AbstractComponent</a><div class='subclass '><a href='#!/api/Ext.Component' rel='Ext.Component' class='docClass'>Ext.Component</a><div class='subclass '><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='docClass'>Ext.Decorator</a><div class='subclass '><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='docClass'>Ext.field.Field</a><div class='subclass '><strong>Ext.field.Checkbox</strong></div></div></div></div></div></div></div><h4>Inherited mixins</h4><div class='dependency'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='docClass'>Ext.mixin.Observable</a></div><div class='dependency'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='docClass'>Ext.mixin.Traversable</a></div><h4>Subclasses</h4><div class='dependency'><a href='#!/api/Ext.field.Radio' rel='Ext.field.Radio' class='docClass'>Ext.field.Radio</a></div><h4>Files</h4><div class='dependency'><a href='source/Checkbox.html#Ext-field-Checkbox' target='_blank'>Checkbox.js</a></div><div class='dependency'><a href='source/_Checkbox.scss.html#Ext-field-Checkbox' target='_blank'>_Checkbox.scss</a></div></pre><div class='doc-contents'>            <div class='aside guide'>\n              <h4>Guide</h4>\n              <p><a href='#!/guide/forms'><img src='guides/forms/icon.png' alt=''> Using Forms</a></p>\n            </div>\n<p>The checkbox field is an enhanced version of the native browser checkbox and is great for enabling your user to\nchoose one or more items from a set (for example choosing toppings for a pizza order). It works like any other\n<a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">field</a> and is usually found in the context of a form:</p>\n\n<h2>Example</h2>\n\n<pre class='inline-example miniphone preview'><code>var form = <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.form.Panel\" rel=\"Ext.form.Panel\" class=\"docClass\">Ext.form.Panel</a>', {\n    fullscreen: true,\n    items: [\n        {\n            xtype: 'checkboxfield',\n            name : 'tomato',\n            label: 'Tomato',\n            value: 'tomato',\n            checked: true\n        },\n        {\n            xtype: 'checkboxfield',\n            name : 'salami',\n            label: 'Salami'\n        },\n        {\n            xtype: 'toolbar',\n            docked: 'bottom',\n            items: [\n                { xtype: 'spacer' },\n                {\n                    text: 'getValues',\n                    handler: function() {\n                        var form = <a href=\"#!/api/Ext.ComponentQuery-method-query\" rel=\"Ext.ComponentQuery-method-query\" class=\"docClass\">Ext.ComponentQuery.query</a>('formpanel')[0],\n                            values = form.getValues();\n\n                        <a href=\"#!/api/Ext.Msg-method-alert\" rel=\"Ext.Msg-method-alert\" class=\"docClass\">Ext.Msg.alert</a>(null,\n                            \"Tomato: \" + ((values.tomato) ? \"yes\" : \"no\") +\n                            \"&lt;br /&gt;Salami: \" + ((values.salami) ? \"yes\" : \"no\")\n                        );\n                    }\n                },\n                { xtype: 'spacer' }\n            ]\n        }\n    ]\n});\n</code></pre>\n\n<p>The form above contains two check boxes - one for Tomato, one for Salami. We configured the Tomato checkbox to be\nchecked immediately on load, and the Salami checkbox to be unchecked. We also specified an optional text\n<a href=\"#!/api/Ext.field.Checkbox-cfg-value\" rel=\"Ext.field.Checkbox-cfg-value\" class=\"docClass\">value</a> that will be sent when we submit the form. We can get this value using the Form's\n<a href=\"#!/api/Ext.form.Panel-method-getValues\" rel=\"Ext.form.Panel-method-getValues\" class=\"docClass\">getValues</a> function, or have it sent as part of the data that is sent when the\nform is submitted:</p>\n\n<pre><code>form.getValues(); //contains a key called 'tomato' if the Tomato field is still checked\nform.submit(); //will send 'tomato' in the form submission data\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-baseCls' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-baseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-baseCls' class='name expandable'>baseCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The base CSS class to apply to this component's element. ...</div><div class='long'><p>The base CSS class to apply to this component's element. This will also be prepended to\nother elements within this component. To add specific styling for sub-classes, use the <a href=\"#!/api/Ext.field.Field-cfg-cls\" rel=\"Ext.field.Field-cfg-cls\" class=\"docClass\">cls</a> config.</p>\n<p>Defaults to: <code>Ext.baseCSSPrefix + 'field'</code></p>        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-baseCls\" rel=\"Ext.Component-cfg-baseCls\" class=\"docClass\">Ext.Component.baseCls</a></p></div></div></div><div id='cfg-border' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-border' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-border' class='name expandable'>border</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The border width to use on this Component. ...</div><div class='long'><p>The border width to use on this Component. Can be specified as a number (in which\ncase all edges get the same border width) or a CSS string like '5 10 10 10'.</p>\n\n<p>Please note that this will not add\na <code>border-color</code> or <code>border-style</code> CSS property to the component; you must do that manually using either CSS or\nthe <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a> configuration.</p>\n\n<h2>Using <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a>:</h2>\n\n<pre><code><a href=\"#!/api/Ext.Viewport-method-add\" rel=\"Ext.Viewport-method-add\" class=\"docClass\">Ext.Viewport.add</a>({\n    centered: true,\n    width: 100,\n    height: 100,\n\n    border: 3,\n    style: 'border-color: blue; border-style: solid;'\n    // ...\n});\n</code></pre>\n\n<h2>Using CSS:</h2>\n\n<pre><code><a href=\"#!/api/Ext.Viewport-method-add\" rel=\"Ext.Viewport-method-add\" class=\"docClass\">Ext.Viewport.add</a>({\n    centered: true,\n    width: 100,\n    height: 100,\n\n    border: 3,\n    cls: 'my-component'\n    // ...\n});\n</code></pre>\n\n<p>And your CSS file:</p>\n\n<pre><code>.my-component {\n    border-color: red;\n    border-style: solid;\n}\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-bottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-bottom' class='name expandable'>bottom</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute bottom position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute bottom position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-bubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-bubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-cfg-bubbleEvents' class='name expandable'>bubbleEvents</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The event name to bubble, or an Array of event names.</p>\n</div><div class='long'><p>The event name to bubble, or an Array of event names.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-centered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-centered' class='name expandable'>centered</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Whether or not this Component is absolutely centered inside its Container</p>\n</div><div class='long'><p>Whether or not this Component is absolutely centered inside its Container</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-checked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-checked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-cfg-checked' class='name expandable'>checked</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>true if the checkbox should render initially checked. ...</div><div class='long'><p><code>true</code> if the checkbox should render initially checked.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-clearIcon' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-clearIcon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-clearIcon' class='name expandable'>clearIcon</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p><code>true</code> to use a clear icon in this field.</p>\n</div><div class='long'><p><code>true</code> to use a clear icon in this field.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-cls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-cls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-cls' class='name expandable'>cls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The CSS class to add to this component's element, in addition to the <a href=\"#!/api/Ext.Component-cfg-baseCls\" rel=\"Ext.Component-cfg-baseCls\" class=\"docClass\">baseCls</a></p>\n</div><div class='long'><p>The CSS class to add to this component's element, in addition to the <a href=\"#!/api/Ext.Component-cfg-baseCls\" rel=\"Ext.Component-cfg-baseCls\" class=\"docClass\">baseCls</a></p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-component' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-component' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-cfg-component' class='name expandable'>component</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The inner component for this field. ...</div><div class='long'><p>The inner component for this field.</p>\n<p>Defaults to: <code>{xtype: 'input', type: 'checkbox', useMask: true, cls: Ext.baseCSSPrefix + 'input-checkbox'}</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.field.Field-cfg-component\" rel=\"Ext.field.Field-cfg-component\" class=\"docClass\">Ext.field.Field.component</a></p></div></div></div><div id='cfg-componentCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-componentCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-componentCls' class='name expandable'>componentCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>CSS class to add to this Component. ...</div><div class='long'><p>CSS class to add to this Component. Deprecated, please use <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a> instead</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-contentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-contentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-contentEl' class='name expandable'>contentEl</a> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The configured element will automatically be\nadded as the content of this component. ...</div><div class='long'><p>The configured element will automatically be\nadded as the content of this component. When you pass a string, we expect it to be an element id.\nIf the content element is hidden, we will automatically show it.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-data' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-data' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-data' class='name expandable'>data</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The initial set of data to apply to the <code><a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a></code> to\nupdate the content area of the Component.</p>\n</div><div class='long'><p>The initial set of data to apply to the <code><a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a></code> to\nupdate the content area of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-disabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-disabled' class='name expandable'>disabled</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Whether or not this component is disabled</p>\n</div><div class='long'><p>Whether or not this component is disabled</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-disabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-disabledCls' class='name expandable'>disabledCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The CSS class to add to the component when it is disabled ...</div><div class='long'><p>The CSS class to add to the component when it is disabled</p>\n<p>Defaults to: <code>&quot;x-item-disabled&quot;</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-dock' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-dock' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-dock' class='name expandable'>dock</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>The dock position of this component in its container. ...</div><div class='long'><p>The dock position of this component in its container. Can be <code>left</code>, <code>top</code>, <code>right</code> or <code>bottom</code>.</p>\n\n<p><strong>Notes</strong></p>\n\n<p>You must use a HTML5 doctype for <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> <code>bottom</code> to work. To do this, simply add the following code to the HTML file:</p>\n\n<pre><code>&lt;!doctype html&gt;\n</code></pre>\n\n<p>So your index.html file should look a little like this:</p>\n\n<pre><code>&lt;!doctype html&gt;\n&lt;html&gt;\n    &lt;head&gt;\n        &lt;title&gt;MY application title&lt;/title&gt;\n        ...\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> instead.</p>\n\n        </div>\n</div></div></div><div id='cfg-docked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-docked' class='name expandable'>docked</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The dock position of this component in its container. ...</div><div class='long'><p>The dock position of this component in its container. Can be <code>left</code>, <code>top</code>, <code>right</code> or <code>bottom</code>.</p>\n\n<p><strong>Notes</strong></p>\n\n<p>You must use a HTML5 doctype for <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> <code>bottom</code> to work. To do this, simply add the following code to the HTML file:</p>\n\n<pre><code>&lt;!doctype html&gt;\n</code></pre>\n\n<p>So your index.html file should look a little like this:</p>\n\n<pre><code>&lt;!doctype html&gt;\n&lt;html&gt;\n    &lt;head&gt;\n        &lt;title&gt;MY application title&lt;/title&gt;\n        ...\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-draggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-draggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-draggable' class='name expandable'>draggable</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Configuration options to make this Component draggable</p>\n</div><div class='long'><p>Configuration options to make this Component draggable</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-enterAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-enterAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-enterAnimation' class='name expandable'>enterAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being shown. ...</div><div class='long'><p>Animation effect to apply when the Component is being shown.  Typically you want to use an\ninbound animation type such as 'fadeIn' or 'slideIn'.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n\n        </div>\n</div></div></div><div id='cfg-exitAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-exitAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-exitAnimation' class='name expandable'>exitAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being hidden. ...</div><div class='long'><p>Animation effect to apply when the Component is being hidden.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n\n        </div>\n</div></div></div><div id='cfg-fieldCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-fieldCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-fieldCls' class='name expandable'>fieldCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>CSS class to add to the field. ...</div><div class='long'><p>CSS class to add to the field.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use the <a href=\"#!/api/Ext.field.Field-cfg-inputCls\" rel=\"Ext.field.Field-cfg-inputCls\" class=\"docClass\">inputCls</a> configuration instead.</p>\n\n        </div>\n</div></div></div><div id='cfg-fieldLabel' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-fieldLabel' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-fieldLabel' class='name expandable'>fieldLabel</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>The label for this Field. ...</div><div class='long'><p>The label for this Field.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use the <a href=\"#!/api/Ext.field.Field-cfg-label\" rel=\"Ext.field.Field-cfg-label\" class=\"docClass\">label</a> configuration instead.</p>\n\n        </div>\n</div></div></div><div id='cfg-flex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-flex' class='name expandable'>flex</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The flex of this item if this item item is inside a Ext.layout.HBox or Ext.layout.VBox\nlayout. ...</div><div class='long'><p>The flex of this item <em>if</em> this item item is inside a <a href=\"#!/api/Ext.layout.HBox\" rel=\"Ext.layout.HBox\" class=\"docClass\">Ext.layout.HBox</a> or <a href=\"#!/api/Ext.layout.VBox\" rel=\"Ext.layout.VBox\" class=\"docClass\">Ext.layout.VBox</a>\nlayout.</p>\n\n<p>You can also update the flex of a component dynamically using the <a href=\"#!/api/Ext.layout.FlexBox-method-setItemFlex\" rel=\"Ext.layout.FlexBox-method-setItemFlex\" class=\"docClass\">Ext.layout.FlexBox.setItemFlex</a>\nmethod.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-floating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-floating' class='name expandable'>floating</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Deprecated, please use left, top, right or\nbottom instead. ...</div><div class='long'><p>Deprecated, please use <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a>, <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>, <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a> or\n<a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a> instead.</p>\n\n<pre><code><a href=\"#!/api/Ext.Viewport-method-add\" rel=\"Ext.Viewport-method-add\" class=\"docClass\">Ext.Viewport.add</a>({\n    top: 100,\n    left: 100,\n    width: 500,\n    height: 200,\n    html: 'Floating component!'\n});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-floatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-floatingCls' class='name expandable'>floatingCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The CSS class to add to this component when it is floatable. ...</div><div class='long'><p>The CSS class to add to this component when it is floatable.</p>\n<p>Defaults to: <code>&quot;x-floating&quot;</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-height' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-height' class='name expandable'>height</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The height of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The height of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nBy default, if this is not explicitly set, this Component's element will simply have its own natural size.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-hidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-hidden' class='name expandable'>hidden</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Whether or not this Component is hidden (its CSS <code>display</code> property is set to <code>none</code>)</p>\n</div><div class='long'><p>Whether or not this Component is hidden (its CSS <code>display</code> property is set to <code>none</code>)</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-hiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-hiddenCls' class='name expandable'>hiddenCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The CSS class to add to the component when it is hidden ...</div><div class='long'><p>The CSS class to add to the component when it is hidden</p>\n<p>Defaults to: <code>&quot;x-item-hidden&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-hideAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hideAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-hideAnimation' class='name expandable'>hideAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being hidden. ...</div><div class='long'><p>Animation effect to apply when the Component is being hidden.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-hideOnMaskTap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hideOnMaskTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-hideOnMaskTap' class='name expandable'>hideOnMaskTap</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>This configuration has moved to Ext.Container. ...</div><div class='long'><p>This configuration has moved to <a href=\"#!/api/Ext.Container-cfg-hideOnMaskTap\" rel=\"Ext.Container-cfg-hideOnMaskTap\" class=\"docClass\">Ext.Container</a>. You can no longer use it in a <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        <p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-cfg-hideOnMaskTap\" rel=\"Ext.Container-cfg-hideOnMaskTap\" class=\"docClass\">Ext.Container</a></p>\n\n        </div>\n</div></div></div><div id='cfg-html' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-html' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-html' class='name expandable'>html</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Optional HTML content to render inside this Component, or a reference\nto an existing element on the page.</p>\n</div><div class='long'><p>Optional HTML content to render inside this Component, or a reference\nto an existing element on the page.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-id' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-id' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-id' class='name expandable'>id</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The unique id of this component instance. ...</div><div class='long'><p>The <strong>unique id of this component instance.</strong></p>\n\n<p>It should not be necessary to use this configuration except for singleton objects in your application. Components\ncreated with an id may be accessed globally using <a href=\"#!/api/Ext-method-getCmp\" rel=\"Ext-method-getCmp\" class=\"docClass\">Ext.getCmp</a>.</p>\n\n<p>Instead of using assigned ids, use the <a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a> config, and <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">ComponentQuery</a>\nwhich provides selector-based searching for Sencha Components analogous to DOM querying. The\n<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> class contains <a href=\"#!/api/Ext.Container-method-down\" rel=\"Ext.Container-method-down\" class=\"docClass\">shortcut methods</a> to query\nits descendant Components by selector.</p>\n\n<p>Note that this id will also be used as the element id for the containing HTML element that is rendered to the\npage for this component. This allows you to write id-based CSS rules to style the specific instance of this\ncomponent uniquely, and also to select sub-elements using this component's id as the parent.</p>\n\n<p><strong>Note</strong>: to avoid complications imposed by a unique id also see <code><a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a></code>.</p>\n\n<p>Defaults to an auto-assigned id.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-inputCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-inputCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-inputCls' class='name expandable'>inputCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>CSS class to add to the input element of this fields <a href=\"#!/api/Ext.field.Field-cfg-component\" rel=\"Ext.field.Field-cfg-component\" class=\"docClass\">component</a></p>\n</div><div class='long'><p>CSS class to add to the input element of this fields <a href=\"#!/api/Ext.field.Field-cfg-component\" rel=\"Ext.field.Field-cfg-component\" class=\"docClass\">component</a></p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-inputType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-inputType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-inputType' class='name expandable'>inputType</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>The type attribute for input fields -- e.g. ...</div><div class='long'><p>The type attribute for input fields -- e.g. radio, text, password, file.\nThe types 'file' and 'password' must be used to render those field types currently -- there are\nno separate Ext components for those.</p>\n<p>Defaults to: <code>'text'</code></p>        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0</p>\n        <p>Please use <code>input.type</code> instead.</p>\n\n\n\n\n        </div>\n</div></div></div><div id='cfg-isFocused' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-isFocused' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-isFocused' class='name expandable'>isFocused</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'><p><code>true</code> if this field is currently focused.</p>\n</div><div class='long'><p><code>true</code> if this field is currently focused.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-itemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-itemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-itemId' class='name expandable'>itemId</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An itemId can be used as an alternative way to get a reference to a component when no object reference is\navailable. ...</div><div class='long'><p>An itemId can be used as an alternative way to get a reference to a component when no object reference is\navailable. Instead of using an <code><a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a></code> with <a href=\"#!/api/Ext-method-getCmp\" rel=\"Ext-method-getCmp\" class=\"docClass\">Ext.getCmp</a>, use <code>itemId</code> with\n<a href=\"#!/api/Ext.Container-method-getComponent\" rel=\"Ext.Container-method-getComponent\" class=\"docClass\">Ext.Container.getComponent</a> which will retrieve <code>itemId</code>'s or <a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a>'s. Since <code>itemId</code>'s are an\nindex to the container's internal MixedCollection, the <code>itemId</code> is scoped locally to the container - avoiding\npotential conflicts with <a href=\"#!/api/Ext.ComponentManager\" rel=\"Ext.ComponentManager\" class=\"docClass\">Ext.ComponentManager</a> which requires a <strong>unique</strong> <code><a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a></code>.</p>\n\n<p>Also see <a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a>, <a href=\"#!/api/Ext.Container-method-query\" rel=\"Ext.Container-method-query\" class=\"docClass\">Ext.Container.query</a>, <a href=\"#!/api/Ext.Container-method-down\" rel=\"Ext.Container-method-down\" class=\"docClass\">Ext.Container.down</a> and <a href=\"#!/api/Ext.Container-method-child\" rel=\"Ext.Container-method-child\" class=\"docClass\">Ext.Container.child</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-label' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-label' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-label' class='name expandable'>label</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The label of this field</p>\n</div><div class='long'><p>The label of this field</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-labelAlign' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelAlign' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-labelAlign' class='name expandable'>labelAlign</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The position to render the label relative to the field input. ...</div><div class='long'><p>The position to render the label relative to the field input.\nAvailable options are: 'top', 'left', 'bottom' and 'right'</p>\n<p>Defaults to: <code>'left'</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-labelCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-labelCls' class='name expandable'>labelCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Optional CSS class to add to the Label element.</p>\n</div><div class='long'><p>Optional CSS class to add to the Label element.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-labelMaskTap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-labelMaskTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-cfg-labelMaskTap' class='name expandable'>labelMaskTap</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.2.0</b></p>\n</div></div></div><div id='cfg-labelWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-labelWidth' class='name expandable'>labelWidth</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The width to make this field's label. ...</div><div class='long'><p>The width to make this field's label.</p>\n<p>Defaults to: <code>'30%'</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-labelWrap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelWrap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-labelWrap' class='name expandable'>labelWrap</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>true to allow the label to wrap. ...</div><div class='long'><p><code>true</code> to allow the label to wrap. If set to <code>false</code>, the label will be truncated with\nan ellipsis.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.1</b></p>\n</div></div></div><div id='cfg-layoutOnOrientationChange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-layoutOnOrientationChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-layoutOnOrientationChange' class='name expandable'>layoutOnOrientationChange</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p><code>true</code> to automatically re-layout this component on orientation change.</p>\n</div><div class='long'><p><code>true</code> to automatically re-layout this component on orientation change.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-left' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-left' class='name expandable'>left</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute left position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute left position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-listeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-listeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-cfg-listeners' class='name expandable'>listeners</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>A config object containing one or more event handlers to be added to this object during initialization. ...</div><div class='long'><p>A config object containing one or more event handlers to be added to this object during initialization. This\nshould be a valid listeners <code>config</code> object as specified in the <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> example for attaching\nmultiple handlers at once.</p>\n\n<p>See the <a href=\"#!/guide/events\">Event guide</a> for more</p>\n\n<p><strong>Note:</strong> It is bad practice to specify a listener's <code>config</code> when you are defining a class using <code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>()</code>.\nInstead, only specify listeners when you are instantiating your class with <code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>()</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-margin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-margin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-margin' class='name expandable'>margin</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The margin to use on this Component. ...</div><div class='long'><p>The margin to use on this Component. Can be specified as a number (in which case\nall edges get the same margin) or a CSS string like '5 10 10 10'</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-maxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-maxHeight' class='name expandable'>maxHeight</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The maximum height of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The maximum height of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nNote that this config will not apply if the Component is 'floating' (absolutely positioned or centered)</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-maxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-maxWidth' class='name expandable'>maxWidth</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The maximum width of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The maximum width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nNote that this config will not apply if the Component is 'floating' (absolutely positioned or centered)</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-minHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-minHeight' class='name expandable'>minHeight</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The minimum height of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.</p>\n</div><div class='long'><p>The minimum height of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-minWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-minWidth' class='name expandable'>minWidth</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The minimum width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.</p>\n</div><div class='long'><p>The minimum width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-modal' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-modal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-modal' class='name expandable'>modal</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>This configuration has moved to Ext.Container. ...</div><div class='long'><p>This configuration has moved to <a href=\"#!/api/Ext.Container-cfg-modal\" rel=\"Ext.Container-cfg-modal\" class=\"docClass\">Ext.Container</a>. You can no longer use it in a <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        <p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-cfg-modal\" rel=\"Ext.Container-cfg-modal\" class=\"docClass\">Ext.Container</a></p>\n\n        </div>\n</div></div></div><div id='cfg-monitorOrientation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-monitorOrientation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-monitorOrientation' class='name expandable'>monitorOrientation</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p><code>true</code> to monitor Orientation change.</p>\n</div><div class='long'><p><code>true</code> to monitor Orientation change.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-name' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-name' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-name' class='name expandable'>name</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The field's HTML name attribute. ...</div><div class='long'><p>The field's HTML name attribute.</p>\n\n<p><strong>Note:</strong> this property must be set if this field is to be automatically included with.\n<a href=\"#!/api/Ext.form.Panel-method-submit\" rel=\"Ext.form.Panel-method-submit\" class=\"docClass\">form submit()</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-padding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-padding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-padding' class='name expandable'>padding</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The padding to use on this Component. ...</div><div class='long'><p>The padding to use on this Component. Can be specified as a number (in which\ncase all edges get the same padding) or a CSS string like '5 10 10 10'</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-plugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-plugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-plugins' class='name expandable'>plugins</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object or array of objects that will provide custom functionality for this component. ...</div><div class='long'><p>An object or array of objects that will provide custom functionality for this component.  The only\nrequirement for a valid plugin is that it contain an init method that accepts a reference of type <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>.</p>\n\n<p>When a component is created, if any plugins are available, the component will call the init method on each\nplugin, passing a reference to itself.  Each plugin can then call methods or respond to events on the\ncomponent as needed to provide its functionality.</p>\n\n<p>For examples of plugins, see <a href=\"#!/api/Ext.plugin.PullRefresh\" rel=\"Ext.plugin.PullRefresh\" class=\"docClass\">Ext.plugin.PullRefresh</a> and <a href=\"#!/api/Ext.plugin.ListPaging\" rel=\"Ext.plugin.ListPaging\" class=\"docClass\">Ext.plugin.ListPaging</a></p>\n\n<h2>Example code</h2>\n\n<p>A plugin by alias:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: 'listpaging',\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n\n<p>Multiple plugins by alias:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: ['listpaging', 'pullrefresh'],\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n\n<p>Single plugin by class name with config options:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: {\n            xclass: '<a href=\"#!/api/Ext.plugin.ListPaging\" rel=\"Ext.plugin.ListPaging\" class=\"docClass\">Ext.plugin.ListPaging</a>', // Reference plugin by class\n            autoPaging: true\n        },\n\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n\n<p>Multiple plugins by class name with config options:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: [\n            {\n                xclass: '<a href=\"#!/api/Ext.plugin.PullRefresh\" rel=\"Ext.plugin.PullRefresh\" class=\"docClass\">Ext.plugin.PullRefresh</a>',\n                pullRefreshText: 'Pull to refresh...'\n            },\n            {\n                xclass: '<a href=\"#!/api/Ext.plugin.ListPaging\" rel=\"Ext.plugin.ListPaging\" class=\"docClass\">Ext.plugin.ListPaging</a>',\n                autoPaging: true\n            }\n        ],\n\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-record' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-record' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-record' class='name expandable'>record</a> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><span class=\"signature\"></span></div><div class='description'><div class='short'>A model instance which updates the Component's html based on it's tpl. ...</div><div class='long'><p>A model instance which updates the Component's html based on it's tpl. Similar to the data\nconfiguration, but tied to to a record to make allow dynamic updates.  This must be a model\ninstance and not a configuration of one.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-renderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-renderTo' class='name expandable'>renderTo</a> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Optional element to render this Component to. ...</div><div class='long'><p>Optional element to render this Component to. Usually this is not needed because\na Component is normally full screen or automatically rendered inside another <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Container</a></p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-required' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-required' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-required' class='name expandable'>required</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>true to make this field required. ...</div><div class='long'><p><code>true</code> to make this field required.</p>\n\n<p><strong>Note:</strong> this only causes a visual indication.</p>\n\n<p>Doesn't prevent user from submitting the form.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-requiredCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-requiredCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-requiredCls' class='name expandable'>requiredCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The className to be applied to this Field when the required configuration is set to true. ...</div><div class='long'><p>The <code>className</code> to be applied to this Field when the <a href=\"#!/api/Ext.field.Field-cfg-required\" rel=\"Ext.field.Field-cfg-required\" class=\"docClass\">required</a> configuration is set to <code>true</code>.</p>\n<p>Defaults to: <code>Ext.baseCSSPrefix + 'field-required'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-right' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-right' class='name expandable'>right</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute right position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute right position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-scroll' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-scroll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-scroll' class='name expandable'>scroll</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>This configuration has moved to Ext.Container. ...</div><div class='long'><p>This configuration has moved to <a href=\"#!/api/Ext.Container-cfg-scrollable\" rel=\"Ext.Container-cfg-scrollable\" class=\"docClass\">Ext.Container</a>. You can no longer use it in a <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        <p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-cfg-scrollable\" rel=\"Ext.Container-cfg-scrollable\" class=\"docClass\">Ext.Container</a></p>\n\n        </div>\n</div></div></div><div id='cfg-showAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-showAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-showAnimation' class='name expandable'>showAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being shown. ...</div><div class='long'><p>Animation effect to apply when the Component is being shown.  Typically you want to use an\ninbound animation type such as 'fadeIn' or 'slideIn'.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-stopMaskTapEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-stopMaskTapEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-stopMaskTapEvent' class='name expandable'>stopMaskTapEvent</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p><code>true</code> to stop the event that fires when you click outside the floating component.</p>\n</div><div class='long'><p><code>true</code> to stop the event that fires when you click outside the floating component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-style' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-style' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-style' class='name expandable'>style</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Optional CSS styles that will be rendered into an inline style attribute when the\nComponent is rendered. ...</div><div class='long'><p>Optional CSS styles that will be rendered into an inline style attribute when the\nComponent is rendered.</p>\n\n<p>You can pass either a string syntax:</p>\n\n<pre><code>style: 'background:red'\n</code></pre>\n\n<p>Or by using an object:</p>\n\n<pre><code>style: {\n    background: 'red'\n}\n</code></pre>\n\n<p>When using the object syntax, you can define CSS Properties by using a string:</p>\n\n<pre><code>style: {\n    'border-left': '1px solid red'\n}\n</code></pre>\n\n<p>Although the object syntax is much easier to read, we suggest you to use the string syntax for better performance.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-styleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-styleHtmlCls' class='name expandable'>styleHtmlCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The class that is added to the content target when you set styleHtmlContent to true. ...</div><div class='long'><p>The class that is added to the content target when you set <code>styleHtmlContent</code> to <code>true</code>.</p>\n<p>Defaults to: <code>&quot;x-html&quot;</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-styleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-styleHtmlContent' class='name expandable'>styleHtmlContent</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>true to automatically style the HTML inside the content target of this component (body for panels). ...</div><div class='long'><p><code>true</code> to automatically style the HTML inside the content target of this component (body for panels).</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-top' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-top' class='name expandable'>top</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute top position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute top position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-tpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-tpl' class='name expandable'>tpl</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>A String, Ext.Template, Ext.XTemplate or an Array of strings to form an Ext.XTemplate. ...</div><div class='long'><p>A <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>, <a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>, <a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a> or an <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> of strings to form an <a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>.\nUsed in conjunction with the <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a> and <a href=\"#!/api/Ext.Component-cfg-tplWriteMode\" rel=\"Ext.Component-cfg-tplWriteMode\" class=\"docClass\">tplWriteMode</a> configurations.</p>\n\n<p><strong>Note</strong>\nThe <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a> configuration <em>must</em> be set for any content to be shown in the component when using this configuration.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-tplWriteMode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tplWriteMode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-tplWriteMode' class='name expandable'>tplWriteMode</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The Ext.(X)Template method to use when\nupdating the content area of the Component. ...</div><div class='long'><p>The Ext.(X)Template method to use when\nupdating the content area of the Component.\nValid modes are:</p>\n\n<ul>\n<li>append</li>\n<li>insertAfter</li>\n<li>insertBefore</li>\n<li>insertFirst</li>\n<li>overwrite</li>\n</ul>\n\n<p>Defaults to: <code>'overwrite'</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-translatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-translatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-translatable' class='name expandable'>translatable</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-ui' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-cfg-ui' class='name expandable'>ui</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The ui to be used on this Component ...</div><div class='long'><p>The ui to be used on this Component</p>\n<p>Defaults to: <code>'checkbox'</code></p>        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-ui\" rel=\"Ext.Component-cfg-ui\" class=\"docClass\">Ext.Component.ui</a></p></div></div></div><div id='cfg-useClearIcon' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-useClearIcon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-cfg-useClearIcon' class='name expandable'>useClearIcon</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>true to use a clear icon in this field. ...</div><div class='long'><p><code>true</code> to use a clear icon in this field.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use the <a href=\"#!/api/Ext.field.Field-cfg-clearIcon\" rel=\"Ext.field.Field-cfg-clearIcon\" class=\"docClass\">clearIcon</a> configuration instead.</p>\n\n        </div>\n</div></div></div><div id='cfg-value' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-value' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-cfg-value' class='name expandable'>value</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The string value to submit if the item is in a checked state. ...</div><div class='long'><p>The string value to submit if the item is in a checked state.</p>\n<p>Defaults to: <code>''</code></p>        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.field.Field-cfg-value\" rel=\"Ext.field.Field-cfg-value\" class=\"docClass\">Ext.field.Field.value</a></p></div></div></div><div id='cfg-width' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-width' class='name expandable'>width</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The width of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nBy default, if this is not explicitly set, this Component's element will simply have its own natural size.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-xtype' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-xtype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-xtype' class='name expandable'>xtype</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The xtype configuration option can be used to optimize Component creation and rendering. ...</div><div class='long'><p>The <code>xtype</code> configuration option can be used to optimize Component creation and rendering. It serves as a\nshortcut to the full component name. For example, the component <code>Ext.button.Button</code> has an xtype of <code>button</code>.</p>\n\n<p>You can define your own xtype on a custom <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">component</a> by specifying the\n<a href=\"#!/api/Ext.Class-cfg-alias\" rel=\"Ext.Class-cfg-alias\" class=\"docClass\">alias</a> config option with a prefix of <code>widget</code>. For example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('PressMeButton', {\n    extend: 'Ext.button.Button',\n    alias: 'widget.pressmebutton',\n    text: 'Press Me'\n});\n</code></pre>\n\n<p>Any Component can be created implicitly as an object config with an xtype specified, allowing it to be\ndeclared and passed into the rendering pipeline without actually being instantiated as an object. Not only is\nrendering deferred, but the actual creation of the object itself is also deferred, saving memory and resources\nuntil they are actually needed. In complex, nested layouts containing many Components, this can make a\nnoticeable improvement in performance.</p>\n\n<pre><code>// Explicit creation of contained Components:\nvar panel = new <a href=\"#!/api/Ext.Panel\" rel=\"Ext.Panel\" class=\"docClass\">Ext.Panel</a>({\n   // ...\n   items: [\n      <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('Ext.button.Button', {\n         text: 'OK'\n      })\n   ]\n});\n\n// Implicit creation using xtype:\nvar panel = new <a href=\"#!/api/Ext.Panel\" rel=\"Ext.Panel\" class=\"docClass\">Ext.Panel</a>({\n   // ...\n   items: [{\n      xtype: 'button',\n      text: 'OK'\n   }]\n});\n</code></pre>\n\n<p>In the first example, the button will always be created immediately during the panel's initialization. With\nmany added Components, this approach could potentially slow the rendering of the page. In the second example,\nthe button will not be created or rendered until the panel is actually displayed in the browser. If the panel\nis never displayed (for example, if it is a tab that remains hidden) then the button will never be created and\nwill never consume any resources whatsoever.</p>\n<p>Defaults to: <code>'component'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-zIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-zIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-zIndex' class='name expandable'>zIndex</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The z-index to give this Component when it is rendered</p>\n</div><div class='long'><p>The z-index to give this Component when it is rendered</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance properties</h3><div id='property-LAYOUT_BOTH' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_BOTH' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_BOTH' class='name expandable'>LAYOUT_BOTH</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>3</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-LAYOUT_HEIGHT' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_HEIGHT' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_HEIGHT' class='name expandable'>LAYOUT_HEIGHT</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>2</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-LAYOUT_STRETCHED' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_STRETCHED' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_STRETCHED' class='name expandable'>LAYOUT_STRETCHED</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>4</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-LAYOUT_WIDTH' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_WIDTH' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_WIDTH' class='name expandable'>LAYOUT_WIDTH</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>1</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-alignmentRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-alignmentRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-alignmentRegex' class='name expandable'>alignmentRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/^([a-z]+)-([a-z]+)(\\?)?$/</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-defaultIdPrefix' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-defaultIdPrefix' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-defaultIdPrefix' class='name expandable'>defaultIdPrefix</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'ext-'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-defaultIdSeparator' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-defaultIdSeparator' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-defaultIdSeparator' class='name expandable'>defaultIdSeparator</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'-'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-dockPositions' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-dockPositions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-dockPositions' class='name expandable'>dockPositions</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>{top: true, right: true, bottom: true, left: true}</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-element' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-element' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-element' class='name expandable'>element</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-eventFiringSuspended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-eventFiringSuspended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-eventFiringSuspended' class='name expandable'>eventFiringSuspended</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.2.0</b></p>\n</div></div></div><div id='property-floating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-floating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-floating' class='name expandable'>floating</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-heightLayoutSized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-heightLayoutSized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-heightLayoutSized' class='name expandable'>heightLayoutSized</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-idCleanRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-idCleanRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-idCleanRegex' class='name expandable'>idCleanRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/\\.|[^\\w\\-]/g</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-initialized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Evented' rel='Ext.Evented' class='defined-in docClass'>Ext.Evented</a><br/><a href='source/Evented.html#Ext-Evented-property-initialized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Evented-property-initialized' class='name expandable'>initialized</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-innerElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-innerElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-innerElement' class='name expandable'>innerElement</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-isCheckbox' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-property-isCheckbox' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-property-isCheckbox' class='name expandable'>isCheckbox</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-isComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-isComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-isComponent' class='name expandable'>isComponent</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-isDecorator' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-property-isDecorator' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-property-isDecorator' class='name expandable'>isDecorator</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-isField' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-property-isField' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-property-isField' class='name expandable'>isField</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Set to true on all Ext.field.Field subclasses. ...</div><div class='long'><p>Set to <code>true</code> on all <a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">Ext.field.Field</a> subclasses. This is used by <a href=\"#!/api/Ext.form.Panel-method-getValues\" rel=\"Ext.form.Panel-method-getValues\" class=\"docClass\">Ext.form.Panel.getValues</a> to determine which\ncomponents inside a form are fields.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-isFormField' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-property-isFormField' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-property-isFormField' class='name expandable'>isFormField</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-isIdentifiable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-isIdentifiable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-isIdentifiable' class='name expandable'>isIdentifiable</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-isInner' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-isInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-isInner' class='name expandable'>isInner</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-isObservable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-isObservable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-isObservable' class='name expandable'>isObservable</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-labelEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-property-labelEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-property-labelEl' class='name expandable'>labelEl</a> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>The label Element associated with this Field. ...</div><div class='long'><p>The label Element associated with this Field.</p>\n\n<p><strong>Note:</strong> Only available if a <a href=\"#!/api/Ext.field.Field-cfg-label\" rel=\"Ext.field.Field-cfg-label\" class=\"docClass\">label</a> is specified.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprecated</strong> since 2.0</p>\n        \n\n        </div>\n</div></div></div><div id='property-layoutStretched' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-layoutStretched' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-layoutStretched' class='name expandable'>layoutStretched</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-listenerOptionsRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-listenerOptionsRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-listenerOptionsRegex' class='name expandable'>listenerOptionsRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/^(?:delegate|single|delay|buffer|args|prepend|element)$/</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-property-listenerOptionsRegex\" rel=\"Ext.mixin.Observable-property-listenerOptionsRegex\" class=\"docClass\">Ext.mixin.Observable.listenerOptionsRegex</a></p></div></div></div><div id='property-mixinConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='defined-in docClass'>Ext.mixin.Traversable</a><br/><a href='source/Traversable.html#Ext-mixin-Traversable-property-mixinConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Traversable-property-mixinConfig' class='name expandable'>mixinConfig</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>{id: 'traversable'}</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-property-mixinConfig\" rel=\"Ext.mixin.Observable-property-mixinConfig\" class=\"docClass\">Ext.mixin.Observable.mixinConfig</a></p></div></div></div><div id='property-mixinId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-mixinId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-mixinId' class='name expandable'>mixinId</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'identifiable'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-observableIdPrefix' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-observableIdPrefix' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-observableIdPrefix' class='name expandable'>observableIdPrefix</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'#'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-observableType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-observableType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-observableType' class='name expandable'>observableType</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'component'</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-property-observableType\" rel=\"Ext.mixin.Observable-property-observableType\" class=\"docClass\">Ext.mixin.Observable.observableType</a></p></div></div></div><div id='property-originalValue' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-property-originalValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-property-originalValue' class='name expandable'>originalValue</a> : Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>The original value of the field as configured in the value configuration. ...</div><div class='long'><p>The original value of the field as configured in the <a href=\"#!/api/Ext.field.Field-cfg-value\" rel=\"Ext.field.Field-cfg-value\" class=\"docClass\">value</a> configuration.\nsetting is <code>true</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-platformConfig' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-property-platformConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-property-platformConfig' class='name expandable'>platformConfig</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[{theme: ['Windows'], labelAlign: 'left'}]</code></p>        <p>Available since: <b>2.2.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.field.Field-property-platformConfig\" rel=\"Ext.field.Field-property-platformConfig\" class=\"docClass\">Ext.field.Field.platformConfig</a></p></div></div></div><div id='property-qsaLeftRe' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-property-qsaLeftRe' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-property-qsaLeftRe' class='name expandable'>qsaLeftRe</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/[\\[]/g</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-qsaRightRe' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-property-qsaRightRe' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-property-qsaRightRe' class='name expandable'>qsaRightRe</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/[\\]]/g</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-referenceAttributeName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-property-referenceAttributeName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-property-referenceAttributeName' class='name expandable'>referenceAttributeName</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'reference'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-referenceSelector' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-property-referenceSelector' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-property-referenceSelector' class='name expandable'>referenceSelector</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'[reference]'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-rendered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-rendered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-rendered' class='name expandable'>rendered</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-self' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-property-self' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-property-self' class='name expandable'>self</a> : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the current class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the current class from which this object was instantiated. Unlike <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>,\n<code>this.self</code> is scope-dependent and it's meant to be used for dynamic inheritance. See <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>\nfor a detailed comparison</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        alert(this.self.speciesName); // dependent on 'this'\n    },\n\n    clone: function() {\n        return new this.self();\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n    statics: {\n        speciesName: 'Snow Leopard'         // My.SnowLeopard.speciesName = 'Snow Leopard'\n    }\n});\n\nvar cat = new My.Cat();                     // alerts 'Cat'\nvar snowLeopard = new My.SnowLeopard();     // alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));             // alerts 'My.SnowLeopard'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-sizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-sizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-sizeFlags' class='name expandable'>sizeFlags</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>0</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-sizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-sizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-sizeState' class='name expandable'>sizeState</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-template' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-template' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-template' class='name expandable'>template</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-validIdRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-validIdRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-validIdRegex' class='name expandable'>validIdRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/^([\\w\\-]+)$/</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-widthLayoutSized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-widthLayoutSized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-widthLayoutSized' class='name expandable'>widthLayoutSized</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static properties</h3><div id='static-property-S-onExtended' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-property-S-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-property-S-onExtended' class='name expandable'>$onExtended</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance methods</h3><div id='method-constructor' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/Ext.Component-method-constructor' class='name expandable'>Ext.field.Checkbox</a>( <span class='pre'>config</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Creates new Component. ...</div><div class='long'><p>Creates new Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The standard configuration object.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-fullscreen\" rel=\"Ext.Component-event-fullscreen\" class=\"docClass\">fullscreen</a></li><li><a href=\"#!/api/Ext.Component-event-initialize\" rel=\"Ext.Component-event-initialize\" class=\"docClass\">initialize</a></li></ul><p>Overrides: <a href=\"#!/api/Ext.Evented-method-constructor\" rel=\"Ext.Evented-method-constructor\" class=\"docClass\">Ext.Evented.constructor</a>, <a href=\"#!/api/Ext.Component-method-constructor\" rel=\"Ext.Component-method-constructor\" class=\"docClass\">Ext.Component.constructor</a></p></div></div></div><div id='method-addAfterListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addAfterListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addAfterListener' class='name expandable'>addAfterListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends an after-event handler. ...</div><div class='long'><p>Appends an after-event handler.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> with <code>order</code> set to <code>'after'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addBeforeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addBeforeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addBeforeListener' class='name expandable'>addBeforeListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends a before-event handler. ...</div><div class='long'><p>Appends a before-event handler.  Returning <code>false</code> from the handler will stop the event.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> with <code>order</code> set to <code>'before'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-addCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-addCls' class='name expandable'>addCls</a>( <span class='pre'>cls, [prefix], [suffix]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds a CSS class (or classes) to this Component's rendered element. ...</div><div class='long'><p>Adds a CSS class (or classes) to this Component's rendered element.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The CSS class to add.</p>\n</div></li><li><span class='pre'>prefix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional prefix to add to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li><li><span class='pre'>suffix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional suffix to add to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addDispatcherListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addDispatcherListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addDispatcherListener' class='name expandable'>addDispatcherListener</a>( <span class='pre'>selector, name, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addEvents' class='name expandable'>addEvents</a>( <span class='pre'>eventNames</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Adds the specified events to the list of events which this Observable may fire. ...</div><div class='long'><p>Adds the specified events to the list of events which this Observable may fire.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>It's no longer needed to add events before firing.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventNames</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>...<div class='sub-desc'><p>Either an object with event names as properties with a value of <code>true</code>\nor the first event name string if multiple event names are being passed as separate parameters.</p>\n</div></li></ul></div></div></div><div id='method-addListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addListener' class='name expandable'>addListener</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends an event handler to this object. ...</div><div class='long'><p>Appends an event handler to this object. You can review the available handlers by looking at the 'events'\nsection of the documentation for the component you are working with.</p>\n\n<h2>Combining Options</h2>\n\n<p>Using the options argument, it is possible to combine different types of listeners:</p>\n\n<p>A delayed, one-time listener:</p>\n\n<pre><code>container.on('tap', this.handleTap, this, {\n    single: true,\n    delay: 100\n});\n</code></pre>\n\n<h2>Attaching multiple handlers in 1 call</h2>\n\n<p>The method also allows for a single argument to be passed which is a config object containing properties which\nspecify multiple events. For example:</p>\n\n<pre><code>container.on({\n    tap  : this.onTap,\n    swipe: this.onSwipe,\n\n    scope: this // Important. Ensure \"this\" is correct during handler execution\n});\n</code></pre>\n\n<p>One can also specify options for each event handler separately:</p>\n\n<pre><code>container.on({\n    tap  : { fn: this.onTap, scope: this, single: true },\n    swipe: { fn: button.onSwipe, scope: button }\n});\n</code></pre>\n\n<p>See the <a href=\"#!/guide/events\">Events Guide</a> for more.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for. May also be an object who's property names are\nevent names.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.  Will be called with arguments given to\n<a href=\"#!/api/Ext.mixin.Observable-method-fireEvent\" rel=\"Ext.mixin.Observable-method-fireEvent\" class=\"docClass\">fireEvent</a> plus the <code>options</code> parameter described below.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. <strong>If\nomitted, defaults to the object which fired the event.</strong></p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n\n\n\n<p>This object may contain any of the following properties:</p>\n\n<ul><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. If omitted, defaults to the object\nwhich fired the event.</p>\n\n</div></li><li><span class='pre'>delay</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The number of milliseconds to delay the invocation of the handler after the event fires.</p>\n\n</div></li><li><span class='pre'>single</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>true</code> to add a handler to handle just the next firing of the event, and then remove itself.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.</p>\n\n\n\n\n<p>If you set an order of <code>before</code> and the event you are listening to is preventable, you can return <code>false</code> and it will stop the event.</p>\n\n\n\n\n<p>Available options are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>buffer</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Causes the handler to be delayed by the specified number of milliseconds. If the event fires again within that\ntime, the original handler is <em>not</em> invoked, but the new handler is scheduled in its place.</p>\n\n</div></li><li><span class='pre'>element</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Allows you to add a listener onto a element of this component using the elements reference.</p>\n\n\n\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>', {\n    listeners: {\n        element: 'element',\n        tap: function() {\n            alert('element tap!');\n        }\n    }\n});\n</code></pre>\n\n\n\n\n<p>All components have the <code>element</code> reference, which is the outer most element of the component. <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> also has the\n<code>innerElement</code> element which contains all children. In most cases <code>element</code> is adequate.</p>\n\n</div></li><li><span class='pre'>delegate</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Uses <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> to delegate events to a specified query selector within this item.</p>\n\n\n\n\n<pre><code>// Create a container with a two children; a button and a toolbar\nvar container = <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    items: [\n        {\n            xtype: 'toolbar',\n            docked: 'top',\n            title: 'My Toolbar'\n        },\n        {\n           xtype: 'button',\n           text: 'My Button'\n        }\n    ]\n});\n\ncontainer.on({\n    // Ext.Buttons have an xtype of 'button', so we use that are a selector for our delegate\n    delegate: 'button',\n\n    tap: function() {\n        alert('Button tapped!');\n    }\n});\n</code></pre>\n\n</div></li></ul></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addManagedListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addManagedListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addManagedListener' class='name expandable'>addManagedListener</a>( <span class='pre'>object, eventName, [fn], [scope], [options]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed. ...</div><div class='long'><p>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> options.</p>\n\n</div></li></ul></div></div></div><div id='method-addReferenceNode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-method-addReferenceNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-method-addReferenceNode' class='name expandable'>addReferenceNode</a>( <span class='pre'>name, domNode</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Significantly improve instantiation time for Component with multiple references\nExt.Element instance of the reference...</div><div class='long'><p>Significantly improve instantiation time for Component with multiple references\n<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a> instance of the reference domNode is only created the very first time\nit's ever used.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>domNode</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-afterEdit' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-afterEdit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-afterEdit' class='name expandable'>afterEdit</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Used to handle joining of a record to a tpl ...</div><div class='long'><p>Used to handle joining of a record to a tpl</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-updatedata\" rel=\"Ext.Component-event-updatedata\" class=\"docClass\">updatedata</a></li></ul></div></div></div><div id='method-afterErase' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-afterErase' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-afterErase' class='name expandable'>afterErase</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Used to handle joining of a record to a tpl ...</div><div class='long'><p>Used to handle joining of a record to a tpl</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-alignTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-alignTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-alignTo' class='name expandable'>alignTo</a>( <span class='pre'>component, alignment</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>alignment</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-animateFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-animateFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-animateFn' class='name expandable'>animateFn</a>( <span class='pre'>animation, component, newState, oldState, options, controller</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>newState</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldState</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>controller</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyBaseCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyBaseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyBaseCls' class='name expandable'>applyBaseCls</a>( <span class='pre'>baseCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>baseCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyBottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyBottom' class='name expandable'>applyBottom</a>( <span class='pre'>bottom</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bottom</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyBubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-applyBubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-applyBubbleEvents' class='name expandable'>applyBubbleEvents</a>( <span class='pre'>bubbleEvents</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bubbleEvents</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyCentered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyCentered' class='name expandable'>applyCentered</a>( <span class='pre'>centered</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>centered</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-applyCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyCls' class='name expandable'>applyCls</a>( <span class='pre'>cls</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/null<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Checks if the cls is a string. ...</div><div class='long'><p>Checks if the <code>cls</code> is a string. If it is, changed it into an array.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/null</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-applyComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-applyComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-applyComponent' class='name expandable'>applyComponent</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyContentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyContentEl' class='name expandable'>applyContentEl</a>( <span class='pre'>contentEl</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>contentEl</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyData' class='name expandable'>applyData</a>( <span class='pre'>data</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>data</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyDisabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyDisabled' class='name expandable'>applyDisabled</a>( <span class='pre'>disabled</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabled</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyDocked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyDocked' class='name expandable'>applyDocked</a>( <span class='pre'>docked</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>docked</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-applyDraggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyDraggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyDraggable' class='name expandable'>applyDraggable</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyFlex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyFlex' class='name expandable'>applyFlex</a>( <span class='pre'>flex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyHeight' class='name expandable'>applyHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyHidden' class='name expandable'>applyHidden</a>( <span class='pre'>hidden</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hidden</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyItemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyItemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyItemId' class='name expandable'>applyItemId</a>( <span class='pre'>itemId</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>itemId</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyLeft' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyLeft' class='name expandable'>applyLeft</a>( <span class='pre'>left</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>left</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-applyListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-applyListeners' class='name expandable'>applyListeners</a>( <span class='pre'>listeners</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>listeners</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMaxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMaxHeight' class='name expandable'>applyMaxHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMaxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMaxWidth' class='name expandable'>applyMaxWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMinHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMinHeight' class='name expandable'>applyMinHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMinWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMinWidth' class='name expandable'>applyMinWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyPlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyPlugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyPlugins' class='name expandable'>applyPlugins</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyRecord' class='name expandable'>applyRecord</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyRight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyRight' class='name expandable'>applyRight</a>( <span class='pre'>right</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>right</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyStyleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyStyleHtmlContent' class='name expandable'>applyStyleHtmlContent</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyTop' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyTop' class='name expandable'>applyTop</a>( <span class='pre'>top</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>top</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyTpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyTpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyTpl' class='name expandable'>applyTpl</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyTranslatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyTranslatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyTranslatable' class='name expandable'>applyTranslatable</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyWidth' class='name expandable'>applyWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyZIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyZIndex' class='name expandable'>applyZIndex</a>( <span class='pre'>zIndex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-beforeInitConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-beforeInitConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-beforeInitConfig' class='name expandable'>beforeInitConfig</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-beforeInitialize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-beforeInitialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-beforeInitialize' class='name expandable'>beforeInitialize</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-callOverridden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callOverridden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callOverridden' class='name expandable'>callOverridden</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the original method that was previously overridden with override,\n\nThis method is deprecated as callParent does ...</div><div class='long'><p>Call the original method that was previously overridden with <a href=\"#!/api/Ext.Base-static-method-override\" rel=\"Ext.Base-static-method-override\" class=\"docClass\">override</a>,</p>\n\n<p>This method is deprecated as <a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a> does the same thing.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callOverridden();\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callOverridden(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the overridden method</p>\n</div></li></ul></div></div></div><div id='method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the \"parent\" method of the current method. ...</div><div class='long'><p>Call the \"parent\" method of the current method. That is the method previously\noverridden by derivation or by an override (see <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>).</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Base', {\n     constructor: function (x) {\n         this.x = x;\n     },\n\n     statics: {\n         method: function (x) {\n             return x;\n         }\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived', {\n     extend: 'My.Base',\n\n     constructor: function () {\n         this.callParent([21]);\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // alerts 21\n</code></pre>\n\n<p>This can be used with an override as follows:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.DerivedOverride', {\n     override: 'My.Derived',\n\n     constructor: function (x) {\n         this.callParent([x*2]); // calls original My.Derived constructor\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // now alerts 42\n</code></pre>\n\n<p>This also works with static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2', {\n     extend: 'My.Base',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Base.method\n         }\n     }\n });\n\n alert(My.Base.method(10));     // alerts 10\n alert(My.Derived2.method(10)); // alerts 20\n</code></pre>\n\n<p>Lastly, it also works with overridden static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2Override', {\n     override: 'My.Derived2',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Derived2.method\n         }\n     }\n });\n\n alert(My.Derived2.method(10)); // now alerts 40\n</code></pre>\n\n<p>To override a method and replace it and also call the superclass method, use\n<a href=\"#!/api/Ext.Base-method-callSuper\" rel=\"Ext.Base-method-callSuper\" class=\"docClass\">callSuper</a>. This is often done to patch a method to fix a bug.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callParent(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the parent method</p>\n</div></li></ul></div></div></div><div id='method-callSuper' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callSuper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callSuper' class='name expandable'>callSuper</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>This method is used by an override to call the superclass method but bypass any\noverridden method. ...</div><div class='long'><p>This method is used by an override to call the superclass method but bypass any\noverridden method. This is often done to \"patch\" a method that contains a bug\nbut for whatever reason cannot be fixed directly.</p>\n\n<p>Consider:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.Class', {\n     method: function () {\n         console.log('Good');\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.DerivedClass', {\n     method: function () {\n         console.log('Bad');\n\n         // ... logic but with a bug ...\n\n         this.callParent();\n     }\n });\n</code></pre>\n\n<p>To patch the bug in <code>DerivedClass.method</code>, the typical solution is to create an\noverride:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('App.paches.DerivedClass', {\n     override: 'Ext.some.DerivedClass',\n\n     method: function () {\n         console.log('Fixed');\n\n         // ... logic but with bug fixed ...\n\n         this.callSuper();\n     }\n });\n</code></pre>\n\n<p>The patch method cannot use <code>callParent</code> to call the superclass <code>method</code> since\nthat would call the overridden method containing the bug. In other words, the\nabove patch would only produce \"Fixed\" then \"Good\" in the console log, whereas,\nusing <code>callParent</code> would produce \"Fixed\" then \"Bad\" then \"Good\".</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callSuper(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the superclass method</p>\n</div></li></ul></div></div></div><div id='method-changeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-changeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-changeListener' class='name expandable'>changeListener</a>( <span class='pre'>actionFn, eventName, fn, scope, options, order</span> ) : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>actionFn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-check' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-check' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-check' class='name expandable'>check</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Set the checked state of the checkbox to true. ...</div><div class='long'><p>Set the checked state of the checkbox to <code>true</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a></span><div class='sub-desc'><p>This checkbox.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-clearListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-clearListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-clearListeners' class='name expandable'>clearListeners</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes all listeners for this object. ...</div><div class='long'><p>Removes all listeners for this object.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-clearManagedListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-clearManagedListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-clearManagedListeners' class='name expandable'>clearManagedListeners</a>( <span class='pre'>object</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-createEventBubbler' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-createEventBubbler' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-createEventBubbler' class='name expandable'>createEventBubbler</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-createEventRelayer' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-createEventRelayer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-createEventRelayer' class='name expandable'>createEventRelayer</a>( <span class='pre'>newName</span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Creates an event handling function which re-fires the event from this object as the passed event name. ...</div><div class='long'><p>Creates an event handling function which re-fires the event from this object as the passed event name.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-destroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Destroys this Component. ...</div><div class='long'><p>Destroys this Component. If it is currently added to a Container it will first be removed from that Container.\nAll <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a> references are also deleted and the Component is de-registered from <a href=\"#!/api/Ext.ComponentManager\" rel=\"Ext.ComponentManager\" class=\"docClass\">Ext.ComponentManager</a></p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-destroy\" rel=\"Ext.Component-method-destroy\" class=\"docClass\">Ext.Component.destroy</a>, <a href=\"#!/api/Ext.Decorator-method-destroy\" rel=\"Ext.Decorator-method-destroy\" class=\"docClass\">Ext.Decorator.destroy</a></p></div></div></div><div id='method-disable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-disable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-disable' class='name expandable'>disable</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Disables this Component ...</div><div class='long'><p>Disables this Component</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doAddListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doAddListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doAddListener' class='name expandable'>doAddListener</a>( <span class='pre'>name, fn, scope, options, order</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-method-doAddListener\" rel=\"Ext.mixin.Observable-method-doAddListener\" class=\"docClass\">Ext.mixin.Observable.doAddListener</a></p></div></div></div><div id='method-doChecked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-doChecked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-doChecked' class='name expandable'>doChecked</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Method called when this Ext.field.Checkbox has been checked. ...</div><div class='long'><p>Method called when this <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a> has been checked.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-doFireEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-doFireEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-doFireEvent' class='name expandable'>doFireEvent</a>( <span class='pre'>eventName, args, action, connectedController</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>action</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>connectedController</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doInitValue' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-doInitValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-doInitValue' class='name expandable'>doInitValue</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.field.Field-method-doInitValue\" rel=\"Ext.field.Field-method-doInitValue\" class=\"docClass\">Ext.field.Field.doInitValue</a></p></div></div></div><div id='method-doRefreshFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doRefreshFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doRefreshFloating' class='name expandable'>doRefreshFloating</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-floatingchange\" rel=\"Ext.Component-event-floatingchange\" class=\"docClass\">floatingchange</a></li><li>innerstatechange</li></ul></div></div></div><div id='method-doRefreshSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doRefreshSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doRefreshSizeState' class='name expandable'>doRefreshSizeState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-doRemoveListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doRemoveListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doRemoveListener' class='name expandable'>doRemoveListener</a>( <span class='pre'>name, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-method-doRemoveListener\" rel=\"Ext.mixin.Observable-method-doRemoveListener\" class=\"docClass\">Ext.mixin.Observable.doRemoveListener</a></p></div></div></div><div id='method-doSet' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Evented' rel='Ext.Evented' class='defined-in docClass'>Ext.Evented</a><br/><a href='source/Evented.html#Ext-Evented-method-doSet' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Evented-method-doSet' class='name expandable'>doSet</a>( <span class='pre'>me, value, oldValue, options</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>me</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetBottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetBottom' class='name expandable'>doSetBottom</a>( <span class='pre'>bottom</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bottom</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetCentered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetCentered' class='name expandable'>doSetCentered</a>( <span class='pre'>centered</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>centered</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-doSetComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-doSetComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-doSetComponent' class='name expandable'>doSetComponent</a>( <span class='pre'>component</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-doSetDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetDisabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetDisabled' class='name expandable'>doSetDisabled</a>( <span class='pre'>disabled</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabled</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetDocked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetDocked' class='name expandable'>doSetDocked</a>( <span class='pre'>docked, oldDocked</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>docked</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldDocked</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>afterdockedchange</li><li>innerstatechange</li></ul></div></div></div><div id='method-doSetFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetFlex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetFlex' class='name expandable'>doSetFlex</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='method-doSetHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetHeight' class='name expandable'>doSetHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetHidden' class='name expandable'>doSetHidden</a>( <span class='pre'>hidden</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hidden</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetLeft' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetLeft' class='name expandable'>doSetLeft</a>( <span class='pre'>left</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>left</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMaxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMaxHeight' class='name expandable'>doSetMaxHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMaxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMaxWidth' class='name expandable'>doSetMaxWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMinHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMinHeight' class='name expandable'>doSetMinHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMinWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMinWidth' class='name expandable'>doSetMinWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetRight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetRight' class='name expandable'>doSetRight</a>( <span class='pre'>right</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>right</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetTop' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetTop' class='name expandable'>doSetTop</a>( <span class='pre'>top</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>top</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetWidth' class='name expandable'>doSetWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doUnChecked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-doUnChecked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-doUnChecked' class='name expandable'>doUnChecked</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Method called when this Ext.field.Checkbox has been unchecked. ...</div><div class='long'><p>Method called when this <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a> has been unchecked.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-doUnsetComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-doUnsetComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-doUnsetComponent' class='name expandable'>doUnsetComponent</a>( <span class='pre'>component</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-enable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-enable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-enable' class='name expandable'>enable</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Enables this Component ...</div><div class='long'><p>Enables this Component</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-enableBubble' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-enableBubble' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-enableBubble' class='name expandable'>enableBubble</a>( <span class='pre'>events</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Enables events fired by this Observable to bubble up an owner hierarchy by calling this.getBubbleTarget() if\npresent. ...</div><div class='long'><p>Enables events fired by this Observable to bubble up an owner hierarchy by calling <code>this.getBubbleTarget()</code> if\npresent. There is no implementation in the Observable base class.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>events</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<div class='sub-desc'><p>The event name to bubble, or an Array of event names.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-filterLengthValue' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-filterLengthValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-filterLengthValue' class='name expandable'>filterLengthValue</a>( <span class='pre'>value</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-fireAction' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-fireAction' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-fireAction' class='name expandable'>fireAction</a>( <span class='pre'>eventName, args, fn, scope</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Fires the specified event with the passed parameters and execute a function (action)\nat the end if there are no liste...</div><div class='long'><p>Fires the specified event with the passed parameters and execute a function (action)\nat the end if there are no listeners that return <code>false</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to fire.</p>\n</div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>Arguments to pass to handers.</p>\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>Action.</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Scope of fn.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-fireEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-fireEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-fireEvent' class='name expandable'>fireEvent</a>( <span class='pre'>eventName, args</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Fires the specified event with the passed parameters (minus the event name, plus the options object passed\nto addList...</div><div class='long'><p>Fires the specified event with the passed parameters (minus the event name, plus the <code>options</code> object passed\nto <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>).</p>\n\n<p>The first argument is the name of the event. Every other argument passed will be available when you listen for\nthe event.</p>\n\n<h2>Example</h2>\n\n<p>Firstly, we set up a listener for our new event.</p>\n\n<pre><code>this.on('myevent', function(arg1, arg2, arg3, arg4, options, e) {\n    console.log(arg1); // true\n    console.log(arg2); // 2\n    console.log(arg3); // { test: 'foo' }\n    console.log(arg4); // 14\n    console.log(options); // the options added when adding the listener\n    console.log(e); // the event object with information about the event\n});\n</code></pre>\n\n<p>And then we can fire off the event.</p>\n\n<pre><code>this.fireEvent('myevent', true, 2, { test: 'foo' }, 14);\n</code></pre>\n\n<p>An event may be set to bubble up an Observable parent hierarchy by calling <a href=\"#!/api/Ext.mixin.Observable-method-enableBubble\" rel=\"Ext.mixin.Observable-method-enableBubble\" class=\"docClass\">enableBubble</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to fire.</p>\n</div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>...<div class='sub-desc'><p>Variable number of parameters are passed to handlers.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p>Returns <code>false</code> if any of the handlers return <code>false</code>.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getAncestorIds' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='defined-in docClass'>Ext.mixin.Traversable</a><br/><a href='source/Traversable.html#Ext-mixin-Traversable-method-getAncestorIds' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Traversable-method-getAncestorIds' class='name expandable'>getAncestorIds</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getAncestors' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='defined-in docClass'>Ext.mixin.Traversable</a><br/><a href='source/Traversable.html#Ext-mixin-Traversable-method-getAncestors' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Traversable-method-getAncestors' class='name expandable'>getAncestors</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getBaseCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-baseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getBaseCls' class='name expandable'>getBaseCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of baseCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-baseCls\" rel=\"Ext.field.Field-cfg-baseCls\" class=\"docClass\">baseCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-getBaseCls\" rel=\"Ext.Component-method-getBaseCls\" class=\"docClass\">Ext.Component.getBaseCls</a></p></div></div></div><div id='method-getBorder' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-border' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getBorder' class='name expandable'>getBorder</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of border. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-border\" rel=\"Ext.Component-cfg-border\" class=\"docClass\">border</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getBottom' class='name expandable'>getBottom</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of bottom. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-bubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getBubbleEvents' class='name expandable'>getBubbleEvents</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of bubbleEvents. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-bubbleEvents\" rel=\"Ext.mixin.Observable-cfg-bubbleEvents\" class=\"docClass\">bubbleEvents</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBubbleTarget' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getBubbleTarget' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getBubbleTarget' class='name expandable'>getBubbleTarget</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-method-getBubbleTarget\" rel=\"Ext.mixin.Observable-method-getBubbleTarget\" class=\"docClass\">Ext.mixin.Observable.getBubbleTarget</a></p></div></div></div><div id='method-getCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getCentered' class='name expandable'>getCentered</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of centered. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-centered\" rel=\"Ext.Component-cfg-centered\" class=\"docClass\">centered</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getChecked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-getChecked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-getChecked' class='name expandable'>getChecked</a>( <span class='pre'></span> ) : Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the field checked value. ...</div><div class='long'><p>Returns the field checked value.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>Mixed</span><div class='sub-desc'><p>The field value.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getClearIcon' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-clearIcon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getClearIcon' class='name expandable'>getClearIcon</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of clearIcon. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-clearIcon\" rel=\"Ext.field.Field-cfg-clearIcon\" class=\"docClass\">clearIcon</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-cls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getCls' class='name expandable'>getCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of cls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getComponent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-component' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-getComponent' class='name expandable'>getComponent</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of component. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Checkbox-cfg-component\" rel=\"Ext.field.Checkbox-cfg-component\" class=\"docClass\">component</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Decorator-method-getComponent\" rel=\"Ext.Decorator-method-getComponent\" class=\"docClass\">Ext.Decorator.getComponent</a></p></div></div></div><div id='method-getConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getConfig' class='name expandable'>getConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-contentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getContentEl' class='name expandable'>getContentEl</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of contentEl. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-contentEl\" rel=\"Ext.Component-cfg-contentEl\" class=\"docClass\">contentEl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getCurrentConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getCurrentConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getCurrentConfig' class='name expandable'>getCurrentConfig</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-data' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getData' class='name expandable'>getData</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of data. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDisabled' class='name expandable'>getDisabled</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of disabled. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-disabled\" rel=\"Ext.Component-cfg-disabled\" class=\"docClass\">disabled</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDisabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDisabledCls' class='name expandable'>getDisabledCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of disabledCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-disabledCls\" rel=\"Ext.Component-cfg-disabledCls\" class=\"docClass\">disabledCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDocked' class='name expandable'>getDocked</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of docked. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDraggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getDraggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDraggable' class='name expandable'>getDraggable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getDraggableBehavior' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getDraggableBehavior' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDraggableBehavior' class='name expandable'>getDraggableBehavior</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getEl' class='name expandable'>getEl</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.dom.Element</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Retrieves the top level element representing this component. ...</div><div class='long'><p>Retrieves the top level element representing this component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please access the Component's element from the <code>element</code> property instead, i.e:</p>\n\n<pre><code> var element = component.element;\n</code></pre>\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.dom.Element</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getElementConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getElementConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getElementConfig' class='name expandable'>getElementConfig</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n<ul><li><span class='pre'>reference</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li><li><span class='pre'>classList</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li><li><span class='pre'>children</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.AbstractComponent-method-getElementConfig\" rel=\"Ext.AbstractComponent-method-getElementConfig\" class=\"docClass\">Ext.AbstractComponent.getElementConfig</a></p></div></div></div><div id='method-getEnterAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-enterAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getEnterAnimation' class='name expandable'>getEnterAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Returns the value of enterAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-enterAnimation\" rel=\"Ext.Component-cfg-enterAnimation\" class=\"docClass\">enterAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getEventDispatcher' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getEventDispatcher' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getEventDispatcher' class='name expandable'>getEventDispatcher</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getExitAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-exitAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getExitAnimation' class='name expandable'>getExitAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Returns the value of exitAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-exitAnimation\" rel=\"Ext.Component-cfg-exitAnimation\" class=\"docClass\">exitAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getFlex' class='name expandable'>getFlex</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of flex. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-flex\" rel=\"Ext.Component-cfg-flex\" class=\"docClass\">flex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getFloatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getFloatingCls' class='name expandable'>getFloatingCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of floatingCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-floatingCls\" rel=\"Ext.Component-cfg-floatingCls\" class=\"docClass\">floatingCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getGroupValues' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-getGroupValues' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-getGroupValues' class='name expandable'>getGroupValues</a>( <span class='pre'></span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns an array of values from the checkboxes in the group that are checked. ...</div><div class='long'><p>Returns an array of values from the checkboxes in the group that are checked.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHeight' class='name expandable'>getHeight</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of height. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-height\" rel=\"Ext.Component-cfg-height\" class=\"docClass\">height</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHidden' class='name expandable'>getHidden</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of hidden. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-hidden\" rel=\"Ext.Component-cfg-hidden\" class=\"docClass\">hidden</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHiddenCls' class='name expandable'>getHiddenCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of hiddenCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-hiddenCls\" rel=\"Ext.Component-cfg-hiddenCls\" class=\"docClass\">hiddenCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHideAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hideAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHideAnimation' class='name expandable'>getHideAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of hideAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHtml' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-html' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHtml' class='name expandable'>getHtml</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of html. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-html\" rel=\"Ext.Component-cfg-html\" class=\"docClass\">html</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-getId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-getId' class='name expandable'>getId</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieves the id of this component. ...</div><div class='long'><p>Retrieves the id of this component. Will autogenerate an id if one has not already been set.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>id</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getInitialConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getInitialConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getInitialConfig' class='name expandable'>getInitialConfig</a>( <span class='pre'>[name]</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the initial configuration passed to constructor. ...</div><div class='long'><p>Returns the initial configuration passed to constructor.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>When supplied, value for particular configuration\noption is returned, otherwise the full config object is returned.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getInnerHtmlElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getInnerHtmlElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getInnerHtmlElement' class='name expandable'>getInnerHtmlElement</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getInputCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-inputCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getInputCls' class='name expandable'>getInputCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of inputCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-inputCls\" rel=\"Ext.field.Field-cfg-inputCls\" class=\"docClass\">inputCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getInputType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-inputType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getInputType' class='name expandable'>getInputType</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Returns the value of inputType. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-inputType\" rel=\"Ext.field.Field-cfg-inputType\" class=\"docClass\">inputType</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>Please use <code>input.type</code> instead.</p>\n\n\n\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getItemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-itemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getItemId' class='name expandable'>getItemId</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of itemId. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLabel' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-label' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getLabel' class='name expandable'>getLabel</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of label. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-label\" rel=\"Ext.field.Field-cfg-label\" class=\"docClass\">label</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLabelAlign' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelAlign' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getLabelAlign' class='name expandable'>getLabelAlign</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of labelAlign. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-labelAlign\" rel=\"Ext.field.Field-cfg-labelAlign\" class=\"docClass\">labelAlign</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLabelCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getLabelCls' class='name expandable'>getLabelCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of labelCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-labelCls\" rel=\"Ext.field.Field-cfg-labelCls\" class=\"docClass\">labelCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLabelWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getLabelWidth' class='name expandable'>getLabelWidth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of labelWidth. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-labelWidth\" rel=\"Ext.field.Field-cfg-labelWidth\" class=\"docClass\">labelWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLabelWrap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelWrap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getLabelWrap' class='name expandable'>getLabelWrap</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of labelWrap. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-labelWrap\" rel=\"Ext.field.Field-cfg-labelWrap\" class=\"docClass\">labelWrap</a>.</p>\n        <p>Available since: <b>2.0.1</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getLeft' class='name expandable'>getLeft</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of left. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-listeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getListeners' class='name expandable'>getListeners</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of listeners. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-listeners\" rel=\"Ext.mixin.Observable-cfg-listeners\" class=\"docClass\">listeners</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getManagedListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getManagedListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getManagedListeners' class='name expandable'>getManagedListeners</a>( <span class='pre'>object, eventName</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getMargin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-margin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMargin' class='name expandable'>getMargin</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of margin. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-margin\" rel=\"Ext.Component-cfg-margin\" class=\"docClass\">margin</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMaxHeight' class='name expandable'>getMaxHeight</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of maxHeight. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-maxHeight\" rel=\"Ext.Component-cfg-maxHeight\" class=\"docClass\">maxHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMaxWidth' class='name expandable'>getMaxWidth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of maxWidth. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-maxWidth\" rel=\"Ext.Component-cfg-maxWidth\" class=\"docClass\">maxWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMinHeight' class='name expandable'>getMinHeight</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of minHeight. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-minHeight\" rel=\"Ext.Component-cfg-minHeight\" class=\"docClass\">minHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMinWidth' class='name expandable'>getMinWidth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of minWidth. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-minWidth\" rel=\"Ext.Component-cfg-minWidth\" class=\"docClass\">minWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-name' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getName' class='name expandable'>getName</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of name. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-name\" rel=\"Ext.field.Field-cfg-name\" class=\"docClass\">name</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getObservableId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getObservableId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getObservableId' class='name expandable'>getObservableId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getOptimizedEventDispatcher' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getOptimizedEventDispatcher' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getOptimizedEventDispatcher' class='name expandable'>getOptimizedEventDispatcher</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getOptimizedId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-getOptimizedId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-getOptimizedId' class='name expandable'>getOptimizedId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getOptimizedObservableId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getOptimizedObservableId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getOptimizedObservableId' class='name expandable'>getOptimizedObservableId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getPadding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-padding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getPadding' class='name expandable'>getPadding</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of padding. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-padding\" rel=\"Ext.Component-cfg-padding\" class=\"docClass\">padding</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Traversable.html#Ext-Component-method-getParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getParent' class='name expandable'>getParent</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the parent of this component, if it has one. ...</div><div class='long'><p>Returns the parent of this component, if it has one.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>The parent of this component.</p>\n</div></li></ul></div></div></div><div id='method-getPlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-plugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getPlugins' class='name expandable'>getPlugins</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of plugins. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-plugins\" rel=\"Ext.Component-cfg-plugins\" class=\"docClass\">plugins</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-record' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getRecord' class='name expandable'>getRecord</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of record. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-record\" rel=\"Ext.Component-cfg-record\" class=\"docClass\">record</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRenderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getRenderTo' class='name expandable'>getRenderTo</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of renderTo. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-renderTo\" rel=\"Ext.Component-cfg-renderTo\" class=\"docClass\">renderTo</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRequired' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-required' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getRequired' class='name expandable'>getRequired</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of required. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-required\" rel=\"Ext.field.Field-cfg-required\" class=\"docClass\">required</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRequiredCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-requiredCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-getRequiredCls' class='name expandable'>getRequiredCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of requiredCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Field-cfg-requiredCls\" rel=\"Ext.field.Field-cfg-requiredCls\" class=\"docClass\">requiredCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getRight' class='name expandable'>getRight</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of right. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSameGroupFields' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-getSameGroupFields' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-getSameGroupFields' class='name expandable'>getSameGroupFields</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getShowAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-showAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getShowAnimation' class='name expandable'>getShowAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of showAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getSize' class='name expandable'>getSize</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the height and width of the Component. ...</div><div class='long'><p>Returns the height and width of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The current <code>height</code> and <code>width</code> of the Component.</p>\n\n<ul><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li><li><span class='pre'>height</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getSizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getSizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getSizeFlags' class='name expandable'>getSizeFlags</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-getSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getSizeState' class='name expandable'>getSizeState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-getStyle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-style' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getStyle' class='name expandable'>getStyle</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of style. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getStyleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getStyleHtmlCls' class='name expandable'>getStyleHtmlCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of styleHtmlCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlCls\" rel=\"Ext.Component-cfg-styleHtmlCls\" class=\"docClass\">styleHtmlCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getStyleHtmlContent' class='name expandable'>getStyleHtmlContent</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of styleHtmlContent. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlContent\" rel=\"Ext.Component-cfg-styleHtmlContent\" class=\"docClass\">styleHtmlContent</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSubmitValue' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-getSubmitValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-getSubmitValue' class='name expandable'>getSubmitValue</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the submit value for the checkbox which can be used when submitting forms. ...</div><div class='long'><p>Returns the submit value for the checkbox which can be used when submitting forms.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>value The value of <a href=\"#!/api/Ext.field.Radio-cfg-value\" rel=\"Ext.field.Radio-cfg-value\" class=\"docClass\">value</a> or <code>true</code>, if <a href=\"#!/api/Ext.field.Radio-cfg-checked\" rel=\"Ext.field.Radio-cfg-checked\" class=\"docClass\">checked</a>.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getTemplate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getTemplate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTemplate' class='name expandable'>getTemplate</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTop' class='name expandable'>getTop</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of top. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTpl' class='name expandable'>getTpl</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of tpl. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTplWriteMode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tplWriteMode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTplWriteMode' class='name expandable'>getTplWriteMode</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of tplWriteMode. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-tplWriteMode\" rel=\"Ext.Component-cfg-tplWriteMode\" class=\"docClass\">tplWriteMode</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTranslatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getTranslatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTranslatable' class='name expandable'>getTranslatable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getTranslatableBehavior' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getTranslatableBehavior' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTranslatableBehavior' class='name expandable'>getTranslatableBehavior</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getUi' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-getUi' class='name expandable'>getUi</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of ui. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Checkbox-cfg-ui\" rel=\"Ext.field.Checkbox-cfg-ui\" class=\"docClass\">ui</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-getUi\" rel=\"Ext.Component-method-getUi\" class=\"docClass\">Ext.Component.getUi</a></p></div></div></div><div id='method-getUniqueId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-getUniqueId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-getUniqueId' class='name expandable'>getUniqueId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getUsedSelectors' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getUsedSelectors' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getUsedSelectors' class='name expandable'>getUsedSelectors</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getValue' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-value' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-getValue' class='name expandable'>getValue</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of value. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.field.Checkbox-cfg-value\" rel=\"Ext.field.Checkbox-cfg-value\" class=\"docClass\">value</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.field.Field-method-getValue\" rel=\"Ext.field.Field-method-getValue\" class=\"docClass\">Ext.field.Field.getValue</a>, <a href=\"#!/api/Ext.field.Checkbox-method-getValue\" rel=\"Ext.field.Checkbox-method-getValue\" class=\"docClass\">Ext.field.Checkbox.getValue</a></p></div></div></div><div id='method-getWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getWidth' class='name expandable'>getWidth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of width. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-width\" rel=\"Ext.Component-cfg-width\" class=\"docClass\">width</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getXTypes' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getXTypes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getXTypes' class='name expandable'>getXTypes</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns this Component's xtype hierarchy as a slash-delimited string. ...</div><div class='long'><p>Returns this Component's xtype hierarchy as a slash-delimited string. For a list of all\navailable xtypes, see the <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> header.</p>\n\n<p><strong>Note:</strong> If using your own subclasses, be aware that a Component must register its own xtype\nto participate in determination of inherited xtypes.</p>\n\n<p>Example usage:</p>\n\n<pre><code>var t = new <a href=\"#!/api/Ext.field.Text\" rel=\"Ext.field.Text\" class=\"docClass\">Ext.field.Text</a>();\nalert(t.getXTypes());  // alerts 'component/field/textfield'\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The xtype hierarchy string.</p>\n</div></li></ul></div></div></div><div id='method-getZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-zIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getZIndex' class='name expandable'>getZIndex</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of zIndex. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-zIndex\" rel=\"Ext.Component-cfg-zIndex\" class=\"docClass\">zIndex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-hasConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-hasConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-hasConfig' class='name expandable'>hasConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-hasListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-hasListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-hasListener' class='name expandable'>hasListener</a>( <span class='pre'>eventName</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Checks to see if this object has any listeners for a specified event ...</div><div class='long'><p>Checks to see if this object has any listeners for a specified event</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to check for</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p>True if the event is being listened for, else false</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-hasParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Traversable.html#Ext-Component-method-hasParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-hasParent' class='name expandable'>hasParent</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if this component has a parent. ...</div><div class='long'><p>Returns <code>true</code> if this component has a parent.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if this component has a parent.</p>\n</div></li></ul></div></div></div><div id='method-hide' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-hide' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-hide' class='name expandable'>hide</a>( <span class='pre'>[animation]</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Hides this Component ...</div><div class='long'><p>Hides this Component</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-initConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-initConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-initConfig' class='name expandable'>initConfig</a>( <span class='pre'>instanceConfig</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Initialize configuration for this class. ...</div><div class='long'><p>Initialize configuration for this class. a typical example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Class', {\n    // The default config\n    config: {\n        name: 'Awesome',\n        isAwesome: true\n    },\n\n    constructor: function(config) {\n        this.initConfig(config);\n    }\n});\n\nvar awesome = new My.awesome.Class({\n    name: 'Super Awesome'\n});\n\nalert(awesome.getName()); // 'Super Awesome'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>instanceConfig</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>mixins The mixin prototypes as key - value pairs</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-initElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-method-initElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-method-initElement' class='name expandable'>initElement</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.AbstractComponent\" rel=\"Ext.AbstractComponent\" class=\"docClass\">Ext.AbstractComponent</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.AbstractComponent\" rel=\"Ext.AbstractComponent\" class=\"docClass\">Ext.AbstractComponent</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-initialize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-initialize' class='name expandable'>initialize</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Allows addition of behavior to the rendering phase. ...</div><div class='long'><p>Allows addition of behavior to the rendering phase.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.field.Field-method-initialize\" rel=\"Ext.field.Field-method-initialize\" class=\"docClass\">Ext.field.Field.initialize</a></p></div></div></div><div id='method-isCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isCentered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isCentered' class='name expandable'>isCentered</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isChecked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-isChecked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-isChecked' class='name expandable'>isChecked</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the checked state of the checkbox. ...</div><div class='long'><p>Returns the checked state of the checkbox.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if checked, <code>false</code> otherwise.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isDirty' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-isDirty' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-isDirty' class='name expandable'>isDirty</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if the value of this Field has been changed from its originalValue. ...</div><div class='long'><p>Returns <code>true</code> if the value of this Field has been changed from its <a href=\"#!/api/Ext.field.Field-property-originalValue\" rel=\"Ext.field.Field-property-originalValue\" class=\"docClass\">originalValue</a>.\nWill return <code>false</code> if the field is disabled or has not been rendered yet.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if this field has been changed from its original value (and\nis not disabled), <code>false</code> otherwise.</p>\n\n\n\n</div></li></ul></div></div></div><div id='method-isDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isDisabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isDisabled' class='name expandable'>isDisabled</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if this Component is currently disabled. ...</div><div class='long'><p>Returns <code>true</code> if this Component is currently disabled.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if currently disabled.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isDocked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isDocked' class='name expandable'>isDocked</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isFloating' class='name expandable'>isFloating</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='method-isHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isHidden' class='name expandable'>isHidden</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if this Component is currently hidden. ...</div><div class='long'><p>Returns <code>true</code> if this Component is currently hidden.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if currently hidden.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isInnerItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isInnerItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isInnerItem' class='name expandable'>isInnerItem</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-isPainted' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isPainted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isPainted' class='name expandable'>isPainted</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-isRendered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isRendered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isRendered' class='name expandable'>isRendered</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-isXType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isXType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isXType' class='name expandable'>isXType</a>( <span class='pre'>xtype, [shallow]</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Tests whether or not this Component is of a specific xtype. ...</div><div class='long'><p>Tests whether or not this Component is of a specific xtype. This can test whether this Component is descended\nfrom the xtype (default) or whether it is directly of the xtype specified (<code>shallow = true</code>).\n<strong>If using your own subclasses, be aware that a Component must register its own xtype\nto participate in determination of inherited xtypes.</strong></p>\n\n<p>For a list of all available xtypes, see the <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> header.</p>\n\n<p>Example usage:</p>\n\n<pre><code>var t = new <a href=\"#!/api/Ext.field.Text\" rel=\"Ext.field.Text\" class=\"docClass\">Ext.field.Text</a>();\nvar isText = t.isXType('textfield'); // true\nvar isBoxSubclass = t.isXType('field'); // true, descended from <a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">Ext.field.Field</a>\nvar isBoxInstance = t.isXType('field', true); // false, not a direct <a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">Ext.field.Field</a> instance\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>xtype</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The xtype to check for this Component.</p>\n</div></li><li><span class='pre'>shallow</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>false</code> to check whether this Component is descended from the xtype (this is\nthe default), or <code>true</code> to check whether this Component is directly of the specified xtype.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if this component descends from the specified xtype, <code>false</code> otherwise.</p>\n</div></li></ul></div></div></div><div id='method-link' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-link' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-link' class='name expandable'>link</a>( <span class='pre'>name, value</span> ) : Mixed<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-mon' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-mon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-mon' class='name expandable'>mon</a>( <span class='pre'>object, eventName, [fn], [scope], [options]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Alias for addManagedListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addManagedListener\" rel=\"Ext.mixin.Observable-method-addManagedListener\" class=\"docClass\">addManagedListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This is now done automatically</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> options.</p>\n\n</div></li></ul></div></div></div><div id='method-mun' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-mun' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-mun' class='name expandable'>mun</a>( <span class='pre'>object, eventName, [fn], [scope]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Alias for removeManagedListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeManagedListener\" rel=\"Ext.mixin.Observable-method-removeManagedListener\" class=\"docClass\">removeManagedListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This is now done automatically</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li></ul></div></div></div><div id='method-on' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-on' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-on' class='name expandable'>on</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for addListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for. May also be an object who's property names are\nevent names.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.  Will be called with arguments given to\n<a href=\"#!/api/Ext.mixin.Observable-method-fireEvent\" rel=\"Ext.mixin.Observable-method-fireEvent\" class=\"docClass\">fireEvent</a> plus the <code>options</code> parameter described below.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. <strong>If\nomitted, defaults to the object which fired the event.</strong></p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n\n\n\n<p>This object may contain any of the following properties:</p>\n\n<ul><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. If omitted, defaults to the object\nwhich fired the event.</p>\n\n</div></li><li><span class='pre'>delay</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The number of milliseconds to delay the invocation of the handler after the event fires.</p>\n\n</div></li><li><span class='pre'>single</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>true</code> to add a handler to handle just the next firing of the event, and then remove itself.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.</p>\n\n\n\n\n<p>If you set an order of <code>before</code> and the event you are listening to is preventable, you can return <code>false</code> and it will stop the event.</p>\n\n\n\n\n<p>Available options are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>buffer</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Causes the handler to be delayed by the specified number of milliseconds. If the event fires again within that\ntime, the original handler is <em>not</em> invoked, but the new handler is scheduled in its place.</p>\n\n</div></li><li><span class='pre'>element</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Allows you to add a listener onto a element of this component using the elements reference.</p>\n\n\n\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>', {\n    listeners: {\n        element: 'element',\n        tap: function() {\n            alert('element tap!');\n        }\n    }\n});\n</code></pre>\n\n\n\n\n<p>All components have the <code>element</code> reference, which is the outer most element of the component. <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> also has the\n<code>innerElement</code> element which contains all children. In most cases <code>element</code> is adequate.</p>\n\n</div></li><li><span class='pre'>delegate</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Uses <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> to delegate events to a specified query selector within this item.</p>\n\n\n\n\n<pre><code>// Create a container with a two children; a button and a toolbar\nvar container = <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    items: [\n        {\n            xtype: 'toolbar',\n            docked: 'top',\n            title: 'My Toolbar'\n        },\n        {\n           xtype: 'button',\n           text: 'My Button'\n        }\n    ]\n});\n\ncontainer.on({\n    // Ext.Buttons have an xtype of 'button', so we use that are a selector for our delegate\n    delegate: 'button',\n\n    tap: function() {\n        alert('Button tapped!');\n    }\n});\n</code></pre>\n\n</div></li></ul></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul></div></div></div><div id='method-onAfter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-onAfter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-onAfter' class='name expandable'>onAfter</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for addAfterListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addAfterListener\" rel=\"Ext.mixin.Observable-method-addAfterListener\" class=\"docClass\">addAfterListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul></div></div></div><div id='method-onBefore' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-onBefore' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-onBefore' class='name expandable'>onBefore</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for addBeforeListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addBeforeListener\" rel=\"Ext.mixin.Observable-method-addBeforeListener\" class=\"docClass\">addBeforeListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul></div></div></div><div id='method-onChange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-onChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-onChange' class='name expandable'>onChange</a>( <span class='pre'>e</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Fires the check or uncheck event when the checked value of this component changes. ...</div><div class='long'><p>Fires the <code>check</code> or <code>uncheck</code> event when the checked value of this component changes.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>e</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.field.Checkbox-event-change\" rel=\"Ext.field.Checkbox-event-change\" class=\"docClass\">change</a></li><li><a href=\"#!/api/Ext.field.Checkbox-event-check\" rel=\"Ext.field.Checkbox-event-check\" class=\"docClass\">check</a></li><li><a href=\"#!/api/Ext.field.Checkbox-event-uncheck\" rel=\"Ext.field.Checkbox-event-uncheck\" class=\"docClass\">uncheck</a></li></ul></div></div></div><div id='method-onClassExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-onClassExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-onClassExtended' class='name expandable'>onClassExtended</a>( <span class='pre'>Class, members</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Convert old properties in data into a config object ...</div><div class='long'><p>Convert old properties in data into a config object\n<deprecated product=touch since=2.0></p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>Class</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-onClassExtended\" rel=\"Ext.Component-method-onClassExtended\" class=\"docClass\">Ext.Component.onClassExtended</a></p></div></div></div><div id='method-onConfigUpdate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-onConfigUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-onConfigUpdate' class='name expandable'>onConfigUpdate</a>( <span class='pre'>names, callback, scope</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>names</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-onInitialized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-onInitialized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-onInitialized' class='name expandable'>onInitialized</a>( <span class='pre'>fn, scope, args</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-onMaskTap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-onMaskTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-onMaskTap' class='name expandable'>onMaskTap</a>( <span class='pre'>component, e</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>e</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.field.Checkbox-event-change\" rel=\"Ext.field.Checkbox-event-change\" class=\"docClass\">change</a></li><li><a href=\"#!/api/Ext.field.Checkbox-event-check\" rel=\"Ext.field.Checkbox-event-check\" class=\"docClass\">check</a></li><li><a href=\"#!/api/Ext.field.Checkbox-event-uncheck\" rel=\"Ext.field.Checkbox-event-uncheck\" class=\"docClass\">uncheck</a></li></ul></div></div></div><div id='method-onShowByErased' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-onShowByErased' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-onShowByErased' class='name expandable'>onShowByErased</a>( <span class='pre'>component</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-refreshFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-refreshFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-refreshFloating' class='name expandable'>refreshFloating</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='method-refreshInnerState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-refreshInnerState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-refreshInnerState' class='name expandable'>refreshInnerState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-refreshSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-refreshSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-refreshSizeState' class='name expandable'>refreshSizeState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='method-relayEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-relayEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-relayEvent' class='name expandable'>relayEvent</a>( <span class='pre'>args, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-relayEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-relayEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-relayEvents' class='name expandable'>relayEvents</a>( <span class='pre'>object, events</span> ) : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Relays selected events from the specified Observable as if the events were fired by this. ...</div><div class='long'><p>Relays selected events from the specified Observable as if the events were fired by <code>this</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The Observable whose events this object is to relay.</p>\n</div></li><li><span class='pre'>events</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Array of event names to relay.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeAfterListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeAfterListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeAfterListener' class='name expandable'>removeAfterListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes a before-event handler. ...</div><div class='long'><p>Removes a before-event handler.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a> with <code>order</code> set to <code>'after'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeBeforeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeBeforeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeBeforeListener' class='name expandable'>removeBeforeListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes a before-event handler. ...</div><div class='long'><p>Removes a before-event handler.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a> with <code>order</code> set to <code>'before'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-removeCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-removeCls' class='name expandable'>removeCls</a>( <span class='pre'>cls, [prefix], [suffix]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes the given CSS class(es) from this Component's rendered element. ...</div><div class='long'><p>Removes the given CSS class(es) from this Component's rendered element.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The class(es) to remove.</p>\n</div></li><li><span class='pre'>prefix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional prefix to prepend before each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li><li><span class='pre'>suffix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional suffix to append to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeDispatcherListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeDispatcherListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeDispatcherListener' class='name expandable'>removeDispatcherListener</a>( <span class='pre'>selector, name, fn, scope, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeListener' class='name expandable'>removeListener</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes an event handler. ...</div><div class='long'><p>Removes an event handler.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The type of event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove. <strong>This must be a reference to the function passed into the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> call.</strong></p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for the handler. It must be the same as the\nscope argument specified in the original call to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> or the listener will not be removed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object. See <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> for details.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of the listener to remove.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeManagedListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeManagedListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeManagedListener' class='name expandable'>removeManagedListener</a>( <span class='pre'>object, eventName, [fn], [scope]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed. ...</div><div class='long'><p>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a>.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li></ul></div></div></div><div id='method-renderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-renderTo' class='name expandable'>renderTo</a>( <span class='pre'>container, insertBeforeElement</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>container</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>insertBeforeElement</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-replaceCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-replaceCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-replaceCls' class='name expandable'>replaceCls</a>( <span class='pre'>oldCls, newCls, [prefix], [suffix]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Replaces specified classes with the newly specified classes. ...</div><div class='long'><p>Replaces specified classes with the newly specified classes.\nIt uses the <a href=\"#!/api/Ext.Component-method-addCls\" rel=\"Ext.Component-method-addCls\" class=\"docClass\">addCls</a> and <a href=\"#!/api/Ext.Component-method-removeCls\" rel=\"Ext.Component-method-removeCls\" class=\"docClass\">removeCls</a> methods, so if the class(es) you are removing don't exist, it will\nstill add the new classes.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oldCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The class(es) to remove.</p>\n</div></li><li><span class='pre'>newCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The class(es) to add.</p>\n</div></li><li><span class='pre'>prefix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional prefix to prepend before each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li><li><span class='pre'>suffix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional suffix to append to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-reset' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-reset' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-reset' class='name expandable'>reset</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">Ext.field.Field</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Resets the current field value back to the original value on this field when it was created. ...</div><div class='long'><p>Resets the current field value back to the original value on this field when it was created.</p>\n\n<pre><code>// This will create a field with an original value\nvar field = <a href=\"#!/api/Ext.Viewport-method-add\" rel=\"Ext.Viewport-method-add\" class=\"docClass\">Ext.Viewport.add</a>({\n    xtype: 'textfield',\n    value: 'first value'\n});\n\n// Update the value\nfield.setValue('new value');\n\n// Now you can reset it back to the `first value`\nfield.reset();\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">Ext.field.Field</a></span><div class='sub-desc'><p>this</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.field.Field-method-reset\" rel=\"Ext.field.Field-method-reset\" class=\"docClass\">Ext.field.Field.reset</a></p></div></div></div><div id='method-resetFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-resetFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-resetFloating' class='name expandable'>resetFloating</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Resets top, right, bottom and left configurations to null, which\nwill un-float this component. ...</div><div class='long'><p>Resets <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>, <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a>, <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a> and <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a> configurations to <code>null</code>, which\nwill un-float this component.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-resetGroupValues' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-resetGroupValues' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-resetGroupValues' class='name expandable'>resetGroupValues</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Resets the status of all matched checkboxes in the same group to checked. ...</div><div class='long'><p>Resets the status of all matched checkboxes in the same group to checked.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a></span><div class='sub-desc'><p>This checkbox.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-resetOriginalValue' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-resetOriginalValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-resetOriginalValue' class='name expandable'>resetOriginalValue</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Resets the field's originalValue property so it matches the current value. ...</div><div class='long'><p>Resets the field's <a href=\"#!/api/Ext.field.Field-property-originalValue\" rel=\"Ext.field.Field-property-originalValue\" class=\"docClass\">originalValue</a> property so it matches the current <a href=\"#!/api/Ext.field.Field-method-getValue\" rel=\"Ext.field.Field-method-getValue\" class=\"docClass\">value</a>. This is\ncalled by <a href=\"#!/api/Ext.form.Panel\" rel=\"Ext.form.Panel\" class=\"docClass\">Ext.form.Panel</a>.<a href=\"#!/api/Ext.form.Panel-method-setValues\" rel=\"Ext.form.Panel-method-setValues\" class=\"docClass\">setValues</a> if the form's\n<a href=\"#!/api/Ext.form.Panel-cfg-trackResetOnLoad\" rel=\"Ext.form.Panel-cfg-trackResetOnLoad\" class=\"docClass\">trackResetOnLoad</a> property is set to true.</p>\n        <p>Available since: <b>2.2.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-resumeEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-resumeEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-resumeEvents' class='name expandable'>resumeEvents</a>( <span class='pre'>discardQueuedEvents</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Resumes firing events (see suspendEvents). ...</div><div class='long'><p>Resumes firing events (see <a href=\"#!/api/Ext.mixin.Observable-method-suspendEvents\" rel=\"Ext.mixin.Observable-method-suspendEvents\" class=\"docClass\">suspendEvents</a>).</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>discardQueuedEvents</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>Pass as true to discard any queued events.</p>\n</div></li></ul></div></div></div><div id='method-setBaseCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-baseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setBaseCls' class='name expandable'>setBaseCls</a>( <span class='pre'>baseCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of baseCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-baseCls\" rel=\"Ext.field.Field-cfg-baseCls\" class=\"docClass\">baseCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>baseCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setBaseCls\" rel=\"Ext.Component-method-setBaseCls\" class=\"docClass\">Ext.Component.setBaseCls</a></p></div></div></div><div id='method-setBorder' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-border' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setBorder' class='name expandable'>setBorder</a>( <span class='pre'>border</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of border. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-border\" rel=\"Ext.Component-cfg-border\" class=\"docClass\">border</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>border</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setBottom' class='name expandable'>setBottom</a>( <span class='pre'>bottom</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of bottom. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bottom</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setBubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-bubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-setBubbleEvents' class='name expandable'>setBubbleEvents</a>( <span class='pre'>bubbleEvents</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of bubbleEvents. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-bubbleEvents\" rel=\"Ext.mixin.Observable-cfg-bubbleEvents\" class=\"docClass\">bubbleEvents</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bubbleEvents</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setCentered' class='name expandable'>setCentered</a>( <span class='pre'>centered</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of centered. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-centered\" rel=\"Ext.Component-cfg-centered\" class=\"docClass\">centered</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>centered</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setChecked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-setChecked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-setChecked' class='name expandable'>setChecked</a>( <span class='pre'>newChecked</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newChecked</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setClearIcon' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-clearIcon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setClearIcon' class='name expandable'>setClearIcon</a>( <span class='pre'>clearIcon</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of clearIcon. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-clearIcon\" rel=\"Ext.field.Field-cfg-clearIcon\" class=\"docClass\">clearIcon</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>clearIcon</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-cls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setCls' class='name expandable'>setCls</a>( <span class='pre'>cls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of cls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setComponent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-component' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-setComponent' class='name expandable'>setComponent</a>( <span class='pre'>component</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of component. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Checkbox-cfg-component\" rel=\"Ext.field.Checkbox-cfg-component\" class=\"docClass\">component</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Decorator-method-setComponent\" rel=\"Ext.Decorator-method-setComponent\" class=\"docClass\">Ext.Decorator.setComponent</a></p></div></div></div><div id='method-setConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-setConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-setConfig' class='name expandable'>setConfig</a>( <span class='pre'>config, applyIfNotSet</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>applyIfNotSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-contentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setContentEl' class='name expandable'>setContentEl</a>( <span class='pre'>contentEl</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of contentEl. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-contentEl\" rel=\"Ext.Component-cfg-contentEl\" class=\"docClass\">contentEl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>contentEl</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-data' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setData' class='name expandable'>setData</a>( <span class='pre'>data</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of data. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>data</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-setDisabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-setDisabled' class='name expandable'>setDisabled</a>( <span class='pre'>disabled</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sets the value of disabled. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Decorator-cfg-disabled\" rel=\"Ext.Decorator-cfg-disabled\" class=\"docClass\">disabled</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabled</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setDisabled\" rel=\"Ext.Component-method-setDisabled\" class=\"docClass\">Ext.Component.setDisabled</a></p></div></div></div><div id='method-setDisabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setDisabledCls' class='name expandable'>setDisabledCls</a>( <span class='pre'>disabledCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of disabledCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-disabledCls\" rel=\"Ext.Component-cfg-disabledCls\" class=\"docClass\">disabledCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabledCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setDocked' class='name expandable'>setDocked</a>( <span class='pre'>docked</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of docked. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>docked</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setDraggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-draggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setDraggable' class='name expandable'>setDraggable</a>( <span class='pre'>draggable</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of draggable. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-draggable\" rel=\"Ext.Component-cfg-draggable\" class=\"docClass\">draggable</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>draggable</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setEnterAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-enterAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setEnterAnimation' class='name expandable'>setEnterAnimation</a>( <span class='pre'>enterAnimation</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Sets the value of enterAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-enterAnimation\" rel=\"Ext.Component-cfg-enterAnimation\" class=\"docClass\">enterAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>enterAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setExitAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-exitAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setExitAnimation' class='name expandable'>setExitAnimation</a>( <span class='pre'>exitAnimation</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Sets the value of exitAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-exitAnimation\" rel=\"Ext.Component-cfg-exitAnimation\" class=\"docClass\">exitAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>exitAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setFlex' class='name expandable'>setFlex</a>( <span class='pre'>flex</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of flex. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-flex\" rel=\"Ext.Component-cfg-flex\" class=\"docClass\">flex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flex</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setFloating' class='name expandable'>setFloating</a>( <span class='pre'>floating</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Used to update the floating state of this component. ...</div><div class='long'><p>Used to update the floating state of this component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-method-setTop\" rel=\"Ext.Component-method-setTop\" class=\"docClass\">setTop</a>, <a href=\"#!/api/Ext.Component-method-setRight\" rel=\"Ext.Component-method-setRight\" class=\"docClass\">setRight</a>, <a href=\"#!/api/Ext.Component-method-setBottom\" rel=\"Ext.Component-method-setBottom\" class=\"docClass\">setBottom</a> and <a href=\"#!/api/Ext.Component-method-setLeft\" rel=\"Ext.Component-method-setLeft\" class=\"docClass\">setLeft</a> instead.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>floating</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p><code>true</code> if you want to float this component.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setFloatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setFloatingCls' class='name expandable'>setFloatingCls</a>( <span class='pre'>floatingCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of floatingCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-floatingCls\" rel=\"Ext.Component-cfg-floatingCls\" class=\"docClass\">floatingCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>floatingCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setGroupValues' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-setGroupValues' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-setGroupValues' class='name expandable'>setGroupValues</a>( <span class='pre'>values</span> ) : <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Set the status of all matched checkboxes in the same group to checked. ...</div><div class='long'><p>Set the status of all matched checkboxes in the same group to checked.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>values</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>An array of values.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a></span><div class='sub-desc'><p>This checkbox.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHeight' class='name expandable'>setHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of height. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-height\" rel=\"Ext.Component-cfg-height\" class=\"docClass\">height</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHidden' class='name expandable'>setHidden</a>( <span class='pre'>hidden</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of hidden. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-hidden\" rel=\"Ext.Component-cfg-hidden\" class=\"docClass\">hidden</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hidden</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHiddenCls' class='name expandable'>setHiddenCls</a>( <span class='pre'>hiddenCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of hiddenCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-hiddenCls\" rel=\"Ext.Component-cfg-hiddenCls\" class=\"docClass\">hiddenCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hiddenCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHideAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hideAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHideAnimation' class='name expandable'>setHideAnimation</a>( <span class='pre'>hideAnimation</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of hideAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hideAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHtml' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-html' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHtml' class='name expandable'>setHtml</a>( <span class='pre'>html</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of html. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-html\" rel=\"Ext.Component-cfg-html\" class=\"docClass\">html</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>html</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-setId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-setId' class='name expandable'>setId</a>( <span class='pre'>id</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>id</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-setInputCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-inputCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setInputCls' class='name expandable'>setInputCls</a>( <span class='pre'>inputCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of inputCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-inputCls\" rel=\"Ext.field.Field-cfg-inputCls\" class=\"docClass\">inputCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>inputCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setInputType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-inputType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setInputType' class='name expandable'>setInputType</a>( <span class='pre'>inputType</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Sets the value of inputType. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-inputType\" rel=\"Ext.field.Field-cfg-inputType\" class=\"docClass\">inputType</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>Please use <code>input.type</code> instead.</p>\n\n\n\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>inputType</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setIsInner' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setIsInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setIsInner' class='name expandable'>setIsInner</a>( <span class='pre'>isInner</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>isInner</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-setItemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-itemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setItemId' class='name expandable'>setItemId</a>( <span class='pre'>itemId</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of itemId. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>itemId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLabel' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-label' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setLabel' class='name expandable'>setLabel</a>( <span class='pre'>label</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of label. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-label\" rel=\"Ext.field.Field-cfg-label\" class=\"docClass\">label</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>label</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLabelAlign' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelAlign' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setLabelAlign' class='name expandable'>setLabelAlign</a>( <span class='pre'>labelAlign</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of labelAlign. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-labelAlign\" rel=\"Ext.field.Field-cfg-labelAlign\" class=\"docClass\">labelAlign</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>labelAlign</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLabelCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setLabelCls' class='name expandable'>setLabelCls</a>( <span class='pre'>labelCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of labelCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-labelCls\" rel=\"Ext.field.Field-cfg-labelCls\" class=\"docClass\">labelCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>labelCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLabelWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setLabelWidth' class='name expandable'>setLabelWidth</a>( <span class='pre'>labelWidth</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of labelWidth. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-labelWidth\" rel=\"Ext.field.Field-cfg-labelWidth\" class=\"docClass\">labelWidth</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>labelWidth</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLabelWrap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-labelWrap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setLabelWrap' class='name expandable'>setLabelWrap</a>( <span class='pre'>labelWrap</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of labelWrap. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-labelWrap\" rel=\"Ext.field.Field-cfg-labelWrap\" class=\"docClass\">labelWrap</a>.</p>\n        <p>Available since: <b>2.0.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>labelWrap</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLayoutSizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setLayoutSizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setLayoutSizeFlags' class='name expandable'>setLayoutSizeFlags</a>( <span class='pre'>flags</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flags</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setLeft' class='name expandable'>setLeft</a>( <span class='pre'>left</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of left. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>left</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-listeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-setListeners' class='name expandable'>setListeners</a>( <span class='pre'>listeners</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of listeners. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-listeners\" rel=\"Ext.mixin.Observable-cfg-listeners\" class=\"docClass\">listeners</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>listeners</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMargin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-margin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMargin' class='name expandable'>setMargin</a>( <span class='pre'>margin</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of margin. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-margin\" rel=\"Ext.Component-cfg-margin\" class=\"docClass\">margin</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>margin</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMaxHeight' class='name expandable'>setMaxHeight</a>( <span class='pre'>maxHeight</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of maxHeight. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-maxHeight\" rel=\"Ext.Component-cfg-maxHeight\" class=\"docClass\">maxHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>maxHeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMaxWidth' class='name expandable'>setMaxWidth</a>( <span class='pre'>maxWidth</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of maxWidth. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-maxWidth\" rel=\"Ext.Component-cfg-maxWidth\" class=\"docClass\">maxWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>maxWidth</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMinHeight' class='name expandable'>setMinHeight</a>( <span class='pre'>minHeight</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of minHeight. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-minHeight\" rel=\"Ext.Component-cfg-minHeight\" class=\"docClass\">minHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>minHeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMinWidth' class='name expandable'>setMinWidth</a>( <span class='pre'>minWidth</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of minWidth. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-minWidth\" rel=\"Ext.Component-cfg-minWidth\" class=\"docClass\">minWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>minWidth</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-name' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setName' class='name expandable'>setName</a>( <span class='pre'>name</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of name. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-name\" rel=\"Ext.field.Field-cfg-name\" class=\"docClass\">name</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setPadding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-padding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setPadding' class='name expandable'>setPadding</a>( <span class='pre'>padding</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of padding. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-padding\" rel=\"Ext.Component-cfg-padding\" class=\"docClass\">padding</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>padding</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setParent' class='name expandable'>setParent</a>( <span class='pre'>parent</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>parent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Traversable-method-setParent\" rel=\"Ext.mixin.Traversable-method-setParent\" class=\"docClass\">Ext.mixin.Traversable.setParent</a></p></div></div></div><div id='method-setPlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-plugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setPlugins' class='name expandable'>setPlugins</a>( <span class='pre'>plugins</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of plugins. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-plugins\" rel=\"Ext.Component-cfg-plugins\" class=\"docClass\">plugins</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>plugins</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-record' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setRecord' class='name expandable'>setRecord</a>( <span class='pre'>record</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of record. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-record\" rel=\"Ext.Component-cfg-record\" class=\"docClass\">record</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>record</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRenderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setRenderTo' class='name expandable'>setRenderTo</a>( <span class='pre'>renderTo</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of renderTo. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-renderTo\" rel=\"Ext.Component-cfg-renderTo\" class=\"docClass\">renderTo</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>renderTo</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRendered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-setRendered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-setRendered' class='name expandable'>setRendered</a>( <span class='pre'>rendered</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>rendered</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setRendered\" rel=\"Ext.Component-method-setRendered\" class=\"docClass\">Ext.Component.setRendered</a></p></div></div></div><div id='method-setRequired' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-required' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setRequired' class='name expandable'>setRequired</a>( <span class='pre'>required</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of required. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-required\" rel=\"Ext.field.Field-cfg-required\" class=\"docClass\">required</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>required</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRequiredCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-cfg-requiredCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-setRequiredCls' class='name expandable'>setRequiredCls</a>( <span class='pre'>requiredCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of requiredCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Field-cfg-requiredCls\" rel=\"Ext.field.Field-cfg-requiredCls\" class=\"docClass\">requiredCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>requiredCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setRight' class='name expandable'>setRight</a>( <span class='pre'>right</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of right. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>right</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setScrollable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setScrollable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setScrollable' class='name expandable'>setScrollable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>This method has moved to Ext.Container. ...</div><div class='long'><p>This method has moved to <a href=\"#!/api/Ext.Container-method-setScrollable\" rel=\"Ext.Container-method-setScrollable\" class=\"docClass\">Ext.Container</a>. You can no longer use it in a <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This method has been <strong>removed</strong> since 2.0.0</p>\n        <p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-method-setScrollable\" rel=\"Ext.Container-method-setScrollable\" class=\"docClass\">Ext.Container</a></p>\n\n        </div>\n</div></div></div><div id='method-setShowAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-showAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setShowAnimation' class='name expandable'>setShowAnimation</a>( <span class='pre'>showAnimation</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of showAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>showAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setSize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setSize' class='name expandable'>setSize</a>( <span class='pre'>width, height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the size of the Component. ...</div><div class='long'><p>Sets the size of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new width for the Component.</p>\n</div></li><li><span class='pre'>height</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new height for the Component.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setSizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setSizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setSizeFlags' class='name expandable'>setSizeFlags</a>( <span class='pre'>flags</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flags</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li></ul></div></div></div><div id='method-setSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setSizeState' class='name expandable'>setSizeState</a>( <span class='pre'>state</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>state</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>sizestatechange</li></ul></div></div></div><div id='method-setStyle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-style' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setStyle' class='name expandable'>setStyle</a>( <span class='pre'>style</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of style. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>style</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setStyleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setStyleHtmlCls' class='name expandable'>setStyleHtmlCls</a>( <span class='pre'>styleHtmlCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of styleHtmlCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlCls\" rel=\"Ext.Component-cfg-styleHtmlCls\" class=\"docClass\">styleHtmlCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>styleHtmlCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setStyleHtmlContent' class='name expandable'>setStyleHtmlContent</a>( <span class='pre'>styleHtmlContent</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of styleHtmlContent. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlContent\" rel=\"Ext.Component-cfg-styleHtmlContent\" class=\"docClass\">styleHtmlContent</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>styleHtmlContent</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTop' class='name expandable'>setTop</a>( <span class='pre'>top</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of top. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>top</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTpl' class='name expandable'>setTpl</a>( <span class='pre'>tpl</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of tpl. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tpl</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTplWriteMode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tplWriteMode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTplWriteMode' class='name expandable'>setTplWriteMode</a>( <span class='pre'>tplWriteMode</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of tplWriteMode. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-tplWriteMode\" rel=\"Ext.Component-cfg-tplWriteMode\" class=\"docClass\">tplWriteMode</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tplWriteMode</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTranslatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-translatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTranslatable' class='name expandable'>setTranslatable</a>( <span class='pre'>translatable</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sets the value of translatable. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-translatable\" rel=\"Ext.Component-cfg-translatable\" class=\"docClass\">translatable</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>translatable</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setUi' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-setUi' class='name expandable'>setUi</a>( <span class='pre'>ui</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of ui. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Checkbox-cfg-ui\" rel=\"Ext.field.Checkbox-cfg-ui\" class=\"docClass\">ui</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>ui</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setUi\" rel=\"Ext.Component-method-setUi\" class=\"docClass\">Ext.Component.setUi</a></p></div></div></div><div id='method-setValue' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-cfg-value' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-setValue' class='name expandable'>setValue</a>( <span class='pre'>value</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of value. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.field.Checkbox-cfg-value\" rel=\"Ext.field.Checkbox-cfg-value\" class=\"docClass\">value</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.field.Field-method-setValue\" rel=\"Ext.field.Field-method-setValue\" class=\"docClass\">Ext.field.Field.setValue</a>, <a href=\"#!/api/Ext.field.Checkbox-method-setValue\" rel=\"Ext.field.Checkbox-method-setValue\" class=\"docClass\">Ext.field.Checkbox.setValue</a></p></div></div></div><div id='method-setVisibility' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setVisibility' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setVisibility' class='name expandable'>setVisibility</a>( <span class='pre'>isVisible</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>isVisible</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-setWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setWidth' class='name expandable'>setWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of width. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-width\" rel=\"Ext.Component-cfg-width\" class=\"docClass\">width</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-zIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setZIndex' class='name expandable'>setZIndex</a>( <span class='pre'>zIndex</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of zIndex. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-zIndex\" rel=\"Ext.Component-cfg-zIndex\" class=\"docClass\">zIndex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zIndex</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-show' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-show' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-show' class='name expandable'>show</a>( <span class='pre'>[animation]</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Shows this component. ...</div><div class='long'><p>Shows this component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-showBy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-showBy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-showBy' class='name expandable'>showBy</a>( <span class='pre'>component, [alignment]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Shows this component by another component. ...</div><div class='long'><p>Shows this component by another component. If you specify no alignment, it will automatically\nposition this component relative to the reference component.</p>\n\n<p>For example, say we are aligning a Panel next to a Button, the alignment string would look like this:</p>\n\n<pre><code>[panel-vertical (t/b/c)][panel-horizontal (l/r/c)]-[button-vertical (t/b/c)][button-horizontal (l/r/c)]\n</code></pre>\n\n<p>where t = top, b = bottom, c = center, l = left, r = right.</p>\n\n<h2>Examples</h2>\n\n<ul>\n<li><code>tl-tr</code> means top-left corner of the Panel to the top-right corner of the Button</li>\n<li><code>tc-bc</code> means top-center of the Panel to the bottom-center of the Button</li>\n</ul>\n\n\n<p>You can put a '?' at the end of the alignment string to constrain the floating element to the\n<a href=\"#!/api/Ext.Viewport\" rel=\"Ext.Viewport\" class=\"docClass\">Viewport</a></p>\n\n<pre><code>// show `panel` by `button` using the default positioning (auto fit)\npanel.showBy(button);\n\n// align the top left corner of `panel` with the top right corner of `button` (constrained to viewport)\npanel.showBy(button, \"tl-tr?\");\n\n// align the bottom right corner of `panel` with the center left edge of `button` (not constrained by viewport)\npanel.showBy(button, \"br-cl\");\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The target component to show this component by.</p>\n</div></li><li><span class='pre'>alignment</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The specific alignment.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-statics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-statics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-statics' class='name expandable'>statics</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the class from which this object was instantiated. Note that unlike <a href=\"#!/api/Ext.Base-property-self\" rel=\"Ext.Base-property-self\" class=\"docClass\">self</a>,\n<code>this.statics()</code> is scope-independent and it always returns the class from which it was called, regardless of what\n<code>this</code> points to during run-time</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        totalCreated: 0,\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        var statics = this.statics();\n\n        alert(statics.speciesName);     // always equals to 'Cat' no matter what 'this' refers to\n                                        // equivalent to: My.Cat.speciesName\n\n        alert(this.self.speciesName);   // dependent on 'this'\n\n        statics.totalCreated++;\n    },\n\n    clone: function() {\n        var cloned = new this.self();                    // dependent on 'this'\n\n        cloned.groupName = this.statics().speciesName;   // equivalent to: My.Cat.speciesName\n\n        return cloned;\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n\n    statics: {\n        speciesName: 'Snow Leopard'     // My.SnowLeopard.speciesName = 'Snow Leopard'\n    },\n\n    constructor: function() {\n        this.callParent();\n    }\n});\n\nvar cat = new My.Cat();                 // alerts 'Cat', then alerts 'Cat'\n\nvar snowLeopard = new My.SnowLeopard(); // alerts 'Cat', then alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));         // alerts 'My.SnowLeopard'\nalert(clone.groupName);                 // alerts 'Cat'\n\nalert(My.Cat.totalCreated);             // alerts 3\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-suspendEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-suspendEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-suspendEvents' class='name expandable'>suspendEvents</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Suspends the firing of all events. ...</div><div class='long'><p>Suspends the firing of all events.</p>\n\n<p>All events will be queued but you can discard the queued events by passing false in\nthe <a href=\"#!/api/Ext.mixin.Observable-method-resumeEvents\" rel=\"Ext.mixin.Observable-method-resumeEvents\" class=\"docClass\">resumeEvents</a> call</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='method-toggleCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-toggleCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-toggleCls' class='name expandable'>toggleCls</a>( <span class='pre'>className, force</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>className</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>force</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-toggleListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-toggleListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-toggleListener' class='name expandable'>toggleListener</a>( <span class='pre'>toggle, eventName, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>toggle</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-translate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-translate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-translate' class='name expandable'>translate</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-translateAxis' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-translateAxis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-translateAxis' class='name expandable'>translateAxis</a>( <span class='pre'>axis, value, animation</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>axis</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-triggerInitialized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-triggerInitialized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-triggerInitialized' class='name expandable'>triggerInitialized</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-un' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-un' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-un' class='name expandable'>un</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for removeListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The type of event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove. <strong>This must be a reference to the function passed into the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> call.</strong></p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for the handler. It must be the same as the\nscope argument specified in the original call to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> or the listener will not be removed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object. See <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> for details.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of the listener to remove.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul></div></div></div><div id='method-unAfter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-unAfter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-unAfter' class='name expandable'>unAfter</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for removeAfterListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeAfterListener\" rel=\"Ext.mixin.Observable-method-removeAfterListener\" class=\"docClass\">removeAfterListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul></div></div></div><div id='method-unBefore' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-unBefore' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-unBefore' class='name expandable'>unBefore</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for removeBeforeListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeBeforeListener\" rel=\"Ext.mixin.Observable-method-removeBeforeListener\" class=\"docClass\">removeBeforeListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul></div></div></div><div id='method-uncheck' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-uncheck' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-uncheck' class='name expandable'>uncheck</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Set the checked state of the checkbox to false. ...</div><div class='long'><p>Set the checked state of the checkbox to <code>false</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a></span><div class='sub-desc'><p>This checkbox.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-unlink' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-unlink' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-unlink' class='name expandable'>unlink</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-up' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-up' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-up' class='name expandable'>up</a>( <span class='pre'>[selector]</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Walks up the ownerCt axis looking for an ancestor Container which matches\nthe passed simple selector. ...</div><div class='long'><p>Walks up the <code>ownerCt</code> axis looking for an ancestor Container which matches\nthe passed simple selector.</p>\n\n<p>Example:</p>\n\n<pre><code>var owningTabPanel = grid.up('tabpanel');\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The simple selector to test.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>The matching ancestor Container (or <code>undefined</code> if no match was found).</p>\n</div></li></ul></div></div></div><div id='method-update' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-update' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-update' class='name expandable'>update</a>( <span class='pre'></span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Updates the HTML content of the Component. ...</div><div class='long'><p>Updates the HTML content of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-method-setHtml\" rel=\"Ext.Component-method-setHtml\" class=\"docClass\">setHtml</a>, <a href=\"#!/api/Ext.Component-method-setTpl\" rel=\"Ext.Component-method-setTpl\" class=\"docClass\">setTpl</a> or <a href=\"#!/api/Ext.Component-method-setData\" rel=\"Ext.Component-method-setData\" class=\"docClass\">setData</a> instead.</p>\n\n        </div>\n</div></div></div><div id='method-updateBaseCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateBaseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateBaseCls' class='name expandable'>updateBaseCls</a>( <span class='pre'>newBaseCls, oldBaseCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newBaseCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldBaseCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateBorder' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateBorder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateBorder' class='name expandable'>updateBorder</a>( <span class='pre'>border</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>border</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateChecked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-updateChecked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-updateChecked' class='name expandable'>updateChecked</a>( <span class='pre'>newChecked</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newChecked</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.field.Checkbox-event-change\" rel=\"Ext.field.Checkbox-event-change\" class=\"docClass\">change</a></li><li><a href=\"#!/api/Ext.field.Checkbox-event-check\" rel=\"Ext.field.Checkbox-event-check\" class=\"docClass\">check</a></li><li><a href=\"#!/api/Ext.field.Checkbox-event-uncheck\" rel=\"Ext.field.Checkbox-event-uncheck\" class=\"docClass\">uncheck</a></li></ul></div></div></div><div id='method-updateCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateCls' class='name expandable'>updateCls</a>( <span class='pre'>newCls, oldCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>All cls methods directly report to the cls configuration, so anytime it changes, updateCls will be called ...</div><div class='long'><p>All cls methods directly report to the <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a> configuration, so anytime it changes, <a href=\"#!/api/Ext.Component-method-updateCls\" rel=\"Ext.Component-method-updateCls\" class=\"docClass\">updateCls</a> will be called</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Decorator' rel='Ext.Decorator' class='defined-in docClass'>Ext.Decorator</a><br/><a href='source/Decorator.html#Ext-Decorator-method-updateComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Decorator-method-updateComponent' class='name expandable'>updateComponent</a>( <span class='pre'>newComponent, oldComponent</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newComponent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldComponent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-updateContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateContentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateContentEl' class='name expandable'>updateContentEl</a>( <span class='pre'>newContentEl, oldContentEl</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newContentEl</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldContentEl</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateData' class='name expandable'>updateData</a>( <span class='pre'>newData</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newData</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-updatedata\" rel=\"Ext.Component-event-updatedata\" class=\"docClass\">updatedata</a></li></ul></div></div></div><div id='method-updateDisabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateDisabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateDisabledCls' class='name expandable'>updateDisabledCls</a>( <span class='pre'>newDisabledCls, oldDisabledCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newDisabledCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldDisabledCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateFloatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateFloatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateFloatingCls' class='name expandable'>updateFloatingCls</a>( <span class='pre'>newFloatingCls, oldFloatingCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Updates the floatingCls if the component is currently floating ...</div><div class='long'><p>Updates the floatingCls if the component is currently floating</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newFloatingCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldFloatingCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateHiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateHiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateHiddenCls' class='name expandable'>updateHiddenCls</a>( <span class='pre'>newHiddenCls, oldHiddenCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newHiddenCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldHiddenCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateHtml' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateHtml' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateHtml' class='name expandable'>updateHtml</a>( <span class='pre'>html</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>html</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateInputType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-updateInputType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-updateInputType' class='name expandable'>updateInputType</a>( <span class='pre'>newInputType</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newInputType</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateLabel' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-updateLabel' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-updateLabel' class='name expandable'>updateLabel</a>( <span class='pre'>newLabel, oldLabel</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newLabel</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldLabel</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateLabelAlign' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-updateLabelAlign' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-updateLabelAlign' class='name expandable'>updateLabelAlign</a>( <span class='pre'>newLabelAlign, oldLabelAlign</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newLabelAlign</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldLabelAlign</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateLabelCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-updateLabelCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-updateLabelCls' class='name expandable'>updateLabelCls</a>( <span class='pre'>newLabelCls, oldLabelCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newLabelCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldLabelCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateLabelWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-updateLabelWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-updateLabelWidth' class='name expandable'>updateLabelWidth</a>( <span class='pre'>newLabelWidth</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newLabelWidth</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateLabelWrap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-updateLabelWrap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-updateLabelWrap' class='name expandable'>updateLabelWrap</a>( <span class='pre'>newLabelWrap, oldLabelWrap</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newLabelWrap</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldLabelWrap</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateMargin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateMargin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateMargin' class='name expandable'>updateMargin</a>( <span class='pre'>margin</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>margin</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-method-updateName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-method-updateName' class='name expandable'>updateName</a>( <span class='pre'>newName</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updatePadding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updatePadding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updatePadding' class='name expandable'>updatePadding</a>( <span class='pre'>padding</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>padding</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updatePlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updatePlugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updatePlugins' class='name expandable'>updatePlugins</a>( <span class='pre'>newPlugins, oldPlugins</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newPlugins</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldPlugins</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateRecord' class='name expandable'>updateRecord</a>( <span class='pre'>newRecord, oldRecord</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newRecord</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldRecord</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-updatedata\" rel=\"Ext.Component-event-updatedata\" class=\"docClass\">updatedata</a></li></ul></div></div></div><div id='method-updateRenderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateRenderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateRenderTo' class='name expandable'>updateRenderTo</a>( <span class='pre'>newContainer</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newContainer</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateRequired' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-updateRequired' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-updateRequired' class='name expandable'>updateRequired</a>( <span class='pre'>newRequired</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Updates the required configuration. ...</div><div class='long'><p>Updates the <a href=\"#!/api/Ext.field.Field-cfg-required\" rel=\"Ext.field.Field-cfg-required\" class=\"docClass\">required</a> configuration.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newRequired</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateRequiredCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/Field2.html#Ext-field-Field-method-updateRequiredCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-method-updateRequiredCls' class='name expandable'>updateRequiredCls</a>( <span class='pre'>newRequiredCls, oldRequiredCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Updates the required configuration ...</div><div class='long'><p>Updates the <a href=\"#!/api/Ext.field.Field-cfg-required\" rel=\"Ext.field.Field-cfg-required\" class=\"docClass\">required</a> configuration</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newRequiredCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldRequiredCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateStyle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateStyle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateStyle' class='name expandable'>updateStyle</a>( <span class='pre'>style</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>style</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateStyleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateStyleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateStyleHtmlCls' class='name expandable'>updateStyleHtmlCls</a>( <span class='pre'>newHtmlCls, oldHtmlCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Updates the styleHtmlCls configuration ...</div><div class='long'><p>Updates the <a href=\"#!/api/Ext.Component-cfg-styleHtmlCls\" rel=\"Ext.Component-cfg-styleHtmlCls\" class=\"docClass\">styleHtmlCls</a> configuration</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newHtmlCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldHtmlCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateStyleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateStyleHtmlContent' class='name expandable'>updateStyleHtmlContent</a>( <span class='pre'>styleHtmlContent</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>styleHtmlContent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateUi' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateUi' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateUi' class='name expandable'>updateUi</a>( <span class='pre'>newUi, oldUi</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newUi</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldUi</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateZIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateZIndex' class='name expandable'>updateZIndex</a>( <span class='pre'>zIndex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-addConfig' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addConfig' class='name expandable'>addConfig</a>( <span class='pre'>config, fullMerge</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fullMerge</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addInheritableStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addInheritableStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addInheritableStatics' class='name expandable'>addInheritableStatics</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMember' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMember' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMember' class='name expandable'>addMember</a>( <span class='pre'>name, member</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>member</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMembers' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMembers' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMembers' class='name expandable'>addMembers</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add methods / properties to the prototype of this class. ...</div><div class='long'><p>Add methods / properties to the prototype of this class.</p>\n\n<pre class='inline-example '><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Cat', {\n    constructor: function() {\n        // ...\n    }\n});\n\n My.awesome.Cat.addMembers({\n     meow: function() {\n        alert('Meowww...');\n     }\n });\n\n var kitty = new My.awesome.Cat();\n kitty.meow();\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-addStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addStatics' class='name expandable'>addStatics</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add / override static properties of this class. ...</div><div class='long'><p>Add / override static properties of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // this.se\n});\n\nMy.cool.Class.addStatics({\n    someProperty: 'someValue',      // My.cool.Class.someProperty = 'someValue'\n    method1: function() {  },    // My.cool.Class.method1 = function() { ... };\n    method2: function() {  }     // My.cool.Class.method2 = function() { ... };\n});\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-addXtype' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addXtype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addXtype' class='name expandable'>addXtype</a>( <span class='pre'>xtype</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>xtype</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-borrow' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-borrow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-borrow' class='name expandable'>borrow</a>( <span class='pre'>fromClass, members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Borrow another class' members to the prototype of this class. ...</div><div class='long'><p>Borrow another class' members to the prototype of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Bank', {\n    money: '$$$',\n    printMoney: function() {\n        alert('$$$$$$$');\n    }\n});\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Thief', {\n    // ...\n});\n\nThief.borrow(Bank, ['money', 'printMoney']);\n\nvar steve = new Thief();\n\nalert(steve.money); // alerts '$$$'\nsteve.printMoney(); // alerts '$$$$$$$'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fromClass</span> : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><div class='sub-desc'><p>The class to borrow members from</p>\n</div></li><li><span class='pre'>members</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The names of the members to borrow</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> )<span class=\"signature\"><span class='protected' >protected</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-create' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-create' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-create' class='name expandable'>create</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create a new instance of this Class. ...</div><div class='long'><p>Create a new instance of this Class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // ...\n});\n\nMy.cool.Class.create({\n    someConfig: true\n});\n</code></pre>\n\n<p>All parameters are passed to the constructor of the class.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>the created instance.</p>\n</div></li></ul></div></div></div><div id='static-method-createAlias' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-createAlias' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-createAlias' class='name expandable'>createAlias</a>( <span class='pre'>alias, origin</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create aliases for existing prototype methods. ...</div><div class='long'><p>Create aliases for existing prototype methods. Example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    method1: function() {  },\n    method2: function() {  }\n});\n\nvar test = new My.cool.Class();\n\nMy.cool.Class.createAlias({\n    method3: 'method1',\n    method4: 'method2'\n});\n\ntest.method3(); // test.method1()\n\nMy.cool.Class.createAlias('method5', 'method3');\n\ntest.method5(); // test.method3() -&gt; test.method1()\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>alias</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new method name, or an object to set multiple aliases. See\n<a href=\"#!/api/Ext.Function-method-flexSetter\" rel=\"Ext.Function-method-flexSetter\" class=\"docClass\">flexSetter</a></p>\n</div></li><li><span class='pre'>origin</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The original method name</p>\n</div></li></ul></div></div></div><div id='static-method-extend' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-extend' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-extend' class='name expandable'>extend</a>( <span class='pre'>parent</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>parent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-getName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-getName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-getName' class='name expandable'>getName</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Get the current class' name in string format. ...</div><div class='long'><p>Get the current class' name in string format.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    constructor: function() {\n        alert(this.self.getName()); // alerts 'My.cool.Class'\n    }\n});\n\nMy.cool.Class.getName(); // 'My.cool.Class'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>className</p>\n</div></li></ul></div></div></div><div id='static-method-implement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-implement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-implement' class='name expandable'>implement</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='static-method-mixin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-mixin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-mixin' class='name expandable'>mixin</a>( <span class='pre'>name, mixinClass</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Used internally by the mixins pre-processor ...</div><div class='long'><p>Used internally by the mixins pre-processor</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>mixinClass</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-onExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-onExtended' class='name expandable'>onExtended</a>( <span class='pre'>fn, scope</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-override' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-override' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-override' class='name expandable'>override</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='deprecated' >deprecated</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Override members of this class. ...</div><div class='long'><p>Override members of this class. Overridden methods can be invoked via\n<a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a>.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n\n<p>As of 2.1, direct use of this method is deprecated. Use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>\ninstead:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.CatOverride', {\n    override: 'My.Cat',\n\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n</code></pre>\n\n<p>The above accomplishes the same result but can be managed by the <a href=\"#!/api/Ext.Loader\" rel=\"Ext.Loader\" class=\"docClass\">Ext.Loader</a>\nwhich can properly order the override and its target class and the build process\ncan determine whether the override is needed based on the required state of the\ntarget class (My.Cat).</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.1.0</p>\n        <p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The properties to add to this class. This should be\nspecified as an object literal containing one or more properties.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this class</p>\n</div></li></ul></div></div></div><div id='static-method-triggerExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-triggerExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-triggerExtended' class='name expandable'>triggerExtended</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-event'>Events</h3><div class='subsection'><div id='event-beforeorientationchange' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-beforeorientationchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-beforeorientationchange' class='name expandable'>beforeorientationchange</a>( <span class='pre'>eOpts</span> )<span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>Fires before orientation changes. ...</div><div class='long'><p>Fires before orientation changes.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This event has been <strong>removed</strong> since 2.0.0</p>\n        <p>This event is now only available <code>onBefore</code> the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-bottomchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-bottomchange' class='name expandable'>bottomchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the bottom configuration is changed by setBottom. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setBottom\" rel=\"Ext.Component-method-setBottom\" class=\"docClass\">setBottom</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-centeredchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-centeredchange' class='name expandable'>centeredchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the centered configuration is changed by setCentered. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-centered\" rel=\"Ext.Component-cfg-centered\" class=\"docClass\">centered</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setCentered\" rel=\"Ext.Component-method-setCentered\" class=\"docClass\">setCentered</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-change' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-event-change' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-event-change' class='name expandable'>change</a>( <span class='pre'>this, newValue, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires just before the field blurs if the field value has changed. ...</div><div class='long'><p>Fires just before the field blurs if the field value has changed.</p>\n        <p>Available since: <b>2.0.2</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a><div class='sub-desc'><p>This field.</p>\n</div></li><li><span class='pre'>newValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The new value.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The original value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-check' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-event-check' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-event-check' class='name expandable'>check</a>( <span class='pre'>this, e, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the checkbox is checked. ...</div><div class='long'><p>Fires when the checkbox is checked.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a><div class='sub-desc'><p>This checkbox.</p>\n</div></li><li><span class='pre'>e</span> : <a href=\"#!/api/Ext.event.Event\" rel=\"Ext.event.Event\" class=\"docClass\">Ext.EventObject</a><div class='sub-desc'><p>This event object.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-destroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-destroy' class='name expandable'>destroy</a>( <span class='pre'>eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the component is destroyed ...</div><div class='long'><p>Fires when the component is destroyed</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-disabledchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-disabledchange' class='name expandable'>disabledchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the disabled configuration is changed by setDisabled. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-disabled\" rel=\"Ext.Component-cfg-disabled\" class=\"docClass\">disabled</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setDisabled\" rel=\"Ext.Component-method-setDisabled\" class=\"docClass\">setDisabled</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-dockedchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-dockedchange' class='name expandable'>dockedchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the docked configuration is changed by setDocked. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setDocked\" rel=\"Ext.Component-method-setDocked\" class=\"docClass\">setDocked</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-erased' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-erased' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-erased' class='name expandable'>erased</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the component is no longer displayed in the DOM. ...</div><div class='long'><p>Fires when the component is no longer displayed in the DOM.  Listening to this event will\ndegrade performance not recommend for general use.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-flexchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-flexchange' class='name expandable'>flexchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the flex configuration is changed by setFlex. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-flex\" rel=\"Ext.Component-cfg-flex\" class=\"docClass\">flex</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setFlex\" rel=\"Ext.Component-method-setFlex\" class=\"docClass\">setFlex</a>.</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-floatingchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-floatingchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-floatingchange' class='name expandable'>floatingchange</a>( <span class='pre'>this, floating, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever there is a change in the floating status of a component ...</div><div class='long'><p>Fires whenever there is a change in the floating status of a component</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>floating</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The component's new floating state</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-fullscreen' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-fullscreen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-fullscreen' class='name expandable'>fullscreen</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever a Component with the fullscreen config is instantiated ...</div><div class='long'><p>Fires whenever a Component with the fullscreen config is instantiated</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-heightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-heightchange' class='name expandable'>heightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the height configuration is changed by setHeight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-height\" rel=\"Ext.Component-cfg-height\" class=\"docClass\">height</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setHeight\" rel=\"Ext.Component-method-setHeight\" class=\"docClass\">setHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-hiddenchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-hiddenchange' class='name expandable'>hiddenchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the hidden configuration is changed by setHidden. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-hidden\" rel=\"Ext.Component-cfg-hidden\" class=\"docClass\">hidden</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setHidden\" rel=\"Ext.Component-method-setHidden\" class=\"docClass\">setHidden</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-hide' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-hide' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-hide' class='name expandable'>hide</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever the Component is hidden ...</div><div class='long'><p>Fires whenever the Component is hidden</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-initialize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-initialize' class='name expandable'>initialize</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the component has been initialized ...</div><div class='long'><p>Fires when the component has been initialized</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-leftchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-leftchange' class='name expandable'>leftchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the left configuration is changed by setLeft. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setLeft\" rel=\"Ext.Component-method-setLeft\" class=\"docClass\">setLeft</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-maxheightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-maxheightchange' class='name expandable'>maxheightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the maxHeight configuration is changed by setMaxHeight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-maxHeight\" rel=\"Ext.Component-cfg-maxHeight\" class=\"docClass\">maxHeight</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMaxHeight\" rel=\"Ext.Component-method-setMaxHeight\" class=\"docClass\">setMaxHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-maxwidthchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-maxwidthchange' class='name expandable'>maxwidthchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the maxWidth configuration is changed by setMaxWidth. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-maxWidth\" rel=\"Ext.Component-cfg-maxWidth\" class=\"docClass\">maxWidth</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMaxWidth\" rel=\"Ext.Component-method-setMaxWidth\" class=\"docClass\">setMaxWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-minheightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-minheightchange' class='name expandable'>minheightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the minHeight configuration is changed by setMinHeight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-minHeight\" rel=\"Ext.Component-cfg-minHeight\" class=\"docClass\">minHeight</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMinHeight\" rel=\"Ext.Component-method-setMinHeight\" class=\"docClass\">setMinHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-minwidthchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-minwidthchange' class='name expandable'>minwidthchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the minWidth configuration is changed by setMinWidth. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-minWidth\" rel=\"Ext.Component-cfg-minWidth\" class=\"docClass\">minWidth</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMinWidth\" rel=\"Ext.Component-method-setMinWidth\" class=\"docClass\">setMinWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-orientationchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-orientationchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-orientationchange' class='name expandable'>orientationchange</a>( <span class='pre'>eOpts</span> )<span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>Fires when orientation changes. ...</div><div class='long'><p>Fires when orientation changes.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This event has been <strong>removed</strong> since 2.0.0</p>\n        <p>This event is now only available on the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-painted' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-painted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-painted' class='name expandable'>painted</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever this Element actually becomes visible (painted) on the screen. ...</div><div class='long'><p>Fires whenever this Element actually becomes visible (painted) on the screen. This is useful when you need to\nperform 'read' operations on the DOM element, i.e: calculating natural sizes and positioning.</p>\n\n<p><strong>Note:</strong> This event is not available to be used with event delegation. Instead <code>painted</code> only fires if you explicitly\nadd at least one listener to it, for performance reasons.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The component instance.</p>\n\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-resize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-resize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-resize' class='name expandable'>resize</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Important note: For the best performance on mobile devices, use this only when you absolutely need to monitor\na Eleme...</div><div class='long'><p>Important note: For the best performance on mobile devices, use this only when you absolutely need to monitor\na Element's size.</p>\n\n<p><strong>Note:</strong> This event is not available to be used with event delegation. Instead <code>resize</code> only fires if you explicitly\nadd at least one listener to it, for performance reasons.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The component instance.</p>\n\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-rightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-rightchange' class='name expandable'>rightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the right configuration is changed by setRight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setRight\" rel=\"Ext.Component-method-setRight\" class=\"docClass\">setRight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-show' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-show' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-show' class='name expandable'>show</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever the Component is shown ...</div><div class='long'><p>Fires whenever the Component is shown</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-topchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-topchange' class='name expandable'>topchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the top configuration is changed by setTop. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setTop\" rel=\"Ext.Component-method-setTop\" class=\"docClass\">setTop</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-uncheck' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.field.Checkbox'>Ext.field.Checkbox</span><br/><a href='source/Checkbox.html#Ext-field-Checkbox-event-uncheck' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Checkbox-event-uncheck' class='name expandable'>uncheck</a>( <span class='pre'>this, e, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the checkbox is unchecked. ...</div><div class='long'><p>Fires when the checkbox is unchecked.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.field.Checkbox\" rel=\"Ext.field.Checkbox\" class=\"docClass\">Ext.field.Checkbox</a><div class='sub-desc'><p>This checkbox.</p>\n</div></li><li><span class='pre'>e</span> : <a href=\"#!/api/Ext.event.Event\" rel=\"Ext.event.Event\" class=\"docClass\">Ext.EventObject</a><div class='sub-desc'><p>This event object.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-updatedata' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-updatedata' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-updatedata' class='name expandable'>updatedata</a>( <span class='pre'>this, newData, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever the data of the component is updated ...</div><div class='long'><p>Fires whenever the data of the component is updated</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>newData</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new data</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-widthchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-widthchange' class='name expandable'>widthchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the width configuration is changed by setWidth. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-width\" rel=\"Ext.Component-cfg-width\" class=\"docClass\">width</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setWidth\" rel=\"Ext.Component-method-setWidth\" class=\"docClass\">setWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-css_var'>CSS Variables</h3><div class='subsection'><div id='css_var-S-form-field-bg-color' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/_Field.scss2.html#Ext-field-Field-css_var-S-form-field-bg-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-css_var-S-form-field-bg-color' class='name expandable'>$form-field-bg-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Default background-color for form fields. ...</div><div class='long'><p>Default background-color for form fields.</p>\n<p>Defaults to: <code>#fff</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-form-field-height' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/_Field.scss2.html#Ext-field-Field-css_var-S-form-field-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-css_var-S-form-field-height' class='name expandable'>$form-field-height</a> : measurement<span class=\"signature\"></span></div><div class='description'><div class='short'>Default height for form fields. ...</div><div class='long'><p>Default height for form fields.</p>\n<p>Defaults to: <code>2.5em</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-toolbar-input-bg' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/_Toolbar.scss2.html#Ext-field-Field-css_var-S-toolbar-input-bg' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-css_var-S-toolbar-input-bg' class='name expandable'>$toolbar-input-bg</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Background-color for toolbar form fields. ...</div><div class='long'><p>Background-color for toolbar form fields.</p>\n<p>Defaults to: <code>#fff</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-toolbar-input-border-color' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/_Toolbar.scss2.html#Ext-field-Field-css_var-S-toolbar-input-border-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-css_var-S-toolbar-input-border-color' class='name expandable'>$toolbar-input-border-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Border color for toolbar form fields. ...</div><div class='long'><p>Border color for toolbar form fields.</p>\n<p>Defaults to: <code>rgba ( #000 , .5 )</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-toolbar-input-color' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/_Toolbar.scss2.html#Ext-field-Field-css_var-S-toolbar-input-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-css_var-S-toolbar-input-color' class='name expandable'>$toolbar-input-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Text color for toolbar form fields. ...</div><div class='long'><p>Text color for toolbar form fields.</p>\n<p>Defaults to: <code>#000</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-toolbar-input-height' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.field.Field' rel='Ext.field.Field' class='defined-in docClass'>Ext.field.Field</a><br/><a href='source/_Toolbar.scss2.html#Ext-field-Field-css_var-S-toolbar-input-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.field.Field-css_var-S-toolbar-input-height' class='name expandable'>$toolbar-input-height</a> : measurement<span class=\"signature\"></span></div><div class='description'><div class='short'>Text color for toolbar form fields. ...</div><div class='long'><p>Text color for toolbar form fields.</p>\n<p>Defaults to: <code>1.6em</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div></div></div></div></div>","alternateClassNames":["Ext.form.Checkbox"],"autodetected":{"uses":true,"alternateClassNames":true,"aliases":true,"members":true,"mixins":true,"extends":true,"code_type":true,"requires":true},"aliases":{"widget":["checkboxfield"]},"members":[{"meta":{},"owner":"Ext.field.Field","name":"baseCls","id":"cfg-baseCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"border","id":"cfg-border","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"bottom","id":"cfg-bottom","tagname":"cfg"},{"meta":{},"owner":"Ext.mixin.Observable","name":"bubbleEvents","id":"cfg-bubbleEvents","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"centered","id":"cfg-centered","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Checkbox","name":"checked","id":"cfg-checked","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"clearIcon","id":"cfg-clearIcon","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"cls","id":"cfg-cls","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Checkbox","name":"component","id":"cfg-component","tagname":"cfg"},{"meta":{"deprecated":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"componentCls","id":"cfg-componentCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"contentEl","id":"cfg-contentEl","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"data","id":"cfg-data","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"disabled","id":"cfg-disabled","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"disabledCls","id":"cfg-disabledCls","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"dock","id":"cfg-dock","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"docked","id":"cfg-docked","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"draggable","id":"cfg-draggable","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"enterAnimation","id":"cfg-enterAnimation","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"exitAnimation","id":"cfg-exitAnimation","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use the <a href=\"#!/api/Ext.field.Field-cfg-inputCls\" rel=\"Ext.field.Field-cfg-inputCls\" class=\"docClass\">inputCls</a> configuration instead.</p>\n","version":"2.0.0"}},"owner":"Ext.field.Field","name":"fieldCls","id":"cfg-fieldCls","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use the <a href=\"#!/api/Ext.field.Field-cfg-label\" rel=\"Ext.field.Field-cfg-label\" class=\"docClass\">label</a> configuration instead.</p>\n","version":"2.0.0"}},"owner":"Ext.field.Field","name":"fieldLabel","id":"cfg-fieldLabel","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"flex","id":"cfg-flex","tagname":"cfg"},{"meta":{"deprecated":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"floating","id":"cfg-floating","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"floatingCls","id":"cfg-floatingCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"height","id":"cfg-height","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"hidden","id":"cfg-hidden","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"hiddenCls","id":"cfg-hiddenCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"hideAnimation","id":"cfg-hideAnimation","tagname":"cfg"},{"meta":{"removed":{"text":"<p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-cfg-hideOnMaskTap\" rel=\"Ext.Container-cfg-hideOnMaskTap\" class=\"docClass\">Ext.Container</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"hideOnMaskTap","id":"cfg-hideOnMaskTap","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"html","id":"cfg-html","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"id","id":"cfg-id","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"inputCls","id":"cfg-inputCls","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use <code>input.type</code> instead.</p>\n\n\n\n","version":"2.0"}},"owner":"Ext.field.Field","name":"inputType","id":"cfg-inputType","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"isFocused","id":"cfg-isFocused","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"itemId","id":"cfg-itemId","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"label","id":"cfg-label","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"labelAlign","id":"cfg-labelAlign","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"labelCls","id":"cfg-labelCls","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"labelMaskTap","id":"cfg-labelMaskTap","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"labelWidth","id":"cfg-labelWidth","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"labelWrap","id":"cfg-labelWrap","tagname":"cfg"},{"meta":{"removed":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"layoutOnOrientationChange","id":"cfg-layoutOnOrientationChange","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"left","id":"cfg-left","tagname":"cfg"},{"meta":{},"owner":"Ext.mixin.Observable","name":"listeners","id":"cfg-listeners","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"margin","id":"cfg-margin","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"maxHeight","id":"cfg-maxHeight","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"maxWidth","id":"cfg-maxWidth","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"minHeight","id":"cfg-minHeight","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"minWidth","id":"cfg-minWidth","tagname":"cfg"},{"meta":{"removed":{"text":"<p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-cfg-modal\" rel=\"Ext.Container-cfg-modal\" class=\"docClass\">Ext.Container</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"modal","id":"cfg-modal","tagname":"cfg"},{"meta":{"removed":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"monitorOrientation","id":"cfg-monitorOrientation","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"name","id":"cfg-name","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"padding","id":"cfg-padding","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"plugins","id":"cfg-plugins","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"record","id":"cfg-record","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"renderTo","id":"cfg-renderTo","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"required","id":"cfg-required","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Field","name":"requiredCls","id":"cfg-requiredCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"right","id":"cfg-right","tagname":"cfg"},{"meta":{"removed":{"text":"<p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-cfg-scrollable\" rel=\"Ext.Container-cfg-scrollable\" class=\"docClass\">Ext.Container</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"scroll","id":"cfg-scroll","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"showAnimation","id":"cfg-showAnimation","tagname":"cfg"},{"meta":{"removed":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"stopMaskTapEvent","id":"cfg-stopMaskTapEvent","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"style","id":"cfg-style","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"styleHtmlCls","id":"cfg-styleHtmlCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"styleHtmlContent","id":"cfg-styleHtmlContent","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"top","id":"cfg-top","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"tpl","id":"cfg-tpl","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"tplWriteMode","id":"cfg-tplWriteMode","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.Component","name":"translatable","id":"cfg-translatable","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Checkbox","name":"ui","id":"cfg-ui","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use the <a href=\"#!/api/Ext.field.Field-cfg-clearIcon\" rel=\"Ext.field.Field-cfg-clearIcon\" class=\"docClass\">clearIcon</a> configuration instead.</p>\n","version":"2.0.0"}},"owner":"Ext.field.Field","name":"useClearIcon","id":"cfg-useClearIcon","tagname":"cfg"},{"meta":{},"owner":"Ext.field.Checkbox","name":"value","id":"cfg-value","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"width","id":"cfg-width","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"xtype","id":"cfg-xtype","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"zIndex","id":"cfg-zIndex","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_BOTH","id":"property-LAYOUT_BOTH","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_HEIGHT","id":"property-LAYOUT_HEIGHT","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_STRETCHED","id":"property-LAYOUT_STRETCHED","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_WIDTH","id":"property-LAYOUT_WIDTH","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"alignmentRegex","id":"property-alignmentRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"defaultIdPrefix","id":"property-defaultIdPrefix","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"defaultIdSeparator","id":"property-defaultIdSeparator","tagname":"property"},{"meta":{"readonly":true,"private":true},"owner":"Ext.Component","name":"dockPositions","id":"property-dockPositions","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"element","id":"property-element","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"eventFiringSuspended","id":"property-eventFiringSuspended","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"floating","id":"property-floating","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"heightLayoutSized","id":"property-heightLayoutSized","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"idCleanRegex","id":"property-idCleanRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Evented","name":"initialized","id":"property-initialized","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"innerElement","id":"property-innerElement","tagname":"property"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"isCheckbox","id":"property-isCheckbox","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"isComponent","id":"property-isComponent","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"isDecorator","id":"property-isDecorator","tagname":"property"},{"meta":{},"owner":"Ext.field.Field","name":"isField","id":"property-isField","tagname":"property"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"isFormField","id":"property-isFormField","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"isIdentifiable","id":"property-isIdentifiable","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"isInner","id":"property-isInner","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"isObservable","id":"property-isObservable","tagname":"property"},{"meta":{"deprecated":{"text":"\n","version":"2.0"}},"owner":"Ext.field.Field","name":"labelEl","id":"property-labelEl","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"layoutStretched","id":"property-layoutStretched","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"listenerOptionsRegex","id":"property-listenerOptionsRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Traversable","name":"mixinConfig","id":"property-mixinConfig","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"mixinId","id":"property-mixinId","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"observableIdPrefix","id":"property-observableIdPrefix","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"observableType","id":"property-observableType","tagname":"property"},{"meta":{},"owner":"Ext.field.Field","name":"originalValue","id":"property-originalValue","tagname":"property"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"platformConfig","id":"property-platformConfig","tagname":"property"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"qsaLeftRe","id":"property-qsaLeftRe","tagname":"property"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"qsaRightRe","id":"property-qsaRightRe","tagname":"property"},{"meta":{"private":true},"owner":"Ext.AbstractComponent","name":"referenceAttributeName","id":"property-referenceAttributeName","tagname":"property"},{"meta":{"private":true},"owner":"Ext.AbstractComponent","name":"referenceSelector","id":"property-referenceSelector","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"rendered","id":"property-rendered","tagname":"property"},{"meta":{"protected":true},"owner":"Ext.Base","name":"self","id":"property-self","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"sizeFlags","id":"property-sizeFlags","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"sizeState","id":"property-sizeState","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"template","id":"property-template","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"validIdRegex","id":"property-validIdRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"widthLayoutSized","id":"property-widthLayoutSized","tagname":"property"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"$onExtended","id":"static-property-S-onExtended","tagname":"property"},{"meta":{},"owner":"Ext.Component","name":"constructor","id":"method-constructor","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"addAfterListener","id":"method-addAfterListener","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"addBeforeListener","id":"method-addBeforeListener","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"addCls","id":"method-addCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"addDispatcherListener","id":"method-addDispatcherListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>It's no longer needed to add events before firing.</p>\n","version":"2.0"}},"owner":"Ext.mixin.Observable","name":"addEvents","id":"method-addEvents","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"addListener","id":"method-addListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>.</p>\n","version":"2.0"}},"owner":"Ext.mixin.Observable","name":"addManagedListener","id":"method-addManagedListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.AbstractComponent","name":"addReferenceNode","id":"method-addReferenceNode","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"afterEdit","id":"method-afterEdit","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"afterErase","id":"method-afterErase","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"alignTo","id":"method-alignTo","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"animateFn","id":"method-animateFn","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyBaseCls","id":"method-applyBaseCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyBottom","id":"method-applyBottom","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"applyBubbleEvents","id":"method-applyBubbleEvents","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyCentered","id":"method-applyCentered","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyCls","id":"method-applyCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"applyComponent","id":"method-applyComponent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyContentEl","id":"method-applyContentEl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyData","id":"method-applyData","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyDisabled","id":"method-applyDisabled","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyDocked","id":"method-applyDocked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyDraggable","id":"method-applyDraggable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyFlex","id":"method-applyFlex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyHeight","id":"method-applyHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyHidden","id":"method-applyHidden","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyItemId","id":"method-applyItemId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyLeft","id":"method-applyLeft","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"applyListeners","id":"method-applyListeners","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMaxHeight","id":"method-applyMaxHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMaxWidth","id":"method-applyMaxWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMinHeight","id":"method-applyMinHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMinWidth","id":"method-applyMinWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyPlugins","id":"method-applyPlugins","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyRecord","id":"method-applyRecord","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyRight","id":"method-applyRight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyStyleHtmlContent","id":"method-applyStyleHtmlContent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyTop","id":"method-applyTop","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyTpl","id":"method-applyTpl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyTranslatable","id":"method-applyTranslatable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyWidth","id":"method-applyWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyZIndex","id":"method-applyZIndex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"beforeInitConfig","id":"method-beforeInitConfig","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"beforeInitialize","id":"method-beforeInitialize","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callOverridden","id":"method-callOverridden","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callParent","id":"method-callParent","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callSuper","id":"method-callSuper","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.mixin.Observable","name":"changeListener","id":"method-changeListener","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"check","id":"method-check","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"clearListeners","id":"method-clearListeners","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"clearManagedListeners","id":"method-clearManagedListeners","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"createEventBubbler","id":"method-createEventBubbler","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"createEventRelayer","id":"method-createEventRelayer","tagname":"method"},{"meta":{},"owner":"Ext.Decorator","name":"destroy","id":"method-destroy","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"disable","id":"method-disable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doAddListener","id":"method-doAddListener","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"doChecked","id":"method-doChecked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"doFireEvent","id":"method-doFireEvent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"doInitValue","id":"method-doInitValue","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doRefreshFloating","id":"method-doRefreshFloating","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doRefreshSizeState","id":"method-doRefreshSizeState","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doRemoveListener","id":"method-doRemoveListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Evented","name":"doSet","id":"method-doSet","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetBottom","id":"method-doSetBottom","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetCentered","id":"method-doSetCentered","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"doSetComponent","id":"method-doSetComponent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetDisabled","id":"method-doSetDisabled","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetDocked","id":"method-doSetDocked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetFlex","id":"method-doSetFlex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetHeight","id":"method-doSetHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetHidden","id":"method-doSetHidden","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetLeft","id":"method-doSetLeft","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMaxHeight","id":"method-doSetMaxHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMaxWidth","id":"method-doSetMaxWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMinHeight","id":"method-doSetMinHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMinWidth","id":"method-doSetMinWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetRight","id":"method-doSetRight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetTop","id":"method-doSetTop","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetWidth","id":"method-doSetWidth","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"doUnChecked","id":"method-doUnChecked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"doUnsetComponent","id":"method-doUnsetComponent","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"enable","id":"method-enable","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"enableBubble","id":"method-enableBubble","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"filterLengthValue","id":"method-filterLengthValue","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"fireAction","id":"method-fireAction","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"fireEvent","id":"method-fireEvent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Traversable","name":"getAncestorIds","id":"method-getAncestorIds","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Traversable","name":"getAncestors","id":"method-getAncestors","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getBaseCls","id":"method-getBaseCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getBorder","id":"method-getBorder","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getBottom","id":"method-getBottom","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"getBubbleEvents","id":"method-getBubbleEvents","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getBubbleTarget","id":"method-getBubbleTarget","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getCentered","id":"method-getCentered","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"getChecked","id":"method-getChecked","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getClearIcon","id":"method-getClearIcon","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getCls","id":"method-getCls","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"getComponent","id":"method-getComponent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getConfig","id":"method-getConfig","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getContentEl","id":"method-getContentEl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getCurrentConfig","id":"method-getCurrentConfig","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getData","id":"method-getData","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getDisabled","id":"method-getDisabled","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getDisabledCls","id":"method-getDisabledCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getDocked","id":"method-getDocked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getDraggable","id":"method-getDraggable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getDraggableBehavior","id":"method-getDraggableBehavior","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please access the Component's element from the <code>element</code> property instead, i.e:</p>\n\n<pre><code> var element = component.element;\n</code></pre>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"getEl","id":"method-getEl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getElementConfig","id":"method-getElementConfig","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"getEnterAnimation","id":"method-getEnterAnimation","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getEventDispatcher","id":"method-getEventDispatcher","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"getExitAnimation","id":"method-getExitAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getFlex","id":"method-getFlex","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getFloatingCls","id":"method-getFloatingCls","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"getGroupValues","id":"method-getGroupValues","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHeight","id":"method-getHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHidden","id":"method-getHidden","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHiddenCls","id":"method-getHiddenCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHideAnimation","id":"method-getHideAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHtml","id":"method-getHtml","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Identifiable","name":"getId","id":"method-getId","tagname":"method"},{"meta":{},"owner":"Ext.Base","name":"getInitialConfig","id":"method-getInitialConfig","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getInnerHtmlElement","id":"method-getInnerHtmlElement","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getInputCls","id":"method-getInputCls","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <code>input.type</code> instead.</p>\n\n\n\n","version":"2.0"}},"owner":"Ext.field.Field","name":"getInputType","id":"method-getInputType","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getItemId","id":"method-getItemId","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getLabel","id":"method-getLabel","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getLabelAlign","id":"method-getLabelAlign","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getLabelCls","id":"method-getLabelCls","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getLabelWidth","id":"method-getLabelWidth","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getLabelWrap","id":"method-getLabelWrap","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getLeft","id":"method-getLeft","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"getListeners","id":"method-getListeners","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getManagedListeners","id":"method-getManagedListeners","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMargin","id":"method-getMargin","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMaxHeight","id":"method-getMaxHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMaxWidth","id":"method-getMaxWidth","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMinHeight","id":"method-getMinHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMinWidth","id":"method-getMinWidth","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getName","id":"method-getName","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getObservableId","id":"method-getObservableId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getOptimizedEventDispatcher","id":"method-getOptimizedEventDispatcher","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"getOptimizedId","id":"method-getOptimizedId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getOptimizedObservableId","id":"method-getOptimizedObservableId","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getPadding","id":"method-getPadding","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getParent","id":"method-getParent","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getPlugins","id":"method-getPlugins","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getRecord","id":"method-getRecord","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getRenderTo","id":"method-getRenderTo","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getRequired","id":"method-getRequired","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"getRequiredCls","id":"method-getRequiredCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getRight","id":"method-getRight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"getSameGroupFields","id":"method-getSameGroupFields","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getShowAnimation","id":"method-getShowAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getSize","id":"method-getSize","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getSizeFlags","id":"method-getSizeFlags","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getSizeState","id":"method-getSizeState","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getStyle","id":"method-getStyle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getStyleHtmlCls","id":"method-getStyleHtmlCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getStyleHtmlContent","id":"method-getStyleHtmlContent","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"getSubmitValue","id":"method-getSubmitValue","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getTemplate","id":"method-getTemplate","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getTop","id":"method-getTop","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getTpl","id":"method-getTpl","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getTplWriteMode","id":"method-getTplWriteMode","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getTranslatable","id":"method-getTranslatable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getTranslatableBehavior","id":"method-getTranslatableBehavior","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"getUi","id":"method-getUi","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"getUniqueId","id":"method-getUniqueId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getUsedSelectors","id":"method-getUsedSelectors","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"getValue","id":"method-getValue","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getWidth","id":"method-getWidth","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getXTypes","id":"method-getXTypes","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getZIndex","id":"method-getZIndex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"hasConfig","id":"method-hasConfig","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"hasListener","id":"method-hasListener","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"hasParent","id":"method-hasParent","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.Component","name":"hide","id":"method-hide","tagname":"method"},{"meta":{"protected":true,"chainable":true},"owner":"Ext.Base","name":"initConfig","id":"method-initConfig","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.AbstractComponent","name":"initElement","id":"method-initElement","tagname":"method"},{"meta":{"protected":true,"private":true},"owner":"Ext.field.Checkbox","name":"initialize","id":"method-initialize","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isCentered","id":"method-isCentered","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"isChecked","id":"method-isChecked","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"isDirty","id":"method-isDirty","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"isDisabled","id":"method-isDisabled","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isDocked","id":"method-isDocked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isFloating","id":"method-isFloating","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"isHidden","id":"method-isHidden","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isInnerItem","id":"method-isInnerItem","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isPainted","id":"method-isPainted","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isRendered","id":"method-isRendered","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"isXType","id":"method-isXType","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"link","id":"method-link","tagname":"method"},{"meta":{"deprecated":{"text":"<p>This is now done automatically</p>\n","version":"2.0.0"}},"owner":"Ext.mixin.Observable","name":"mon","id":"method-mon","tagname":"method"},{"meta":{"deprecated":{"text":"<p>This is now done automatically</p>\n","version":"2.0.0"}},"owner":"Ext.mixin.Observable","name":"mun","id":"method-mun","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"on","id":"method-on","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"onAfter","id":"method-onAfter","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"onBefore","id":"method-onBefore","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"onChange","id":"method-onChange","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"onClassExtended","id":"method-onClassExtended","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"onConfigUpdate","id":"method-onConfigUpdate","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"onInitialized","id":"method-onInitialized","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"onMaskTap","id":"method-onMaskTap","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"onShowByErased","id":"method-onShowByErased","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"refreshFloating","id":"method-refreshFloating","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"refreshInnerState","id":"method-refreshInnerState","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"refreshSizeState","id":"method-refreshSizeState","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"relayEvent","id":"method-relayEvent","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.mixin.Observable","name":"relayEvents","id":"method-relayEvents","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"removeAfterListener","id":"method-removeAfterListener","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"removeBeforeListener","id":"method-removeBeforeListener","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"removeCls","id":"method-removeCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"removeDispatcherListener","id":"method-removeDispatcherListener","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"removeListener","id":"method-removeListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a>.</p>\n","version":"2.0"}},"owner":"Ext.mixin.Observable","name":"removeManagedListener","id":"method-removeManagedListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"renderTo","id":"method-renderTo","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"replaceCls","id":"method-replaceCls","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.field.Checkbox","name":"reset","id":"method-reset","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"resetFloating","id":"method-resetFloating","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.field.Checkbox","name":"resetGroupValues","id":"method-resetGroupValues","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"resetOriginalValue","id":"method-resetOriginalValue","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"resumeEvents","id":"method-resumeEvents","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setBaseCls","id":"method-setBaseCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setBorder","id":"method-setBorder","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setBottom","id":"method-setBottom","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"setBubbleEvents","id":"method-setBubbleEvents","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setCentered","id":"method-setCentered","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"setChecked","id":"method-setChecked","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setClearIcon","id":"method-setClearIcon","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setCls","id":"method-setCls","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"setComponent","id":"method-setComponent","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"setConfig","id":"method-setConfig","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setContentEl","id":"method-setContentEl","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setData","id":"method-setData","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"setDisabled","id":"method-setDisabled","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setDisabledCls","id":"method-setDisabledCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setDocked","id":"method-setDocked","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setDraggable","id":"method-setDraggable","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"setEnterAnimation","id":"method-setEnterAnimation","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"setExitAnimation","id":"method-setExitAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setFlex","id":"method-setFlex","tagname":"method"},{"meta":{"deprecated":{"text":"<p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-method-setTop\" rel=\"Ext.Component-method-setTop\" class=\"docClass\">setTop</a>, <a href=\"#!/api/Ext.Component-method-setRight\" rel=\"Ext.Component-method-setRight\" class=\"docClass\">setRight</a>, <a href=\"#!/api/Ext.Component-method-setBottom\" rel=\"Ext.Component-method-setBottom\" class=\"docClass\">setBottom</a> and <a href=\"#!/api/Ext.Component-method-setLeft\" rel=\"Ext.Component-method-setLeft\" class=\"docClass\">setLeft</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"setFloating","id":"method-setFloating","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setFloatingCls","id":"method-setFloatingCls","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.field.Checkbox","name":"setGroupValues","id":"method-setGroupValues","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHeight","id":"method-setHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHidden","id":"method-setHidden","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHiddenCls","id":"method-setHiddenCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHideAnimation","id":"method-setHideAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHtml","id":"method-setHtml","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"setId","id":"method-setId","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setInputCls","id":"method-setInputCls","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <code>input.type</code> instead.</p>\n\n\n\n","version":"2.0"}},"owner":"Ext.field.Field","name":"setInputType","id":"method-setInputType","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setIsInner","id":"method-setIsInner","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setItemId","id":"method-setItemId","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setLabel","id":"method-setLabel","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setLabelAlign","id":"method-setLabelAlign","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setLabelCls","id":"method-setLabelCls","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setLabelWidth","id":"method-setLabelWidth","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setLabelWrap","id":"method-setLabelWrap","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setLayoutSizeFlags","id":"method-setLayoutSizeFlags","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setLeft","id":"method-setLeft","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"setListeners","id":"method-setListeners","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMargin","id":"method-setMargin","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMaxHeight","id":"method-setMaxHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMaxWidth","id":"method-setMaxWidth","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMinHeight","id":"method-setMinHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMinWidth","id":"method-setMinWidth","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setName","id":"method-setName","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setPadding","id":"method-setPadding","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Component","name":"setParent","id":"method-setParent","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setPlugins","id":"method-setPlugins","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setRecord","id":"method-setRecord","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setRenderTo","id":"method-setRenderTo","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"setRendered","id":"method-setRendered","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setRequired","id":"method-setRequired","tagname":"method"},{"meta":{},"owner":"Ext.field.Field","name":"setRequiredCls","id":"method-setRequiredCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setRight","id":"method-setRight","tagname":"method"},{"meta":{"removed":{"text":"<p>This method has been moved from <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> to <a href=\"#!/api/Ext.Container-method-setScrollable\" rel=\"Ext.Container-method-setScrollable\" class=\"docClass\">Ext.Container</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"setScrollable","id":"method-setScrollable","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setShowAnimation","id":"method-setShowAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setSize","id":"method-setSize","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setSizeFlags","id":"method-setSizeFlags","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setSizeState","id":"method-setSizeState","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setStyle","id":"method-setStyle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setStyleHtmlCls","id":"method-setStyleHtmlCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setStyleHtmlContent","id":"method-setStyleHtmlContent","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setTop","id":"method-setTop","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setTpl","id":"method-setTpl","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setTplWriteMode","id":"method-setTplWriteMode","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setTranslatable","id":"method-setTranslatable","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"setUi","id":"method-setUi","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"setValue","id":"method-setValue","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setVisibility","id":"method-setVisibility","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setWidth","id":"method-setWidth","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setZIndex","id":"method-setZIndex","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.Component","name":"show","id":"method-show","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"showBy","id":"method-showBy","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"statics","id":"method-statics","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"suspendEvents","id":"method-suspendEvents","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Component","name":"toggleCls","id":"method-toggleCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"toggleListener","id":"method-toggleListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"translate","id":"method-translate","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"translateAxis","id":"method-translateAxis","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"triggerInitialized","id":"method-triggerInitialized","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"un","id":"method-un","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"unAfter","id":"method-unAfter","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"unBefore","id":"method-unBefore","tagname":"method"},{"meta":{},"owner":"Ext.field.Checkbox","name":"uncheck","id":"method-uncheck","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"unlink","id":"method-unlink","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"up","id":"method-up","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-method-setHtml\" rel=\"Ext.Component-method-setHtml\" class=\"docClass\">setHtml</a>, <a href=\"#!/api/Ext.Component-method-setTpl\" rel=\"Ext.Component-method-setTpl\" class=\"docClass\">setTpl</a> or <a href=\"#!/api/Ext.Component-method-setData\" rel=\"Ext.Component-method-setData\" class=\"docClass\">setData</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"update","id":"method-update","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateBaseCls","id":"method-updateBaseCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateBorder","id":"method-updateBorder","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"updateChecked","id":"method-updateChecked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateCls","id":"method-updateCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Decorator","name":"updateComponent","id":"method-updateComponent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateContentEl","id":"method-updateContentEl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateData","id":"method-updateData","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateDisabledCls","id":"method-updateDisabledCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateFloatingCls","id":"method-updateFloatingCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateHiddenCls","id":"method-updateHiddenCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateHtml","id":"method-updateHtml","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"updateInputType","id":"method-updateInputType","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"updateLabel","id":"method-updateLabel","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"updateLabelAlign","id":"method-updateLabelAlign","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"updateLabelCls","id":"method-updateLabelCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"updateLabelWidth","id":"method-updateLabelWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"updateLabelWrap","id":"method-updateLabelWrap","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateMargin","id":"method-updateMargin","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Checkbox","name":"updateName","id":"method-updateName","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updatePadding","id":"method-updatePadding","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updatePlugins","id":"method-updatePlugins","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateRecord","id":"method-updateRecord","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateRenderTo","id":"method-updateRenderTo","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"updateRequired","id":"method-updateRequired","tagname":"method"},{"meta":{"private":true},"owner":"Ext.field.Field","name":"updateRequiredCls","id":"method-updateRequiredCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateStyle","id":"method-updateStyle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"updateStyleHtmlCls","id":"method-updateStyleHtmlCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateStyleHtmlContent","id":"method-updateStyleHtmlContent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateUi","id":"method-updateUi","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateZIndex","id":"method-updateZIndex","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"addConfig","id":"static-method-addConfig","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addInheritableStatics","id":"static-method-addInheritableStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addMember","id":"static-method-addMember","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addMembers","id":"static-method-addMembers","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addStatics","id":"static-method-addStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addXtype","id":"static-method-addXtype","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"borrow","id":"static-method-borrow","tagname":"method"},{"meta":{"protected":true,"static":true},"owner":"Ext.Base","name":"callParent","id":"static-method-callParent","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"create","id":"static-method-create","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"createAlias","id":"static-method-createAlias","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"extend","id":"static-method-extend","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"getName","id":"static-method-getName","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"implement","id":"static-method-implement","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"mixin","id":"static-method-mixin","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"onExtended","id":"static-method-onExtended","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n","version":"2.1.0"},"static":true,"chainable":true},"owner":"Ext.Base","name":"override","id":"static-method-override","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"triggerExtended","id":"static-method-triggerExtended","tagname":"method"},{"meta":{"removed":{"text":"<p>This event is now only available <code>onBefore</code> the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"beforeorientationchange","id":"event-beforeorientationchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"bottomchange","id":"event-bottomchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"centeredchange","id":"event-centeredchange","tagname":"event"},{"meta":{},"owner":"Ext.field.Checkbox","name":"change","id":"event-change","tagname":"event"},{"meta":{},"owner":"Ext.field.Checkbox","name":"check","id":"event-check","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"destroy","id":"event-destroy","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"disabledchange","id":"event-disabledchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"dockedchange","id":"event-dockedchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"erased","id":"event-erased","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"flexchange","id":"event-flexchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"floatingchange","id":"event-floatingchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"fullscreen","id":"event-fullscreen","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"heightchange","id":"event-heightchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"hiddenchange","id":"event-hiddenchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"hide","id":"event-hide","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"initialize","id":"event-initialize","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"leftchange","id":"event-leftchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"maxheightchange","id":"event-maxheightchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"maxwidthchange","id":"event-maxwidthchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"minheightchange","id":"event-minheightchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"minwidthchange","id":"event-minwidthchange","tagname":"event"},{"meta":{"removed":{"text":"<p>This event is now only available on the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"orientationchange","id":"event-orientationchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"painted","id":"event-painted","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"resize","id":"event-resize","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"rightchange","id":"event-rightchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"show","id":"event-show","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"topchange","id":"event-topchange","tagname":"event"},{"meta":{},"owner":"Ext.field.Checkbox","name":"uncheck","id":"event-uncheck","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"updatedata","id":"event-updatedata","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"widthchange","id":"event-widthchange","tagname":"event"},{"meta":{},"owner":"Ext.field.Field","name":"$form-field-bg-color","id":"css_var-S-form-field-bg-color","tagname":"css_var"},{"meta":{},"owner":"Ext.field.Field","name":"$form-field-height","id":"css_var-S-form-field-height","tagname":"css_var"},{"meta":{},"owner":"Ext.field.Field","name":"$toolbar-input-bg","id":"css_var-S-toolbar-input-bg","tagname":"css_var"},{"meta":{},"owner":"Ext.field.Field","name":"$toolbar-input-border-color","id":"css_var-S-toolbar-input-border-color","tagname":"css_var"},{"meta":{},"owner":"Ext.field.Field","name":"$toolbar-input-color","id":"css_var-S-toolbar-input-color","tagname":"css_var"},{"meta":{},"owner":"Ext.field.Field","name":"$toolbar-input-height","id":"css_var-S-toolbar-input-height","tagname":"css_var"}],"short_doc":"The checkbox field is an enhanced version of the native browser checkbox and is great for enabling your user to\nchoos...","meta":{},"superclasses":["Ext.Base","Ext.Evented","Ext.AbstractComponent","Ext.Component","Ext.Decorator","Ext.field.Field"],"component":true,"private":null,"mixins":[],"extends":"Ext.field.Field","name":"Ext.field.Checkbox","singleton":null,"mixedInto":[],"subclasses":["Ext.field.Radio"],"id":"class-Ext.field.Checkbox","code_type":"ext_define","since":"1.1.0","requires":[],"files":[{"filename":"Checkbox.js","href":"Checkbox.html#Ext-field-Checkbox"},{"filename":"_Checkbox.scss","href":"_Checkbox.scss.html#Ext-field-Checkbox"}],"tagname":"class"});