Ext.data.JsonP.Ext_tab_Bar({"parentMixins":["Ext.mixin.Observable","Ext.mixin.Traversable"],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Alternate names</h4><div class='alternate-class-name'>Ext.TabBar</div><h4>Hierarchy</h4><div class='subclass first-child'><a href='#!/api/Ext.Base' rel='Ext.Base' class='docClass'>Ext.Base</a><div class='subclass '><a href='#!/api/Ext.Evented' rel='Ext.Evented' class='docClass'>Ext.Evented</a><div class='subclass '><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='docClass'>Ext.AbstractComponent</a><div class='subclass '><a href='#!/api/Ext.Component' rel='Ext.Component' class='docClass'>Ext.Component</a><div class='subclass '><a href='#!/api/Ext.Container' rel='Ext.Container' class='docClass'>Ext.Container</a><div class='subclass '><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='docClass'>Ext.Toolbar</a><div class='subclass '><strong>Ext.tab.Bar</strong></div></div></div></div></div></div></div><h4>Inherited mixins</h4><div class='dependency'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='docClass'>Ext.mixin.Observable</a></div><div class='dependency'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='docClass'>Ext.mixin.Traversable</a></div><h4>Requires</h4><div class='dependency'><a href='#!/api/Ext.tab.Tab' rel='Ext.tab.Tab' class='docClass'>Ext.tab.Tab</a></div><h4>Files</h4><div class='dependency'><a href='source/Bar3.html#Ext-tab-Bar' target='_blank'>Bar.js</a></div><div class='dependency'><a href='source/_Panel.scss9.html#Ext-tab-Bar' target='_blank'>_Panel.scss</a></div></pre><div class='doc-contents'><div class='rounded-box private-box'><p><strong>NOTE:</strong> This is a private utility class for internal use by the framework. Don't rely on its existence.</p></div><p><a href=\"#!/api/Ext.tab.Bar\" rel=\"Ext.tab.Bar\" class=\"docClass\">Ext.tab.Bar</a> is used internally by <a href=\"#!/api/Ext.tab.Panel\" rel=\"Ext.tab.Panel\" class=\"docClass\">Ext.tab.Panel</a> to create the bar of tabs that appears at the top of the tab\npanel. It's unusual to use it directly, instead see the <a href=\"#!/api/Ext.tab.Panel\" rel=\"Ext.tab.Panel\" class=\"docClass\">tab panel docs</a> for usage instructions.</p>\n\n<p>Used in the <a href=\"#!/api/Ext.tab.Panel\" rel=\"Ext.tab.Panel\" class=\"docClass\">Ext.tab.Panel</a> component to display <a href=\"#!/api/Ext.tab.Tab\" rel=\"Ext.tab.Tab\" class=\"docClass\">Ext.tab.Tab</a> components.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-activeItem' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-activeItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-activeItem' class='name expandable'>activeItem</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The item from the items collection that will be active first. ...</div><div class='long'><p>The item from the <a href=\"#!/api/Ext.Container-cfg-items\" rel=\"Ext.Container-cfg-items\" class=\"docClass\">items</a> collection that will be active first. This is\nusually only meaningful in a <a href=\"#!/api/Ext.layout.Card\" rel=\"Ext.layout.Card\" class=\"docClass\">card layout</a>, where only one item can be active at a\ntime. If passes a string, it will be assumed to be a <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> selector.</p>\n<p>Defaults to: <code>0</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-activeTab' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-activeTab' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-cfg-activeTab' class='name expandable'>activeTab</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The initially activated tab. ...</div><div class='long'><p>The initially activated tab. Can be specified as numeric index,\ncomponent ID or as the component instance itself.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-autoDestroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-autoDestroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-autoDestroy' class='name expandable'>autoDestroy</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>If true, child items will be destroyed as soon as they are removed\nfrom this container. ...</div><div class='long'><p>If <code>true</code>, child items will be destroyed as soon as they are <a href=\"#!/api/Ext.Container-method-remove\" rel=\"Ext.Container-method-remove\" class=\"docClass\">removed</a>\nfrom this container.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-baseCls' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-baseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-cfg-baseCls' class='name expandable'>baseCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The base CSS class to apply to this component's element. ...</div><div class='long'><p>The base CSS class to apply to this component's element. This will also be prepended to\nother elements within this component. To add specific styling for sub-classes, use the <a href=\"#!/api/Ext.tab.Bar-cfg-cls\" rel=\"Ext.tab.Bar-cfg-cls\" class=\"docClass\">cls</a> config.</p>\n<p>Defaults to: <code>Ext.baseCSSPrefix + 'tabbar'</code></p>        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Toolbar-cfg-baseCls\" rel=\"Ext.Toolbar-cfg-baseCls\" class=\"docClass\">Ext.Toolbar.baseCls</a></p></div></div></div><div id='cfg-border' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-border' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-border' class='name expandable'>border</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The border width to use on this Component. ...</div><div class='long'><p>The border width to use on this Component. Can be specified as a number (in which\ncase all edges get the same border width) or a CSS string like '5 10 10 10'.</p>\n\n<p>Please note that this will not add\na <code>border-color</code> or <code>border-style</code> CSS property to the component; you must do that manually using either CSS or\nthe <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a> configuration.</p>\n\n<h2>Using <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a>:</h2>\n\n<pre><code><a href=\"#!/api/Ext.Viewport-method-add\" rel=\"Ext.Viewport-method-add\" class=\"docClass\">Ext.Viewport.add</a>({\n    centered: true,\n    width: 100,\n    height: 100,\n\n    border: 3,\n    style: 'border-color: blue; border-style: solid;'\n    // ...\n});\n</code></pre>\n\n<h2>Using CSS:</h2>\n\n<pre><code><a href=\"#!/api/Ext.Viewport-method-add\" rel=\"Ext.Viewport-method-add\" class=\"docClass\">Ext.Viewport.add</a>({\n    centered: true,\n    width: 100,\n    height: 100,\n\n    border: 3,\n    cls: 'my-component'\n    // ...\n});\n</code></pre>\n\n<p>And your CSS file:</p>\n\n<pre><code>.my-component {\n    border-color: red;\n    border-style: solid;\n}\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-bottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-bottom' class='name expandable'>bottom</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute bottom position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute bottom position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-bubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-bubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-cfg-bubbleEvents' class='name expandable'>bubbleEvents</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The event name to bubble, or an Array of event names.</p>\n</div><div class='long'><p>The event name to bubble, or an Array of event names.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-cardSwitchAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-cardSwitchAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-cardSwitchAnimation' class='name expandable'>cardSwitchAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p>Animation to be used during transitions of cards.</p>\n</div><div class='long'><p>Animation to be used during transitions of cards.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.layout.Card-cfg-animation\" rel=\"Ext.layout.Card-cfg-animation\" class=\"docClass\">Ext.layout.Card.animation</a> instead</p>\n\n        </div>\n</div></div></div><div id='cfg-centered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-centered' class='name expandable'>centered</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Whether or not this Component is absolutely centered inside its Container</p>\n</div><div class='long'><p>Whether or not this Component is absolutely centered inside its Container</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-cls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-cls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-cls' class='name expandable'>cls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The CSS class to add to this component's element, in addition to the <a href=\"#!/api/Ext.Component-cfg-baseCls\" rel=\"Ext.Component-cfg-baseCls\" class=\"docClass\">baseCls</a></p>\n</div><div class='long'><p>The CSS class to add to this component's element, in addition to the <a href=\"#!/api/Ext.Component-cfg-baseCls\" rel=\"Ext.Component-cfg-baseCls\" class=\"docClass\">baseCls</a></p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-componentCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-componentCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-componentCls' class='name expandable'>componentCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>CSS class to add to this Component. ...</div><div class='long'><p>CSS class to add to this Component. Deprecated, please use <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a> instead</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-contentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-contentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-contentEl' class='name expandable'>contentEl</a> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The configured element will automatically be\nadded as the content of this component. ...</div><div class='long'><p>The configured element will automatically be\nadded as the content of this component. When you pass a string, we expect it to be an element id.\nIf the content element is hidden, we will automatically show it.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-control' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-control' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-control' class='name expandable'>control</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Enables you to easily control Components inside this Container by listening to their\nevents and taking some action. ...</div><div class='long'><p>Enables you to easily control Components inside this Container by listening to their\nevents and taking some action. For example, if we had a container with a nested Disable button, and we\nwanted to hide the Container when the Disable button is tapped, we could do this:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    control: {\n       'button[text=Disable]': {\n           tap: 'hideMe'\n       }\n    },\n\n    hideMe: function () {\n        this.hide();\n    }\n});\n</code></pre>\n\n<p>We used a <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> selector to listen to the <a href=\"#!/api/Ext.Button-event-tap\" rel=\"Ext.Button-event-tap\" class=\"docClass\">tap</a> event on any\n<a href=\"#!/api/Ext.Button\" rel=\"Ext.Button\" class=\"docClass\">button</a> anywhere inside the Container that has the <a href=\"#!/api/Ext.Button-cfg-text\" rel=\"Ext.Button-cfg-text\" class=\"docClass\">text</a> 'Disable'.\nWhenever a Component matching that selector fires the <code>tap</code> event our <code>hideMe</code> function is called. <code>hideMe</code> is\ncalled with scope: <code>this</code> (e.g. <code>this</code> is the Container instance).</p>\n<p>Defaults to: <code>{}</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-data' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-data' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-data' class='name expandable'>data</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The initial set of data to apply to the <code><a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a></code> to\nupdate the content area of the Component.</p>\n</div><div class='long'><p>The initial set of data to apply to the <code><a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a></code> to\nupdate the content area of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-defaultType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-defaultType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-cfg-defaultType' class='name expandable'>defaultType</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>The default xtype to create. ...</div><div class='long'><p>The default xtype to create.</p>\n<p>Defaults to: <code>'tab'</code></p>        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Container-cfg-defaultType\" rel=\"Ext.Container-cfg-defaultType\" class=\"docClass\">Ext.Container.defaultType</a>, <a href=\"#!/api/Ext.Toolbar-cfg-defaultType\" rel=\"Ext.Toolbar-cfg-defaultType\" class=\"docClass\">Ext.Toolbar.defaultType</a></p></div></div></div><div id='cfg-defaults' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-defaults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-defaults' class='name expandable'>defaults</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>A set of default configurations to apply to all child Components in this Container. ...</div><div class='long'><p>A set of default configurations to apply to all child Components in this Container.\nIt's often useful to specify defaults when creating more than one items with similar configurations. For\nexample here we can specify that each child is a panel and avoid repeating the xtype declaration for each\none:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    defaults: {\n        xtype: 'panel'\n    },\n    items: [\n        {\n            html: 'Panel 1'\n        },\n        {\n            html: 'Panel 2'\n        }\n    ]\n});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-disabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-disabled' class='name expandable'>disabled</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Whether or not this component is disabled</p>\n</div><div class='long'><p>Whether or not this component is disabled</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-disabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-disabledCls' class='name expandable'>disabledCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The CSS class to add to the component when it is disabled ...</div><div class='long'><p>The CSS class to add to the component when it is disabled</p>\n<p>Defaults to: <code>&quot;x-item-disabled&quot;</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-dock' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-dock' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-dock' class='name expandable'>dock</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>The dock position of this component in its container. ...</div><div class='long'><p>The dock position of this component in its container. Can be <code>left</code>, <code>top</code>, <code>right</code> or <code>bottom</code>.</p>\n\n<p><strong>Notes</strong></p>\n\n<p>You must use a HTML5 doctype for <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> <code>bottom</code> to work. To do this, simply add the following code to the HTML file:</p>\n\n<pre><code>&lt;!doctype html&gt;\n</code></pre>\n\n<p>So your index.html file should look a little like this:</p>\n\n<pre><code>&lt;!doctype html&gt;\n&lt;html&gt;\n    &lt;head&gt;\n        &lt;title&gt;MY application title&lt;/title&gt;\n        ...\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> instead.</p>\n\n        </div>\n</div></div></div><div id='cfg-docked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-cfg-docked' class='name expandable'>docked</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The docked position for this Ext.Toolbar. ...</div><div class='long'><p>The docked position for this <a href=\"#!/api/Ext.Toolbar\" rel=\"Ext.Toolbar\" class=\"docClass\">Ext.Toolbar</a>.\nIf you specify <code>left</code> or <code>right</code>, the <a href=\"#!/api/Ext.Toolbar-cfg-layout\" rel=\"Ext.Toolbar-cfg-layout\" class=\"docClass\">layout</a> configuration will automatically change to a <code>vbox</code>. It's also\nrecommended to adjust the <a href=\"#!/api/Ext.Toolbar-cfg-width\" rel=\"Ext.Toolbar-cfg-width\" class=\"docClass\">width</a> of the toolbar if you do this.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">Ext.Component.docked</a></p></div></div></div><div id='cfg-draggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-draggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-draggable' class='name expandable'>draggable</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Configuration options to make this Component draggable</p>\n</div><div class='long'><p>Configuration options to make this Component draggable</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-enterAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-enterAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-enterAnimation' class='name expandable'>enterAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being shown. ...</div><div class='long'><p>Animation effect to apply when the Component is being shown.  Typically you want to use an\ninbound animation type such as 'fadeIn' or 'slideIn'.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n\n        </div>\n</div></div></div><div id='cfg-exitAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-exitAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-exitAnimation' class='name expandable'>exitAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being hidden. ...</div><div class='long'><p>Animation effect to apply when the Component is being hidden.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n\n        </div>\n</div></div></div><div id='cfg-flex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-flex' class='name expandable'>flex</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The flex of this item if this item item is inside a Ext.layout.HBox or Ext.layout.VBox\nlayout. ...</div><div class='long'><p>The flex of this item <em>if</em> this item item is inside a <a href=\"#!/api/Ext.layout.HBox\" rel=\"Ext.layout.HBox\" class=\"docClass\">Ext.layout.HBox</a> or <a href=\"#!/api/Ext.layout.VBox\" rel=\"Ext.layout.VBox\" class=\"docClass\">Ext.layout.VBox</a>\nlayout.</p>\n\n<p>You can also update the flex of a component dynamically using the <a href=\"#!/api/Ext.layout.FlexBox-method-setItemFlex\" rel=\"Ext.layout.FlexBox-method-setItemFlex\" class=\"docClass\">Ext.layout.FlexBox.setItemFlex</a>\nmethod.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-floating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-floating' class='name expandable'>floating</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Deprecated, please use left, top, right or\nbottom instead. ...</div><div class='long'><p>Deprecated, please use <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a>, <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>, <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a> or\n<a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a> instead.</p>\n\n<pre><code><a href=\"#!/api/Ext.Viewport-method-add\" rel=\"Ext.Viewport-method-add\" class=\"docClass\">Ext.Viewport.add</a>({\n    top: 100,\n    left: 100,\n    width: 500,\n    height: 200,\n    html: 'Floating component!'\n});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-floatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-floatingCls' class='name expandable'>floatingCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The CSS class to add to this component when it is floatable. ...</div><div class='long'><p>The CSS class to add to this component when it is floatable.</p>\n<p>Defaults to: <code>&quot;x-floating&quot;</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-fullscreen' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-fullscreen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-fullscreen' class='name expandable'>fullscreen</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Force the component to take up 100% width and height available, by adding it to <a href=\"#!/api/Ext.Viewport\" rel=\"Ext.Viewport\" class=\"docClass\">Ext.Viewport</a>.</p>\n</div><div class='long'><p>Force the component to take up 100% width and height available, by adding it to <a href=\"#!/api/Ext.Viewport\" rel=\"Ext.Viewport\" class=\"docClass\">Ext.Viewport</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-height' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-height' class='name expandable'>height</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The height of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The height of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nBy default, if this is not explicitly set, this Component's element will simply have its own natural size.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-hidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-hidden' class='name expandable'>hidden</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>Whether or not this Component is hidden (its CSS <code>display</code> property is set to <code>none</code>)</p>\n</div><div class='long'><p>Whether or not this Component is hidden (its CSS <code>display</code> property is set to <code>none</code>)</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-hiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-hiddenCls' class='name expandable'>hiddenCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The CSS class to add to the component when it is hidden ...</div><div class='long'><p>The CSS class to add to the component when it is hidden</p>\n<p>Defaults to: <code>&quot;x-item-hidden&quot;</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-hideAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hideAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-hideAnimation' class='name expandable'>hideAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being hidden. ...</div><div class='long'><p>Animation effect to apply when the Component is being hidden.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-hideOnMaskTap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-hideOnMaskTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-hideOnMaskTap' class='name expandable'>hideOnMaskTap</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>When using a modal Component, setting this to true will hide the modal\nmask and the Container when the mask is tapped...</div><div class='long'><p>When using a <a href=\"#!/api/Ext.Container-cfg-modal\" rel=\"Ext.Container-cfg-modal\" class=\"docClass\">modal</a> Component, setting this to <code>true</code> will hide the modal\nmask and the Container when the mask is tapped on.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-hideOnMaskTap\" rel=\"Ext.Component-cfg-hideOnMaskTap\" class=\"docClass\">Ext.Component.hideOnMaskTap</a></p></div></div></div><div id='cfg-html' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-html' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-html' class='name expandable'>html</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Optional HTML content to render inside this Component, or a reference\nto an existing element on the page.</p>\n</div><div class='long'><p>Optional HTML content to render inside this Component, or a reference\nto an existing element on the page.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-id' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-id' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-id' class='name expandable'>id</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The unique id of this component instance. ...</div><div class='long'><p>The <strong>unique id of this component instance.</strong></p>\n\n<p>It should not be necessary to use this configuration except for singleton objects in your application. Components\ncreated with an id may be accessed globally using <a href=\"#!/api/Ext-method-getCmp\" rel=\"Ext-method-getCmp\" class=\"docClass\">Ext.getCmp</a>.</p>\n\n<p>Instead of using assigned ids, use the <a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a> config, and <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">ComponentQuery</a>\nwhich provides selector-based searching for Sencha Components analogous to DOM querying. The\n<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> class contains <a href=\"#!/api/Ext.Container-method-down\" rel=\"Ext.Container-method-down\" class=\"docClass\">shortcut methods</a> to query\nits descendant Components by selector.</p>\n\n<p>Note that this id will also be used as the element id for the containing HTML element that is rendered to the\npage for this component. This allows you to write id-based CSS rules to style the specific instance of this\ncomponent uniquely, and also to select sub-elements using this component's id as the parent.</p>\n\n<p><strong>Note</strong>: to avoid complications imposed by a unique id also see <code><a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a></code>.</p>\n\n<p>Defaults to an auto-assigned id.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-itemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-itemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-itemId' class='name expandable'>itemId</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An itemId can be used as an alternative way to get a reference to a component when no object reference is\navailable. ...</div><div class='long'><p>An itemId can be used as an alternative way to get a reference to a component when no object reference is\navailable. Instead of using an <code><a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a></code> with <a href=\"#!/api/Ext-method-getCmp\" rel=\"Ext-method-getCmp\" class=\"docClass\">Ext.getCmp</a>, use <code>itemId</code> with\n<a href=\"#!/api/Ext.Container-method-getComponent\" rel=\"Ext.Container-method-getComponent\" class=\"docClass\">Ext.Container.getComponent</a> which will retrieve <code>itemId</code>'s or <a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a>'s. Since <code>itemId</code>'s are an\nindex to the container's internal MixedCollection, the <code>itemId</code> is scoped locally to the container - avoiding\npotential conflicts with <a href=\"#!/api/Ext.ComponentManager\" rel=\"Ext.ComponentManager\" class=\"docClass\">Ext.ComponentManager</a> which requires a <strong>unique</strong> <code><a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a></code>.</p>\n\n<p>Also see <a href=\"#!/api/Ext.Component-cfg-id\" rel=\"Ext.Component-cfg-id\" class=\"docClass\">id</a>, <a href=\"#!/api/Ext.Container-method-query\" rel=\"Ext.Container-method-query\" class=\"docClass\">Ext.Container.query</a>, <a href=\"#!/api/Ext.Container-method-down\" rel=\"Ext.Container-method-down\" class=\"docClass\">Ext.Container.down</a> and <a href=\"#!/api/Ext.Container-method-child\" rel=\"Ext.Container-method-child\" class=\"docClass\">Ext.Container.child</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-items' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-items' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-items' class='name expandable'>items</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The child items to add to this Container. ...</div><div class='long'><p>The child items to add to this Container. This is usually an array of Component\nconfigurations or instances, for example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    items: [\n        {\n            xtype: 'panel',\n            html: 'This is an item'\n        }\n    ]\n});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-layout' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-layout' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-cfg-layout' class='name expandable'>layout</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Configuration for this Container's layout. ...</div><div class='long'><p>Configuration for this Container's layout. Example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    layout: {\n        type: 'hbox',\n        align: 'middle'\n    },\n    items: [\n        {\n            xtype: 'panel',\n            flex: 1,\n            style: 'background-color: red;'\n        },\n        {\n            xtype: 'panel',\n            flex: 2,\n            style: 'background-color: green'\n        }\n    ]\n});\n</code></pre>\n\n<p>See the <a href=\"#!/guides/layouts\">layouts guide</a> for more information</p>\n\n<p><strong>Note:</strong> If you set the <a href=\"#!/api/Ext.tab.Bar-cfg-docked\" rel=\"Ext.tab.Bar-cfg-docked\" class=\"docClass\">docked</a> configuration to <code>left</code> or <code>right</code>, the default layout will change from the\n<code>hbox</code> to a <code>vbox</code>.</p>\n<p>Defaults to: <code>{type: 'hbox', align: 'middle'}</code></p>        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Container-cfg-layout\" rel=\"Ext.Container-cfg-layout\" class=\"docClass\">Ext.Container.layout</a>, <a href=\"#!/api/Ext.Toolbar-cfg-layout\" rel=\"Ext.Toolbar-cfg-layout\" class=\"docClass\">Ext.Toolbar.layout</a></p></div></div></div><div id='cfg-layoutOnOrientationChange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-layoutOnOrientationChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-layoutOnOrientationChange' class='name expandable'>layoutOnOrientationChange</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p><code>true</code> to automatically re-layout this component on orientation change.</p>\n</div><div class='long'><p><code>true</code> to automatically re-layout this component on orientation change.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-left' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-left' class='name expandable'>left</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute left position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute left position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-listeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-listeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-cfg-listeners' class='name expandable'>listeners</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>A config object containing one or more event handlers to be added to this object during initialization. ...</div><div class='long'><p>A config object containing one or more event handlers to be added to this object during initialization. This\nshould be a valid listeners <code>config</code> object as specified in the <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> example for attaching\nmultiple handlers at once.</p>\n\n<p>See the <a href=\"#!/guide/events\">Event guide</a> for more</p>\n\n<p><strong>Note:</strong> It is bad practice to specify a listener's <code>config</code> when you are defining a class using <code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>()</code>.\nInstead, only specify listeners when you are instantiating your class with <code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>()</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-margin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-margin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-margin' class='name expandable'>margin</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The margin to use on this Component. ...</div><div class='long'><p>The margin to use on this Component. Can be specified as a number (in which case\nall edges get the same margin) or a CSS string like '5 10 10 10'</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-masked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-masked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-masked' class='name expandable'>masked</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Ext.Mask\" rel=\"Ext.Mask\" class=\"docClass\">Ext.Mask</a>/<a href=\"#!/api/Ext.LoadMask\" rel=\"Ext.LoadMask\" class=\"docClass\">Ext.LoadMask</a><span class=\"signature\"></span></div><div class='description'><div class='short'>A configuration to allow you to mask this container. ...</div><div class='long'><p>A configuration to allow you to mask this container.\nYou can optionally pass an object block with and xtype of <code>loadmask</code>, and an optional <code>message</code> value to\ndisplay a loading mask. Please refer to the <a href=\"#!/api/Ext.LoadMask\" rel=\"Ext.LoadMask\" class=\"docClass\">Ext.LoadMask</a> component to see other configurations.</p>\n\n<pre><code>masked: {\n    xtype: 'loadmask',\n    message: 'My message'\n}\n</code></pre>\n\n<p>Alternatively, you can just call the setter at any time with <code>true</code>/<code>false</code> to show/hide the mask:</p>\n\n<pre><code>setMasked(true); //show the mask\nsetMasked(false); //hides the mask\n</code></pre>\n\n<p>There are also two convenient methods, <a href=\"#!/api/Ext.Container-method-mask\" rel=\"Ext.Container-method-mask\" class=\"docClass\">mask</a> and <a href=\"#!/api/Ext.Container-method-unmask\" rel=\"Ext.Container-method-unmask\" class=\"docClass\">unmask</a>, to allow you to mask and unmask\nthis container at any time.</p>\n\n<p>Remember, the <a href=\"#!/api/Ext.Viewport\" rel=\"Ext.Viewport\" class=\"docClass\">Ext.Viewport</a> is always a container, so if you want to mask your whole application at anytime,\ncan call:</p>\n\n<pre><code><a href=\"#!/api/Ext.Viewport-method-setMasked\" rel=\"Ext.Viewport-method-setMasked\" class=\"docClass\">Ext.Viewport.setMasked</a>({\n    xtype: 'loadmask',\n    message: 'Hello'\n});\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-maxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-maxHeight' class='name expandable'>maxHeight</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The maximum height of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The maximum height of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nNote that this config will not apply if the Component is 'floating' (absolutely positioned or centered)</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-maxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-maxWidth' class='name expandable'>maxWidth</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The maximum width of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The maximum width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nNote that this config will not apply if the Component is 'floating' (absolutely positioned or centered)</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-minHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-cfg-minHeight' class='name expandable'>minHeight</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The minimum height height of the Toolbar.</p>\n</div><div class='long'><p>The minimum height height of the Toolbar.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-minHeight\" rel=\"Ext.Component-cfg-minHeight\" class=\"docClass\">Ext.Component.minHeight</a></p></div></div></div><div id='cfg-minWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-minWidth' class='name expandable'>minWidth</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The minimum width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.</p>\n</div><div class='long'><p>The minimum width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-modal' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-modal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-modal' class='name expandable'>modal</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>true to make this Container modal. ...</div><div class='long'><p><code>true</code> to make this Container modal. This will create a mask underneath the Container\nthat covers its parent and does not allow the user to interact with any other Components until this\nContainer is dismissed.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-modal\" rel=\"Ext.Component-cfg-modal\" class=\"docClass\">Ext.Component.modal</a></p></div></div></div><div id='cfg-monitorOrientation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-monitorOrientation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-monitorOrientation' class='name expandable'>monitorOrientation</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p><code>true</code> to monitor Orientation change.</p>\n</div><div class='long'><p><code>true</code> to monitor Orientation change.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-padding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-padding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-padding' class='name expandable'>padding</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The padding to use on this Component. ...</div><div class='long'><p>The padding to use on this Component. Can be specified as a number (in which\ncase all edges get the same padding) or a CSS string like '5 10 10 10'</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-plugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-plugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-plugins' class='name expandable'>plugins</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>An object or array of objects that will provide custom functionality for this component. ...</div><div class='long'><p>An object or array of objects that will provide custom functionality for this component.  The only\nrequirement for a valid plugin is that it contain an init method that accepts a reference of type <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>.</p>\n\n<p>When a component is created, if any plugins are available, the component will call the init method on each\nplugin, passing a reference to itself.  Each plugin can then call methods or respond to events on the\ncomponent as needed to provide its functionality.</p>\n\n<p>For examples of plugins, see <a href=\"#!/api/Ext.plugin.PullRefresh\" rel=\"Ext.plugin.PullRefresh\" class=\"docClass\">Ext.plugin.PullRefresh</a> and <a href=\"#!/api/Ext.plugin.ListPaging\" rel=\"Ext.plugin.ListPaging\" class=\"docClass\">Ext.plugin.ListPaging</a></p>\n\n<h2>Example code</h2>\n\n<p>A plugin by alias:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: 'listpaging',\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n\n<p>Multiple plugins by alias:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: ['listpaging', 'pullrefresh'],\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n\n<p>Single plugin by class name with config options:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: {\n            xclass: '<a href=\"#!/api/Ext.plugin.ListPaging\" rel=\"Ext.plugin.ListPaging\" class=\"docClass\">Ext.plugin.ListPaging</a>', // Reference plugin by class\n            autoPaging: true\n        },\n\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n\n<p>Multiple plugins by class name with config options:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.dataview.List\" rel=\"Ext.dataview.List\" class=\"docClass\">Ext.dataview.List</a>', {\n    config: {\n        plugins: [\n            {\n                xclass: '<a href=\"#!/api/Ext.plugin.PullRefresh\" rel=\"Ext.plugin.PullRefresh\" class=\"docClass\">Ext.plugin.PullRefresh</a>',\n                pullRefreshText: 'Pull to refresh...'\n            },\n            {\n                xclass: '<a href=\"#!/api/Ext.plugin.ListPaging\" rel=\"Ext.plugin.ListPaging\" class=\"docClass\">Ext.plugin.ListPaging</a>',\n                autoPaging: true\n            }\n        ],\n\n        itemTpl: '&lt;div class=\"item\"&gt;{title}&lt;/div&gt;',\n        store: 'Items'\n    }\n});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-record' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-record' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-record' class='name expandable'>record</a> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><span class=\"signature\"></span></div><div class='description'><div class='short'>A model instance which updates the Component's html based on it's tpl. ...</div><div class='long'><p>A model instance which updates the Component's html based on it's tpl. Similar to the data\nconfiguration, but tied to to a record to make allow dynamic updates.  This must be a model\ninstance and not a configuration of one.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-renderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-renderTo' class='name expandable'>renderTo</a> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Optional element to render this Component to. ...</div><div class='long'><p>Optional element to render this Component to. Usually this is not needed because\na Component is normally full screen or automatically rendered inside another <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Container</a></p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-right' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-right' class='name expandable'>right</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute right position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute right position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-scroll' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-scroll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-scroll' class='name expandable'>scroll</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Configuration options to make this Container scrollable. ...</div><div class='long'><p>Configuration options to make this Container scrollable. Acceptable values are:</p>\n\n<ul>\n<li><code>'horizontal'</code>, <code>'vertical'</code>, <code>'both'</code> to enabling scrolling for that direction.</li>\n<li><code>true</code>/<code>false</code> to explicitly enable/disable scrolling.</li>\n</ul>\n\n\n<p>Alternatively, you can give it an object which is then passed to the scroller instance:</p>\n\n<pre><code>scrollable: {\n    direction: 'vertical',\n    directionLock: true\n}\n</code></pre>\n\n<p>Please look at the <a href=\"#!/api/Ext.scroll.Scroller\" rel=\"Ext.scroll.Scroller\" class=\"docClass\">Ext.scroll.Scroller</a> documentation for more example on how to use this.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This cfg has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use the <a href=\"#!/api/Ext.Container-cfg-scrollable\" rel=\"Ext.Container-cfg-scrollable\" class=\"docClass\">scrollable</a> configuration.</p>\n\n        </div>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-scroll\" rel=\"Ext.Component-cfg-scroll\" class=\"docClass\">Ext.Component.scroll</a></p></div></div></div><div id='cfg-scrollable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-scrollable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-scrollable' class='name expandable'>scrollable</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Configuration options to make this Container scrollable. ...</div><div class='long'><p>Configuration options to make this Container scrollable. Acceptable values are:</p>\n\n<ul>\n<li><code>'horizontal'</code>, <code>'vertical'</code>, <code>'both'</code> to enabling scrolling for that direction.</li>\n<li><code>true</code>/<code>false</code> to explicitly enable/disable scrolling.</li>\n</ul>\n\n\n<p>Alternatively, you can give it an object which is then passed to the scroller instance:</p>\n\n<pre><code>scrollable: {\n    direction: 'vertical',\n    directionLock: true\n}\n</code></pre>\n\n<p>Please look at the <a href=\"#!/api/Ext.scroll.Scroller\" rel=\"Ext.scroll.Scroller\" class=\"docClass\">Ext.scroll.Scroller</a> documentation for more example on how to use this.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-showAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-showAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-showAnimation' class='name expandable'>showAnimation</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Animation effect to apply when the Component is being shown. ...</div><div class='long'><p>Animation effect to apply when the Component is being shown.  Typically you want to use an\ninbound animation type such as 'fadeIn' or 'slideIn'.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-stopMaskTapEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-stopMaskTapEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-stopMaskTapEvent' class='name expandable'>stopMaskTapEvent</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p><code>true</code> to stop the event that fires when you click outside the floating component.</p>\n</div><div class='long'><p><code>true</code> to stop the event that fires when you click outside the floating component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        \n\n        </div>\n</div></div></div><div id='cfg-style' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-style' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-style' class='name expandable'>style</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Optional CSS styles that will be rendered into an inline style attribute when the\nComponent is rendered. ...</div><div class='long'><p>Optional CSS styles that will be rendered into an inline style attribute when the\nComponent is rendered.</p>\n\n<p>You can pass either a string syntax:</p>\n\n<pre><code>style: 'background:red'\n</code></pre>\n\n<p>Or by using an object:</p>\n\n<pre><code>style: {\n    background: 'red'\n}\n</code></pre>\n\n<p>When using the object syntax, you can define CSS Properties by using a string:</p>\n\n<pre><code>style: {\n    'border-left': '1px solid red'\n}\n</code></pre>\n\n<p>Although the object syntax is much easier to read, we suggest you to use the string syntax for better performance.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-styleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-styleHtmlCls' class='name expandable'>styleHtmlCls</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The class that is added to the content target when you set styleHtmlContent to true. ...</div><div class='long'><p>The class that is added to the content target when you set <code>styleHtmlContent</code> to <code>true</code>.</p>\n<p>Defaults to: <code>&quot;x-html&quot;</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-styleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-styleHtmlContent' class='name expandable'>styleHtmlContent</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>true to automatically style the HTML inside the content target of this component (body for panels). ...</div><div class='long'><p><code>true</code> to automatically style the HTML inside the content target of this component (body for panels).</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-title' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-title' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-cfg-title' class='name expandable'>title</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Title\" rel=\"Ext.Title\" class=\"docClass\">Ext.Title</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The title of the toolbar.</p>\n</div><div class='long'><p>The title of the toolbar.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-titleCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-titleCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-cfg-titleCls' class='name expandable'>titleCls</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'><p>The CSS class to apply to the <code>titleEl</code>.</p>\n</div><div class='long'><p>The CSS class to apply to the <code>titleEl</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This cfg has been <strong>removed</strong> since 2.0.0</p>\n        <p>Title class is now a config option of the title</p>\n\n        </div>\n</div></div></div><div id='cfg-top' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-top' class='name expandable'>top</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The absolute top position of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The absolute top position of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nExplicitly setting this value will make this Component become 'floating', which means its layout will no\nlonger be affected by the Container that it resides in.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-tpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-tpl' class='name expandable'>tpl</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>A String, Ext.Template, Ext.XTemplate or an Array of strings to form an Ext.XTemplate. ...</div><div class='long'><p>A <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>, <a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>, <a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a> or an <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a> of strings to form an <a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>.\nUsed in conjunction with the <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a> and <a href=\"#!/api/Ext.Component-cfg-tplWriteMode\" rel=\"Ext.Component-cfg-tplWriteMode\" class=\"docClass\">tplWriteMode</a> configurations.</p>\n\n<p><strong>Note</strong>\nThe <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a> configuration <em>must</em> be set for any content to be shown in the component when using this configuration.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-tplWriteMode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tplWriteMode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-tplWriteMode' class='name expandable'>tplWriteMode</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The Ext.(X)Template method to use when\nupdating the content area of the Component. ...</div><div class='long'><p>The Ext.(X)Template method to use when\nupdating the content area of the Component.\nValid modes are:</p>\n\n<ul>\n<li>append</li>\n<li>insertAfter</li>\n<li>insertBefore</li>\n<li>insertFirst</li>\n<li>overwrite</li>\n</ul>\n\n<p>Defaults to: <code>'overwrite'</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-translatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-translatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-translatable' class='name expandable'>translatable</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-ui' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-cfg-ui' class='name expandable'>ui</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The ui for this Ext.Toolbar. ...</div><div class='long'><p>The ui for this <a href=\"#!/api/Ext.Toolbar\" rel=\"Ext.Toolbar\" class=\"docClass\">Ext.Toolbar</a>. Either 'light' or 'dark'. You can create more UIs by using using the CSS Mixin <a href=\"#!/api/Ext.Toolbar-css_mixin-sencha-toolbar-ui\" rel=\"Ext.Toolbar-css_mixin-sencha-toolbar-ui\" class=\"docClass\">sencha-toolbar-ui</a></p>\n<p>Defaults to: <code>'dark'</code></p>        <p>Available since: <b>1.1.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.Component-cfg-ui\" rel=\"Ext.Component-cfg-ui\" class=\"docClass\">Ext.Component.ui</a></p></div></div></div><div id='cfg-useBodyElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-useBodyElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-cfg-useBodyElement' class='name expandable'>useBodyElement</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-width' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-width' class='name expandable'>width</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The width of this Component; must be a valid CSS length value, e.g: 300, 100px, 30%, etc. ...</div><div class='long'><p>The width of this Component; must be a valid CSS length value, e.g: <code>300</code>, <code>100px</code>, <code>30%</code>, etc.\nBy default, if this is not explicitly set, this Component's element will simply have its own natural size.</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='cfg-xtype' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-xtype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-xtype' class='name expandable'>xtype</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>The xtype configuration option can be used to optimize Component creation and rendering. ...</div><div class='long'><p>The <code>xtype</code> configuration option can be used to optimize Component creation and rendering. It serves as a\nshortcut to the full component name. For example, the component <code>Ext.button.Button</code> has an xtype of <code>button</code>.</p>\n\n<p>You can define your own xtype on a custom <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">component</a> by specifying the\n<a href=\"#!/api/Ext.Class-cfg-alias\" rel=\"Ext.Class-cfg-alias\" class=\"docClass\">alias</a> config option with a prefix of <code>widget</code>. For example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('PressMeButton', {\n    extend: 'Ext.button.Button',\n    alias: 'widget.pressmebutton',\n    text: 'Press Me'\n});\n</code></pre>\n\n<p>Any Component can be created implicitly as an object config with an xtype specified, allowing it to be\ndeclared and passed into the rendering pipeline without actually being instantiated as an object. Not only is\nrendering deferred, but the actual creation of the object itself is also deferred, saving memory and resources\nuntil they are actually needed. In complex, nested layouts containing many Components, this can make a\nnoticeable improvement in performance.</p>\n\n<pre><code>// Explicit creation of contained Components:\nvar panel = new <a href=\"#!/api/Ext.Panel\" rel=\"Ext.Panel\" class=\"docClass\">Ext.Panel</a>({\n   // ...\n   items: [\n      <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('Ext.button.Button', {\n         text: 'OK'\n      })\n   ]\n});\n\n// Implicit creation using xtype:\nvar panel = new <a href=\"#!/api/Ext.Panel\" rel=\"Ext.Panel\" class=\"docClass\">Ext.Panel</a>({\n   // ...\n   items: [{\n      xtype: 'button',\n      text: 'OK'\n   }]\n});\n</code></pre>\n\n<p>In the first example, the button will always be created immediately during the panel's initialization. With\nmany added Components, this approach could potentially slow the rendering of the page. In the second example,\nthe button will not be created or rendered until the panel is actually displayed in the browser. If the panel\nis never displayed (for example, if it is a tab that remains hidden) then the button will never be created and\nwill never consume any resources whatsoever.</p>\n<p>Defaults to: <code>'component'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='cfg-zIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-zIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-cfg-zIndex' class='name expandable'>zIndex</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'><p>The z-index to give this Component when it is rendered</p>\n</div><div class='long'><p>The z-index to give this Component when it is rendered</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance properties</h3><div id='property-LAYOUT_BOTH' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_BOTH' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_BOTH' class='name expandable'>LAYOUT_BOTH</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>3</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-LAYOUT_HEIGHT' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_HEIGHT' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_HEIGHT' class='name expandable'>LAYOUT_HEIGHT</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>2</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-LAYOUT_STRETCHED' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_STRETCHED' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_STRETCHED' class='name expandable'>LAYOUT_STRETCHED</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>4</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-LAYOUT_WIDTH' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-LAYOUT_WIDTH' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-LAYOUT_WIDTH' class='name expandable'>LAYOUT_WIDTH</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>1</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-alignmentRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-alignmentRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-alignmentRegex' class='name expandable'>alignmentRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/^([a-z]+)-([a-z]+)(\\?)?$/</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-defaultIdPrefix' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-defaultIdPrefix' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-defaultIdPrefix' class='name expandable'>defaultIdPrefix</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'ext-'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-defaultIdSeparator' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-defaultIdSeparator' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-defaultIdSeparator' class='name expandable'>defaultIdSeparator</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'-'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-dockPositions' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-dockPositions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-dockPositions' class='name expandable'>dockPositions</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span><span class='readonly' >readonly</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>{top: true, right: true, bottom: true, left: true}</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-element' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-element' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-element' class='name expandable'>element</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-eventFiringSuspended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-eventFiringSuspended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-eventFiringSuspended' class='name expandable'>eventFiringSuspended</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.2.0</b></p>\n</div></div></div><div id='property-floating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-floating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-floating' class='name expandable'>floating</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-hasCSSMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-property-hasCSSMinHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-property-hasCSSMinHeight' class='name expandable'>hasCSSMinHeight</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.2.0</b></p>\n</div></div></div><div id='property-heightLayoutSized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-heightLayoutSized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-heightLayoutSized' class='name expandable'>heightLayoutSized</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-idCleanRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-idCleanRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-idCleanRegex' class='name expandable'>idCleanRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/\\.|[^\\w\\-]/g</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-initialized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Evented' rel='Ext.Evented' class='defined-in docClass'>Ext.Evented</a><br/><a href='source/Evented.html#Ext-Evented-property-initialized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Evented-property-initialized' class='name expandable'>initialized</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-innerElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-innerElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-innerElement' class='name expandable'>innerElement</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>\n</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-isComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-isComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-isComponent' class='name expandable'>isComponent</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-isContainer' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-property-isContainer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-property-isContainer' class='name expandable'>isContainer</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-isIdentifiable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-isIdentifiable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-isIdentifiable' class='name expandable'>isIdentifiable</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-isInner' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-isInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-isInner' class='name expandable'>isInner</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-isObservable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-isObservable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-isObservable' class='name expandable'>isObservable</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-isToolbar' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-property-isToolbar' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-property-isToolbar' class='name expandable'>isToolbar</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-items' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-property-items' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-property-items' class='name expandable'>items</a> : <a href=\"#!/api/Ext.util.MixedCollection\" rel=\"Ext.util.MixedCollection\" class=\"docClass\">Ext.util.MixedCollection</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>The set of all items in this Container. ...</div><div class='long'><p>The set of all items in this Container.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Container-method-getItems\" rel=\"Ext.Container-method-getItems\" class=\"docClass\">getItems</a> method instead.</p>\n\n        </div>\n</div></div></div><div id='property-layoutStretched' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-layoutStretched' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-layoutStretched' class='name expandable'>layoutStretched</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-listenerOptionsRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-listenerOptionsRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-listenerOptionsRegex' class='name expandable'>listenerOptionsRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/^(?:delegate|single|delay|buffer|args|prepend|element)$/</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-property-listenerOptionsRegex\" rel=\"Ext.mixin.Observable-property-listenerOptionsRegex\" class=\"docClass\">Ext.mixin.Observable.listenerOptionsRegex</a></p></div></div></div><div id='property-mixinConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='defined-in docClass'>Ext.mixin.Traversable</a><br/><a href='source/Traversable.html#Ext-mixin-Traversable-property-mixinConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Traversable-property-mixinConfig' class='name expandable'>mixinConfig</a> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>{id: 'traversable'}</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-property-mixinConfig\" rel=\"Ext.mixin.Observable-property-mixinConfig\" class=\"docClass\">Ext.mixin.Observable.mixinConfig</a></p></div></div></div><div id='property-mixinId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-property-mixinId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-property-mixinId' class='name expandable'>mixinId</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'identifiable'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-observableIdPrefix' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-observableIdPrefix' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-observableIdPrefix' class='name expandable'>observableIdPrefix</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'#'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-observableType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-observableType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-observableType' class='name expandable'>observableType</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'component'</code></p>        <p>Available since: <b>2.0.0</b></p>\n<p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-property-observableType\" rel=\"Ext.mixin.Observable-property-observableType\" class=\"docClass\">Ext.mixin.Observable.observableType</a></p></div></div></div><div id='property-referenceAttributeName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-property-referenceAttributeName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-property-referenceAttributeName' class='name expandable'>referenceAttributeName</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'reference'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-referenceSelector' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-property-referenceSelector' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-property-referenceSelector' class='name expandable'>referenceSelector</a> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>'[reference]'</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-rendered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-rendered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-rendered' class='name expandable'>rendered</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='property-self' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-property-self' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-property-self' class='name expandable'>self</a> : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the current class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the current class from which this object was instantiated. Unlike <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>,\n<code>this.self</code> is scope-dependent and it's meant to be used for dynamic inheritance. See <a href=\"#!/api/Ext.Base-method-statics\" rel=\"Ext.Base-method-statics\" class=\"docClass\">statics</a>\nfor a detailed comparison</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        alert(this.self.speciesName); // dependent on 'this'\n    },\n\n    clone: function() {\n        return new this.self();\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n    statics: {\n        speciesName: 'Snow Leopard'         // My.SnowLeopard.speciesName = 'Snow Leopard'\n    }\n});\n\nvar cat = new My.Cat();                     // alerts 'Cat'\nvar snowLeopard = new My.SnowLeopard();     // alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));             // alerts 'My.SnowLeopard'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-sizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-sizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-sizeFlags' class='name expandable'>sizeFlags</a> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>0</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-sizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-sizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-sizeState' class='name expandable'>sizeState</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='property-template' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-template' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-template' class='name expandable'>template</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-validIdRegex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-property-validIdRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-property-validIdRegex' class='name expandable'>validIdRegex</a> : <a href=\"#!/api/RegExp\" rel=\"RegExp\" class=\"docClass\">RegExp</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>/^([\\w\\-]+)$/</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='property-widthLayoutSized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-property-widthLayoutSized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-property-widthLayoutSized' class='name expandable'>widthLayoutSized</a> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static properties</h3><div id='static-property-S-onExtended' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-property-S-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-property-S-onExtended' class='name expandable'>$onExtended</a> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n<p>Defaults to: <code>[]</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance methods</h3><div id='method-constructor' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-method-constructor' target='_blank' class='view-source'>view source</a></div><strong class='new-keyword'>new</strong><a href='#!/api/Ext.Toolbar-method-constructor' class='name expandable'>Ext.tab.Bar</a>( <span class='pre'>config</span> ) : <a href=\"#!/api/Ext.Toolbar\" rel=\"Ext.Toolbar\" class=\"docClass\">Ext.Toolbar</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Creates new Component. ...</div><div class='long'><p>Creates new Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Toolbar\" rel=\"Ext.Toolbar\" class=\"docClass\">Ext.Toolbar</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Toolbar-event-fullscreen\" rel=\"Ext.Toolbar-event-fullscreen\" class=\"docClass\">fullscreen</a></li><li><a href=\"#!/api/Ext.Toolbar-event-initialize\" rel=\"Ext.Toolbar-event-initialize\" class=\"docClass\">initialize</a></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-constructor\" rel=\"Ext.Component-method-constructor\" class=\"docClass\">Ext.Component.constructor</a>, <a href=\"#!/api/Ext.Container-method-constructor\" rel=\"Ext.Container-method-constructor\" class=\"docClass\">Ext.Container.constructor</a>, <a href=\"#!/api/Ext.draw.Component-method-constructor\" rel=\"Ext.draw.Component-method-constructor\" class=\"docClass\">Ext.draw.Component.constructor</a></p></div></div></div><div id='method-add' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-add' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-add' class='name expandable'>add</a>( <span class='pre'>newItems</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Adds one or more Components to this Container. ...</div><div class='long'><p>Adds one or more Components to this Container. Example:</p>\n\n<pre><code>var myPanel = <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Panel\" rel=\"Ext.Panel\" class=\"docClass\">Ext.Panel</a>', {\n    html: 'This will be added to a Container'\n});\n\nmyContainer.add([myPanel]);\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newItems</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>[]/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>[]<div class='sub-desc'><p>The new items to add to the Container.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>The last item added to the Container from the <code>newItems</code> array.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li></ul></div></div></div><div id='method-addAfterListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addAfterListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addAfterListener' class='name expandable'>addAfterListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends an after-event handler. ...</div><div class='long'><p>Appends an after-event handler.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> with <code>order</code> set to <code>'after'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addAll' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-addAll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-addAll' class='name expandable'>addAll</a>( <span class='pre'>items</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Adds an array of Components to this Container. ...</div><div class='long'><p>Adds an array of Components to this Container.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Container-method-add\" rel=\"Ext.Container-method-add\" class=\"docClass\">add</a> instead.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>items</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>The array of items to add to this container.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'><p>The array of items after they have been added.</p>\n</div></li></ul></div></div></div><div id='method-addBeforeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addBeforeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addBeforeListener' class='name expandable'>addBeforeListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends a before-event handler. ...</div><div class='long'><p>Appends a before-event handler.  Returning <code>false</code> from the handler will stop the event.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> with <code>order</code> set to <code>'before'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-addCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-addCls' class='name expandable'>addCls</a>( <span class='pre'>cls, [prefix], [suffix]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds a CSS class (or classes) to this Component's rendered element. ...</div><div class='long'><p>Adds a CSS class (or classes) to this Component's rendered element.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The CSS class to add.</p>\n</div></li><li><span class='pre'>prefix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional prefix to add to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li><li><span class='pre'>suffix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional suffix to add to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addDispatcherListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addDispatcherListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addDispatcherListener' class='name expandable'>addDispatcherListener</a>( <span class='pre'>selector, name, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addEvents' class='name expandable'>addEvents</a>( <span class='pre'>eventNames</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Adds the specified events to the list of events which this Observable may fire. ...</div><div class='long'><p>Adds the specified events to the list of events which this Observable may fire.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>It's no longer needed to add events before firing.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventNames</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>...<div class='sub-desc'><p>Either an object with event names as properties with a value of <code>true</code>\nor the first event name string if multiple event names are being passed as separate parameters.</p>\n</div></li></ul></div></div></div><div id='method-addListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addListener' class='name expandable'>addListener</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Appends an event handler to this object. ...</div><div class='long'><p>Appends an event handler to this object. You can review the available handlers by looking at the 'events'\nsection of the documentation for the component you are working with.</p>\n\n<h2>Combining Options</h2>\n\n<p>Using the options argument, it is possible to combine different types of listeners:</p>\n\n<p>A delayed, one-time listener:</p>\n\n<pre><code>container.on('tap', this.handleTap, this, {\n    single: true,\n    delay: 100\n});\n</code></pre>\n\n<h2>Attaching multiple handlers in 1 call</h2>\n\n<p>The method also allows for a single argument to be passed which is a config object containing properties which\nspecify multiple events. For example:</p>\n\n<pre><code>container.on({\n    tap  : this.onTap,\n    swipe: this.onSwipe,\n\n    scope: this // Important. Ensure \"this\" is correct during handler execution\n});\n</code></pre>\n\n<p>One can also specify options for each event handler separately:</p>\n\n<pre><code>container.on({\n    tap  : { fn: this.onTap, scope: this, single: true },\n    swipe: { fn: button.onSwipe, scope: button }\n});\n</code></pre>\n\n<p>See the <a href=\"#!/guide/events\">Events Guide</a> for more.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for. May also be an object who's property names are\nevent names.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.  Will be called with arguments given to\n<a href=\"#!/api/Ext.mixin.Observable-method-fireEvent\" rel=\"Ext.mixin.Observable-method-fireEvent\" class=\"docClass\">fireEvent</a> plus the <code>options</code> parameter described below.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. <strong>If\nomitted, defaults to the object which fired the event.</strong></p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n\n\n\n<p>This object may contain any of the following properties:</p>\n\n<ul><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. If omitted, defaults to the object\nwhich fired the event.</p>\n\n</div></li><li><span class='pre'>delay</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The number of milliseconds to delay the invocation of the handler after the event fires.</p>\n\n</div></li><li><span class='pre'>single</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>true</code> to add a handler to handle just the next firing of the event, and then remove itself.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.</p>\n\n\n\n\n<p>If you set an order of <code>before</code> and the event you are listening to is preventable, you can return <code>false</code> and it will stop the event.</p>\n\n\n\n\n<p>Available options are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>buffer</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Causes the handler to be delayed by the specified number of milliseconds. If the event fires again within that\ntime, the original handler is <em>not</em> invoked, but the new handler is scheduled in its place.</p>\n\n</div></li><li><span class='pre'>element</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Allows you to add a listener onto a element of this component using the elements reference.</p>\n\n\n\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>', {\n    listeners: {\n        element: 'element',\n        tap: function() {\n            alert('element tap!');\n        }\n    }\n});\n</code></pre>\n\n\n\n\n<p>All components have the <code>element</code> reference, which is the outer most element of the component. <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> also has the\n<code>innerElement</code> element which contains all children. In most cases <code>element</code> is adequate.</p>\n\n</div></li><li><span class='pre'>delegate</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Uses <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> to delegate events to a specified query selector within this item.</p>\n\n\n\n\n<pre><code>// Create a container with a two children; a button and a toolbar\nvar container = <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    items: [\n        {\n            xtype: 'toolbar',\n            docked: 'top',\n            title: 'My Toolbar'\n        },\n        {\n           xtype: 'button',\n           text: 'My Button'\n        }\n    ]\n});\n\ncontainer.on({\n    // Ext.Buttons have an xtype of 'button', so we use that are a selector for our delegate\n    delegate: 'button',\n\n    tap: function() {\n        alert('Button tapped!');\n    }\n});\n</code></pre>\n\n</div></li></ul></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-addManagedListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-addManagedListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-addManagedListener' class='name expandable'>addManagedListener</a>( <span class='pre'>object, eventName, [fn], [scope], [options]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed. ...</div><div class='long'><p>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> options.</p>\n\n</div></li></ul></div></div></div><div id='method-addReferenceNode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-method-addReferenceNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-method-addReferenceNode' class='name expandable'>addReferenceNode</a>( <span class='pre'>name, domNode</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Significantly improve instantiation time for Component with multiple references\nExt.Element instance of the reference...</div><div class='long'><p>Significantly improve instantiation time for Component with multiple references\n<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a> instance of the reference domNode is only created the very first time\nit's ever used.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>domNode</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-afterEdit' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-afterEdit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-afterEdit' class='name expandable'>afterEdit</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Used to handle joining of a record to a tpl ...</div><div class='long'><p>Used to handle joining of a record to a tpl</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-updatedata\" rel=\"Ext.Component-event-updatedata\" class=\"docClass\">updatedata</a></li></ul></div></div></div><div id='method-afterErase' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-afterErase' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-afterErase' class='name expandable'>afterErase</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Used to handle joining of a record to a tpl ...</div><div class='long'><p>Used to handle joining of a record to a tpl</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-alignTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-alignTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-alignTo' class='name expandable'>alignTo</a>( <span class='pre'>component, alignment</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>alignment</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-animateActiveItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-animateActiveItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-animateActiveItem' class='name expandable'>animateActiveItem</a>( <span class='pre'>activeItem, animation</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Animates to the supplied activeItem with a specified animation. ...</div><div class='long'><p>Animates to the supplied <code>activeItem</code> with a specified animation. Currently this only works\nwith a Card layout.  This passed animation will override any default animations on the\ncontainer, for a single card switch. The animation will be destroyed when complete.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>activeItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The item or item index to make active.</p>\n</div></li><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Ext.fx.layout.Card\" rel=\"Ext.fx.layout.Card\" class=\"docClass\">Ext.fx.layout.Card</a><div class='sub-desc'><p>Card animation configuration or instance.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-animateFn' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-animateFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-animateFn' class='name expandable'>animateFn</a>( <span class='pre'>animation, component, newState, oldState, options, controller</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>newState</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldState</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>controller</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyActiveItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-applyActiveItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-applyActiveItem' class='name expandable'>applyActiveItem</a>( <span class='pre'>activeItem, currentActiveItem</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>activeItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>currentActiveItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li></ul></div></div></div><div id='method-applyActiveTab' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-method-applyActiveTab' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-applyActiveTab' class='name expandable'>applyActiveTab</a>( <span class='pre'>newActiveTab, oldActiveTab</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newActiveTab</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldActiveTab</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyBaseCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyBaseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyBaseCls' class='name expandable'>applyBaseCls</a>( <span class='pre'>baseCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>baseCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyBottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyBottom' class='name expandable'>applyBottom</a>( <span class='pre'>bottom</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bottom</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyBubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-applyBubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-applyBubbleEvents' class='name expandable'>applyBubbleEvents</a>( <span class='pre'>bubbleEvents</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bubbleEvents</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyCentered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyCentered' class='name expandable'>applyCentered</a>( <span class='pre'>centered</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>centered</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-applyCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyCls' class='name expandable'>applyCls</a>( <span class='pre'>cls</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/null<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Checks if the cls is a string. ...</div><div class='long'><p>Checks if the <code>cls</code> is a string. If it is, changed it into an array.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/null</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-applyContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyContentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyContentEl' class='name expandable'>applyContentEl</a>( <span class='pre'>contentEl</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>contentEl</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyControl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-applyControl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-applyControl' class='name expandable'>applyControl</a>( <span class='pre'>selectors</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selectors</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyData' class='name expandable'>applyData</a>( <span class='pre'>data</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>data</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyDefaults' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-applyDefaults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-applyDefaults' class='name expandable'>applyDefaults</a>( <span class='pre'>defaults</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>defaults</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyDisabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyDisabled' class='name expandable'>applyDisabled</a>( <span class='pre'>disabled</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabled</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyDocked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyDocked' class='name expandable'>applyDocked</a>( <span class='pre'>docked</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>docked</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-applyDraggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyDraggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyDraggable' class='name expandable'>applyDraggable</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyFlex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyFlex' class='name expandable'>applyFlex</a>( <span class='pre'>flex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyHeight' class='name expandable'>applyHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyHidden' class='name expandable'>applyHidden</a>( <span class='pre'>hidden</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hidden</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyItemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyItemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyItemId' class='name expandable'>applyItemId</a>( <span class='pre'>itemId</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>itemId</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyItems' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-applyItems' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-applyItems' class='name expandable'>applyItems</a>( <span class='pre'>items, collection</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>items</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>collection</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul></div></div></div><div id='method-applyLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyLeft' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyLeft' class='name expandable'>applyLeft</a>( <span class='pre'>left</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>left</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-applyListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-applyListeners' class='name expandable'>applyListeners</a>( <span class='pre'>listeners</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>listeners</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMasked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-applyMasked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-applyMasked' class='name expandable'>applyMasked</a>( <span class='pre'>masked</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Changes the masked configuration when its setter is called, which will convert the value\ninto a proper object/instanc...</div><div class='long'><p>Changes the <a href=\"#!/api/Ext.Container-cfg-masked\" rel=\"Ext.Container-cfg-masked\" class=\"docClass\">masked</a> configuration when its setter is called, which will convert the value\ninto a proper object/instance of <a href=\"#!/api/Ext.Mask\" rel=\"Ext.Mask\" class=\"docClass\">Ext.Mask</a>/<a href=\"#!/api/Ext.LoadMask\" rel=\"Ext.LoadMask\" class=\"docClass\">Ext.LoadMask</a>. If a mask already exists,\nit will use that instead.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>masked</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Ext.Mask\" rel=\"Ext.Mask\" class=\"docClass\">Ext.Mask</a>/<a href=\"#!/api/Ext.LoadMask\" rel=\"Ext.LoadMask\" class=\"docClass\">Ext.LoadMask</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li></ul></div></div></div><div id='method-applyMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMaxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMaxHeight' class='name expandable'>applyMaxHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMaxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMaxWidth' class='name expandable'>applyMaxWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMinHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMinHeight' class='name expandable'>applyMinHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyMinWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyMinWidth' class='name expandable'>applyMinWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyModal' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-applyModal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-applyModal' class='name expandable'>applyModal</a>( <span class='pre'>modal, currentModal</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>modal</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>currentModal</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyPlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyPlugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyPlugins' class='name expandable'>applyPlugins</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyRecord' class='name expandable'>applyRecord</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyRight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyRight' class='name expandable'>applyRight</a>( <span class='pre'>right</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>right</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyScrollable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-applyScrollable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-applyScrollable' class='name expandable'>applyScrollable</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyStyleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyStyleHtmlContent' class='name expandable'>applyStyleHtmlContent</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyTitle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-method-applyTitle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-applyTitle' class='name expandable'>applyTitle</a>( <span class='pre'>title</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>title</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyTop' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyTop' class='name expandable'>applyTop</a>( <span class='pre'>top</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>top</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyTpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyTpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyTpl' class='name expandable'>applyTpl</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-applyTranslatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyTranslatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyTranslatable' class='name expandable'>applyTranslatable</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyWidth' class='name expandable'>applyWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-applyZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-applyZIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-applyZIndex' class='name expandable'>applyZIndex</a>( <span class='pre'>zIndex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-beforeInitConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-beforeInitConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-beforeInitConfig' class='name expandable'>beforeInitConfig</a>( <span class='pre'>config</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-beforeInitialize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-beforeInitialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-beforeInitialize' class='name expandable'>beforeInitialize</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-callOverridden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callOverridden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callOverridden' class='name expandable'>callOverridden</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the original method that was previously overridden with override,\n\nThis method is deprecated as callParent does ...</div><div class='long'><p>Call the original method that was previously overridden with <a href=\"#!/api/Ext.Base-static-method-override\" rel=\"Ext.Base-static-method-override\" class=\"docClass\">override</a>,</p>\n\n<p>This method is deprecated as <a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a> does the same thing.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callOverridden();\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callOverridden(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the overridden method</p>\n</div></li></ul></div></div></div><div id='method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Call the \"parent\" method of the current method. ...</div><div class='long'><p>Call the \"parent\" method of the current method. That is the method previously\noverridden by derivation or by an override (see <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>).</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Base', {\n     constructor: function (x) {\n         this.x = x;\n     },\n\n     statics: {\n         method: function (x) {\n             return x;\n         }\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived', {\n     extend: 'My.Base',\n\n     constructor: function () {\n         this.callParent([21]);\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // alerts 21\n</code></pre>\n\n<p>This can be used with an override as follows:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.DerivedOverride', {\n     override: 'My.Derived',\n\n     constructor: function (x) {\n         this.callParent([x*2]); // calls original My.Derived constructor\n     }\n });\n\n var obj = new My.Derived();\n\n alert(obj.x);  // now alerts 42\n</code></pre>\n\n<p>This also works with static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2', {\n     extend: 'My.Base',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Base.method\n         }\n     }\n });\n\n alert(My.Base.method(10));     // alerts 10\n alert(My.Derived2.method(10)); // alerts 20\n</code></pre>\n\n<p>Lastly, it also works with overridden static methods.</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Derived2Override', {\n     override: 'My.Derived2',\n\n     statics: {\n         method: function (x) {\n             return this.callParent([x*2]); // calls My.Derived2.method\n         }\n     }\n });\n\n alert(My.Derived2.method(10)); // now alerts 40\n</code></pre>\n\n<p>To override a method and replace it and also call the superclass method, use\n<a href=\"#!/api/Ext.Base-method-callSuper\" rel=\"Ext.Base-method-callSuper\" class=\"docClass\">callSuper</a>. This is often done to patch a method to fix a bug.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callParent(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the parent method</p>\n</div></li></ul></div></div></div><div id='method-callSuper' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-callSuper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-callSuper' class='name expandable'>callSuper</a>( <span class='pre'>args</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>This method is used by an override to call the superclass method but bypass any\noverridden method. ...</div><div class='long'><p>This method is used by an override to call the superclass method but bypass any\noverridden method. This is often done to \"patch\" a method that contains a bug\nbut for whatever reason cannot be fixed directly.</p>\n\n<p>Consider:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.Class', {\n     method: function () {\n         console.log('Good');\n     }\n });\n\n <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Ext.some.DerivedClass', {\n     method: function () {\n         console.log('Bad');\n\n         // ... logic but with a bug ...\n\n         this.callParent();\n     }\n });\n</code></pre>\n\n<p>To patch the bug in <code>DerivedClass.method</code>, the typical solution is to create an\noverride:</p>\n\n<pre><code> <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('App.paches.DerivedClass', {\n     override: 'Ext.some.DerivedClass',\n\n     method: function () {\n         console.log('Fixed');\n\n         // ... logic but with bug fixed ...\n\n         this.callSuper();\n     }\n });\n</code></pre>\n\n<p>The patch method cannot use <code>callParent</code> to call the superclass <code>method</code> since\nthat would call the overridden method containing the bug. In other words, the\nabove patch would only produce \"Fixed\" then \"Good\" in the console log, whereas,\nusing <code>callParent</code> would produce \"Fixed\" then \"Bad\" then \"Good\".</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/Arguments<div class='sub-desc'><p>The arguments, either an array or the <code>arguments</code> object\nfrom the current method, for example: <code>this.callSuper(arguments)</code></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>Returns the result of calling the superclass method</p>\n</div></li></ul></div></div></div><div id='method-changeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-changeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-changeListener' class='name expandable'>changeListener</a>( <span class='pre'>actionFn, eventName, fn, scope, options, order</span> ) : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>actionFn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-child' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-child' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-child' class='name expandable'>child</a>( <span class='pre'>selector</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieves the first direct child of this container which matches the passed selector. ...</div><div class='long'><p>Retrieves the first direct child of this container which matches the passed selector.\nThe passed in selector must comply with an <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> selector.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>An <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> selector.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-clearListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-clearListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-clearListeners' class='name expandable'>clearListeners</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes all listeners for this object. ...</div><div class='long'><p>Removes all listeners for this object.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-clearManagedListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-clearManagedListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-clearManagedListeners' class='name expandable'>clearManagedListeners</a>( <span class='pre'>object</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-createEventBubbler' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-createEventBubbler' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-createEventBubbler' class='name expandable'>createEventBubbler</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-createEventRelayer' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-createEventRelayer' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-createEventRelayer' class='name expandable'>createEventRelayer</a>( <span class='pre'>newName</span> ) : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Creates an event handling function which re-fires the event from this object as the passed event name. ...</div><div class='long'><p>Creates an event handling function which re-fires the event from this object as the passed event name.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-destroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'> ...</div><div class='long'><p></deprecated></p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-destroy\" rel=\"Ext.Component-method-destroy\" class=\"docClass\">Ext.Component.destroy</a>, <a href=\"#!/api/Ext.Container-method-destroy\" rel=\"Ext.Container-method-destroy\" class=\"docClass\">Ext.Container.destroy</a>, <a href=\"#!/api/Ext.draw.Component-method-destroy\" rel=\"Ext.draw.Component-method-destroy\" class=\"docClass\">Ext.draw.Component.destroy</a></p></div></div></div><div id='method-disable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-disable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-disable' class='name expandable'>disable</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Disables this Component ...</div><div class='long'><p>Disables this Component</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doAdd' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doAdd' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doAdd' class='name expandable'>doAdd</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li></ul></div></div></div><div id='method-doAddListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doAddListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doAddListener' class='name expandable'>doAddListener</a>( <span class='pre'>name, fn, scope, options, order</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-method-doAddListener\" rel=\"Ext.mixin.Observable-method-doAddListener\" class=\"docClass\">Ext.mixin.Observable.doAddListener</a></p></div></div></div><div id='method-doFireEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-doFireEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-doFireEvent' class='name expandable'>doFireEvent</a>( <span class='pre'>eventName, args, action, connectedController</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>action</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>connectedController</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doInsert' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doInsert' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doInsert' class='name expandable'>doInsert</a>( <span class='pre'>index, item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li><li><a href=\"#!/api/Ext.Container-event-move\" rel=\"Ext.Container-event-move\" class=\"docClass\">move</a></li></ul></div></div></div><div id='method-doItemLayoutAdd' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doItemLayoutAdd' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doItemLayoutAdd' class='name expandable'>doItemLayoutAdd</a>( <span class='pre'>item, index</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doItemLayoutMove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doItemLayoutMove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doItemLayoutMove' class='name expandable'>doItemLayoutMove</a>( <span class='pre'>item, toIndex, fromIndex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>toIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fromIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doItemLayoutRemove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doItemLayoutRemove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doItemLayoutRemove' class='name expandable'>doItemLayoutRemove</a>( <span class='pre'>item, index</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doRefreshFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doRefreshFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doRefreshFloating' class='name expandable'>doRefreshFloating</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-floatingchange\" rel=\"Ext.Component-event-floatingchange\" class=\"docClass\">floatingchange</a></li><li>innerstatechange</li></ul></div></div></div><div id='method-doRefreshSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doRefreshSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doRefreshSizeState' class='name expandable'>doRefreshSizeState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-doRemove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doRemove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doRemove' class='name expandable'>doRemove</a>( <span class='pre'>item, index, destroy</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>destroy</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul></div></div></div><div id='method-doRemoveListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doRemoveListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doRemoveListener' class='name expandable'>doRemoveListener</a>( <span class='pre'>name, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-method-doRemoveListener\" rel=\"Ext.mixin.Observable-method-doRemoveListener\" class=\"docClass\">Ext.mixin.Observable.doRemoveListener</a></p></div></div></div><div id='method-doResetActiveItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doResetActiveItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doResetActiveItem' class='name expandable'>doResetActiveItem</a>( <span class='pre'>innerIndex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>innerIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSet' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Evented' rel='Ext.Evented' class='defined-in docClass'>Ext.Evented</a><br/><a href='source/Evented.html#Ext-Evented-method-doSet' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Evented-method-doSet' class='name expandable'>doSet</a>( <span class='pre'>me, value, oldValue, options</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>me</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetActiveItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doSetActiveItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doSetActiveItem' class='name expandable'>doSetActiveItem</a>( <span class='pre'>newActiveItem, oldActiveItem</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newActiveItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldActiveItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetActiveTab' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-method-doSetActiveTab' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-doSetActiveTab' class='name expandable'>doSetActiveTab</a>( <span class='pre'>newTab, oldTab</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sets the active tab ...</div><div class='long'><p>Sets the active tab</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newTab</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldTab</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetBottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetBottom' class='name expandable'>doSetBottom</a>( <span class='pre'>bottom</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bottom</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetCentered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetCentered' class='name expandable'>doSetCentered</a>( <span class='pre'>centered</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>centered</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-doSetDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetDisabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetDisabled' class='name expandable'>doSetDisabled</a>( <span class='pre'>disabled</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabled</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetDocked' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-method-doSetDocked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-doSetDocked' class='name expandable'>doSetDocked</a>( <span class='pre'>newDocked</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Default pack to center when docked to the bottom, otherwise default pack to left ...</div><div class='long'><p>Default pack to center when docked to the bottom, otherwise default pack to left</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newDocked</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-doSetDocked\" rel=\"Ext.Component-method-doSetDocked\" class=\"docClass\">Ext.Component.doSetDocked</a></p></div></div></div><div id='method-doSetFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetFlex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetFlex' class='name expandable'>doSetFlex</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='method-doSetHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetHeight' class='name expandable'>doSetHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doSetHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doSetHidden' class='name expandable'>doSetHidden</a>( <span class='pre'>hidden</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hidden</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-doSetHidden\" rel=\"Ext.Component-method-doSetHidden\" class=\"docClass\">Ext.Component.doSetHidden</a></p></div></div></div><div id='method-doSetLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetLeft' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetLeft' class='name expandable'>doSetLeft</a>( <span class='pre'>left</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>left</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMaxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMaxHeight' class='name expandable'>doSetMaxHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMaxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMaxWidth' class='name expandable'>doSetMaxWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMinHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMinHeight' class='name expandable'>doSetMinHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetMinWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetMinWidth' class='name expandable'>doSetMinWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-doSetRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetRight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetRight' class='name expandable'>doSetRight</a>( <span class='pre'>right</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>right</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetScrollable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-doSetScrollable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-doSetScrollable' class='name expandable'>doSetScrollable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.2</b></p>\n</div></div></div><div id='method-doSetTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetTop' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetTop' class='name expandable'>doSetTop</a>( <span class='pre'>top</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>top</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-doSetWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-doSetWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-doSetWidth' class='name expandable'>doSetWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-down' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-down' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-down' class='name expandable'>down</a>( <span class='pre'>selector</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieves the first descendant of this container which matches the passed selector. ...</div><div class='long'><p>Retrieves the first descendant of this container which matches the passed selector.\nThe passed in selector must comply with an <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> selector.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>An <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> selector.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-enable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-enable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-enable' class='name expandable'>enable</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Enables this Component ...</div><div class='long'><p>Enables this Component</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-enableBubble' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-enableBubble' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-enableBubble' class='name expandable'>enableBubble</a>( <span class='pre'>events</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Enables events fired by this Observable to bubble up an owner hierarchy by calling this.getBubbleTarget() if\npresent. ...</div><div class='long'><p>Enables events fired by this Observable to bubble up an owner hierarchy by calling <code>this.getBubbleTarget()</code> if\npresent. There is no implementation in the Observable base class.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>events</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<div class='sub-desc'><p>The event name to bubble, or an Array of event names.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-factoryItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-factoryItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-factoryItem' class='name expandable'>factoryItem</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-factoryItemWithDefaults' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-factoryItemWithDefaults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-factoryItemWithDefaults' class='name expandable'>factoryItemWithDefaults</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-filterLengthValue' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-filterLengthValue' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-filterLengthValue' class='name expandable'>filterLengthValue</a>( <span class='pre'>value</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-fireAction' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-fireAction' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-fireAction' class='name expandable'>fireAction</a>( <span class='pre'>eventName, args, fn, scope</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Fires the specified event with the passed parameters and execute a function (action)\nat the end if there are no liste...</div><div class='long'><p>Fires the specified event with the passed parameters and execute a function (action)\nat the end if there are no listeners that return <code>false</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to fire.</p>\n</div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'><p>Arguments to pass to handers.</p>\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a><div class='sub-desc'><p>Action.</p>\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Scope of fn.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-fireEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-fireEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-fireEvent' class='name expandable'>fireEvent</a>( <span class='pre'>eventName, args</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Fires the specified event with the passed parameters (minus the event name, plus the options object passed\nto addList...</div><div class='long'><p>Fires the specified event with the passed parameters (minus the event name, plus the <code>options</code> object passed\nto <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>).</p>\n\n<p>The first argument is the name of the event. Every other argument passed will be available when you listen for\nthe event.</p>\n\n<h2>Example</h2>\n\n<p>Firstly, we set up a listener for our new event.</p>\n\n<pre><code>this.on('myevent', function(arg1, arg2, arg3, arg4, options, e) {\n    console.log(arg1); // true\n    console.log(arg2); // 2\n    console.log(arg3); // { test: 'foo' }\n    console.log(arg4); // 14\n    console.log(options); // the options added when adding the listener\n    console.log(e); // the event object with information about the event\n});\n</code></pre>\n\n<p>And then we can fire off the event.</p>\n\n<pre><code>this.fireEvent('myevent', true, 2, { test: 'foo' }, 14);\n</code></pre>\n\n<p>An event may be set to bubble up an Observable parent hierarchy by calling <a href=\"#!/api/Ext.mixin.Observable-method-enableBubble\" rel=\"Ext.mixin.Observable-method-enableBubble\" class=\"docClass\">enableBubble</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to fire.</p>\n</div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>...<div class='sub-desc'><p>Variable number of parameters are passed to handlers.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p>Returns <code>false</code> if any of the handlers return <code>false</code>.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getActiveItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-activeItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getActiveItem' class='name expandable'>getActiveItem</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of activeItem. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-activeItem\" rel=\"Ext.Container-cfg-activeItem\" class=\"docClass\">activeItem</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getActiveTab' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-activeTab' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-getActiveTab' class='name expandable'>getActiveTab</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of activeTab. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.tab.Bar-cfg-activeTab\" rel=\"Ext.tab.Bar-cfg-activeTab\" class=\"docClass\">activeTab</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getAncestorIds' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='defined-in docClass'>Ext.mixin.Traversable</a><br/><a href='source/Traversable.html#Ext-mixin-Traversable-method-getAncestorIds' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Traversable-method-getAncestorIds' class='name expandable'>getAncestorIds</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getAncestors' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Traversable' rel='Ext.mixin.Traversable' class='defined-in docClass'>Ext.mixin.Traversable</a><br/><a href='source/Traversable.html#Ext-mixin-Traversable-method-getAncestors' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Traversable-method-getAncestors' class='name expandable'>getAncestors</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getAt' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getAt' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getAt' class='name expandable'>getAt</a>( <span class='pre'>index</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the Component for a given index in the Container's items. ...</div><div class='long'><p>Returns the Component for a given index in the Container's <a href=\"#!/api/Ext.Container-property-items\" rel=\"Ext.Container-property-items\" class=\"docClass\">items</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index of the Component to return.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>The item at the specified <code>index</code>, if found.</p>\n</div></li></ul></div></div></div><div id='method-getAutoDestroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-autoDestroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getAutoDestroy' class='name expandable'>getAutoDestroy</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of autoDestroy. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-autoDestroy\" rel=\"Ext.Container-cfg-autoDestroy\" class=\"docClass\">autoDestroy</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBaseCls' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-baseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-getBaseCls' class='name expandable'>getBaseCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of baseCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.tab.Bar-cfg-baseCls\" rel=\"Ext.tab.Bar-cfg-baseCls\" class=\"docClass\">baseCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Toolbar-method-getBaseCls\" rel=\"Ext.Toolbar-method-getBaseCls\" class=\"docClass\">Ext.Toolbar.getBaseCls</a></p></div></div></div><div id='method-getBorder' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-border' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getBorder' class='name expandable'>getBorder</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of border. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-border\" rel=\"Ext.Component-cfg-border\" class=\"docClass\">border</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getBottom' class='name expandable'>getBottom</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of bottom. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-bubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getBubbleEvents' class='name expandable'>getBubbleEvents</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of bubbleEvents. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-bubbleEvents\" rel=\"Ext.mixin.Observable-cfg-bubbleEvents\" class=\"docClass\">bubbleEvents</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getBubbleTarget' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getBubbleTarget' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getBubbleTarget' class='name expandable'>getBubbleTarget</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.mixin.Observable-method-getBubbleTarget\" rel=\"Ext.mixin.Observable-method-getBubbleTarget\" class=\"docClass\">Ext.mixin.Observable.getBubbleTarget</a></p></div></div></div><div id='method-getCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getCentered' class='name expandable'>getCentered</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of centered. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-centered\" rel=\"Ext.Component-cfg-centered\" class=\"docClass\">centered</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-cls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getCls' class='name expandable'>getCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of cls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getComponent' class='name expandable'>getComponent</a>( <span class='pre'>component</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Examines this container's items property\nand gets a direct child component of this container. ...</div><div class='long'><p>Examines this container's <code><a href=\"#!/api/Ext.Container-property-items\" rel=\"Ext.Container-property-items\" class=\"docClass\">items</a></code> property\nand gets a direct child component of this container.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>This parameter may be any of the following:</p>\n\n<ul>\n<li>{String} : representing the <code>itemId</code>\nor <code><a href=\"#!/api/Ext.Component-method-getId\" rel=\"Ext.Component-method-getId\" class=\"docClass\">id</a></code> of the child component.</li>\n<li>{Number} : representing the position of the child component\nwithin the <code><a href=\"#!/api/Ext.Container-property-items\" rel=\"Ext.Container-property-items\" class=\"docClass\">items</a></code> property.</li>\n</ul>\n\n\n<p>For additional information see <a href=\"#!/api/Ext.util.MixedCollection-method-get\" rel=\"Ext.util.MixedCollection-method-get\" class=\"docClass\">Ext.util.MixedCollection.get</a>.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>The component (if found).</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getConfig' class='name expandable'>getConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-contentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getContentEl' class='name expandable'>getContentEl</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of contentEl. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-contentEl\" rel=\"Ext.Component-cfg-contentEl\" class=\"docClass\">contentEl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getControl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-control' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getControl' class='name expandable'>getControl</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of control. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-control\" rel=\"Ext.Container-cfg-control\" class=\"docClass\">control</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getCurrentConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getCurrentConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getCurrentConfig' class='name expandable'>getCurrentConfig</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-data' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getData' class='name expandable'>getData</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of data. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDefaultType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-defaultType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-getDefaultType' class='name expandable'>getDefaultType</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Returns the value of defaultType. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.tab.Bar-cfg-defaultType\" rel=\"Ext.tab.Bar-cfg-defaultType\" class=\"docClass\">defaultType</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Toolbar-method-getDefaultType\" rel=\"Ext.Toolbar-method-getDefaultType\" class=\"docClass\">Ext.Toolbar.getDefaultType</a></p></div></div></div><div id='method-getDefaults' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-defaults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getDefaults' class='name expandable'>getDefaults</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of defaults. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-defaults\" rel=\"Ext.Container-cfg-defaults\" class=\"docClass\">defaults</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDisabled' class='name expandable'>getDisabled</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of disabled. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-disabled\" rel=\"Ext.Component-cfg-disabled\" class=\"docClass\">disabled</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDisabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDisabledCls' class='name expandable'>getDisabledCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of disabledCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-disabledCls\" rel=\"Ext.Component-cfg-disabledCls\" class=\"docClass\">disabledCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-getDocked' class='name expandable'>getDocked</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of docked. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Toolbar-cfg-docked\" rel=\"Ext.Toolbar-cfg-docked\" class=\"docClass\">docked</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-getDocked\" rel=\"Ext.Component-method-getDocked\" class=\"docClass\">Ext.Component.getDocked</a></p></div></div></div><div id='method-getDockedComponent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getDockedComponent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getDockedComponent' class='name expandable'>getDockedComponent</a>( <span class='pre'>component</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Finds a docked item of this container using a reference, idor an index of its location\nin getDockedItems. ...</div><div class='long'><p>Finds a docked item of this container using a reference, <code>id</code>or an <code>index</code> of its location\nin <a href=\"#!/api/Ext.Container-method-getDockedItems\" rel=\"Ext.Container-method-getDockedItems\" class=\"docClass\">getDockedItems</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The <code>id</code> or <code>index</code> of the component to find.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p>The docked component, if found.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getDockedItems' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getDockedItems' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getDockedItems' class='name expandable'>getDockedItems</a>( <span class='pre'></span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns all the Ext.Component.docked items in this container. ...</div><div class='long'><p>Returns all the <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">Ext.Component.docked</a> items in this container.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'><p>The docked items of this container.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getDraggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getDraggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDraggable' class='name expandable'>getDraggable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getDraggableBehavior' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getDraggableBehavior' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getDraggableBehavior' class='name expandable'>getDraggableBehavior</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getEl' class='name expandable'>getEl</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.dom.Element</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Retrieves the top level element representing this component. ...</div><div class='long'><p>Retrieves the top level element representing this component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please access the Component's element from the <code>element</code> property instead, i.e:</p>\n\n<pre><code> var element = component.element;\n</code></pre>\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.dom.Element</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getElementConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getElementConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getElementConfig' class='name expandable'>getElementConfig</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n<ul><li><span class='pre'>reference</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li><li><span class='pre'>classList</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li><li><span class='pre'>children</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-getElementConfig\" rel=\"Ext.Component-method-getElementConfig\" class=\"docClass\">Ext.Component.getElementConfig</a></p></div></div></div><div id='method-getEnterAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-enterAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getEnterAnimation' class='name expandable'>getEnterAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Returns the value of enterAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-enterAnimation\" rel=\"Ext.Component-cfg-enterAnimation\" class=\"docClass\">enterAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getEventDispatcher' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getEventDispatcher' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getEventDispatcher' class='name expandable'>getEventDispatcher</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getExitAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-exitAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getExitAnimation' class='name expandable'>getExitAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Returns the value of exitAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-exitAnimation\" rel=\"Ext.Component-cfg-exitAnimation\" class=\"docClass\">exitAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n\n        </div>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getFlex' class='name expandable'>getFlex</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of flex. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-flex\" rel=\"Ext.Component-cfg-flex\" class=\"docClass\">flex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getFloatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getFloatingCls' class='name expandable'>getFloatingCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of floatingCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-floatingCls\" rel=\"Ext.Component-cfg-floatingCls\" class=\"docClass\">floatingCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHeight' class='name expandable'>getHeight</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of height. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-height\" rel=\"Ext.Component-cfg-height\" class=\"docClass\">height</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHidden' class='name expandable'>getHidden</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of hidden. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-hidden\" rel=\"Ext.Component-cfg-hidden\" class=\"docClass\">hidden</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHiddenCls' class='name expandable'>getHiddenCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of hiddenCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-hiddenCls\" rel=\"Ext.Component-cfg-hiddenCls\" class=\"docClass\">hiddenCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHideAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hideAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHideAnimation' class='name expandable'>getHideAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of hideAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHideOnMaskTap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-hideOnMaskTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getHideOnMaskTap' class='name expandable'>getHideOnMaskTap</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of hideOnMaskTap. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-hideOnMaskTap\" rel=\"Ext.Container-cfg-hideOnMaskTap\" class=\"docClass\">hideOnMaskTap</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getHtml' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-html' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getHtml' class='name expandable'>getHtml</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of html. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-html\" rel=\"Ext.Component-cfg-html\" class=\"docClass\">html</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-getId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-getId' class='name expandable'>getId</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieves the id of this component. ...</div><div class='long'><p>Retrieves the id of this component. Will autogenerate an id if one has not already been set.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>id</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getInitialConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-getInitialConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-getInitialConfig' class='name expandable'>getInitialConfig</a>( <span class='pre'>[name]</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the initial configuration passed to constructor. ...</div><div class='long'><p>Returns the initial configuration passed to constructor.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>When supplied, value for particular configuration\noption is returned, otherwise the full config object is returned.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getInnerAt' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getInnerAt' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getInnerAt' class='name expandable'>getInnerAt</a>( <span class='pre'>index</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getInnerHtmlElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getInnerHtmlElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getInnerHtmlElement' class='name expandable'>getInnerHtmlElement</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getInnerItems' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getInnerItems' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getInnerItems' class='name expandable'>getInnerItems</a>( <span class='pre'></span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns all inner items of this container. ...</div><div class='long'><p>Returns all inner <a href=\"#!/api/Ext.Container-property-items\" rel=\"Ext.Container-property-items\" class=\"docClass\">items</a> of this container. <code>inner</code> means that the item is not <code>docked</code> or\n<code>floating</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'><p>The inner items of this container.</p>\n</div></li></ul></div></div></div><div id='method-getItemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-itemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getItemId' class='name expandable'>getItemId</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of itemId. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getItems' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-items' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getItems' class='name expandable'>getItems</a>( <span class='pre'></span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of items. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-items\" rel=\"Ext.Container-cfg-items\" class=\"docClass\">items</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getLayout' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-layout' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-getLayout' class='name expandable'>getLayout</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Returns the value of layout. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.tab.Bar-cfg-layout\" rel=\"Ext.tab.Bar-cfg-layout\" class=\"docClass\">layout</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Toolbar-method-getLayout\" rel=\"Ext.Toolbar-method-getLayout\" class=\"docClass\">Ext.Toolbar.getLayout</a></p></div></div></div><div id='method-getLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getLeft' class='name expandable'>getLeft</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of left. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-listeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getListeners' class='name expandable'>getListeners</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of listeners. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-listeners\" rel=\"Ext.mixin.Observable-cfg-listeners\" class=\"docClass\">listeners</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getManagedListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getManagedListeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getManagedListeners' class='name expandable'>getManagedListeners</a>( <span class='pre'>object, eventName</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-getMargin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-margin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMargin' class='name expandable'>getMargin</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of margin. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-margin\" rel=\"Ext.Component-cfg-margin\" class=\"docClass\">margin</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMasked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-masked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getMasked' class='name expandable'>getMasked</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Ext.Mask\" rel=\"Ext.Mask\" class=\"docClass\">Ext.Mask</a>/<a href=\"#!/api/Ext.LoadMask\" rel=\"Ext.LoadMask\" class=\"docClass\">Ext.LoadMask</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of masked. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-masked\" rel=\"Ext.Container-cfg-masked\" class=\"docClass\">masked</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Ext.Mask\" rel=\"Ext.Mask\" class=\"docClass\">Ext.Mask</a>/<a href=\"#!/api/Ext.LoadMask\" rel=\"Ext.LoadMask\" class=\"docClass\">Ext.LoadMask</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMaxHeight' class='name expandable'>getMaxHeight</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of maxHeight. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-maxHeight\" rel=\"Ext.Component-cfg-maxHeight\" class=\"docClass\">maxHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMaxWidth' class='name expandable'>getMaxWidth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of maxWidth. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-maxWidth\" rel=\"Ext.Component-cfg-maxWidth\" class=\"docClass\">maxWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-getMinHeight' class='name expandable'>getMinHeight</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of minHeight. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Toolbar-cfg-minHeight\" rel=\"Ext.Toolbar-cfg-minHeight\" class=\"docClass\">minHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-getMinHeight\" rel=\"Ext.Component-method-getMinHeight\" class=\"docClass\">Ext.Component.getMinHeight</a></p></div></div></div><div id='method-getMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getMinWidth' class='name expandable'>getMinWidth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of minWidth. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-minWidth\" rel=\"Ext.Component-cfg-minWidth\" class=\"docClass\">minWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getModal' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-modal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getModal' class='name expandable'>getModal</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of modal. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-modal\" rel=\"Ext.Container-cfg-modal\" class=\"docClass\">modal</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getObservableId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getObservableId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getObservableId' class='name expandable'>getObservableId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getOptimizedEventDispatcher' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getOptimizedEventDispatcher' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getOptimizedEventDispatcher' class='name expandable'>getOptimizedEventDispatcher</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getOptimizedId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-getOptimizedId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-getOptimizedId' class='name expandable'>getOptimizedId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getOptimizedObservableId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getOptimizedObservableId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getOptimizedObservableId' class='name expandable'>getOptimizedObservableId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getPadding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-padding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getPadding' class='name expandable'>getPadding</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of padding. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-padding\" rel=\"Ext.Component-cfg-padding\" class=\"docClass\">padding</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Traversable.html#Ext-Component-method-getParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getParent' class='name expandable'>getParent</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the parent of this component, if it has one. ...</div><div class='long'><p>Returns the parent of this component, if it has one.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>The parent of this component.</p>\n</div></li></ul></div></div></div><div id='method-getPlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-plugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getPlugins' class='name expandable'>getPlugins</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of plugins. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-plugins\" rel=\"Ext.Component-cfg-plugins\" class=\"docClass\">plugins</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-record' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getRecord' class='name expandable'>getRecord</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of record. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-record\" rel=\"Ext.Component-cfg-record\" class=\"docClass\">record</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRefItems' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getRefItems' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getRefItems' class='name expandable'>getRefItems</a>( <span class='pre'>deep</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Used by ComponentQuery to retrieve all of the items\nwhich can potentially be considered a child of this Container. ...</div><div class='long'><p>Used by ComponentQuery to retrieve all of the items\nwhich can potentially be considered a child of this Container.\nThis should be overridden by components which have child items\nthat are not contained in items. For example <code>dockedItems</code>, <code>menu</code>, etc</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>deep</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getRenderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getRenderTo' class='name expandable'>getRenderTo</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of renderTo. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-renderTo\" rel=\"Ext.Component-cfg-renderTo\" class=\"docClass\">renderTo</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getRight' class='name expandable'>getRight</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of right. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getScrollable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getScrollable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getScrollable' class='name expandable'>getScrollable</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.scroll.View\" rel=\"Ext.scroll.View\" class=\"docClass\">Ext.scroll.View</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns an the scrollable instance for this container, which is a Ext.scroll.View class. ...</div><div class='long'><p>Returns an the scrollable instance for this container, which is a <a href=\"#!/api/Ext.scroll.View\" rel=\"Ext.scroll.View\" class=\"docClass\">Ext.scroll.View</a> class.</p>\n\n<p>Please checkout the documentation for <a href=\"#!/api/Ext.scroll.View\" rel=\"Ext.scroll.View\" class=\"docClass\">Ext.scroll.View</a>, <a href=\"#!/api/Ext.scroll.View-method-getScroller\" rel=\"Ext.scroll.View-method-getScroller\" class=\"docClass\">Ext.scroll.View.getScroller</a>\nand <a href=\"#!/api/Ext.scroll.Scroller\" rel=\"Ext.scroll.Scroller\" class=\"docClass\">Ext.scroll.Scroller</a> for more information.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.scroll.View\" rel=\"Ext.scroll.View\" class=\"docClass\">Ext.scroll.View</a></span><div class='sub-desc'><p>The scroll view.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getScrollableBehavior' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-getScrollableBehavior' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getScrollableBehavior' class='name expandable'>getScrollableBehavior</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getShowAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-showAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getShowAnimation' class='name expandable'>getShowAnimation</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of showAnimation. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getSize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getSize' class='name expandable'>getSize</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the height and width of the Component. ...</div><div class='long'><p>Returns the height and width of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>The current <code>height</code> and <code>width</code> of the Component.</p>\n\n<ul><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li><li><span class='pre'>height</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getSizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getSizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getSizeFlags' class='name expandable'>getSizeFlags</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-getSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getSizeState' class='name expandable'>getSizeState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li><li>sizestatechange</li></ul></div></div></div><div id='method-getStyle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-style' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getStyle' class='name expandable'>getStyle</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of style. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getStyleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getStyleHtmlCls' class='name expandable'>getStyleHtmlCls</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of styleHtmlCls. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlCls\" rel=\"Ext.Component-cfg-styleHtmlCls\" class=\"docClass\">styleHtmlCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getStyleHtmlContent' class='name expandable'>getStyleHtmlContent</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of styleHtmlContent. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlContent\" rel=\"Ext.Component-cfg-styleHtmlContent\" class=\"docClass\">styleHtmlContent</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTemplate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getTemplate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTemplate' class='name expandable'>getTemplate</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getTitle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-method-getTitle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-getTitle' class='name expandable'>getTitle</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Title\" rel=\"Ext.Title\" class=\"docClass\">Ext.Title</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns an Ext.Title component. ...</div><div class='long'><p>Returns an <a href=\"#!/api/Ext.Title\" rel=\"Ext.Title\" class=\"docClass\">Ext.Title</a> component.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Title\" rel=\"Ext.Title\" class=\"docClass\">Ext.Title</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTop' class='name expandable'>getTop</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of top. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTpl' class='name expandable'>getTpl</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]<span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of tpl. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTplWriteMode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tplWriteMode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTplWriteMode' class='name expandable'>getTplWriteMode</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of tplWriteMode. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-tplWriteMode\" rel=\"Ext.Component-cfg-tplWriteMode\" class=\"docClass\">tplWriteMode</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getTranslatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getTranslatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTranslatable' class='name expandable'>getTranslatable</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-getTranslatableBehavior' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getTranslatableBehavior' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getTranslatableBehavior' class='name expandable'>getTranslatableBehavior</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getUi' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-getUi' class='name expandable'>getUi</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of ui. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Toolbar-cfg-ui\" rel=\"Ext.Toolbar-cfg-ui\" class=\"docClass\">ui</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-getUi\" rel=\"Ext.Component-method-getUi\" class=\"docClass\">Ext.Component.getUi</a></p></div></div></div><div id='method-getUniqueId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-getUniqueId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-getUniqueId' class='name expandable'>getUniqueId</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getUseBodyElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-useBodyElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-getUseBodyElement' class='name expandable'>getUseBodyElement</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Returns the value of useBodyElement. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Container-cfg-useBodyElement\" rel=\"Ext.Container-cfg-useBodyElement\" class=\"docClass\">useBodyElement</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getUsedSelectors' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-getUsedSelectors' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-getUsedSelectors' class='name expandable'>getUsedSelectors</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-getWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getWidth' class='name expandable'>getWidth</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of width. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-width\" rel=\"Ext.Component-cfg-width\" class=\"docClass\">width</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-getXTypes' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-getXTypes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getXTypes' class='name expandable'>getXTypes</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns this Component's xtype hierarchy as a slash-delimited string. ...</div><div class='long'><p>Returns this Component's xtype hierarchy as a slash-delimited string. For a list of all\navailable xtypes, see the <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> header.</p>\n\n<p><strong>Note:</strong> If using your own subclasses, be aware that a Component must register its own xtype\nto participate in determination of inherited xtypes.</p>\n\n<p>Example usage:</p>\n\n<pre><code>var t = new <a href=\"#!/api/Ext.field.Text\" rel=\"Ext.field.Text\" class=\"docClass\">Ext.field.Text</a>();\nalert(t.getXTypes());  // alerts 'component/field/textfield'\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>The xtype hierarchy string.</p>\n</div></li></ul></div></div></div><div id='method-getZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-zIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-getZIndex' class='name expandable'>getZIndex</a>( <span class='pre'></span> ) : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns the value of zIndex. ...</div><div class='long'><p>Returns the value of <a href=\"#!/api/Ext.Component-cfg-zIndex\" rel=\"Ext.Component-cfg-zIndex\" class=\"docClass\">zIndex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-has' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-has' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-has' class='name expandable'>has</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-hasConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-hasConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-hasConfig' class='name expandable'>hasConfig</a>( <span class='pre'>name</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-hasInnerItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-hasInnerItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-hasInnerItem' class='name expandable'>hasInnerItem</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-hasListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-hasListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-hasListener' class='name expandable'>hasListener</a>( <span class='pre'>eventName</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Checks to see if this object has any listeners for a specified event ...</div><div class='long'><p>Checks to see if this object has any listeners for a specified event</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The name of the event to check for</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p>True if the event is being listened for, else false</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-hasParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Traversable.html#Ext-Component-method-hasParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-hasParent' class='name expandable'>hasParent</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if this component has a parent. ...</div><div class='long'><p>Returns <code>true</code> if this component has a parent.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if this component has a parent.</p>\n</div></li></ul></div></div></div><div id='method-hide' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-hide' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-hide' class='name expandable'>hide</a>( <span class='pre'>[animation]</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Hides this Component ...</div><div class='long'><p>Hides this Component</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-hideTitle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-method-hideTitle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-hideTitle' class='name expandable'>hideTitle</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Hides the title, if it exists. ...</div><div class='long'><p>Hides the title, if it exists.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-indexOf' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-indexOf' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-indexOf' class='name expandable'>indexOf</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-initConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-initConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-initConfig' class='name expandable'>initConfig</a>( <span class='pre'>instanceConfig</span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Initialize configuration for this class. ...</div><div class='long'><p>Initialize configuration for this class. a typical example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Class', {\n    // The default config\n    config: {\n        name: 'Awesome',\n        isAwesome: true\n    },\n\n    constructor: function(config) {\n        this.initConfig(config);\n    }\n});\n\nvar awesome = new My.awesome.Class({\n    name: 'Super Awesome'\n});\n\nalert(awesome.getName()); // 'Super Awesome'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>instanceConfig</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>mixins The mixin prototypes as key - value pairs</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-initElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.AbstractComponent' rel='Ext.AbstractComponent' class='defined-in docClass'>Ext.AbstractComponent</a><br/><a href='source/AbstractComponent.html#Ext-AbstractComponent-method-initElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.AbstractComponent-method-initElement' class='name expandable'>initElement</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.AbstractComponent\" rel=\"Ext.AbstractComponent\" class=\"docClass\">Ext.AbstractComponent</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.AbstractComponent\" rel=\"Ext.AbstractComponent\" class=\"docClass\">Ext.AbstractComponent</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-initialize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-method-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-initialize' class='name expandable'>initialize</a>( <span class='pre'></span> )<span class=\"signature\"><span class='protected' >protected</span><span class='template' >template</span></span></div><div class='description'><div class='short'>Allows addition of behavior to the rendering phase. ...</div><div class='long'><p>Allows addition of behavior to the rendering phase.</p>\n        <p>Available since: <b>2.0.0</b></p>\n      <div class='rounded-box template-box'>\n      <p>This is a <a href=\"#!/guide/components\">template method</a>.\n         a hook into the functionality of this class.\n         Feel free to override it in child classes.</p>\n      </div>\n<h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Evented-method-initialize\" rel=\"Ext.Evented-method-initialize\" class=\"docClass\">Ext.Evented.initialize</a>, <a href=\"#!/api/Ext.Component-method-initialize\" rel=\"Ext.Component-method-initialize\" class=\"docClass\">Ext.Component.initialize</a>, <a href=\"#!/api/Ext.draw.Component-method-initialize\" rel=\"Ext.draw.Component-method-initialize\" class=\"docClass\">Ext.draw.Component.initialize</a>, <a href=\"#!/api/Ext.dataview.DataView-method-initialize\" rel=\"Ext.dataview.DataView-method-initialize\" class=\"docClass\">Ext.dataview.DataView.initialize</a>, <a href=\"#!/api/Ext.Media-method-initialize\" rel=\"Ext.Media-method-initialize\" class=\"docClass\">Ext.Media.initialize</a></p></div></div></div><div id='method-innerIndexOf' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-innerIndexOf' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-innerIndexOf' class='name expandable'>innerIndexOf</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-insert' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-insert' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-insert' class='name expandable'>insert</a>( <span class='pre'>index, item</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds a child Component at the given index. ...</div><div class='long'><p>Adds a child Component at the given index. For example, here's how we can add a new item, making it the first\nchild Component of this Container:</p>\n\n<pre><code>myContainer.insert(0, {xtype: 'panel', html: 'new item'});\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index to insert the Component at.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The Component to insert.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li><li><a href=\"#!/api/Ext.Container-event-move\" rel=\"Ext.Container-event-move\" class=\"docClass\">move</a></li></ul></div></div></div><div id='method-insertAfter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-insertAfter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-insertAfter' class='name expandable'>insertAfter</a>( <span class='pre'>item, relativeToItem</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>relativeToItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li><li><a href=\"#!/api/Ext.Container-event-move\" rel=\"Ext.Container-event-move\" class=\"docClass\">move</a></li></ul></div></div></div><div id='method-insertBefore' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-insertBefore' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-insertBefore' class='name expandable'>insertBefore</a>( <span class='pre'>item, relativeToItem</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>relativeToItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li><li><a href=\"#!/api/Ext.Container-event-move\" rel=\"Ext.Container-event-move\" class=\"docClass\">move</a></li></ul></div></div></div><div id='method-insertFirst' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-insertFirst' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-insertFirst' class='name expandable'>insertFirst</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li><li><a href=\"#!/api/Ext.Container-event-move\" rel=\"Ext.Container-event-move\" class=\"docClass\">move</a></li></ul></div></div></div><div id='method-insertInner' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-insertInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-insertInner' class='name expandable'>insertInner</a>( <span class='pre'>item, index</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-insertLast' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-insertLast' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-insertLast' class='name expandable'>insertLast</a>( <span class='pre'>item</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li><li><a href=\"#!/api/Ext.Container-event-move\" rel=\"Ext.Container-event-move\" class=\"docClass\">move</a></li></ul></div></div></div><div id='method-isCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isCentered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isCentered' class='name expandable'>isCentered</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isDisabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isDisabled' class='name expandable'>isDisabled</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if this Component is currently disabled. ...</div><div class='long'><p>Returns <code>true</code> if this Component is currently disabled.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if currently disabled.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isDocked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isDocked' class='name expandable'>isDocked</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isFloating' class='name expandable'>isFloating</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='method-isHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isHidden' class='name expandable'>isHidden</a>( <span class='pre'></span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Returns true if this Component is currently hidden. ...</div><div class='long'><p>Returns <code>true</code> if this Component is currently hidden.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if currently hidden.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-isInnerItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isInnerItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isInnerItem' class='name expandable'>isInnerItem</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-isPainted' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isPainted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isPainted' class='name expandable'>isPainted</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-isRendered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isRendered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isRendered' class='name expandable'>isRendered</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-isXType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-isXType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-isXType' class='name expandable'>isXType</a>( <span class='pre'>xtype, [shallow]</span> ) : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Tests whether or not this Component is of a specific xtype. ...</div><div class='long'><p>Tests whether or not this Component is of a specific xtype. This can test whether this Component is descended\nfrom the xtype (default) or whether it is directly of the xtype specified (<code>shallow = true</code>).\n<strong>If using your own subclasses, be aware that a Component must register its own xtype\nto participate in determination of inherited xtypes.</strong></p>\n\n<p>For a list of all available xtypes, see the <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> header.</p>\n\n<p>Example usage:</p>\n\n<pre><code>var t = new <a href=\"#!/api/Ext.field.Text\" rel=\"Ext.field.Text\" class=\"docClass\">Ext.field.Text</a>();\nvar isText = t.isXType('textfield'); // true\nvar isBoxSubclass = t.isXType('field'); // true, descended from <a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">Ext.field.Field</a>\nvar isBoxInstance = t.isXType('field', true); // false, not a direct <a href=\"#!/api/Ext.field.Field\" rel=\"Ext.field.Field\" class=\"docClass\">Ext.field.Field</a> instance\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>xtype</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The xtype to check for this Component.</p>\n</div></li><li><span class='pre'>shallow</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>false</code> to check whether this Component is descended from the xtype (this is\nthe default), or <code>true</code> to check whether this Component is directly of the specified xtype.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a></span><div class='sub-desc'><p><code>true</code> if this component descends from the specified xtype, <code>false</code> otherwise.</p>\n</div></li></ul></div></div></div><div id='method-link' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-link' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-link' class='name expandable'>link</a>( <span class='pre'>name, value</span> ) : Mixed<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Mixed</span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-mask' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-mask' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-mask' class='name expandable'>mask</a>( <span class='pre'>mask</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Convenience method which calls setMasked with a value of true (to show the mask). ...</div><div class='long'><p>Convenience method which calls <a href=\"#!/api/Ext.Container-method-setMasked\" rel=\"Ext.Container-method-setMasked\" class=\"docClass\">setMasked</a> with a value of <code>true</code> (to show the mask). For additional\nfunctionality, call the <a href=\"#!/api/Ext.Container-method-setMasked\" rel=\"Ext.Container-method-setMasked\" class=\"docClass\">setMasked</a> function direction (See the <a href=\"#!/api/Ext.Container-cfg-masked\" rel=\"Ext.Container-cfg-masked\" class=\"docClass\">masked</a> configuration documentation\nfor more information).</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mask</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-mon' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-mon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-mon' class='name expandable'>mon</a>( <span class='pre'>object, eventName, [fn], [scope], [options]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Alias for addManagedListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addManagedListener\" rel=\"Ext.mixin.Observable-method-addManagedListener\" class=\"docClass\">addManagedListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This is now done automatically</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> options.</p>\n\n</div></li></ul></div></div></div><div id='method-mun' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-mun' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-mun' class='name expandable'>mun</a>( <span class='pre'>object, eventName, [fn], [scope]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Alias for removeManagedListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeManagedListener\" rel=\"Ext.mixin.Observable-method-removeManagedListener\" class=\"docClass\">removeManagedListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This is now done automatically</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li></ul></div></div></div><div id='method-on' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-on' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-on' class='name expandable'>on</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for addListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for. May also be an object who's property names are\nevent names.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.  Will be called with arguments given to\n<a href=\"#!/api/Ext.mixin.Observable-method-fireEvent\" rel=\"Ext.mixin.Observable-method-fireEvent\" class=\"docClass\">fireEvent</a> plus the <code>options</code> parameter described below.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. <strong>If\nomitted, defaults to the object which fired the event.</strong></p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n\n\n\n<p>This object may contain any of the following properties:</p>\n\n<ul><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope (<code>this</code> reference) in which the handler function is executed. If omitted, defaults to the object\nwhich fired the event.</p>\n\n</div></li><li><span class='pre'>delay</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>The number of milliseconds to delay the invocation of the handler after the event fires.</p>\n\n</div></li><li><span class='pre'>single</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p><code>true</code> to add a handler to handle just the next firing of the event, and then remove itself.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.</p>\n\n\n\n\n<p>If you set an order of <code>before</code> and the event you are listening to is preventable, you can return <code>false</code> and it will stop the event.</p>\n\n\n\n\n<p>Available options are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>buffer</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a> (optional)<div class='sub-desc'><p>Causes the handler to be delayed by the specified number of milliseconds. If the event fires again within that\ntime, the original handler is <em>not</em> invoked, but the new handler is scheduled in its place.</p>\n\n</div></li><li><span class='pre'>element</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Allows you to add a listener onto a element of this component using the elements reference.</p>\n\n\n\n\n<pre><code><a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>', {\n    listeners: {\n        element: 'element',\n        tap: function() {\n            alert('element tap!');\n        }\n    }\n});\n</code></pre>\n\n\n\n\n<p>All components have the <code>element</code> reference, which is the outer most element of the component. <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> also has the\n<code>innerElement</code> element which contains all children. In most cases <code>element</code> is adequate.</p>\n\n</div></li><li><span class='pre'>delegate</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Uses <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> to delegate events to a specified query selector within this item.</p>\n\n\n\n\n<pre><code>// Create a container with a two children; a button and a toolbar\nvar container = <a href=\"#!/api/Ext-method-create\" rel=\"Ext-method-create\" class=\"docClass\">Ext.create</a>('<a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a>', {\n    items: [\n        {\n            xtype: 'toolbar',\n            docked: 'top',\n            title: 'My Toolbar'\n        },\n        {\n           xtype: 'button',\n           text: 'My Button'\n        }\n    ]\n});\n\ncontainer.on({\n    // Ext.Buttons have an xtype of 'button', so we use that are a selector for our delegate\n    delegate: 'button',\n\n    tap: function() {\n        alert('Button tapped!');\n    }\n});\n</code></pre>\n\n</div></li></ul></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of when the listener should be added into the listener queue.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul></div></div></div><div id='method-onAfter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-onAfter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-onAfter' class='name expandable'>onAfter</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for addAfterListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addAfterListener\" rel=\"Ext.mixin.Observable-method-addAfterListener\" class=\"docClass\">addAfterListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul></div></div></div><div id='method-onBefore' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-onBefore' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-onBefore' class='name expandable'>onBefore</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for addBeforeListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-addBeforeListener\" rel=\"Ext.mixin.Observable-method-addBeforeListener\" class=\"docClass\">addBeforeListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event to listen for.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The method the event invokes.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>An object containing handler configuration.</p>\n\n</div></li></ul></div></div></div><div id='method-onClassExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-onClassExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-onClassExtended' class='name expandable'>onClassExtended</a>( <span class='pre'>Class, members</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'><p><deprecated product=touch since=2.0></p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>Class</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-onClassExtended\" rel=\"Ext.Component-method-onClassExtended\" class=\"docClass\">Ext.Component.onClassExtended</a></p></div></div></div><div id='method-onConfigUpdate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-onConfigUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-onConfigUpdate' class='name expandable'>onConfigUpdate</a>( <span class='pre'>names, callback, scope</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>names</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>callback</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-onFirstItemAdd' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-onFirstItemAdd' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-onFirstItemAdd' class='name expandable'>onFirstItemAdd</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Initialize layout and event listeners the very first time an item is added ...</div><div class='long'><p>Initialize layout and event listeners the very first time an item is added</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-onInitialized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-onInitialized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-onInitialized' class='name expandable'>onInitialized</a>( <span class='pre'>fn, scope, args</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-onInnerItemMove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-onInnerItemMove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-onInnerItemMove' class='name expandable'>onInnerItemMove</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-onItemAdd' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-onItemAdd' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-onItemAdd' class='name expandable'>onItemAdd</a>( <span class='pre'>item, index</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-add\" rel=\"Ext.Container-event-add\" class=\"docClass\">add</a></li></ul></div></div></div><div id='method-onItemInnerStateChange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-onItemInnerStateChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-onItemInnerStateChange' class='name expandable'>onItemInnerStateChange</a>( <span class='pre'>item, isInner</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>isInner</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-onItemMove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-onItemMove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-onItemMove' class='name expandable'>onItemMove</a>( <span class='pre'>item, toIndex, fromIndex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>toIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fromIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-move\" rel=\"Ext.Container-event-move\" class=\"docClass\">move</a></li></ul></div></div></div><div id='method-onItemRemove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-onItemRemove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-onItemRemove' class='name expandable'>onItemRemove</a>( <span class='pre'>item, index</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul></div></div></div><div id='method-onShowByErased' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-onShowByErased' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-onShowByErased' class='name expandable'>onShowByErased</a>( <span class='pre'>component</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-onTabTap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-method-onTabTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-onTabTap' class='name expandable'>onTabTap</a>( <span class='pre'>tab</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tab</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-parseActiveTab' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-method-parseActiveTab' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-parseActiveTab' class='name expandable'>parseActiveTab</a>( <span class='pre'>tab</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Parses the active tab, which can be a number or string ...</div><div class='long'><p>Parses the active tab, which can be a number or string</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tab</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-query' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-query' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-query' class='name expandable'>query</a>( <span class='pre'>selector</span> ) : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieves all descendant components which match the passed selector. ...</div><div class='long'><p>Retrieves all descendant components which match the passed selector.\nExecutes an <a href=\"#!/api/Ext.ComponentQuery-method-query\" rel=\"Ext.ComponentQuery-method-query\" class=\"docClass\">Ext.ComponentQuery.query</a> using this container as its root.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>Selector complying to an <a href=\"#!/api/Ext.ComponentQuery\" rel=\"Ext.ComponentQuery\" class=\"docClass\">Ext.ComponentQuery</a> selector.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a></span><div class='sub-desc'><p><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a>'s which matched the selector.</p>\n</div></li></ul></div></div></div><div id='method-refreshFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-refreshFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-refreshFloating' class='name expandable'>refreshFloating</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='method-refreshInnerState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-refreshInnerState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-refreshInnerState' class='name expandable'>refreshInnerState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-refreshSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-refreshSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-refreshSizeState' class='name expandable'>refreshSizeState</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='method-relayEvent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-relayEvent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-relayEvent' class='name expandable'>relayEvent</a>( <span class='pre'>args, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-relayEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-relayEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-relayEvents' class='name expandable'>relayEvents</a>( <span class='pre'>object, events</span> ) : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Relays selected events from the specified Observable as if the events were fired by this. ...</div><div class='long'><p>Relays selected events from the specified Observable as if the events were fired by <code>this</code>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The Observable whose events this object is to relay.</p>\n</div></li><li><span class='pre'>events</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>Array of event names to relay.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-remove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-remove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-remove' class='name expandable'>remove</a>( <span class='pre'>item, [destroy]</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Removes an item from this Container, optionally destroying it. ...</div><div class='long'><p>Removes an item from this Container, optionally destroying it.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item to remove.</p>\n</div></li><li><span class='pre'>destroy</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'><p>Calls the Component's <a href=\"#!/api/Ext.Component-method-destroy\" rel=\"Ext.Component-method-destroy\" class=\"docClass\">destroy</a>\nmethod if <code>true</code>.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul></div></div></div><div id='method-removeAfterListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeAfterListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeAfterListener' class='name expandable'>removeAfterListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes a before-event handler. ...</div><div class='long'><p>Removes a before-event handler.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a> with <code>order</code> set to <code>'after'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeAll' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-removeAll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-removeAll' class='name expandable'>removeAll</a>( <span class='pre'>destroy, everything</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Removes all items currently in the Container, optionally destroying them all. ...</div><div class='long'><p>Removes all items currently in the Container, optionally destroying them all.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>destroy</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>If <code>true</code>, <a href=\"#!/api/Ext.Component-method-destroy\" rel=\"Ext.Component-method-destroy\" class=\"docClass\">destroys</a>\neach removed Component.</p>\n</div></li><li><span class='pre'>everything</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>If <code>true</code>, completely remove all items including\ndocked / centered and floating items.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul></div></div></div><div id='method-removeAt' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-removeAt' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-removeAt' class='name expandable'>removeAt</a>( <span class='pre'>index</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Removes the Component at the specified index:\n\nmyContainer.removeAt(0); // removes the first item ...</div><div class='long'><p>Removes the Component at the specified index:</p>\n\n<pre><code>myContainer.removeAt(0); // removes the first item\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index of the Component to remove.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul></div></div></div><div id='method-removeBeforeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeBeforeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeBeforeListener' class='name expandable'>removeBeforeListener</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes a before-event handler. ...</div><div class='long'><p>Removes a before-event handler.</p>\n\n<p>Same as <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a> with <code>order</code> set to <code>'before'</code>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-removeCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-removeCls' class='name expandable'>removeCls</a>( <span class='pre'>cls, [prefix], [suffix]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes the given CSS class(es) from this Component's rendered element. ...</div><div class='long'><p>Removes the given CSS class(es) from this Component's rendered element.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The class(es) to remove.</p>\n</div></li><li><span class='pre'>prefix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional prefix to prepend before each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li><li><span class='pre'>suffix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional suffix to append to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeDispatcherListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeDispatcherListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeDispatcherListener' class='name expandable'>removeDispatcherListener</a>( <span class='pre'>selector, name, fn, scope, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-removeDocked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-removeDocked' class='name expandable'>removeDocked</a>( <span class='pre'>item, destroy</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Removes a docked item from this Container. ...</div><div class='long'><p>Removes a docked item from this Container.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Container-method-remove\" rel=\"Ext.Container-method-remove\" class=\"docClass\">remove</a> instead.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item to remove.</p>\n</div></li><li><span class='pre'>destroy</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>Calls the Component's <a href=\"#!/api/Ext.Component-method-destroy\" rel=\"Ext.Component-method-destroy\" class=\"docClass\">destroy</a>\nmethod if <code>true</code>.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-removeInner' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-removeInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-removeInner' class='name expandable'>removeInner</a>( <span class='pre'>item</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-removeInnerAt' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-removeInnerAt' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-removeInnerAt' class='name expandable'>removeInnerAt</a>( <span class='pre'>index</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Removes an inner Component at the specified index:\n\nmyContainer.removeInnerAt(0); // removes the first item of the in...</div><div class='long'><p>Removes an inner Component at the specified index:</p>\n\n<pre><code>myContainer.removeInnerAt(0); // removes the first item of the innerItems property\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index of the Component to remove.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Container-event-remove\" rel=\"Ext.Container-event-remove\" class=\"docClass\">remove</a></li></ul></div></div></div><div id='method-removeListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeListener' class='name expandable'>removeListener</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Removes an event handler. ...</div><div class='long'><p>Removes an event handler.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The type of event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove. <strong>This must be a reference to the function passed into the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> call.</strong></p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for the handler. It must be the same as the\nscope argument specified in the original call to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> or the listener will not be removed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object. See <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> for details.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of the listener to remove.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-removeManagedListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-removeManagedListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-removeManagedListener' class='name expandable'>removeManagedListener</a>( <span class='pre'>object, eventName, [fn], [scope]</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed. ...</div><div class='long'><p>Adds listeners to any Observable object (or Element) which are automatically removed when this Component\nis destroyed.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0</p>\n        <p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a>.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>object</span> : <a href=\"#!/api/Ext.mixin.Observable\" rel=\"Ext.mixin.Observable\" class=\"docClass\">Ext.mixin.Observable</a>/HTMLElement<div class='sub-desc'><p>The item to which to add a listener/listeners.</p>\n\n</div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The event name, or an object containing event name properties.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the handler function.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>If the <code>eventName</code> parameter was an event name, this is the scope in which\nthe handler function is executed.</p>\n\n</div></li></ul></div></div></div><div id='method-renderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-renderTo' class='name expandable'>renderTo</a>( <span class='pre'>container, insertBeforeElement</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>container</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>insertBeforeElement</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-replaceCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-replaceCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-replaceCls' class='name expandable'>replaceCls</a>( <span class='pre'>oldCls, newCls, [prefix], [suffix]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Replaces specified classes with the newly specified classes. ...</div><div class='long'><p>Replaces specified classes with the newly specified classes.\nIt uses the <a href=\"#!/api/Ext.Component-method-addCls\" rel=\"Ext.Component-method-addCls\" class=\"docClass\">addCls</a> and <a href=\"#!/api/Ext.Component-method-removeCls\" rel=\"Ext.Component-method-removeCls\" class=\"docClass\">removeCls</a> methods, so if the class(es) you are removing don't exist, it will\nstill add the new classes.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oldCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The class(es) to remove.</p>\n</div></li><li><span class='pre'>newCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The class(es) to add.</p>\n</div></li><li><span class='pre'>prefix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional prefix to prepend before each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li><li><span class='pre'>suffix</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>Optional suffix to append to each class.</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-resetFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-resetFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-resetFloating' class='name expandable'>resetFloating</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Resets top, right, bottom and left configurations to null, which\nwill un-float this component. ...</div><div class='long'><p>Resets <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>, <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a>, <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a> and <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a> configurations to <code>null</code>, which\nwill un-float this component.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-resumeEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-resumeEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-resumeEvents' class='name expandable'>resumeEvents</a>( <span class='pre'>discardQueuedEvents</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Resumes firing events (see suspendEvents). ...</div><div class='long'><p>Resumes firing events (see <a href=\"#!/api/Ext.mixin.Observable-method-suspendEvents\" rel=\"Ext.mixin.Observable-method-suspendEvents\" class=\"docClass\">suspendEvents</a>).</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>discardQueuedEvents</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>Pass as true to discard any queued events.</p>\n</div></li></ul></div></div></div><div id='method-setActiveItem' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-activeItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setActiveItem' class='name expandable'>setActiveItem</a>( <span class='pre'>activeItem</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of activeItem. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-activeItem\" rel=\"Ext.Container-cfg-activeItem\" class=\"docClass\">activeItem</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>activeItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setActiveTab' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-activeTab' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-setActiveTab' class='name expandable'>setActiveTab</a>( <span class='pre'>activeTab</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of activeTab. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.tab.Bar-cfg-activeTab\" rel=\"Ext.tab.Bar-cfg-activeTab\" class=\"docClass\">activeTab</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>activeTab</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setAutoDestroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-autoDestroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setAutoDestroy' class='name expandable'>setAutoDestroy</a>( <span class='pre'>autoDestroy</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of autoDestroy. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-autoDestroy\" rel=\"Ext.Container-cfg-autoDestroy\" class=\"docClass\">autoDestroy</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>autoDestroy</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setBaseCls' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-baseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-setBaseCls' class='name expandable'>setBaseCls</a>( <span class='pre'>baseCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of baseCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.tab.Bar-cfg-baseCls\" rel=\"Ext.tab.Bar-cfg-baseCls\" class=\"docClass\">baseCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>baseCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Toolbar-method-setBaseCls\" rel=\"Ext.Toolbar-method-setBaseCls\" class=\"docClass\">Ext.Toolbar.setBaseCls</a></p></div></div></div><div id='method-setBorder' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-border' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setBorder' class='name expandable'>setBorder</a>( <span class='pre'>border</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of border. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-border\" rel=\"Ext.Component-cfg-border\" class=\"docClass\">border</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>border</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setBottom' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setBottom' class='name expandable'>setBottom</a>( <span class='pre'>bottom</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of bottom. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bottom</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setBubbleEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-bubbleEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-setBubbleEvents' class='name expandable'>setBubbleEvents</a>( <span class='pre'>bubbleEvents</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of bubbleEvents. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-bubbleEvents\" rel=\"Ext.mixin.Observable-cfg-bubbleEvents\" class=\"docClass\">bubbleEvents</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bubbleEvents</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setCentered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setCentered' class='name expandable'>setCentered</a>( <span class='pre'>centered</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of centered. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-centered\" rel=\"Ext.Component-cfg-centered\" class=\"docClass\">centered</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>centered</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-cls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setCls' class='name expandable'>setCls</a>( <span class='pre'>cls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of cls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>cls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setConfig' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-setConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-setConfig' class='name expandable'>setConfig</a>( <span class='pre'>config, applyIfNotSet</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>applyIfNotSet</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-setContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-contentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setContentEl' class='name expandable'>setContentEl</a>( <span class='pre'>contentEl</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of contentEl. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-contentEl\" rel=\"Ext.Component-cfg-contentEl\" class=\"docClass\">contentEl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>contentEl</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setControl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-control' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setControl' class='name expandable'>setControl</a>( <span class='pre'>control</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of control. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-control\" rel=\"Ext.Container-cfg-control\" class=\"docClass\">control</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>control</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-data' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setData' class='name expandable'>setData</a>( <span class='pre'>data</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of data. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-data\" rel=\"Ext.Component-cfg-data\" class=\"docClass\">data</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>data</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setDefaultType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-defaultType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-setDefaultType' class='name expandable'>setDefaultType</a>( <span class='pre'>defaultType</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sets the value of defaultType. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.tab.Bar-cfg-defaultType\" rel=\"Ext.tab.Bar-cfg-defaultType\" class=\"docClass\">defaultType</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>defaultType</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Toolbar-method-setDefaultType\" rel=\"Ext.Toolbar-method-setDefaultType\" class=\"docClass\">Ext.Toolbar.setDefaultType</a></p></div></div></div><div id='method-setDefaults' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-defaults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setDefaults' class='name expandable'>setDefaults</a>( <span class='pre'>defaults</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of defaults. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-defaults\" rel=\"Ext.Container-cfg-defaults\" class=\"docClass\">defaults</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>defaults</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setDisabled' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setDisabled' class='name expandable'>setDisabled</a>( <span class='pre'>disabled</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of disabled. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-disabled\" rel=\"Ext.Component-cfg-disabled\" class=\"docClass\">disabled</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabled</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setDisabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setDisabledCls' class='name expandable'>setDisabledCls</a>( <span class='pre'>disabledCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of disabledCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-disabledCls\" rel=\"Ext.Component-cfg-disabledCls\" class=\"docClass\">disabledCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>disabledCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setDocked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-setDocked' class='name expandable'>setDocked</a>( <span class='pre'>docked</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of docked. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Toolbar-cfg-docked\" rel=\"Ext.Toolbar-cfg-docked\" class=\"docClass\">docked</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>docked</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setDocked\" rel=\"Ext.Component-method-setDocked\" class=\"docClass\">Ext.Component.setDocked</a></p></div></div></div><div id='method-setDraggable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-draggable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setDraggable' class='name expandable'>setDraggable</a>( <span class='pre'>draggable</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of draggable. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-draggable\" rel=\"Ext.Component-cfg-draggable\" class=\"docClass\">draggable</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>draggable</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setEnterAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-enterAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setEnterAnimation' class='name expandable'>setEnterAnimation</a>( <span class='pre'>enterAnimation</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Sets the value of enterAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-enterAnimation\" rel=\"Ext.Component-cfg-enterAnimation\" class=\"docClass\">enterAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>enterAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setExitAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-exitAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setExitAnimation' class='name expandable'>setExitAnimation</a>( <span class='pre'>exitAnimation</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Sets the value of exitAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-exitAnimation\" rel=\"Ext.Component-cfg-exitAnimation\" class=\"docClass\">exitAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>exitAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setFlex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setFlex' class='name expandable'>setFlex</a>( <span class='pre'>flex</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of flex. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-flex\" rel=\"Ext.Component-cfg-flex\" class=\"docClass\">flex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flex</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setFloating' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setFloating' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setFloating' class='name expandable'>setFloating</a>( <span class='pre'>floating</span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Used to update the floating state of this component. ...</div><div class='long'><p>Used to update the floating state of this component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-method-setTop\" rel=\"Ext.Component-method-setTop\" class=\"docClass\">setTop</a>, <a href=\"#!/api/Ext.Component-method-setRight\" rel=\"Ext.Component-method-setRight\" class=\"docClass\">setRight</a>, <a href=\"#!/api/Ext.Component-method-setBottom\" rel=\"Ext.Component-method-setBottom\" class=\"docClass\">setBottom</a> and <a href=\"#!/api/Ext.Component-method-setLeft\" rel=\"Ext.Component-method-setLeft\" class=\"docClass\">setLeft</a> instead.</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>floating</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p><code>true</code> if you want to float this component.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setFloatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-floatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setFloatingCls' class='name expandable'>setFloatingCls</a>( <span class='pre'>floatingCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of floatingCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-floatingCls\" rel=\"Ext.Component-cfg-floatingCls\" class=\"docClass\">floatingCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>floatingCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHeight' class='name expandable'>setHeight</a>( <span class='pre'>height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of height. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-height\" rel=\"Ext.Component-cfg-height\" class=\"docClass\">height</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>height</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHidden' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHidden' class='name expandable'>setHidden</a>( <span class='pre'>hidden</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of hidden. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-hidden\" rel=\"Ext.Component-cfg-hidden\" class=\"docClass\">hidden</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hidden</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHiddenCls' class='name expandable'>setHiddenCls</a>( <span class='pre'>hiddenCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of hiddenCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-hiddenCls\" rel=\"Ext.Component-cfg-hiddenCls\" class=\"docClass\">hiddenCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hiddenCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHideAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hideAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHideAnimation' class='name expandable'>setHideAnimation</a>( <span class='pre'>hideAnimation</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of hideAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hideAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHideOnMaskTap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-hideOnMaskTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setHideOnMaskTap' class='name expandable'>setHideOnMaskTap</a>( <span class='pre'>hideOnMaskTap</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of hideOnMaskTap. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-hideOnMaskTap\" rel=\"Ext.Container-cfg-hideOnMaskTap\" class=\"docClass\">hideOnMaskTap</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hideOnMaskTap</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setHtml' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-html' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setHtml' class='name expandable'>setHtml</a>( <span class='pre'>html</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of html. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-html\" rel=\"Ext.Component-cfg-html\" class=\"docClass\">html</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>html</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a>/HTMLElement<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Identifiable' rel='Ext.mixin.Identifiable' class='defined-in docClass'>Ext.mixin.Identifiable</a><br/><a href='source/Identifiable.html#Ext-mixin-Identifiable-method-setId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Identifiable-method-setId' class='name expandable'>setId</a>( <span class='pre'>id</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>id</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-setIsInner' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setIsInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setIsInner' class='name expandable'>setIsInner</a>( <span class='pre'>isInner</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>isInner</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>innerstatechange</li></ul></div></div></div><div id='method-setItemId' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-itemId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setItemId' class='name expandable'>setItemId</a>( <span class='pre'>itemId</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of itemId. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-itemId\" rel=\"Ext.Component-cfg-itemId\" class=\"docClass\">itemId</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>itemId</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setItems' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-items' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setItems' class='name expandable'>setItems</a>( <span class='pre'>items</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of items. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-items\" rel=\"Ext.Container-cfg-items\" class=\"docClass\">items</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>items</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setLayout' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-layout' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-method-setLayout' class='name expandable'>setLayout</a>( <span class='pre'>layout</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sets the value of layout. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.tab.Bar-cfg-layout\" rel=\"Ext.tab.Bar-cfg-layout\" class=\"docClass\">layout</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>layout</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Toolbar-method-setLayout\" rel=\"Ext.Toolbar-method-setLayout\" class=\"docClass\">Ext.Toolbar.setLayout</a></p></div></div></div><div id='method-setLayoutSizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setLayoutSizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setLayoutSizeFlags' class='name expandable'>setLayoutSizeFlags</a>( <span class='pre'>flags</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flags</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setLeft' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setLeft' class='name expandable'>setLeft</a>( <span class='pre'>left</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of left. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>left</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setListeners' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-cfg-listeners' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-setListeners' class='name expandable'>setListeners</a>( <span class='pre'>listeners</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of listeners. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.mixin.Observable-cfg-listeners\" rel=\"Ext.mixin.Observable-cfg-listeners\" class=\"docClass\">listeners</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>listeners</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMargin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-margin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMargin' class='name expandable'>setMargin</a>( <span class='pre'>margin</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of margin. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-margin\" rel=\"Ext.Component-cfg-margin\" class=\"docClass\">margin</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>margin</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMasked' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-masked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setMasked' class='name expandable'>setMasked</a>( <span class='pre'>masked</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of masked. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-masked\" rel=\"Ext.Container-cfg-masked\" class=\"docClass\">masked</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>masked</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Ext.Mask\" rel=\"Ext.Mask\" class=\"docClass\">Ext.Mask</a>/<a href=\"#!/api/Ext.LoadMask\" rel=\"Ext.LoadMask\" class=\"docClass\">Ext.LoadMask</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMaxHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMaxHeight' class='name expandable'>setMaxHeight</a>( <span class='pre'>maxHeight</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of maxHeight. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-maxHeight\" rel=\"Ext.Component-cfg-maxHeight\" class=\"docClass\">maxHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>maxHeight</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMaxWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMaxWidth' class='name expandable'>setMaxWidth</a>( <span class='pre'>maxWidth</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of maxWidth. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-maxWidth\" rel=\"Ext.Component-cfg-maxWidth\" class=\"docClass\">maxWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>maxWidth</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setMinHeight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-setMinHeight' class='name expandable'>setMinHeight</a>( <span class='pre'>minHeight</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of minHeight. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Toolbar-cfg-minHeight\" rel=\"Ext.Toolbar-cfg-minHeight\" class=\"docClass\">minHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>minHeight</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setMinHeight\" rel=\"Ext.Component-method-setMinHeight\" class=\"docClass\">Ext.Component.setMinHeight</a></p></div></div></div><div id='method-setMinWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setMinWidth' class='name expandable'>setMinWidth</a>( <span class='pre'>minWidth</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of minWidth. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-minWidth\" rel=\"Ext.Component-cfg-minWidth\" class=\"docClass\">minWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>minWidth</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setModal' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-modal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setModal' class='name expandable'>setModal</a>( <span class='pre'>modal</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of modal. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-modal\" rel=\"Ext.Container-cfg-modal\" class=\"docClass\">modal</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>modal</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setPadding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-padding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setPadding' class='name expandable'>setPadding</a>( <span class='pre'>padding</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of padding. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-padding\" rel=\"Ext.Component-cfg-padding\" class=\"docClass\">padding</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>padding</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-setParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setParent' class='name expandable'>setParent</a>( <span class='pre'>container</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>container</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setParent\" rel=\"Ext.Component-method-setParent\" class=\"docClass\">Ext.Component.setParent</a></p></div></div></div><div id='method-setPlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-plugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setPlugins' class='name expandable'>setPlugins</a>( <span class='pre'>plugins</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of plugins. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-plugins\" rel=\"Ext.Component-cfg-plugins\" class=\"docClass\">plugins</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>plugins</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-record' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setRecord' class='name expandable'>setRecord</a>( <span class='pre'>record</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of record. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-record\" rel=\"Ext.Component-cfg-record\" class=\"docClass\">record</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>record</span> : <a href=\"#!/api/Ext.data.Model\" rel=\"Ext.data.Model\" class=\"docClass\">Ext.data.Model</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRenderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-renderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setRenderTo' class='name expandable'>setRenderTo</a>( <span class='pre'>renderTo</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of renderTo. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-renderTo\" rel=\"Ext.Component-cfg-renderTo\" class=\"docClass\">renderTo</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>renderTo</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setRendered' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-setRendered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setRendered' class='name expandable'>setRendered</a>( <span class='pre'>rendered</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>rendered</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setRendered\" rel=\"Ext.Component-method-setRendered\" class=\"docClass\">Ext.Component.setRendered</a></p></div></div></div><div id='method-setRight' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setRight' class='name expandable'>setRight</a>( <span class='pre'>right</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of right. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>right</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setScrollable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-scrollable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setScrollable' class='name expandable'>setScrollable</a>( <span class='pre'>scrollable</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of scrollable. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-scrollable\" rel=\"Ext.Container-cfg-scrollable\" class=\"docClass\">scrollable</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>scrollable</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setScrollable\" rel=\"Ext.Component-method-setScrollable\" class=\"docClass\">Ext.Component.setScrollable</a></p></div></div></div><div id='method-setShowAnimation' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-showAnimation' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setShowAnimation' class='name expandable'>setShowAnimation</a>( <span class='pre'>showAnimation</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of showAnimation. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>showAnimation</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/Mixed<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setSize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setSize' class='name expandable'>setSize</a>( <span class='pre'>width, height</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the size of the Component. ...</div><div class='long'><p>Sets the size of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new width for the Component.</p>\n</div></li><li><span class='pre'>height</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new height for the Component.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-setSizeFlags' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setSizeFlags' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setSizeFlags' class='name expandable'>setSizeFlags</a>( <span class='pre'>flags</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>flags</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>sizeflagschange</li></ul></div></div></div><div id='method-setSizeState' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setSizeState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setSizeState' class='name expandable'>setSizeState</a>( <span class='pre'>state</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>state</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li>sizestatechange</li></ul></div></div></div><div id='method-setStyle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-style' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setStyle' class='name expandable'>setStyle</a>( <span class='pre'>style</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of style. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-style\" rel=\"Ext.Component-cfg-style\" class=\"docClass\">style</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>style</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setStyleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setStyleHtmlCls' class='name expandable'>setStyleHtmlCls</a>( <span class='pre'>styleHtmlCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of styleHtmlCls. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlCls\" rel=\"Ext.Component-cfg-styleHtmlCls\" class=\"docClass\">styleHtmlCls</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>styleHtmlCls</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-styleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setStyleHtmlContent' class='name expandable'>setStyleHtmlContent</a>( <span class='pre'>styleHtmlContent</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of styleHtmlContent. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-styleHtmlContent\" rel=\"Ext.Component-cfg-styleHtmlContent\" class=\"docClass\">styleHtmlContent</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>styleHtmlContent</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTitle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-method-setTitle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-setTitle' class='name expandable'>setTitle</a>( <span class='pre'>title</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Use this to update the title configuration. ...</div><div class='long'><p>Use this to update the <a href=\"#!/api/Ext.Toolbar-cfg-title\" rel=\"Ext.Toolbar-cfg-title\" class=\"docClass\">title</a> configuration.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>title</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Title\" rel=\"Ext.Title\" class=\"docClass\">Ext.Title</a><div class='sub-desc'><p>You can either pass a String, or a config/instance of <a href=\"#!/api/Ext.Title\" rel=\"Ext.Title\" class=\"docClass\">Ext.Title</a>.</p>\n</div></li></ul></div></div></div><div id='method-setTop' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTop' class='name expandable'>setTop</a>( <span class='pre'>top</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of top. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>top</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTpl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tpl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTpl' class='name expandable'>setTpl</a>( <span class='pre'>tpl</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of tpl. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-tpl\" rel=\"Ext.Component-cfg-tpl\" class=\"docClass\">tpl</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tpl</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Ext.Template\" rel=\"Ext.Template\" class=\"docClass\">Ext.Template</a>[]/<a href=\"#!/api/Ext.XTemplate\" rel=\"Ext.XTemplate\" class=\"docClass\">Ext.XTemplate</a>[]<div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTplWriteMode' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-tplWriteMode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTplWriteMode' class='name expandable'>setTplWriteMode</a>( <span class='pre'>tplWriteMode</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of tplWriteMode. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-tplWriteMode\" rel=\"Ext.Component-cfg-tplWriteMode\" class=\"docClass\">tplWriteMode</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>tplWriteMode</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setTranslatable' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-translatable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setTranslatable' class='name expandable'>setTranslatable</a>( <span class='pre'>translatable</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sets the value of translatable. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-translatable\" rel=\"Ext.Component-cfg-translatable\" class=\"docClass\">translatable</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>translatable</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setUi' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-cfg-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-setUi' class='name expandable'>setUi</a>( <span class='pre'>ui</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of ui. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Toolbar-cfg-ui\" rel=\"Ext.Toolbar-cfg-ui\" class=\"docClass\">ui</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>ui</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-setUi\" rel=\"Ext.Component-method-setUi\" class=\"docClass\">Ext.Component.setUi</a></p></div></div></div><div id='method-setUseBodyElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-useBodyElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-setUseBodyElement' class='name expandable'>setUseBodyElement</a>( <span class='pre'>useBodyElement</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sets the value of useBodyElement. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Container-cfg-useBodyElement\" rel=\"Ext.Container-cfg-useBodyElement\" class=\"docClass\">useBodyElement</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>useBodyElement</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setVisibility' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-setVisibility' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setVisibility' class='name expandable'>setVisibility</a>( <span class='pre'>isVisible</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>isVisible</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-setWidth' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setWidth' class='name expandable'>setWidth</a>( <span class='pre'>width</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of width. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-width\" rel=\"Ext.Component-cfg-width\" class=\"docClass\">width</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>width</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-setZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-zIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-setZIndex' class='name expandable'>setZIndex</a>( <span class='pre'>zIndex</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sets the value of zIndex. ...</div><div class='long'><p>Sets the value of <a href=\"#!/api/Ext.Component-cfg-zIndex\" rel=\"Ext.Component-cfg-zIndex\" class=\"docClass\">zIndex</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zIndex</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-show' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-show' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-show' class='name expandable'>show</a>( <span class='pre'>[animation]</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span></span></div><div class='description'><div class='short'>Shows this component. ...</div><div class='long'><p>Shows this component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a> (optional)<div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-showBy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-showBy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-showBy' class='name expandable'>showBy</a>( <span class='pre'>component, [alignment]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Shows this component by another component. ...</div><div class='long'><p>Shows this component by another component. If you specify no alignment, it will automatically\nposition this component relative to the reference component.</p>\n\n<p>For example, say we are aligning a Panel next to a Button, the alignment string would look like this:</p>\n\n<pre><code>[panel-vertical (t/b/c)][panel-horizontal (l/r/c)]-[button-vertical (t/b/c)][button-horizontal (l/r/c)]\n</code></pre>\n\n<p>where t = top, b = bottom, c = center, l = left, r = right.</p>\n\n<h2>Examples</h2>\n\n<ul>\n<li><code>tl-tr</code> means top-left corner of the Panel to the top-right corner of the Button</li>\n<li><code>tc-bc</code> means top-center of the Panel to the bottom-center of the Button</li>\n</ul>\n\n\n<p>You can put a '?' at the end of the alignment string to constrain the floating element to the\n<a href=\"#!/api/Ext.Viewport\" rel=\"Ext.Viewport\" class=\"docClass\">Viewport</a></p>\n\n<pre><code>// show `panel` by `button` using the default positioning (auto fit)\npanel.showBy(button);\n\n// align the top left corner of `panel` with the top right corner of `button` (constrained to viewport)\npanel.showBy(button, \"tl-tr?\");\n\n// align the bottom right corner of `panel` with the center left edge of `button` (not constrained by viewport)\npanel.showBy(button, \"br-cl\");\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>component</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The target component to show this component by.</p>\n</div></li><li><span class='pre'>alignment</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The specific alignment.</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-showTitle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-method-showTitle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-showTitle' class='name expandable'>showTitle</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Shows the title, if it exists. ...</div><div class='long'><p>Shows the title, if it exists.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-statics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-statics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-statics' class='name expandable'>statics</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a><span class=\"signature\"><span class='protected' >protected</span></span></div><div class='description'><div class='short'>Get the reference to the class from which this object was instantiated. ...</div><div class='long'><p>Get the reference to the class from which this object was instantiated. Note that unlike <a href=\"#!/api/Ext.Base-property-self\" rel=\"Ext.Base-property-self\" class=\"docClass\">self</a>,\n<code>this.statics()</code> is scope-independent and it always returns the class from which it was called, regardless of what\n<code>this</code> points to during run-time</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    statics: {\n        totalCreated: 0,\n        speciesName: 'Cat' // My.Cat.speciesName = 'Cat'\n    },\n\n    constructor: function() {\n        var statics = this.statics();\n\n        alert(statics.speciesName);     // always equals to 'Cat' no matter what 'this' refers to\n                                        // equivalent to: My.Cat.speciesName\n\n        alert(this.self.speciesName);   // dependent on 'this'\n\n        statics.totalCreated++;\n    },\n\n    clone: function() {\n        var cloned = new this.self();                    // dependent on 'this'\n\n        cloned.groupName = this.statics().speciesName;   // equivalent to: My.Cat.speciesName\n\n        return cloned;\n    }\n});\n\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.SnowLeopard', {\n    extend: 'My.Cat',\n\n    statics: {\n        speciesName: 'Snow Leopard'     // My.SnowLeopard.speciesName = 'Snow Leopard'\n    },\n\n    constructor: function() {\n        this.callParent();\n    }\n});\n\nvar cat = new My.Cat();                 // alerts 'Cat', then alerts 'Cat'\n\nvar snowLeopard = new My.SnowLeopard(); // alerts 'Cat', then alerts 'Snow Leopard'\n\nvar clone = snowLeopard.clone();\nalert(<a href=\"#!/api/Ext-method-getClassName\" rel=\"Ext-method-getClassName\" class=\"docClass\">Ext.getClassName</a>(clone));         // alerts 'My.SnowLeopard'\nalert(clone.groupName);                 // alerts 'Cat'\n\nalert(My.Cat.totalCreated);             // alerts 3\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Class\" rel=\"Ext.Class\" class=\"docClass\">Ext.Class</a></span><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='method-suspendEvents' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-suspendEvents' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-suspendEvents' class='name expandable'>suspendEvents</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Suspends the firing of all events. ...</div><div class='long'><p>Suspends the firing of all events.</p>\n\n<p>All events will be queued but you can discard the queued events by passing false in\nthe <a href=\"#!/api/Ext.mixin.Observable-method-resumeEvents\" rel=\"Ext.mixin.Observable-method-resumeEvents\" class=\"docClass\">resumeEvents</a> call</p>\n        <p>Available since: <b>1.1.0</b></p>\n</div></div></div><div id='method-toggleCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-toggleCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-toggleCls' class='name expandable'>toggleCls</a>( <span class='pre'>className, force</span> ) : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>className</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>force</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='method-toggleListener' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-toggleListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-toggleListener' class='name expandable'>toggleListener</a>( <span class='pre'>toggle, eventName, fn, scope, options, order</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>toggle</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>eventName</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>order</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-translate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-translate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-translate' class='name expandable'>translate</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-translateAxis' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-translateAxis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-translateAxis' class='name expandable'>translateAxis</a>( <span class='pre'>axis, value, animation</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>axis</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>animation</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-triggerInitialized' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-triggerInitialized' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-triggerInitialized' class='name expandable'>triggerInitialized</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='method-un' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-un' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-un' class='name expandable'>un</a>( <span class='pre'>eventName, fn, [scope], [options], [order]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for removeListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a>.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The type of event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove. <strong>This must be a reference to the function passed into the\n<a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> call.</strong></p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for the handler. It must be the same as the\nscope argument specified in the original call to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> or the listener will not be removed.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object. See <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a> for details.</p>\n\n</div></li><li><span class='pre'>order</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The order of the listener to remove.\nPossible values are <code>before</code>, <code>current</code> and <code>after</code>.</p>\n\n<p>Defaults to: <code>'current'</code></p></div></li></ul></div></div></div><div id='method-unAfter' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-unAfter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-unAfter' class='name expandable'>unAfter</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for removeAfterListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeAfterListener\" rel=\"Ext.mixin.Observable-method-removeAfterListener\" class=\"docClass\">removeAfterListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul></div></div></div><div id='method-unBefore' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.mixin.Observable' rel='Ext.mixin.Observable' class='defined-in docClass'>Ext.mixin.Observable</a><br/><a href='source/Observable.html#Ext-mixin-Observable-method-unBefore' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.mixin.Observable-method-unBefore' class='name expandable'>unBefore</a>( <span class='pre'>eventName, fn, [scope], [options]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Alias for removeBeforeListener. ...</div><div class='long'><p>Alias for <a href=\"#!/api/Ext.mixin.Observable-method-removeBeforeListener\" rel=\"Ext.mixin.Observable-method-removeBeforeListener\" class=\"docClass\">removeBeforeListener</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eventName</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>[]/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The name of the event the handler was associated with.</p>\n\n</div></li><li><span class='pre'>fn</span> : <a href=\"#!/api/Function\" rel=\"Function\" class=\"docClass\">Function</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The handler to remove.</p>\n\n</div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>The scope originally specified for <code>fn</code>.</p>\n\n</div></li><li><span class='pre'>options</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a> (optional)<div class='sub-desc'><p>Extra options object.</p>\n\n</div></li></ul></div></div></div><div id='method-unlink' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-method-unlink' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-method-unlink' class='name expandable'>unlink</a>( <span class='pre'></span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-unmask' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-unmask' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-unmask' class='name expandable'>unmask</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Convenience method which calls setMasked with a value of false (to hide the mask). ...</div><div class='long'><p>Convenience method which calls <a href=\"#!/api/Ext.Container-method-setMasked\" rel=\"Ext.Container-method-setMasked\" class=\"docClass\">setMasked</a> with a value of false (to hide the mask). For additional\nfunctionality, call the <a href=\"#!/api/Ext.Container-method-setMasked\" rel=\"Ext.Container-method-setMasked\" class=\"docClass\">setMasked</a> function direction (See the <a href=\"#!/api/Ext.Container-cfg-masked\" rel=\"Ext.Container-cfg-masked\" class=\"docClass\">masked</a> configuration documentation\nfor more information).</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-up' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-up' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-up' class='name expandable'>up</a>( <span class='pre'>[selector]</span> ) : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><span class=\"signature\"></span></div><div class='description'><div class='short'>Walks up the ownerCt axis looking for an ancestor Container which matches\nthe passed simple selector. ...</div><div class='long'><p>Walks up the <code>ownerCt</code> axis looking for an ancestor Container which matches\nthe passed simple selector.</p>\n\n<p>Example:</p>\n\n<pre><code>var owningTabPanel = grid.up('tabpanel');\n</code></pre>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>selector</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a> (optional)<div class='sub-desc'><p>The simple selector to test.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a></span><div class='sub-desc'><p>The matching ancestor Container (or <code>undefined</code> if no match was found).</p>\n</div></li></ul></div></div></div><div id='method-update' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-update' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-update' class='name expandable'>update</a>( <span class='pre'></span> )<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Updates the HTML content of the Component. ...</div><div class='long'><p>Updates the HTML content of the Component.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.0.0</p>\n        <p>Please use <a href=\"#!/api/Ext.Component-method-setHtml\" rel=\"Ext.Component-method-setHtml\" class=\"docClass\">setHtml</a>, <a href=\"#!/api/Ext.Component-method-setTpl\" rel=\"Ext.Component-method-setTpl\" class=\"docClass\">setTpl</a> or <a href=\"#!/api/Ext.Component-method-setData\" rel=\"Ext.Component-method-setData\" class=\"docClass\">setData</a> instead.</p>\n\n        </div>\n</div></div></div><div id='method-updateBaseCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-updateBaseCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-updateBaseCls' class='name expandable'>updateBaseCls</a>( <span class='pre'>newBaseCls, oldBaseCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newBaseCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldBaseCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-updateBaseCls\" rel=\"Ext.Component-method-updateBaseCls\" class=\"docClass\">Ext.Component.updateBaseCls</a></p></div></div></div><div id='method-updateBorder' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateBorder' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateBorder' class='name expandable'>updateBorder</a>( <span class='pre'>border</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>border</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateCls' class='name expandable'>updateCls</a>( <span class='pre'>newCls, oldCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>All cls methods directly report to the cls configuration, so anytime it changes, updateCls will be called ...</div><div class='long'><p>All cls methods directly report to the <a href=\"#!/api/Ext.Component-cfg-cls\" rel=\"Ext.Component-cfg-cls\" class=\"docClass\">cls</a> configuration, so anytime it changes, <a href=\"#!/api/Ext.Component-method-updateCls\" rel=\"Ext.Component-method-updateCls\" class=\"docClass\">updateCls</a> will be called</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateContentEl' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateContentEl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateContentEl' class='name expandable'>updateContentEl</a>( <span class='pre'>newContentEl, oldContentEl</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newContentEl</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldContentEl</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateData' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateData' class='name expandable'>updateData</a>( <span class='pre'>newData</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newData</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-updatedata\" rel=\"Ext.Component-event-updatedata\" class=\"docClass\">updatedata</a></li></ul></div></div></div><div id='method-updateDefaultType' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-updateDefaultType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-updateDefaultType' class='name expandable'>updateDefaultType</a>( <span class='pre'>defaultType</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>defaultType</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateDisabledCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateDisabledCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateDisabledCls' class='name expandable'>updateDisabledCls</a>( <span class='pre'>newDisabledCls, oldDisabledCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newDisabledCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldDisabledCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateFloatingCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateFloatingCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateFloatingCls' class='name expandable'>updateFloatingCls</a>( <span class='pre'>newFloatingCls, oldFloatingCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Updates the floatingCls if the component is currently floating ...</div><div class='long'><p>Updates the floatingCls if the component is currently floating</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newFloatingCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldFloatingCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateHiddenCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateHiddenCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateHiddenCls' class='name expandable'>updateHiddenCls</a>( <span class='pre'>newHiddenCls, oldHiddenCls</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newHiddenCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldHiddenCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateHideOnMaskTap' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-updateHideOnMaskTap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-updateHideOnMaskTap' class='name expandable'>updateHideOnMaskTap</a>( <span class='pre'>hide</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>hide</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateHtml' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateHtml' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateHtml' class='name expandable'>updateHtml</a>( <span class='pre'>html</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>html</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateLayout' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-updateLayout' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-updateLayout' class='name expandable'>updateLayout</a>( <span class='pre'>newLayout, oldLayout</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'><p><debug error></p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newLayout</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldLayout</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateMargin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateMargin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateMargin' class='name expandable'>updateMargin</a>( <span class='pre'>margin</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>margin</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateModal' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-updateModal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-updateModal' class='name expandable'>updateModal</a>( <span class='pre'>modal</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>modal</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updatePadding' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updatePadding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updatePadding' class='name expandable'>updatePadding</a>( <span class='pre'>padding</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>padding</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updatePlugins' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updatePlugins' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updatePlugins' class='name expandable'>updatePlugins</a>( <span class='pre'>newPlugins, oldPlugins</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newPlugins</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldPlugins</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateRecord' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateRecord' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateRecord' class='name expandable'>updateRecord</a>( <span class='pre'>newRecord, oldRecord</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newRecord</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldRecord</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Component-event-updatedata\" rel=\"Ext.Component-event-updatedata\" class=\"docClass\">updatedata</a></li></ul></div></div></div><div id='method-updateRenderTo' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateRenderTo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateRenderTo' class='name expandable'>updateRenderTo</a>( <span class='pre'>newContainer</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newContainer</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateStyle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateStyle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateStyle' class='name expandable'>updateStyle</a>( <span class='pre'>style</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>style</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='method-updateStyleHtmlCls' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateStyleHtmlCls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateStyleHtmlCls' class='name expandable'>updateStyleHtmlCls</a>( <span class='pre'>newHtmlCls, oldHtmlCls</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Updates the styleHtmlCls configuration ...</div><div class='long'><p>Updates the <a href=\"#!/api/Ext.Component-cfg-styleHtmlCls\" rel=\"Ext.Component-cfg-styleHtmlCls\" class=\"docClass\">styleHtmlCls</a> configuration</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newHtmlCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldHtmlCls</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateStyleHtmlContent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateStyleHtmlContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateStyleHtmlContent' class='name expandable'>updateStyleHtmlContent</a>( <span class='pre'>styleHtmlContent</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>styleHtmlContent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateTitle' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/Toolbar.html#Ext-Toolbar-method-updateTitle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-method-updateTitle' class='name expandable'>updateTitle</a>( <span class='pre'>newTitle, oldTitle</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newTitle</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldTitle</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul><li><a href=\"#!/api/Ext.Toolbar-event-add\" rel=\"Ext.Toolbar-event-add\" class=\"docClass\">add</a></li></ul></div></div></div><div id='method-updateUi' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-method-updateUi' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-method-updateUi' class='name expandable'>updateUi</a>( <span class='pre'>newUi, oldUi</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newUi</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>oldUi</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateUseBodyElement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-updateUseBodyElement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-updateUseBodyElement' class='name expandable'>updateUseBodyElement</a>( <span class='pre'>useBodyElement</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>useBodyElement</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul></div></div></div><div id='method-updateZIndex' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-method-updateZIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-method-updateZIndex' class='name expandable'>updateZIndex</a>( <span class='pre'>zIndex</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>zIndex</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul><h3 class='pa'>Fires</h3><ul></ul><p>Overrides: <a href=\"#!/api/Ext.Component-method-updateZIndex\" rel=\"Ext.Component-method-updateZIndex\" class=\"docClass\">Ext.Component.updateZIndex</a></p></div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-addConfig' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addConfig' class='name expandable'>addConfig</a>( <span class='pre'>config, fullMerge</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>config</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>fullMerge</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addInheritableStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addInheritableStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addInheritableStatics' class='name expandable'>addInheritableStatics</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMember' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMember' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMember' class='name expandable'>addMember</a>( <span class='pre'>name, member</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>member</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-addMembers' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addMembers' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addMembers' class='name expandable'>addMembers</a>( <span class='pre'>members</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add methods / properties to the prototype of this class. ...</div><div class='long'><p>Add methods / properties to the prototype of this class.</p>\n\n<pre class='inline-example '><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.awesome.Cat', {\n    constructor: function() {\n        // ...\n    }\n});\n\n My.awesome.Cat.addMembers({\n     meow: function() {\n        alert('Meowww...');\n     }\n });\n\n var kitty = new My.awesome.Cat();\n kitty.meow();\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul></div></div></div><div id='static-method-addStatics' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addStatics' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addStatics' class='name expandable'>addStatics</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Add / override static properties of this class. ...</div><div class='long'><p>Add / override static properties of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // this.se\n});\n\nMy.cool.Class.addStatics({\n    someProperty: 'someValue',      // My.cool.Class.someProperty = 'someValue'\n    method1: function() {  },    // My.cool.Class.method1 = function() { ... };\n    method2: function() {  }     // My.cool.Class.method2 = function() { ... };\n});\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-addXtype' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-addXtype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-addXtype' class='name expandable'>addXtype</a>( <span class='pre'>xtype</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>xtype</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-borrow' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-borrow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-borrow' class='name expandable'>borrow</a>( <span class='pre'>fromClass, members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Borrow another class' members to the prototype of this class. ...</div><div class='long'><p>Borrow another class' members to the prototype of this class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Bank', {\n    money: '$$$',\n    printMoney: function() {\n        alert('$$$$$$$');\n    }\n});\n\n<a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('Thief', {\n    // ...\n});\n\nThief.borrow(Bank, ['money', 'printMoney']);\n\nvar steve = new Thief();\n\nalert(steve.money); // alerts '$$$'\nsteve.printMoney(); // alerts '$$$$$$$'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fromClass</span> : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><div class='sub-desc'><p>The class to borrow members from</p>\n</div></li><li><span class='pre'>members</span> : <a href=\"#!/api/Array\" rel=\"Array\" class=\"docClass\">Array</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The names of the members to borrow</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this</p>\n</div></li></ul></div></div></div><div id='static-method-callParent' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-callParent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-callParent' class='name expandable'>callParent</a>( <span class='pre'>args</span> )<span class=\"signature\"><span class='protected' >protected</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>args</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-create' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-create' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-create' class='name expandable'>create</a>( <span class='pre'></span> ) : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create a new instance of this Class. ...</div><div class='long'><p>Create a new instance of this Class.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    // ...\n});\n\nMy.cool.Class.create({\n    someConfig: true\n});\n</code></pre>\n\n<p>All parameters are passed to the constructor of the class.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a></span><div class='sub-desc'><p>the created instance.</p>\n</div></li></ul></div></div></div><div id='static-method-createAlias' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-createAlias' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-createAlias' class='name expandable'>createAlias</a>( <span class='pre'>alias, origin</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Create aliases for existing prototype methods. ...</div><div class='long'><p>Create aliases for existing prototype methods. Example:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    method1: function() {  },\n    method2: function() {  }\n});\n\nvar test = new My.cool.Class();\n\nMy.cool.Class.createAlias({\n    method3: 'method1',\n    method4: 'method2'\n});\n\ntest.method3(); // test.method1()\n\nMy.cool.Class.createAlias('method5', 'method3');\n\ntest.method5(); // test.method3() -&gt; test.method1()\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>alias</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new method name, or an object to set multiple aliases. See\n<a href=\"#!/api/Ext.Function-method-flexSetter\" rel=\"Ext.Function-method-flexSetter\" class=\"docClass\">flexSetter</a></p>\n</div></li><li><span class='pre'>origin</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The original method name</p>\n</div></li></ul></div></div></div><div id='static-method-extend' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-extend' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-extend' class='name expandable'>extend</a>( <span class='pre'>parent</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>parent</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-getName' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-getName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-getName' class='name expandable'>getName</a>( <span class='pre'></span> ) : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Get the current class' name in string format. ...</div><div class='long'><p>Get the current class' name in string format.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.cool.Class', {\n    constructor: function() {\n        alert(this.self.getName()); // alerts 'My.cool.Class'\n    }\n});\n\nMy.cool.Class.getName(); // 'My.cool.Class'\n</code></pre>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a></span><div class='sub-desc'><p>className</p>\n</div></li></ul></div></div></div><div id='static-method-implement' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-implement' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-implement' class='name expandable'>implement</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='static-method-mixin' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-mixin' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-mixin' class='name expandable'>mixin</a>( <span class='pre'>name, mixinClass</span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Used internally by the mixins pre-processor ...</div><div class='long'><p>Used internally by the mixins pre-processor</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>name</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>mixinClass</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-onExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-onExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-onExtended' class='name expandable'>onExtended</a>( <span class='pre'>fn, scope</span> )<span class=\"signature\"><span class='chainable' >chainable</span><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li><li><span class='pre'>scope</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'></div></li></ul></div></div></div><div id='static-method-override' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-override' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-override' class='name expandable'>override</a>( <span class='pre'>members</span> ) : <a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a><span class=\"signature\"><span class='chainable' >chainable</span><span class='deprecated' >deprecated</span><span class='static' >static</span></span></div><div class='description'><div class='short'>Override members of this class. ...</div><div class='long'><p>Override members of this class. Overridden methods can be invoked via\n<a href=\"#!/api/Ext.Base-method-callParent\" rel=\"Ext.Base-method-callParent\" class=\"docClass\">callParent</a>.</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.Cat', {\n    constructor: function() {\n        alert(\"I'm a cat!\");\n    }\n});\n\nMy.Cat.override({\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n\nvar kitty = new My.Cat(); // alerts \"I'm going to be a cat!\"\n                          // alerts \"I'm a cat!\"\n                          // alerts \"Meeeeoooowwww\"\n</code></pre>\n\n<p>As of 2.1, direct use of this method is deprecated. Use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>\ninstead:</p>\n\n<pre><code><a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a>('My.CatOverride', {\n    override: 'My.Cat',\n\n    constructor: function() {\n        alert(\"I'm going to be a cat!\");\n\n        var instance = this.callParent(arguments);\n\n        alert(\"Meeeeoooowwww\");\n\n        return instance;\n    }\n});\n</code></pre>\n\n<p>The above accomplishes the same result but can be managed by the <a href=\"#!/api/Ext.Loader\" rel=\"Ext.Loader\" class=\"docClass\">Ext.Loader</a>\nwhich can properly order the override and its target class and the build process\ncan determine whether the override is needed based on the required state of the\ntarget class (My.Cat).</p>\n        <p>Available since: <b>2.0.0</b></p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This method has been <strong>deprecated</strong> since 2.1.0</p>\n        <p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>members</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The properties to add to this class. This should be\nspecified as an object literal containing one or more properties.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'><a href=\"#!/api/Ext.Base\" rel=\"Ext.Base\" class=\"docClass\">Ext.Base</a></span><div class='sub-desc'><p>this class</p>\n</div></li></ul></div></div></div><div id='static-method-triggerExtended' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Base' rel='Ext.Base' class='defined-in docClass'>Ext.Base</a><br/><a href='source/Base2.html#Ext-Base-static-method-triggerExtended' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Base-static-method-triggerExtended' class='name expandable'>triggerExtended</a>( <span class='pre'></span> )<span class=\"signature\"><span class='private' >private</span><span class='static' >static</span></span></div><div class='description'><div class='short'> ...</div><div class='long'>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-event'>Events</h3><div class='subsection'><div id='event-activate' class='member first-child inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-event-activate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-activate' class='name expandable'>activate</a>( <span class='pre'>newActiveItem, this, oldActiveItem, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever item within the Container is activated. ...</div><div class='long'><p>Fires whenever item within the Container is activated.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>newActiveItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new active item within the container.</p>\n</div></li><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The Container instance.</p>\n</div></li><li><span class='pre'>oldActiveItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The old active item within the container.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-activeitemchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-activeItem' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-activeitemchange' class='name expandable'>activeitemchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the activeItem configuration is changed by setActiveItem. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Container-cfg-activeItem\" rel=\"Ext.Container-cfg-activeItem\" class=\"docClass\">activeItem</a> configuration is changed by <a href=\"#!/api/Ext.Container-method-setActiveItem\" rel=\"Ext.Container-method-setActiveItem\" class=\"docClass\">setActiveItem</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-activetabchange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-cfg-activeTab' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-event-activetabchange' class='name expandable'>activetabchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the activeTab configuration is changed by setActiveTab. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.tab.Bar-cfg-activeTab\" rel=\"Ext.tab.Bar-cfg-activeTab\" class=\"docClass\">activeTab</a> configuration is changed by <a href=\"#!/api/Ext.tab.Bar-method-setActiveTab\" rel=\"Ext.tab.Bar-method-setActiveTab\" class=\"docClass\">setActiveTab</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.tab.Bar\" rel=\"Ext.tab.Bar\" class=\"docClass\">Ext.tab.Bar</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.tab.Bar\" rel=\"Ext.tab.Bar\" class=\"docClass\">Ext.tab.Bar</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-add' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-event-add' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-add' class='name expandable'>add</a>( <span class='pre'>this, item, index, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever item added to the Container. ...</div><div class='long'><p>Fires whenever item added to the Container.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The Container instance.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item added to the Container.</p>\n</div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index of the item within the Container.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-beforeorientationchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-beforeorientationchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-beforeorientationchange' class='name expandable'>beforeorientationchange</a>( <span class='pre'>eOpts</span> )<span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>Fires before orientation changes. ...</div><div class='long'><p>Fires before orientation changes.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This event has been <strong>removed</strong> since 2.0.0</p>\n        <p>This event is now only available <code>onBefore</code> the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-bottomchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-bottom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-bottomchange' class='name expandable'>bottomchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the bottom configuration is changed by setBottom. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-bottom\" rel=\"Ext.Component-cfg-bottom\" class=\"docClass\">bottom</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setBottom\" rel=\"Ext.Component-method-setBottom\" class=\"docClass\">setBottom</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-centeredchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-centered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-centeredchange' class='name expandable'>centeredchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the centered configuration is changed by setCentered. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-centered\" rel=\"Ext.Component-cfg-centered\" class=\"docClass\">centered</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setCentered\" rel=\"Ext.Component-method-setCentered\" class=\"docClass\">setCentered</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-deactivate' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-event-deactivate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-deactivate' class='name expandable'>deactivate</a>( <span class='pre'>oldActiveItem, this, newActiveItem, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever item within the Container is deactivated. ...</div><div class='long'><p>Fires whenever item within the Container is deactivated.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oldActiveItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The old active item within the container.</p>\n</div></li><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The Container instance.</p>\n</div></li><li><span class='pre'>newActiveItem</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new active item within the container.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-destroy' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-destroy' class='name expandable'>destroy</a>( <span class='pre'>eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the component is destroyed ...</div><div class='long'><p>Fires when the component is destroyed</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-disabledchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-disabled' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-disabledchange' class='name expandable'>disabledchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the disabled configuration is changed by setDisabled. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-disabled\" rel=\"Ext.Component-cfg-disabled\" class=\"docClass\">disabled</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setDisabled\" rel=\"Ext.Component-method-setDisabled\" class=\"docClass\">setDisabled</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-dockedchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-docked' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-dockedchange' class='name expandable'>dockedchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the docked configuration is changed by setDocked. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setDocked\" rel=\"Ext.Component-method-setDocked\" class=\"docClass\">setDocked</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-erased' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-erased' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-erased' class='name expandable'>erased</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the component is no longer displayed in the DOM. ...</div><div class='long'><p>Fires when the component is no longer displayed in the DOM.  Listening to this event will\ndegrade performance not recommend for general use.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-flexchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-flex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-flexchange' class='name expandable'>flexchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the flex configuration is changed by setFlex. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-flex\" rel=\"Ext.Component-cfg-flex\" class=\"docClass\">flex</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setFlex\" rel=\"Ext.Component-method-setFlex\" class=\"docClass\">setFlex</a>.</p>\n        <p>Available since: <b>2.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-floatingchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-floatingchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-floatingchange' class='name expandable'>floatingchange</a>( <span class='pre'>this, floating, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever there is a change in the floating status of a component ...</div><div class='long'><p>Fires whenever there is a change in the floating status of a component</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>floating</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The component's new floating state</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-fullscreen' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-fullscreen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-fullscreen' class='name expandable'>fullscreen</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever a Component with the fullscreen config is instantiated ...</div><div class='long'><p>Fires whenever a Component with the fullscreen config is instantiated</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-heightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-heightchange' class='name expandable'>heightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the height configuration is changed by setHeight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-height\" rel=\"Ext.Component-cfg-height\" class=\"docClass\">height</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setHeight\" rel=\"Ext.Component-method-setHeight\" class=\"docClass\">setHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-hiddenchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-hidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-hiddenchange' class='name expandable'>hiddenchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the hidden configuration is changed by setHidden. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-hidden\" rel=\"Ext.Component-cfg-hidden\" class=\"docClass\">hidden</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setHidden\" rel=\"Ext.Component-method-setHidden\" class=\"docClass\">setHidden</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-hide' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-hide' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-hide' class='name expandable'>hide</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever the Component is hidden ...</div><div class='long'><p>Fires whenever the Component is hidden</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-initialize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-initialize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-initialize' class='name expandable'>initialize</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the component has been initialized ...</div><div class='long'><p>Fires when the component has been initialized</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-leftchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-left' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-leftchange' class='name expandable'>leftchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the left configuration is changed by setLeft. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-left\" rel=\"Ext.Component-cfg-left\" class=\"docClass\">left</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setLeft\" rel=\"Ext.Component-method-setLeft\" class=\"docClass\">setLeft</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-maxheightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-maxheightchange' class='name expandable'>maxheightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the maxHeight configuration is changed by setMaxHeight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-maxHeight\" rel=\"Ext.Component-cfg-maxHeight\" class=\"docClass\">maxHeight</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMaxHeight\" rel=\"Ext.Component-method-setMaxHeight\" class=\"docClass\">setMaxHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-maxwidthchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-maxWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-maxwidthchange' class='name expandable'>maxwidthchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the maxWidth configuration is changed by setMaxWidth. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-maxWidth\" rel=\"Ext.Component-cfg-maxWidth\" class=\"docClass\">maxWidth</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMaxWidth\" rel=\"Ext.Component-method-setMaxWidth\" class=\"docClass\">setMaxWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-minheightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minHeight' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-minheightchange' class='name expandable'>minheightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the minHeight configuration is changed by setMinHeight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-minHeight\" rel=\"Ext.Component-cfg-minHeight\" class=\"docClass\">minHeight</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMinHeight\" rel=\"Ext.Component-method-setMinHeight\" class=\"docClass\">setMinHeight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-minwidthchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-minWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-minwidthchange' class='name expandable'>minwidthchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the minWidth configuration is changed by setMinWidth. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-minWidth\" rel=\"Ext.Component-cfg-minWidth\" class=\"docClass\">minWidth</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setMinWidth\" rel=\"Ext.Component-method-setMinWidth\" class=\"docClass\">setMinWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-move' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-event-move' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-move' class='name expandable'>move</a>( <span class='pre'>this, item, toIndex, fromIndex, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever item moved within the Container. ...</div><div class='long'><p>Fires whenever item moved within the Container.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The Container instance.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item moved within the Container.</p>\n</div></li><li><span class='pre'>toIndex</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The new index of the item.</p>\n</div></li><li><span class='pre'>fromIndex</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The old index of the item.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-orientationchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-orientationchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-orientationchange' class='name expandable'>orientationchange</a>( <span class='pre'>eOpts</span> )<span class=\"signature\"><span class='removed' >removed</span></span></div><div class='description'><div class='short'>Fires when orientation changes. ...</div><div class='long'><p>Fires when orientation changes.</p>\n        <p>Available since: <b>1.1.0</b></p>\n        <div class='rounded-box removed-box deprecated-tag-box'>\n        <p>This event has been <strong>removed</strong> since 2.0.0</p>\n        <p>This event is now only available on the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-painted' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-painted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-painted' class='name expandable'>painted</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever this Element actually becomes visible (painted) on the screen. ...</div><div class='long'><p>Fires whenever this Element actually becomes visible (painted) on the screen. This is useful when you need to\nperform 'read' operations on the DOM element, i.e: calculating natural sizes and positioning.</p>\n\n<p><strong>Note:</strong> This event is not available to be used with event delegation. Instead <code>painted</code> only fires if you explicitly\nadd at least one listener to it, for performance reasons.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The component instance.</p>\n\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-remove' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-event-remove' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-remove' class='name expandable'>remove</a>( <span class='pre'>this, item, index, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever item removed from the Container. ...</div><div class='long'><p>Fires whenever item removed from the Container.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The Container instance.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item removed from the Container.</p>\n</div></li><li><span class='pre'>index</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a><div class='sub-desc'><p>The index of the item that was removed.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-renderedchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-event-renderedchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-renderedchange' class='name expandable'>renderedchange</a>( <span class='pre'>this, item, rendered, eOpts</span> )<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Fires whenever an item is rendered into a container or derendered\nfrom a Container. ...</div><div class='long'><p>Fires whenever an item is rendered into a container or derendered\nfrom a Container.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The Container instance.</p>\n</div></li><li><span class='pre'>item</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The item in the Container.</p>\n</div></li><li><span class='pre'>rendered</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a><div class='sub-desc'><p>The current rendered status of the item.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-resize' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-resize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-resize' class='name expandable'>resize</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Important note: For the best performance on mobile devices, use this only when you absolutely need to monitor\na Eleme...</div><div class='long'><p>Important note: For the best performance on mobile devices, use this only when you absolutely need to monitor\na Element's size.</p>\n\n<p><strong>Note:</strong> This event is not available to be used with event delegation. Instead <code>resize</code> only fires if you explicitly\nadd at least one listener to it, for performance reasons.</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.dom.Element\" rel=\"Ext.dom.Element\" class=\"docClass\">Ext.Element</a><div class='sub-desc'><p>The component instance.</p>\n\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-rightchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-right' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-rightchange' class='name expandable'>rightchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the right configuration is changed by setRight. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-right\" rel=\"Ext.Component-cfg-right\" class=\"docClass\">right</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setRight\" rel=\"Ext.Component-method-setRight\" class=\"docClass\">setRight</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-scrollablechange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Container' rel='Ext.Container' class='defined-in docClass'>Ext.Container</a><br/><a href='source/Container3.html#Ext-Container-cfg-scrollable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Container-event-scrollablechange' class='name expandable'>scrollablechange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the scrollable configuration is changed by setScrollable. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Container-cfg-scrollable\" rel=\"Ext.Container-cfg-scrollable\" class=\"docClass\">scrollable</a> configuration is changed by <a href=\"#!/api/Ext.Container-method-setScrollable\" rel=\"Ext.Container-method-setScrollable\" class=\"docClass\">setScrollable</a>.</p>\n        <p>Available since: <b>2.0.2</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Container\" rel=\"Ext.Container\" class=\"docClass\">Ext.Container</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Boolean\" rel=\"Boolean\" class=\"docClass\">Boolean</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a>/<a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-show' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-show' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-show' class='name expandable'>show</a>( <span class='pre'>this, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever the Component is shown ...</div><div class='long'><p>Fires whenever the Component is shown</p>\n        <p>Available since: <b>1.1.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-tabchange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/Bar3.html#Ext-tab-Bar-event-tabchange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-event-tabchange' class='name expandable'>tabchange</a>( <span class='pre'>this, newTab, oldTab, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fired when active tab changes. ...</div><div class='long'><p>Fired when active tab changes.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.tab.Bar\" rel=\"Ext.tab.Bar\" class=\"docClass\">Ext.tab.Bar</a><div class='sub-desc'>\n</div></li><li><span class='pre'>newTab</span> : <a href=\"#!/api/Ext.tab.Tab\" rel=\"Ext.tab.Tab\" class=\"docClass\">Ext.tab.Tab</a><div class='sub-desc'><p>The new Tab</p>\n</div></li><li><span class='pre'>oldTab</span> : <a href=\"#!/api/Ext.tab.Tab\" rel=\"Ext.tab.Tab\" class=\"docClass\">Ext.tab.Tab</a><div class='sub-desc'><p>The old Tab</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-topchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-top' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-topchange' class='name expandable'>topchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the top configuration is changed by setTop. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-top\" rel=\"Ext.Component-cfg-top\" class=\"docClass\">top</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setTop\" rel=\"Ext.Component-method-setTop\" class=\"docClass\">setTop</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-updatedata' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-event-updatedata' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-updatedata' class='name expandable'>updatedata</a>( <span class='pre'>this, newData, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires whenever the data of the component is updated ...</div><div class='long'><p>Fires whenever the data of the component is updated</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The component instance</p>\n</div></li><li><span class='pre'>newData</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The new data</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div><div id='event-widthchange' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Component' rel='Ext.Component' class='defined-in docClass'>Ext.Component</a><br/><a href='source/Component.html#Ext-Component-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Component-event-widthchange' class='name expandable'>widthchange</a>( <span class='pre'>this, value, oldValue, eOpts</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fires when the width configuration is changed by setWidth. ...</div><div class='long'><p>Fires when the <a href=\"#!/api/Ext.Component-cfg-width\" rel=\"Ext.Component-cfg-width\" class=\"docClass\">width</a> configuration is changed by <a href=\"#!/api/Ext.Component-method-setWidth\" rel=\"Ext.Component-method-setWidth\" class=\"docClass\">setWidth</a>.</p>\n        <p>Available since: <b>2.0.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>this</span> : <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a><div class='sub-desc'><p>The <a href=\"#!/api/Ext.Component\" rel=\"Ext.Component\" class=\"docClass\">Ext.Component</a> instance.</p>\n</div></li><li><span class='pre'>value</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The new value being set.</p>\n</div></li><li><span class='pre'>oldValue</span> : <a href=\"#!/api/Number\" rel=\"Number\" class=\"docClass\">Number</a>/<a href=\"#!/api/String\" rel=\"String\" class=\"docClass\">String</a><div class='sub-desc'><p>The existing value.</p>\n</div></li><li><span class='pre'>eOpts</span> : <a href=\"#!/api/Object\" rel=\"Object\" class=\"docClass\">Object</a><div class='sub-desc'><p>The options object passed to <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">Ext.util.Observable.addListener</a>.</p>\n\n\n\n</div></li></ul></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-css_var'>CSS Variables</h3><div class='subsection'><div id='css_var-S-include-bottom-tabs' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-include-bottom-tabs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-include-bottom-tabs' class='name expandable'>$include-bottom-tabs</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally exclude bottom tab styles by setting to false. ...</div><div class='long'><p>Optionally exclude bottom tab styles by setting to false.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-tabbar-uis' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-include-tabbar-uis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-include-tabbar-uis' class='name expandable'>$include-tabbar-uis</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally disable separate tabbar UIs (light and dark). ...</div><div class='long'><p>Optionally disable separate tabbar UIs (light and dark).</p>\n<p>Defaults to: <code>$include-default-uis</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-toolbar-uis' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/_Toolbar.scss3.html#Ext-Toolbar-css_var-S-include-toolbar-uis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-css_var-S-include-toolbar-uis' class='name expandable'>$include-toolbar-uis</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally disable separate toolbar UIs (light and dark). ...</div><div class='long'><p>Optionally disable separate toolbar UIs (light and dark).</p>\n<p>Defaults to: <code>$include-default-uis</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-top-tabs' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-include-top-tabs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-include-top-tabs' class='name expandable'>$include-top-tabs</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally exclude top tab styles by setting to false. ...</div><div class='long'><p>Optionally exclude top tab styles by setting to false.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-tabs-bar-gradient' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-tabs-bar-gradient' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-tabs-bar-gradient' class='name expandable'>$tabs-bar-gradient</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Background gradient style for tab bars. ...</div><div class='long'><p>Background gradient style for tab bars.</p>\n<p>Defaults to: <code>$base-gradient</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-tabs-dark' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-tabs-dark' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-tabs-dark' class='name expandable'>$tabs-dark</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Base color for \"dark\" UI tabs. ...</div><div class='long'><p>Base color for \"dark\" UI tabs.</p>\n<p>Defaults to: <code>darken ( $base-color , 20% )</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-tabs-dark-active' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-tabs-dark-active' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-tabs-dark-active' class='name expandable'>$tabs-dark-active</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Active color for \"dark\" UI tabs.</p>\n</div><div class='long'><p>Active color for \"dark\" UI tabs.</p>\n        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-tabs-light' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-tabs-light' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-tabs-light' class='name expandable'>$tabs-light</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Base color for \"light\" UI tabs. ...</div><div class='long'><p>Base color for \"light\" UI tabs.</p>\n<p>Defaults to: <code>desaturate ( $base-color , 10% )</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-tabs-light-active' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss9.html#Ext-tab-Bar-css_var-S-tabs-light-active' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_var-S-tabs-light-active' class='name expandable'>$tabs-light-active</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Active color for \"light\" UI tabs. ...</div><div class='long'><p>Active color for \"light\" UI tabs.</p>\n<p>Defaults to: <code>lighten ( saturate ( $active-color , 20% ) , 20% )</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-toolbar-base-color' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/_Toolbar.scss3.html#Ext-Toolbar-css_var-S-toolbar-base-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-css_var-S-toolbar-base-color' class='name expandable'>$toolbar-base-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>The primary color variable from which toolbars derive their light and dark UIs. ...</div><div class='long'><p>The primary color variable from which toolbars derive their light and dark UIs.</p>\n<p>Defaults to: <code>$base-color</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='css_var-S-toolbar-gradient' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/_Toolbar.scss3.html#Ext-Toolbar-css_var-S-toolbar-gradient' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-css_var-S-toolbar-gradient' class='name expandable'>$toolbar-gradient</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Background gradient style for toolbars. ...</div><div class='long'><p>Background gradient style for toolbars.</p>\n<p>Defaults to: <code>$base-gradient</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-css_mixin'>CSS Mixins</h3><div class='subsection'><div id='css_mixin-sencha-tabbar-ui' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Ext.tab.Bar'>Ext.tab.Bar</span><br/><a href='source/_Panel.scss6.html#Ext-tab-Bar-css_mixin-sencha-tabbar-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.tab.Bar-css_mixin-sencha-tabbar-ui' class='name expandable'>sencha-tabbar-ui</a>( <span class='pre'>$ui-label, $bar-color, $bar-gradient, $tab-active-color</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a theme UI for tabbar/tab components. ...</div><div class='long'><p>Creates a theme UI for tabbar/tab components.</p>\n\n<pre><code>// SCSS\n@include sencha-button-ui('pink', #333, 'matte', #AE537A);\n\n// JS\nvar tabs = new <a href=\"#!/api/Ext.tab.Panel\" rel=\"Ext.tab.Panel\" class=\"docClass\">Ext.tab.Panel</a>({\n   tabBar: {\n     ui: 'pink',\n     dock: 'bottom',\n     layout: { pack: 'center' }\n   },\n   ...\n});\n</code></pre>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$ui-label</span> : string<div class='sub-desc'><p>The name of the UI being created.\n  Can not included spaces or special punctuation (used in class names)</p>\n</div></li><li><span class='pre'>$bar-color</span> : color<div class='sub-desc'><p>Base color for the tab bar.</p>\n</div></li><li><span class='pre'>$bar-gradient</span> : string<div class='sub-desc'><p>Background gradient style for the tab bar.</p>\n</div></li><li><span class='pre'>$tab-active-color</span> : color<div class='sub-desc'><p>Background-color for active tab icons.</p>\n</div></li></ul></div></div></div><div id='css_mixin-sencha-toolbar-ui' class='member  inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><a href='#!/api/Ext.Toolbar' rel='Ext.Toolbar' class='defined-in docClass'>Ext.Toolbar</a><br/><a href='source/_Toolbar.scss2.html#Ext-Toolbar-css_mixin-sencha-toolbar-ui' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Ext.Toolbar-css_mixin-sencha-toolbar-ui' class='name expandable'>sencha-toolbar-ui</a>( <span class='pre'>$ui-label, $color, $gradient</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a theme UI for toolbars. ...</div><div class='long'><p>Creates a theme UI for toolbars.</p>\n\n<pre><code>// SCSS\n@include sencha-toolbar-ui('sub', #58710D, 'glossy');\n\n// JS\nvar myTb = new <a href=\"#!/api/Ext.Toolbar\" rel=\"Ext.Toolbar\" class=\"docClass\">Ext.Toolbar</a>({title: 'My Green Glossy Toolbar', ui: 'sub'})\n</code></pre>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$ui-label</span> : string<div class='sub-desc'><p>The name of the UI being created.\n  Can not included spaces or special punctuation (used in class names)</p>\n</div></li><li><span class='pre'>$color</span> : color<div class='sub-desc'><p>Base color for the UI.</p>\n</div></li><li><span class='pre'>$gradient</span> : string<div class='sub-desc'><p>: $toolbar-gradien Background gradient style for the UI.</p>\n</div></li></ul></div></div></div></div></div></div></div>","alternateClassNames":["Ext.TabBar"],"autodetected":{"uses":true,"alternateClassNames":true,"aliases":true,"members":true,"mixins":true,"extends":true,"code_type":true,"requires":true},"aliases":{"widget":["tabbar"]},"members":[{"meta":{},"owner":"Ext.Container","name":"activeItem","id":"cfg-activeItem","tagname":"cfg"},{"meta":{},"owner":"Ext.tab.Bar","name":"activeTab","id":"cfg-activeTab","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"autoDestroy","id":"cfg-autoDestroy","tagname":"cfg"},{"meta":{},"owner":"Ext.tab.Bar","name":"baseCls","id":"cfg-baseCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"border","id":"cfg-border","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"bottom","id":"cfg-bottom","tagname":"cfg"},{"meta":{},"owner":"Ext.mixin.Observable","name":"bubbleEvents","id":"cfg-bubbleEvents","tagname":"cfg"},{"meta":{"removed":{"text":"<p>Please use <a href=\"#!/api/Ext.layout.Card-cfg-animation\" rel=\"Ext.layout.Card-cfg-animation\" class=\"docClass\">Ext.layout.Card.animation</a> instead</p>\n","version":"2.0.0"}},"owner":"Ext.Container","name":"cardSwitchAnimation","id":"cfg-cardSwitchAnimation","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"centered","id":"cfg-centered","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"cls","id":"cfg-cls","tagname":"cfg"},{"meta":{"deprecated":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"componentCls","id":"cfg-componentCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"contentEl","id":"cfg-contentEl","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"control","id":"cfg-control","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"data","id":"cfg-data","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"defaultType","id":"cfg-defaultType","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"defaults","id":"cfg-defaults","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"disabled","id":"cfg-disabled","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"disabledCls","id":"cfg-disabledCls","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-cfg-docked\" rel=\"Ext.Component-cfg-docked\" class=\"docClass\">docked</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"dock","id":"cfg-dock","tagname":"cfg"},{"meta":{},"owner":"Ext.Toolbar","name":"docked","id":"cfg-docked","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"draggable","id":"cfg-draggable","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"enterAnimation","id":"cfg-enterAnimation","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"exitAnimation","id":"cfg-exitAnimation","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"flex","id":"cfg-flex","tagname":"cfg"},{"meta":{"deprecated":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"floating","id":"cfg-floating","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"floatingCls","id":"cfg-floatingCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"fullscreen","id":"cfg-fullscreen","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"height","id":"cfg-height","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"hidden","id":"cfg-hidden","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"hiddenCls","id":"cfg-hiddenCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"hideAnimation","id":"cfg-hideAnimation","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"hideOnMaskTap","id":"cfg-hideOnMaskTap","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"html","id":"cfg-html","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"id","id":"cfg-id","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"itemId","id":"cfg-itemId","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"items","id":"cfg-items","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"layout","id":"cfg-layout","tagname":"cfg"},{"meta":{"removed":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"layoutOnOrientationChange","id":"cfg-layoutOnOrientationChange","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"left","id":"cfg-left","tagname":"cfg"},{"meta":{},"owner":"Ext.mixin.Observable","name":"listeners","id":"cfg-listeners","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"margin","id":"cfg-margin","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"masked","id":"cfg-masked","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"maxHeight","id":"cfg-maxHeight","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"maxWidth","id":"cfg-maxWidth","tagname":"cfg"},{"meta":{},"owner":"Ext.Toolbar","name":"minHeight","id":"cfg-minHeight","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"minWidth","id":"cfg-minWidth","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"modal","id":"cfg-modal","tagname":"cfg"},{"meta":{"removed":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"monitorOrientation","id":"cfg-monitorOrientation","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"padding","id":"cfg-padding","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"plugins","id":"cfg-plugins","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"record","id":"cfg-record","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"renderTo","id":"cfg-renderTo","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"right","id":"cfg-right","tagname":"cfg"},{"meta":{"deprecated":{"text":"<p>Please use the <a href=\"#!/api/Ext.Container-cfg-scrollable\" rel=\"Ext.Container-cfg-scrollable\" class=\"docClass\">scrollable</a> configuration.</p>\n","version":"2.0.0"}},"owner":"Ext.Container","name":"scroll","id":"cfg-scroll","tagname":"cfg"},{"meta":{},"owner":"Ext.Container","name":"scrollable","id":"cfg-scrollable","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"showAnimation","id":"cfg-showAnimation","tagname":"cfg"},{"meta":{"removed":{"text":"\n","version":"2.0.0"}},"owner":"Ext.Component","name":"stopMaskTapEvent","id":"cfg-stopMaskTapEvent","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"style","id":"cfg-style","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"styleHtmlCls","id":"cfg-styleHtmlCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"styleHtmlContent","id":"cfg-styleHtmlContent","tagname":"cfg"},{"meta":{},"owner":"Ext.Toolbar","name":"title","id":"cfg-title","tagname":"cfg"},{"meta":{"removed":{"text":"<p>Title class is now a config option of the title</p>\n","version":"2.0.0"}},"owner":"Ext.Toolbar","name":"titleCls","id":"cfg-titleCls","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"top","id":"cfg-top","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"tpl","id":"cfg-tpl","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"tplWriteMode","id":"cfg-tplWriteMode","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.Component","name":"translatable","id":"cfg-translatable","tagname":"cfg"},{"meta":{},"owner":"Ext.Toolbar","name":"ui","id":"cfg-ui","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.Container","name":"useBodyElement","id":"cfg-useBodyElement","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"width","id":"cfg-width","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"xtype","id":"cfg-xtype","tagname":"cfg"},{"meta":{},"owner":"Ext.Component","name":"zIndex","id":"cfg-zIndex","tagname":"cfg"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_BOTH","id":"property-LAYOUT_BOTH","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_HEIGHT","id":"property-LAYOUT_HEIGHT","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_STRETCHED","id":"property-LAYOUT_STRETCHED","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"LAYOUT_WIDTH","id":"property-LAYOUT_WIDTH","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"alignmentRegex","id":"property-alignmentRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"defaultIdPrefix","id":"property-defaultIdPrefix","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"defaultIdSeparator","id":"property-defaultIdSeparator","tagname":"property"},{"meta":{"readonly":true,"private":true},"owner":"Ext.Component","name":"dockPositions","id":"property-dockPositions","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"element","id":"property-element","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"eventFiringSuspended","id":"property-eventFiringSuspended","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"floating","id":"property-floating","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Toolbar","name":"hasCSSMinHeight","id":"property-hasCSSMinHeight","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"heightLayoutSized","id":"property-heightLayoutSized","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"idCleanRegex","id":"property-idCleanRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Evented","name":"initialized","id":"property-initialized","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"innerElement","id":"property-innerElement","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"isComponent","id":"property-isComponent","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Container","name":"isContainer","id":"property-isContainer","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"isIdentifiable","id":"property-isIdentifiable","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"isInner","id":"property-isInner","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"isObservable","id":"property-isObservable","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Toolbar","name":"isToolbar","id":"property-isToolbar","tagname":"property"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Container-method-getItems\" rel=\"Ext.Container-method-getItems\" class=\"docClass\">getItems</a> method instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Container","name":"items","id":"property-items","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"layoutStretched","id":"property-layoutStretched","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"listenerOptionsRegex","id":"property-listenerOptionsRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Traversable","name":"mixinConfig","id":"property-mixinConfig","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"mixinId","id":"property-mixinId","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"observableIdPrefix","id":"property-observableIdPrefix","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"observableType","id":"property-observableType","tagname":"property"},{"meta":{"private":true},"owner":"Ext.AbstractComponent","name":"referenceAttributeName","id":"property-referenceAttributeName","tagname":"property"},{"meta":{"private":true},"owner":"Ext.AbstractComponent","name":"referenceSelector","id":"property-referenceSelector","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"rendered","id":"property-rendered","tagname":"property"},{"meta":{"protected":true},"owner":"Ext.Base","name":"self","id":"property-self","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"sizeFlags","id":"property-sizeFlags","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"sizeState","id":"property-sizeState","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"template","id":"property-template","tagname":"property"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"validIdRegex","id":"property-validIdRegex","tagname":"property"},{"meta":{"private":true},"owner":"Ext.Component","name":"widthLayoutSized","id":"property-widthLayoutSized","tagname":"property"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"$onExtended","id":"static-property-S-onExtended","tagname":"property"},{"meta":{},"owner":"Ext.Toolbar","name":"constructor","id":"method-constructor","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"add","id":"method-add","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"addAfterListener","id":"method-addAfterListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Container-method-add\" rel=\"Ext.Container-method-add\" class=\"docClass\">add</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Container","name":"addAll","id":"method-addAll","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"addBeforeListener","id":"method-addBeforeListener","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"addCls","id":"method-addCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"addDispatcherListener","id":"method-addDispatcherListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>It's no longer needed to add events before firing.</p>\n","version":"2.0"}},"owner":"Ext.mixin.Observable","name":"addEvents","id":"method-addEvents","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"addListener","id":"method-addListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-addListener\" rel=\"Ext.mixin.Observable-method-addListener\" class=\"docClass\">addListener</a>.</p>\n","version":"2.0"}},"owner":"Ext.mixin.Observable","name":"addManagedListener","id":"method-addManagedListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.AbstractComponent","name":"addReferenceNode","id":"method-addReferenceNode","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"afterEdit","id":"method-afterEdit","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"afterErase","id":"method-afterErase","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"alignTo","id":"method-alignTo","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"animateActiveItem","id":"method-animateActiveItem","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"animateFn","id":"method-animateFn","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"applyActiveItem","id":"method-applyActiveItem","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"applyActiveTab","id":"method-applyActiveTab","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyBaseCls","id":"method-applyBaseCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyBottom","id":"method-applyBottom","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"applyBubbleEvents","id":"method-applyBubbleEvents","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyCentered","id":"method-applyCentered","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyCls","id":"method-applyCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyContentEl","id":"method-applyContentEl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"applyControl","id":"method-applyControl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyData","id":"method-applyData","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"applyDefaults","id":"method-applyDefaults","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyDisabled","id":"method-applyDisabled","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyDocked","id":"method-applyDocked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyDraggable","id":"method-applyDraggable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyFlex","id":"method-applyFlex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyHeight","id":"method-applyHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyHidden","id":"method-applyHidden","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyItemId","id":"method-applyItemId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"applyItems","id":"method-applyItems","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyLeft","id":"method-applyLeft","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"applyListeners","id":"method-applyListeners","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"applyMasked","id":"method-applyMasked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMaxHeight","id":"method-applyMaxHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMaxWidth","id":"method-applyMaxWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMinHeight","id":"method-applyMinHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyMinWidth","id":"method-applyMinWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"applyModal","id":"method-applyModal","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyPlugins","id":"method-applyPlugins","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyRecord","id":"method-applyRecord","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyRight","id":"method-applyRight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"applyScrollable","id":"method-applyScrollable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyStyleHtmlContent","id":"method-applyStyleHtmlContent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Toolbar","name":"applyTitle","id":"method-applyTitle","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyTop","id":"method-applyTop","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyTpl","id":"method-applyTpl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyTranslatable","id":"method-applyTranslatable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyWidth","id":"method-applyWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"applyZIndex","id":"method-applyZIndex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"beforeInitConfig","id":"method-beforeInitConfig","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"beforeInitialize","id":"method-beforeInitialize","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callOverridden","id":"method-callOverridden","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callParent","id":"method-callParent","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"callSuper","id":"method-callSuper","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.mixin.Observable","name":"changeListener","id":"method-changeListener","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"child","id":"method-child","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"clearListeners","id":"method-clearListeners","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"clearManagedListeners","id":"method-clearManagedListeners","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"createEventBubbler","id":"method-createEventBubbler","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"createEventRelayer","id":"method-createEventRelayer","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"destroy","id":"method-destroy","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"disable","id":"method-disable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doAdd","id":"method-doAdd","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doAddListener","id":"method-doAddListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"doFireEvent","id":"method-doFireEvent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doInsert","id":"method-doInsert","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doItemLayoutAdd","id":"method-doItemLayoutAdd","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doItemLayoutMove","id":"method-doItemLayoutMove","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doItemLayoutRemove","id":"method-doItemLayoutRemove","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doRefreshFloating","id":"method-doRefreshFloating","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doRefreshSizeState","id":"method-doRefreshSizeState","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doRemove","id":"method-doRemove","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doRemoveListener","id":"method-doRemoveListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doResetActiveItem","id":"method-doResetActiveItem","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Evented","name":"doSet","id":"method-doSet","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doSetActiveItem","id":"method-doSetActiveItem","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"doSetActiveTab","id":"method-doSetActiveTab","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetBottom","id":"method-doSetBottom","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetCentered","id":"method-doSetCentered","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetDisabled","id":"method-doSetDisabled","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"doSetDocked","id":"method-doSetDocked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetFlex","id":"method-doSetFlex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetHeight","id":"method-doSetHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doSetHidden","id":"method-doSetHidden","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetLeft","id":"method-doSetLeft","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMaxHeight","id":"method-doSetMaxHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMaxWidth","id":"method-doSetMaxWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMinHeight","id":"method-doSetMinHeight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetMinWidth","id":"method-doSetMinWidth","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetRight","id":"method-doSetRight","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"doSetScrollable","id":"method-doSetScrollable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetTop","id":"method-doSetTop","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"doSetWidth","id":"method-doSetWidth","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"down","id":"method-down","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"enable","id":"method-enable","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"enableBubble","id":"method-enableBubble","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"factoryItem","id":"method-factoryItem","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"factoryItemWithDefaults","id":"method-factoryItemWithDefaults","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"filterLengthValue","id":"method-filterLengthValue","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"fireAction","id":"method-fireAction","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"fireEvent","id":"method-fireEvent","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getActiveItem","id":"method-getActiveItem","tagname":"method"},{"meta":{},"owner":"Ext.tab.Bar","name":"getActiveTab","id":"method-getActiveTab","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Traversable","name":"getAncestorIds","id":"method-getAncestorIds","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Traversable","name":"getAncestors","id":"method-getAncestors","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getAt","id":"method-getAt","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getAutoDestroy","id":"method-getAutoDestroy","tagname":"method"},{"meta":{},"owner":"Ext.tab.Bar","name":"getBaseCls","id":"method-getBaseCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getBorder","id":"method-getBorder","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getBottom","id":"method-getBottom","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"getBubbleEvents","id":"method-getBubbleEvents","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getBubbleTarget","id":"method-getBubbleTarget","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getCentered","id":"method-getCentered","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getCls","id":"method-getCls","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getComponent","id":"method-getComponent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getConfig","id":"method-getConfig","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getContentEl","id":"method-getContentEl","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getControl","id":"method-getControl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"getCurrentConfig","id":"method-getCurrentConfig","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getData","id":"method-getData","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"getDefaultType","id":"method-getDefaultType","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getDefaults","id":"method-getDefaults","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getDisabled","id":"method-getDisabled","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getDisabledCls","id":"method-getDisabledCls","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"getDocked","id":"method-getDocked","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getDockedComponent","id":"method-getDockedComponent","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getDockedItems","id":"method-getDockedItems","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getDraggable","id":"method-getDraggable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getDraggableBehavior","id":"method-getDraggableBehavior","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please access the Component's element from the <code>element</code> property instead, i.e:</p>\n\n<pre><code> var element = component.element;\n</code></pre>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"getEl","id":"method-getEl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"getElementConfig","id":"method-getElementConfig","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"getEnterAnimation","id":"method-getEnterAnimation","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getEventDispatcher","id":"method-getEventDispatcher","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"getExitAnimation","id":"method-getExitAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getFlex","id":"method-getFlex","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getFloatingCls","id":"method-getFloatingCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHeight","id":"method-getHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHidden","id":"method-getHidden","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHiddenCls","id":"method-getHiddenCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHideAnimation","id":"method-getHideAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getHideOnMaskTap","id":"method-getHideOnMaskTap","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getHtml","id":"method-getHtml","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Identifiable","name":"getId","id":"method-getId","tagname":"method"},{"meta":{},"owner":"Ext.Base","name":"getInitialConfig","id":"method-getInitialConfig","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"getInnerAt","id":"method-getInnerAt","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getInnerHtmlElement","id":"method-getInnerHtmlElement","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getInnerItems","id":"method-getInnerItems","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getItemId","id":"method-getItemId","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getItems","id":"method-getItems","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"getLayout","id":"method-getLayout","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getLeft","id":"method-getLeft","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"getListeners","id":"method-getListeners","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getManagedListeners","id":"method-getManagedListeners","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMargin","id":"method-getMargin","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getMasked","id":"method-getMasked","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMaxHeight","id":"method-getMaxHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMaxWidth","id":"method-getMaxWidth","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"getMinHeight","id":"method-getMinHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getMinWidth","id":"method-getMinWidth","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getModal","id":"method-getModal","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getObservableId","id":"method-getObservableId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getOptimizedEventDispatcher","id":"method-getOptimizedEventDispatcher","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"getOptimizedId","id":"method-getOptimizedId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getOptimizedObservableId","id":"method-getOptimizedObservableId","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getPadding","id":"method-getPadding","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getParent","id":"method-getParent","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getPlugins","id":"method-getPlugins","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getRecord","id":"method-getRecord","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"getRefItems","id":"method-getRefItems","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getRenderTo","id":"method-getRenderTo","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getRight","id":"method-getRight","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"getScrollable","id":"method-getScrollable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"getScrollableBehavior","id":"method-getScrollableBehavior","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getShowAnimation","id":"method-getShowAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getSize","id":"method-getSize","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getSizeFlags","id":"method-getSizeFlags","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getSizeState","id":"method-getSizeState","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getStyle","id":"method-getStyle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getStyleHtmlCls","id":"method-getStyleHtmlCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getStyleHtmlContent","id":"method-getStyleHtmlContent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getTemplate","id":"method-getTemplate","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"getTitle","id":"method-getTitle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getTop","id":"method-getTop","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getTpl","id":"method-getTpl","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getTplWriteMode","id":"method-getTplWriteMode","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getTranslatable","id":"method-getTranslatable","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"getTranslatableBehavior","id":"method-getTranslatableBehavior","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"getUi","id":"method-getUi","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"getUniqueId","id":"method-getUniqueId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"getUseBodyElement","id":"method-getUseBodyElement","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"getUsedSelectors","id":"method-getUsedSelectors","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getWidth","id":"method-getWidth","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getXTypes","id":"method-getXTypes","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"getZIndex","id":"method-getZIndex","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"has","id":"method-has","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"hasConfig","id":"method-hasConfig","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"hasInnerItem","id":"method-hasInnerItem","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"hasListener","id":"method-hasListener","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"hasParent","id":"method-hasParent","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.Component","name":"hide","id":"method-hide","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"hideTitle","id":"method-hideTitle","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"indexOf","id":"method-indexOf","tagname":"method"},{"meta":{"protected":true,"chainable":true},"owner":"Ext.Base","name":"initConfig","id":"method-initConfig","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.AbstractComponent","name":"initElement","id":"method-initElement","tagname":"method"},{"meta":{"template":true,"protected":true},"owner":"Ext.tab.Bar","name":"initialize","id":"method-initialize","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"innerIndexOf","id":"method-innerIndexOf","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"insert","id":"method-insert","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Container","name":"insertAfter","id":"method-insertAfter","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Container","name":"insertBefore","id":"method-insertBefore","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"insertFirst","id":"method-insertFirst","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Container","name":"insertInner","id":"method-insertInner","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"insertLast","id":"method-insertLast","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isCentered","id":"method-isCentered","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"isDisabled","id":"method-isDisabled","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isDocked","id":"method-isDocked","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isFloating","id":"method-isFloating","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"isHidden","id":"method-isHidden","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isInnerItem","id":"method-isInnerItem","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isPainted","id":"method-isPainted","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"isRendered","id":"method-isRendered","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"isXType","id":"method-isXType","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"link","id":"method-link","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"mask","id":"method-mask","tagname":"method"},{"meta":{"deprecated":{"text":"<p>This is now done automatically</p>\n","version":"2.0.0"}},"owner":"Ext.mixin.Observable","name":"mon","id":"method-mon","tagname":"method"},{"meta":{"deprecated":{"text":"<p>This is now done automatically</p>\n","version":"2.0.0"}},"owner":"Ext.mixin.Observable","name":"mun","id":"method-mun","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"on","id":"method-on","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"onAfter","id":"method-onAfter","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"onBefore","id":"method-onBefore","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"onClassExtended","id":"method-onClassExtended","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Base","name":"onConfigUpdate","id":"method-onConfigUpdate","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"onFirstItemAdd","id":"method-onFirstItemAdd","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"onInitialized","id":"method-onInitialized","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"onInnerItemMove","id":"method-onInnerItemMove","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"onItemAdd","id":"method-onItemAdd","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"onItemInnerStateChange","id":"method-onItemInnerStateChange","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"onItemMove","id":"method-onItemMove","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"onItemRemove","id":"method-onItemRemove","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"onShowByErased","id":"method-onShowByErased","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"onTabTap","id":"method-onTabTap","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"parseActiveTab","id":"method-parseActiveTab","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"query","id":"method-query","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"refreshFloating","id":"method-refreshFloating","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"refreshInnerState","id":"method-refreshInnerState","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"refreshSizeState","id":"method-refreshSizeState","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"relayEvent","id":"method-relayEvent","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.mixin.Observable","name":"relayEvents","id":"method-relayEvents","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"remove","id":"method-remove","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"removeAfterListener","id":"method-removeAfterListener","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.Container","name":"removeAll","id":"method-removeAll","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.Container","name":"removeAt","id":"method-removeAt","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"removeBeforeListener","id":"method-removeBeforeListener","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"removeCls","id":"method-removeCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"removeDispatcherListener","id":"method-removeDispatcherListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Container-method-remove\" rel=\"Ext.Container-method-remove\" class=\"docClass\">remove</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Container","name":"removeDocked","id":"method-removeDocked","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Container","name":"removeInner","id":"method-removeInner","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.Container","name":"removeInnerAt","id":"method-removeInnerAt","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"removeListener","id":"method-removeListener","tagname":"method"},{"meta":{"deprecated":{"text":"<p>All listeners are now automatically managed where necessary. Simply use <a href=\"#!/api/Ext.mixin.Observable-method-removeListener\" rel=\"Ext.mixin.Observable-method-removeListener\" class=\"docClass\">removeListener</a>.</p>\n","version":"2.0"}},"owner":"Ext.mixin.Observable","name":"removeManagedListener","id":"method-removeManagedListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"renderTo","id":"method-renderTo","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"replaceCls","id":"method-replaceCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"resetFloating","id":"method-resetFloating","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"resumeEvents","id":"method-resumeEvents","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setActiveItem","id":"method-setActiveItem","tagname":"method"},{"meta":{},"owner":"Ext.tab.Bar","name":"setActiveTab","id":"method-setActiveTab","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setAutoDestroy","id":"method-setAutoDestroy","tagname":"method"},{"meta":{},"owner":"Ext.tab.Bar","name":"setBaseCls","id":"method-setBaseCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setBorder","id":"method-setBorder","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setBottom","id":"method-setBottom","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"setBubbleEvents","id":"method-setBubbleEvents","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setCentered","id":"method-setCentered","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setCls","id":"method-setCls","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"setConfig","id":"method-setConfig","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setContentEl","id":"method-setContentEl","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setControl","id":"method-setControl","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setData","id":"method-setData","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"setDefaultType","id":"method-setDefaultType","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setDefaults","id":"method-setDefaults","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setDisabled","id":"method-setDisabled","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setDisabledCls","id":"method-setDisabledCls","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"setDocked","id":"method-setDocked","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setDraggable","id":"method-setDraggable","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-showAnimation\" rel=\"Ext.Component-cfg-showAnimation\" class=\"docClass\">showAnimation</a> instead.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"setEnterAnimation","id":"method-setEnterAnimation","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-cfg-hideAnimation\" rel=\"Ext.Component-cfg-hideAnimation\" class=\"docClass\">hideAnimation</a> instead.  Typically you want to use an\noutbound animation type such as 'fadeOut' or 'slideOut'.</p>\n\n\n\n","version":"2.0.0"}},"owner":"Ext.Component","name":"setExitAnimation","id":"method-setExitAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setFlex","id":"method-setFlex","tagname":"method"},{"meta":{"deprecated":{"text":"<p>This has been deprecated. Please use <a href=\"#!/api/Ext.Component-method-setTop\" rel=\"Ext.Component-method-setTop\" class=\"docClass\">setTop</a>, <a href=\"#!/api/Ext.Component-method-setRight\" rel=\"Ext.Component-method-setRight\" class=\"docClass\">setRight</a>, <a href=\"#!/api/Ext.Component-method-setBottom\" rel=\"Ext.Component-method-setBottom\" class=\"docClass\">setBottom</a> and <a href=\"#!/api/Ext.Component-method-setLeft\" rel=\"Ext.Component-method-setLeft\" class=\"docClass\">setLeft</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"setFloating","id":"method-setFloating","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setFloatingCls","id":"method-setFloatingCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHeight","id":"method-setHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHidden","id":"method-setHidden","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHiddenCls","id":"method-setHiddenCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHideAnimation","id":"method-setHideAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setHideOnMaskTap","id":"method-setHideOnMaskTap","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setHtml","id":"method-setHtml","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Identifiable","name":"setId","id":"method-setId","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setIsInner","id":"method-setIsInner","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setItemId","id":"method-setItemId","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setItems","id":"method-setItems","tagname":"method"},{"meta":{"private":true},"owner":"Ext.tab.Bar","name":"setLayout","id":"method-setLayout","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setLayoutSizeFlags","id":"method-setLayoutSizeFlags","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setLeft","id":"method-setLeft","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"setListeners","id":"method-setListeners","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMargin","id":"method-setMargin","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setMasked","id":"method-setMasked","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMaxHeight","id":"method-setMaxHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMaxWidth","id":"method-setMaxWidth","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"setMinHeight","id":"method-setMinHeight","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setMinWidth","id":"method-setMinWidth","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setModal","id":"method-setModal","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setPadding","id":"method-setPadding","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"setParent","id":"method-setParent","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setPlugins","id":"method-setPlugins","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setRecord","id":"method-setRecord","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setRenderTo","id":"method-setRenderTo","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"setRendered","id":"method-setRendered","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setRight","id":"method-setRight","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"setScrollable","id":"method-setScrollable","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setShowAnimation","id":"method-setShowAnimation","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setSize","id":"method-setSize","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setSizeFlags","id":"method-setSizeFlags","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setSizeState","id":"method-setSizeState","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setStyle","id":"method-setStyle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setStyleHtmlCls","id":"method-setStyleHtmlCls","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setStyleHtmlContent","id":"method-setStyleHtmlContent","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"setTitle","id":"method-setTitle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setTop","id":"method-setTop","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setTpl","id":"method-setTpl","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setTplWriteMode","id":"method-setTplWriteMode","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setTranslatable","id":"method-setTranslatable","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"setUi","id":"method-setUi","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"setUseBodyElement","id":"method-setUseBodyElement","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"setVisibility","id":"method-setVisibility","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setWidth","id":"method-setWidth","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"setZIndex","id":"method-setZIndex","tagname":"method"},{"meta":{"chainable":true},"owner":"Ext.Component","name":"show","id":"method-show","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"showBy","id":"method-showBy","tagname":"method"},{"meta":{},"owner":"Ext.Toolbar","name":"showTitle","id":"method-showTitle","tagname":"method"},{"meta":{"protected":true},"owner":"Ext.Base","name":"statics","id":"method-statics","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"suspendEvents","id":"method-suspendEvents","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Component","name":"toggleCls","id":"method-toggleCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.mixin.Observable","name":"toggleListener","id":"method-toggleListener","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"translate","id":"method-translate","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"translateAxis","id":"method-translateAxis","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"triggerInitialized","id":"method-triggerInitialized","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"un","id":"method-un","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"unAfter","id":"method-unAfter","tagname":"method"},{"meta":{},"owner":"Ext.mixin.Observable","name":"unBefore","id":"method-unBefore","tagname":"method"},{"meta":{"private":true,"chainable":true},"owner":"Ext.Base","name":"unlink","id":"method-unlink","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"unmask","id":"method-unmask","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"up","id":"method-up","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext.Component-method-setHtml\" rel=\"Ext.Component-method-setHtml\" class=\"docClass\">setHtml</a>, <a href=\"#!/api/Ext.Component-method-setTpl\" rel=\"Ext.Component-method-setTpl\" class=\"docClass\">setTpl</a> or <a href=\"#!/api/Ext.Component-method-setData\" rel=\"Ext.Component-method-setData\" class=\"docClass\">setData</a> instead.</p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"update","id":"method-update","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"updateBaseCls","id":"method-updateBaseCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateBorder","id":"method-updateBorder","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateCls","id":"method-updateCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateContentEl","id":"method-updateContentEl","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateData","id":"method-updateData","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"updateDefaultType","id":"method-updateDefaultType","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateDisabledCls","id":"method-updateDisabledCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateFloatingCls","id":"method-updateFloatingCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateHiddenCls","id":"method-updateHiddenCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"updateHideOnMaskTap","id":"method-updateHideOnMaskTap","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateHtml","id":"method-updateHtml","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"updateLayout","id":"method-updateLayout","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateMargin","id":"method-updateMargin","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"updateModal","id":"method-updateModal","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updatePadding","id":"method-updatePadding","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updatePlugins","id":"method-updatePlugins","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateRecord","id":"method-updateRecord","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateRenderTo","id":"method-updateRenderTo","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateStyle","id":"method-updateStyle","tagname":"method"},{"meta":{},"owner":"Ext.Component","name":"updateStyleHtmlCls","id":"method-updateStyleHtmlCls","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateStyleHtmlContent","id":"method-updateStyleHtmlContent","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Toolbar","name":"updateTitle","id":"method-updateTitle","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Component","name":"updateUi","id":"method-updateUi","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"updateUseBodyElement","id":"method-updateUseBodyElement","tagname":"method"},{"meta":{"private":true},"owner":"Ext.Container","name":"updateZIndex","id":"method-updateZIndex","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"addConfig","id":"static-method-addConfig","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addInheritableStatics","id":"static-method-addInheritableStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addMember","id":"static-method-addMember","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addMembers","id":"static-method-addMembers","tagname":"method"},{"meta":{"static":true,"chainable":true},"owner":"Ext.Base","name":"addStatics","id":"static-method-addStatics","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"addXtype","id":"static-method-addXtype","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"borrow","id":"static-method-borrow","tagname":"method"},{"meta":{"protected":true,"static":true},"owner":"Ext.Base","name":"callParent","id":"static-method-callParent","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"create","id":"static-method-create","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"createAlias","id":"static-method-createAlias","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"extend","id":"static-method-extend","tagname":"method"},{"meta":{"static":true},"owner":"Ext.Base","name":"getName","id":"static-method-getName","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"implement","id":"static-method-implement","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"mixin","id":"static-method-mixin","tagname":"method"},{"meta":{"static":true,"private":true,"chainable":true},"owner":"Ext.Base","name":"onExtended","id":"static-method-onExtended","tagname":"method"},{"meta":{"deprecated":{"text":"<p>Please use <a href=\"#!/api/Ext-method-define\" rel=\"Ext-method-define\" class=\"docClass\">Ext.define</a> instead</p>\n","version":"2.1.0"},"static":true,"chainable":true},"owner":"Ext.Base","name":"override","id":"static-method-override","tagname":"method"},{"meta":{"static":true,"private":true},"owner":"Ext.Base","name":"triggerExtended","id":"static-method-triggerExtended","tagname":"method"},{"meta":{},"owner":"Ext.Container","name":"activate","id":"event-activate","tagname":"event"},{"meta":{},"owner":"Ext.Container","name":"activeitemchange","id":"event-activeitemchange","tagname":"event"},{"meta":{},"owner":"Ext.tab.Bar","name":"activetabchange","id":"event-activetabchange","tagname":"event"},{"meta":{},"owner":"Ext.Container","name":"add","id":"event-add","tagname":"event"},{"meta":{"removed":{"text":"<p>This event is now only available <code>onBefore</code> the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"beforeorientationchange","id":"event-beforeorientationchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"bottomchange","id":"event-bottomchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"centeredchange","id":"event-centeredchange","tagname":"event"},{"meta":{},"owner":"Ext.Container","name":"deactivate","id":"event-deactivate","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"destroy","id":"event-destroy","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"disabledchange","id":"event-disabledchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"dockedchange","id":"event-dockedchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"erased","id":"event-erased","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"flexchange","id":"event-flexchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"floatingchange","id":"event-floatingchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"fullscreen","id":"event-fullscreen","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"heightchange","id":"event-heightchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"hiddenchange","id":"event-hiddenchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"hide","id":"event-hide","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"initialize","id":"event-initialize","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"leftchange","id":"event-leftchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"maxheightchange","id":"event-maxheightchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"maxwidthchange","id":"event-maxwidthchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"minheightchange","id":"event-minheightchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"minwidthchange","id":"event-minwidthchange","tagname":"event"},{"meta":{},"owner":"Ext.Container","name":"move","id":"event-move","tagname":"event"},{"meta":{"removed":{"text":"<p>This event is now only available on the Viewport's <a href=\"#!/api/Ext.Viewport-event-orientationchange\" rel=\"Ext.Viewport-event-orientationchange\" class=\"docClass\">Ext.Viewport.orientationchange</a></p>\n","version":"2.0.0"}},"owner":"Ext.Component","name":"orientationchange","id":"event-orientationchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"painted","id":"event-painted","tagname":"event"},{"meta":{},"owner":"Ext.Container","name":"remove","id":"event-remove","tagname":"event"},{"meta":{"private":true},"owner":"Ext.Container","name":"renderedchange","id":"event-renderedchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"resize","id":"event-resize","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"rightchange","id":"event-rightchange","tagname":"event"},{"meta":{},"owner":"Ext.Container","name":"scrollablechange","id":"event-scrollablechange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"show","id":"event-show","tagname":"event"},{"meta":{},"owner":"Ext.tab.Bar","name":"tabchange","id":"event-tabchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"topchange","id":"event-topchange","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"updatedata","id":"event-updatedata","tagname":"event"},{"meta":{},"owner":"Ext.Component","name":"widthchange","id":"event-widthchange","tagname":"event"},{"meta":{},"owner":"Ext.tab.Bar","name":"$include-bottom-tabs","id":"css_var-S-include-bottom-tabs","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"$include-tabbar-uis","id":"css_var-S-include-tabbar-uis","tagname":"css_var"},{"meta":{},"owner":"Ext.Toolbar","name":"$include-toolbar-uis","id":"css_var-S-include-toolbar-uis","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"$include-top-tabs","id":"css_var-S-include-top-tabs","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"$tabs-bar-gradient","id":"css_var-S-tabs-bar-gradient","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"$tabs-dark","id":"css_var-S-tabs-dark","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"$tabs-dark-active","id":"css_var-S-tabs-dark-active","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"$tabs-light","id":"css_var-S-tabs-light","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"$tabs-light-active","id":"css_var-S-tabs-light-active","tagname":"css_var"},{"meta":{},"owner":"Ext.Toolbar","name":"$toolbar-base-color","id":"css_var-S-toolbar-base-color","tagname":"css_var"},{"meta":{},"owner":"Ext.Toolbar","name":"$toolbar-gradient","id":"css_var-S-toolbar-gradient","tagname":"css_var"},{"meta":{},"owner":"Ext.tab.Bar","name":"sencha-tabbar-ui","id":"css_mixin-sencha-tabbar-ui","tagname":"css_mixin"},{"meta":{},"owner":"Ext.Toolbar","name":"sencha-toolbar-ui","id":"css_mixin-sencha-toolbar-ui","tagname":"css_mixin"}],"short_doc":"Ext.tab.Bar is used internally by Ext.tab.Panel to create the bar of tabs that appears at the top of the tab\npanel. ...","meta":{"private":true},"superclasses":["Ext.Base","Ext.Evented","Ext.AbstractComponent","Ext.Component","Ext.Container","Ext.Toolbar"],"component":true,"private":true,"mixins":[],"extends":"Ext.Toolbar","name":"Ext.tab.Bar","singleton":null,"mixedInto":[],"subclasses":[],"id":"class-Ext.tab.Bar","code_type":"ext_define","since":"1.1.0","requires":["Ext.tab.Tab"],"files":[{"filename":"Bar.js","href":"Bar3.html#Ext-tab-Bar"},{"filename":"_Panel.scss","href":"_Panel.scss9.html#Ext-tab-Bar"}],"tagname":"class"});