Ext.data.JsonP.Global_CSS({"parentMixins":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/_Class.scss2.html#Global_CSS' target='_blank'>_Class.scss</a></div><div class='dependency'><a href='source/_Class.scss4.html#Global_CSS' target='_blank'>_Class.scss</a></div><div class='dependency'><a href='source/_Class.scss5.html#Global_CSS' target='_blank'>_Class.scss</a></div></pre><div class='doc-contents'><p>Global CSS variables and mixins of Sencha Touch's Default Theme.</p>\n        <p>Available since: <b>1.1.1</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-css_var'>CSS Variables</h3><div class='subsection'><div id='css_var-S-active-color' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-active-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-active-color' class='name expandable'>$active-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Color used for elements like selected rows, \"action\" UIs (eg. ...</div><div class='long'><p>Color used for elements like selected rows, \"action\" UIs (eg. on buttons) and certain overlays like the picker mask.</p>\n<p>Defaults to: <code>darken ( saturate ( $base-color , 55% ) , 10% )</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-alert-color' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-alert-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-alert-color' class='name expandable'>$alert-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Color used for elements like badges, errors, and \"decline\" UIs (eg. ...</div><div class='long'><p>Color used for elements like badges, errors, and \"decline\" UIs (eg. on buttons).</p>\n<p>Defaults to: <code>red</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-base-color' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-base-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-base-color' class='name expandable'>$base-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>The primary color variable from which most elements derive their color scheme. ...</div><div class='long'><p>The primary color variable from which most elements derive their color scheme.</p>\n<p>Defaults to: <code>#1985D0</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-base-gradient' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-base-gradient' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-base-gradient' class='name expandable'>$base-gradient</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>The primary gradient variable from which most elements derive their color scheme. ...</div><div class='long'><p>The primary gradient variable from which most elements derive their color scheme.</p>\n\n<p>See background-gradient mixin.</p>\n<p>Defaults to: <code>if ( $include-highlights , matte , null )</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-basic-slider' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-basic-slider' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-basic-slider' class='name expandable'>$basic-slider</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally remove CSS3 effects from the slider component for improved performance. ...</div><div class='long'><p>Optionally remove CSS3 effects from the slider component for improved performance.</p>\n<p>Defaults to: <code>false</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-confirm-color' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-confirm-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-confirm-color' class='name expandable'>$confirm-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Color used for elements like success messages, and \"confirm\" UIs (eg. ...</div><div class='long'><p>Color used for elements like success messages, and \"confirm\" UIs (eg. on buttons).</p>\n<p>Defaults to: <code>#92cf00</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-font-family' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-font-family' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-font-family' class='name expandable'>$font-family</a> : font-family<span class=\"signature\"></span></div><div class='description'><div class='short'>The font-family to be used throughout the theme. ...</div><div class='long'><p>The font-family to be used throughout the theme.</p>\n\n<p>See background-gradient mixin.</p>\n<p>Defaults to: <code>&quot;Helvetica Neue&quot; , HelveticaNeue , &quot;Helvetica-Neue&quot; , Helvetica , &quot;BBAlpha Sans&quot; , sans-serif</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='css_var-S-global-list-height' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-global-list-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-global-list-height' class='name expandable'>$global-list-height</a> : measurement<span class=\"signature\"></span></div><div class='description'><div class='short'>The minimum row height for items like toolbars. ...</div><div class='long'><p>The minimum row height for items like toolbars.</p>\n<p>Defaults to: <code>46px</code></p>        <p>Available since: <b>2.1.0</b></p>\n</div></div></div><div id='css_var-S-global-row-height' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-global-row-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-global-row-height' class='name expandable'>$global-row-height</a> : measurement<span class=\"signature\"></span></div><div class='description'><div class='short'>The minimum row height for items like toolbars. ...</div><div class='long'><p>The minimum row height for items like toolbars.</p>\n<p>Defaults to: <code>2.6em</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-border-radius' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-include-border-radius' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-include-border-radius' class='name expandable'>$include-border-radius</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally disable all border-radius. ...</div><div class='long'><p>Optionally disable all border-radius. Useful for CSS debugging, non-performant browsers, or minimalist designs.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-default-icons' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-include-default-icons' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-include-default-icons' class='name expandable'>$include-default-icons</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally remove the default icon set which includes the following toolbar and tab bar icons: action,\nadd, arrow_dow...</div><div class='long'><p>Optionally remove the default icon set which includes the following toolbar and tab bar icons: action,\nadd, arrow_down, arrow_left, arrow_right, arrow_up, bookmarks, compose, delete, download, favorites,\nhome, info, locate, maps, more, organize, refresh, reply, search, settings, star, team, time, trash,\nand user. Set to false to reduce CSS weight.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-default-uis' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-include-default-uis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-include-default-uis' class='name expandable'>$include-default-uis</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Decides whether or not to include the default UIs for all components. ...</div><div class='long'><p>Decides whether or not to include the default UIs for all components.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-form-sliders' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-include-form-sliders' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-include-form-sliders' class='name expandable'>$include-form-sliders</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Decides if default HTML styles are included (for components with styleHtmlContent: true). ...</div><div class='long'><p>Decides if default HTML styles are included (for components with styleHtmlContent: true). Class is applied to .x-html.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-highlights' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-include-highlights' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-include-highlights' class='name expandable'>$include-highlights</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally disable all gradients, text-shadows, and box-shadows. ...</div><div class='long'><p>Optionally disable all gradients, text-shadows, and box-shadows. Useful for CSS debugging,\nnon-performant browsers, or minimalist designs.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-include-pictos-font' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-include-pictos-font' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-include-pictos-font' class='name expandable'>$include-pictos-font</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Optionally remove the default Pictos font. ...</div><div class='long'><p>Optionally remove the default Pictos font. This will reduce the size of your compiled CSS files, however icons\nwill no longer be available unless you provide your own.</p>\n<p>Defaults to: <code>true</code></p>        <p>Available since: <b>2.2.0</b></p>\n</div></div></div><div id='css_var-S-loading-spinner-color' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-loading-spinner-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-loading-spinner-color' class='name expandable'>$loading-spinner-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Background-color for the bars in the loading spinner. ...</div><div class='long'><p>Background-color for the bars in the loading spinner.</p>\n<p>Defaults to: <code>#aaa</code></p>        <p>Available since: <b>2.2.0</b></p>\n</div></div></div><div id='css_var-S-neutral-color' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-neutral-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-neutral-color' class='name expandable'>$neutral-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Color used for the neautral ui for Toolbars and Tabbars. ...</div><div class='long'><p>Color used for the neautral <code>ui</code> for Toolbars and Tabbars.</p>\n<p>Defaults to: <code>#e0e0e0</code></p>        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='css_var-S-page-bg-color' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-page-bg-color' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-page-bg-color' class='name expandable'>$page-bg-color</a> : color<span class=\"signature\"></span></div><div class='description'><div class='short'>Background color for fullscreen components. ...</div><div class='long'><p>Background color for fullscreen components.</p>\n<p>Defaults to: <code>#eee</code></p>        <p>Available since: <b>1.1.1</b></p>\n</div></div></div><div id='css_var-S-toolbar-spacing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss5.html#Global_CSS-css_var-S-toolbar-spacing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_var-S-toolbar-spacing' class='name expandable'>$toolbar-spacing</a> : measurement<span class=\"signature\"></span></div><div class='description'><div class='short'>Space between items in a toolbar (like buttons and fields) ...</div><div class='long'><p>Space between items in a toolbar (like buttons and fields)</p>\n<p>Defaults to: <code>.2em</code></p>        <p>Available since: <b>2.2.0</b></p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-css_mixin'>CSS Mixins</h3><div class='subsection'><div id='css_mixin-bevel-box' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss4.html#Global_CSS-css_mixin-bevel-box' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-bevel-box' class='name expandable'>bevel-box</a>( <span class='pre'>$type</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds a small box shadow (or highlight) to give the impression of being beveled. ...</div><div class='long'><p>Adds a small box shadow (or highlight) to give the impression of being beveled.</p>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$type</span> : string<div class='sub-desc'><p>Either shadow or highlight, decides whether to apply a light shadow or dark.</p>\n</div></li></ul></div></div></div><div id='css_mixin-bevel-by-background' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss4.html#Global_CSS-css_mixin-bevel-by-background' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-bevel-by-background' class='name expandable'>bevel-by-background</a>( <span class='pre'>$bg-color</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Bevels the text based on its background. ...</div><div class='long'><p>Bevels the text based on its background.</p>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$bg-color</span> : color<div class='sub-desc'><p>Background color of element.</p>\n\n<p>See <a href=\"#!/api/Global_CSS-css_mixin-bevel-text\" rel=\"Global_CSS-css_mixin-bevel-text\" class=\"docClass\">bevel-text</a>.</p>\n</div></li></ul></div></div></div><div id='css_mixin-bevel-text' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss4.html#Global_CSS-css_mixin-bevel-text' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-bevel-text' class='name expandable'>bevel-text</a>( <span class='pre'>$type</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds a small text shadow (or highlight) to give the impression of beveled text. ...</div><div class='long'><p>Adds a small text shadow (or highlight) to give the impression of beveled text.</p>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$type</span> : string<div class='sub-desc'><p>Either shadow or highlight, decides whether to apply a light shadow or dark.</p>\n</div></li></ul></div></div></div><div id='css_mixin-ellipsis' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss2.html#Global_CSS-css_mixin-ellipsis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-ellipsis' class='name expandable'>ellipsis</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Makes the element text overflow to use ellipsis.</p>\n</div><div class='long'><p>Makes the element text overflow to use ellipsis.</p>\n        <p>Available since: <b>2.0.0</b></p>\n</div></div></div><div id='css_mixin-icon' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss2.html#Global_CSS-css_mixin-icon' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-icon' class='name expandable'>icon</a>( <span class='pre'>$name, $character, $font-family</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Includes an icon to be used on Button or Tab components. ...</div><div class='long'><p>Includes an icon to be used on Button or Tab components. The $name is the name of the icon, or the character\nof the font being used.</p>\n\n<pre><code>@include icon('attachment');\n</code></pre>\n        <p>Available since: <b>2.2.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$name</span> : string<div class='sub-desc'><p>The name of the icon to be included. This is then usable as the iconCls in your app.</p>\n</div></li><li><span class='pre'>$character</span> : string<div class='sub-desc'><p>The character</p>\n</div></li><li><span class='pre'>$font-family</span> : string<div class='sub-desc'><p>The <code>font-family</code> used for this icon. Defaults to the <code>Pictos</code> font.</p>\n</div></li></ul></div></div></div><div id='css_mixin-insertion' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss2.html#Global_CSS-css_mixin-insertion' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-insertion' class='name expandable'>insertion</a>( <span class='pre'>$width, $height, $top, $left</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adds basic styles to :before or :after pseudo-elements. ...</div><div class='long'><p>Adds basic styles to :before or :after pseudo-elements.</p>\n\n<pre><code>.my-element:after {\n  @include insertion(50px, 50px);\n}\n</code></pre>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$width</span> : measurement<div class='sub-desc'><p>Height of pseudo-element.</p>\n</div></li><li><span class='pre'>$height</span> : measurement<div class='sub-desc'><p>Height of pseudo-element.</p>\n</div></li><li><span class='pre'>$top</span> : measurement<div class='sub-desc'><p>Top positioning of pseudo-element.</p>\n</div></li><li><span class='pre'>$left</span> : measurement<div class='sub-desc'><p>Left positioning of pseudo-element.</p>\n</div></li></ul></div></div></div><div id='css_mixin-mask-by-background' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss4.html#Global_CSS-css_mixin-mask-by-background' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-mask-by-background' class='name expandable'>mask-by-background</a>( <span class='pre'>$bg-color, $percent, $style</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Creates a background gradient for masked elements, based on the lightness of their background. ...</div><div class='long'><p>Creates a background gradient for masked elements, based on the lightness of their background.</p>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$bg-color</span> : color<div class='sub-desc'><p>Background color of element.</p>\n</div></li><li><span class='pre'>$percent</span> : percent<div class='sub-desc'><p>Contrast of the new gradient to its background.</p>\n</div></li><li><span class='pre'>$style</span> : percent<div class='sub-desc'><p>Gradient style of the gradient.</p>\n\n<p>See background-gradient mixin.</p>\n</div></li></ul></div></div></div><div id='css_mixin-toolbar-button' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='Global_CSS'>Global_CSS</span><br/><a href='source/_Class.scss4.html#Global_CSS-css_mixin-toolbar-button' target='_blank' class='view-source'>view source</a></div><a href='#!/api/Global_CSS-css_mixin-toolbar-button' class='name expandable'>toolbar-button</a>( <span class='pre'>$bg-color, $type</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Includes the default styles for toolbar buttons, mostly used as a helper function. ...</div><div class='long'><p>Includes the default styles for toolbar buttons, mostly used as a helper function.</p>\n        <p>Available since: <b>1.1.1</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>$bg-color</span> : color<div class='sub-desc'><p>Base color to be used for the button.</p>\n</div></li><li><span class='pre'>$type</span> : color<div class='sub-desc'><p>Gradient style for the button, will automatically use \"recessed\" when pressed.</p>\n</div></li></ul></div></div></div></div></div></div></div>","alternateClassNames":[],"autodetected":{},"aliases":{},"members":[{"meta":{},"owner":"Global_CSS","name":"$active-color","id":"css_var-S-active-color","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$alert-color","id":"css_var-S-alert-color","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$base-color","id":"css_var-S-base-color","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$base-gradient","id":"css_var-S-base-gradient","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$basic-slider","id":"css_var-S-basic-slider","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$confirm-color","id":"css_var-S-confirm-color","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$font-family","id":"css_var-S-font-family","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$global-list-height","id":"css_var-S-global-list-height","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$global-row-height","id":"css_var-S-global-row-height","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$include-border-radius","id":"css_var-S-include-border-radius","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$include-default-icons","id":"css_var-S-include-default-icons","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$include-default-uis","id":"css_var-S-include-default-uis","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$include-form-sliders","id":"css_var-S-include-form-sliders","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$include-highlights","id":"css_var-S-include-highlights","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$include-pictos-font","id":"css_var-S-include-pictos-font","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$loading-spinner-color","id":"css_var-S-loading-spinner-color","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$neutral-color","id":"css_var-S-neutral-color","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$page-bg-color","id":"css_var-S-page-bg-color","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"$toolbar-spacing","id":"css_var-S-toolbar-spacing","tagname":"css_var"},{"meta":{},"owner":"Global_CSS","name":"bevel-box","id":"css_mixin-bevel-box","tagname":"css_mixin"},{"meta":{},"owner":"Global_CSS","name":"bevel-by-background","id":"css_mixin-bevel-by-background","tagname":"css_mixin"},{"meta":{},"owner":"Global_CSS","name":"bevel-text","id":"css_mixin-bevel-text","tagname":"css_mixin"},{"meta":{},"owner":"Global_CSS","name":"ellipsis","id":"css_mixin-ellipsis","tagname":"css_mixin"},{"meta":{},"owner":"Global_CSS","name":"icon","id":"css_mixin-icon","tagname":"css_mixin"},{"meta":{},"owner":"Global_CSS","name":"insertion","id":"css_mixin-insertion","tagname":"css_mixin"},{"meta":{},"owner":"Global_CSS","name":"mask-by-background","id":"css_mixin-mask-by-background","tagname":"css_mixin"},{"meta":{},"owner":"Global_CSS","name":"toolbar-button","id":"css_mixin-toolbar-button","tagname":"css_mixin"}],"meta":{},"superclasses":[],"component":false,"private":null,"name":"Global_CSS","extends":null,"singleton":null,"mixins":[],"mixedInto":[],"subclasses":[],"id":"class-Global_CSS","since":"1.1.1","files":[{"filename":"_Class.scss","href":"_Class.scss2.html#Global_CSS"},{"filename":"_Class.scss","href":"_Class.scss4.html#Global_CSS"},{"filename":"_Class.scss","href":"_Class.scss5.html#Global_CSS"}],"tagname":"class","requires":[]});